(function e(t,n,r){function s(o,u){if(!n[o]){if(!t[o]){var a=typeof require=="function"&&require;if(!u&&a)return a(o,!0);if(i)return i(o,!0);var f=new Error("Cannot find module '"+o+"'");throw f.code="MODULE_NOT_FOUND",f}var l=n[o]={exports:{}};t[o][0].call(l.exports,function(e){var n=t[o][1][e];return s(n?n:e)},l,l.exports,e,t,n,r)}return n[o].exports}var i=typeof require=="function"&&require;for(var o=0;o<r.length;o++)s(r[o]);return s})({1:[function(require,module,exports){
"use strict";
var Toast=require("../toast/toast");
/**
 * 蒙版构造函数
 * @constructor
*/
var toast= new Toast();

function Mask(){
	
}

Mask.prototype={
	index:0,
	/**
	 * 打开蒙版
 	 * @function
	 * @name startMask
 	*/
	startMask:function(timeOut){
		if( Mask.prototype.index === 0){
			//console.log("开启蒙版");
			toast.showMasking(timeOut); // 开启蒙板
			toast.showLoadingToast("正在处理，请稍候..."); // 开启菊花
		}
		Mask.prototype.index++;
	},
	/**
	 * 关闭蒙版
 	 * @function
	 * @name endMask
 	 */
	endMask:function(){
		if(Mask.prototype.index<=1){
			toast.hideMasking();
			toast.hideLoadingToast();
			Mask.prototype.index = 1;
			//console.log("关闭蒙版");
		}
		Mask.prototype.index--;
	}
}
module.exports = Mask;
},{"../toast/toast":9}],2:[function(require,module,exports){
"use strict";

var alertTpl = require('./template/alert.tpl');
var iosTpl = require('./template/tpl.alert.ios');
var promptTpl = require('./template/tpl.alert.prompt');
var promptTextareaTpl = require('./template/tpl.alert.prompt.textarear');


var map = require('lodash/collection/map')

/**
 * 提示框
 * @constructor
 */
function Alerts() {

}

Alerts.prototype = {
    /**
     * 显示提示框
     * @function
     * @name showAlerts
     * @param {string} title - 提示框标题
     * @param {string} message - 提示框文本信息
     * @param {function} fnOK - 点击正确按钮回调方法
     * @param {function} fnCancel - 点击正确按钮回调方法
     */
    showAlerts: function (title, message, fnOK, fnCancel) {
        this.showSingleAlerts(title, message, fnOK, null, fnCancel)
    },
    hideAlerts: function () {
        var modal = document.getElementById('gum-alert-ios');
        modal && document.body.removeChild(modal);
    },
    /*
     弹出自适应高度和位置的Html内容框
     options: {
     title:标题,
     fnOK:确定后执行,
     fnCancel:取消时执行,
     hideCancel:隐藏取消按钮
     rtext:确定按钮文本
     }
     */
    showHtml: function (htmlBody, options) {
        //如果已有，则不再弹出提示框
        var id = 'gum-alert-ios';
        if (document.getElementById(id)) {
            return;
        }
        //this.hideAlerts();
        options = options || {};
        // 初始化HTML模板
        var html = alertTpl(options);

        document.body.insertAdjacentHTML('beforeend', html);
        find('#alert-message').innerHTML = htmlBody;

        //无标题不要显示分隔线
        var titleDiv;
        if (!options.title && (titleDiv = find('#divAlert>div.alert-title'))) {
            titleDiv.className = '';
        }
        var modal = document.getElementById(id);
        modal.classList.add('open');

        //var alertContainer = document.getElementById('gum-alert-container');
        //alertContainer.style.marginTop = -alertContainer.offsetHeight / 2 + 'px';

        // 取得按钮元素
        var btnCancel = find('#btnCancel'),
            btnOK = find('#btnOK');

        if (options.rtext) {
            btOk.innerHTML = options.rtext;
        }

        if (options.position) {
            btnOK.style.position = options.position;
        }
        // 定义OK按钮回调事件
        click(btnOK, function (e) {
            options.fnOK && options.fnOK(e);
            document.body.removeChild(modal);
        });

        // 定义Cancel按钮回调事件
        btnCancel && click(btnCancel, function (e) {
            options.fnCancel && options.fnCancel(e);
            document.body.removeChild(modal);
        });
    },
    showSingleAlerts: function (title, message, fnOK, options, fnCancel) {
        this.showHtml(message, {title: title, fnOK: fnOK, fnCancel: fnCancel});
        if (options) {
            var btnCancel = find('#btnCancel'),
                btnOK = find('#btnOK');
            map(options, function (val, key) {
                if (val !== '') {
                    if (btnCancel) {
                        btnCancel.style.key = val;
                        if (key == "display") btnCancel.parentNode.style.display = val;
                    }
                    if (key == "rbackgroundColor") btnOK.style.backgroundColor = val;
                    else if (key == "rborder") btnOK.style.border = val;
                    else if (key == "rtext") btnOK.innerText = val;
                }
            });
        }
    },
    alert: function (msg, fnOK, title, hideCancel, opts, lastSeconds) {
        if (lastSeconds) {
            window.setTimeout(disappear, lastSeconds);
        }
        function disappear() {
            var alertContainer = document.getElementById('gum-alert-ios');
            alertContainer&&alertContainer.parentNode.removeChild(alertContainer);
        }

        var options = {fnOK: fnOK, title: title, hideCancel: 1};
        if (opts && opts.position)
            options.position = opts.position;
        this.showHtml(msg, options);
    },
    confirm: function (msg, fnOK, fnCancel, title) {
        this.showHtml(msg, {fnOK: fnOK, fnCancel: fnCancel, title: title || "提示"});
    },
    showIOSAlert: function (content, positiveText, positiveCallback, negativeText, negativeCallback) {
        var id = 'gum-alert-ios';
        if (document.getElementById(id) !== null) {
            return;
        }
        var elem = document.createElement('div');
        elem.setAttribute('id', id);
        elem.className = 'gum-alert';

        elem.innerHTML = iosTpl({
            content: content,
            positiveText: positiveText,
            negativeText: negativeText
        }).replace('\r\n', '<br/>');

        var buttons = elem.getElementsByClassName('positive-btn');
        if (buttons.length > 0) {
            click(buttons[0], function () {
                positiveCallback();
            });
            // buttons[0].addEventListener('click', function() {
            //     positiveCallback();
            // });
        }

        buttons = elem.getElementsByClassName('negative-btn');
        if (buttons.length > 0) {
            click(buttons[0], function () {
                negativeCallback();
            });
            // buttons[0].addEventListener('click', function() {
            //     negativeCallback();
            // });
        }
        var wrapper = find('#wrapper');
        if (wrapper) {
            wrapper.appendChild(elem);
        } else {
            document.body.appendChild(elem);
        }

        elem.classList.add('open');
    },

    closeIOSAlert: function () {
        var elem = find('#gum-alert-ios');
        var wrapper = find('#wrapper');
        if (elem) {
            elem.classList.remove('open');
            if (wrapper) {
                wrapper.removeChild(elem);
            } else {
                document.body.removeChild(elem);
            }
        }
    },

    showPrompt: function (title, tip, isRequired, positiveText, positiveCallback, negativeText, negativeCallback, text) {
        var id = 'gum-alert-prompt';
        if (document.getElementById(id) !== null) {
            return;
        }

        var elem = document.createElement('div');
        elem.setAttribute('id', id);
        elem.className = 'gum-alert';

        elem.innerHTML = promptTpl({
            title: title,
            tip: tip,
            input: 'gum-alert-prompt-input',
            positiveText: positiveText || '确定',
            negativeText: negativeText || '取消',
            text: text
        });

        var positiveBtn, negativeBtn;

        var buttons = elem.getElementsByClassName('positive-btn');
        if (buttons.length > 0) {
            positiveBtn = buttons[0];
        }

        buttons = elem.getElementsByClassName('negative-btn');
        if (buttons.length > 0) {
            negativeBtn = buttons[0];
        }

        if (positiveBtn) {
            click(positiveBtn, function () {
                var value = find('#gum-alert-prompt-input').value;
                positiveCallback(value);
            });
            // positiveBtn.addEventListener('click', function() {
            //     var value = find('#gum-alert-prompt-input').value;
            //     positiveCallback(value);
            // });
        }

        if (negativeBtn) {
            click(negativeBtn, function () {
                negativeCallback();
            });
            // negativeBtn.addEventListener('click', function() {
            //     negativeCallback();
            // });
        }

        if (isRequired) {
            positiveBtn.setAttribute('disabled', 'disabled');
            var inputs = elem.getElementsByTagName('input');
            if (inputs.length > 0) {
                inputs[0].addEventListener('input', function (e) {
                    if (e.target.value === '') {
                        positiveBtn.setAttribute('disabled', 'disabled');
                    } else {
                        positiveBtn.removeAttribute('disabled');
                    }
                });
            }
        }
        var wrapper = find('#wrapper');
        if (wrapper) {
            wrapper.appendChild(elem);
        } else {
            document.body.appendChild(elem);
        }
        elem.classList.add('open');
    },
    showPromptTextarea: function (title, positiveText, positiveCallback, negativeText, negativeCallback, content, isRequired, fixKeyboard) {

        var id = 'gum-alert-prompt-textarea';

        if (document.getElementById(id) !== null) {
            return;
        }
        var elem = document.createElement('div');

        elem.setAttribute('id', id);

        elem.className = 'gum-alert';

        if (!content) {
            content = "";
        }
        elem.innerHTML = promptTextareaTpl({
            title: title,
            positiveText: positiveText,
            negativeText: negativeText,
            content: content
        });

        var positiveBtn, negativeBtn;
        var buttons = elem.getElementsByClassName('positive-btn');

        if (buttons.length > 0) {

            positiveBtn = buttons[0];

        }
        buttons = elem.getElementsByClassName('negative-btn');

        if (buttons.length > 0) {

            negativeBtn = buttons[0];

        }
        if (positiveBtn) {
            click(positiveBtn, function () {
                var value = elem.getElementsByClassName("textareaClass")[0].value;
                positiveCallback(value);
            });
            // positiveBtn.addEventListener('click', function() {
            //     var value = document.getElementsByClassName("textareaClass")[0].value;
            //     positiveCallback(value);
            // });
        }
        if (negativeBtn) {
            click(negativeBtn, function () {
                negativeCallback(id);
            });
            // negativeBtn.addEventListener('click', function() {
            //     negativeCallback(id);
            // });
        }
        if (isRequired) {
            positiveBtn.setAttribute('disabled', 'disabled');
            var areas = elem.getElementsByTagName('textarea');
            if (areas.length > 0) {
                areas[0].addEventListener('input', function (e) {
                    if (e.target.value.trim() === '') {
                        positiveBtn.setAttribute('disabled', 'disabled');
                    } else {
                        positiveBtn.removeAttribute('disabled');
                    }
                });
            }
        }
        var wrapper = document.getElementById('wrapper');

        if (wrapper) {
            wrapper.appendChild(elem);
        } else {
            document.body.appendChild(elem);
        }

        elem.classList.add('open');
        var textarea = document.getElementById('showPromptTextarea');
        if (fixKeyboard && textarea) {
            textarea.addEventListener('focus', function () {
                setTimeout(function () {
                    if (window.scrollY < 10) {
                        document.getElementsByClassName('gum-alert-prompt')[0].classList.add('keyboard');
                    }
                }, 100);
            });
            textarea.addEventListener('blur', function () {
                document.getElementsByClassName('gum-alert-prompt')[0].classList.remove('keyboard');
            });
        }
    },

    closePrompt: function () {
        var elem = find('#gum-alert-prompt');
        var wrapper = find('#wrapper');

        if (elem) {
            elem.classList.remove('open');
            if (wrapper) {
                wrapper.removeChild(elem);
            } else {
                document.body.removeChild(elem);
            }
        }
    },
    closePromptTextarea: function () {
        var elem = document.getElementById('gum-alert-prompt-textarea');
        var wrapper = document.getElementById('wrapper');
        if (elem) {
            elem.classList.remove('open');
            if (wrapper) {
                wrapper.removeChild(elem);
            } else {
                document.body.removeChild(elem);
            }
        }
    }
};

function find(sel) {
    return document.querySelector(sel);
}
//点击事件
function click(el, func) {
    var startX = 0,
        startY = 0,
        offsetX = 0,
        offsetY = 0;
    var touchstart = function (evt) {
        offsetX = 0;
        offsetY = 0;
        //开始按下的x坐标
        startX = evt.touches[0].pageX;
        startY = evt.touches[0].pageY;
    };
    var touchmove = function (evt) {
        //计算手指一动偏移量
        offsetX = evt.targetTouches[0].pageX - startX;
        offsetY = evt.targetTouches[0].pageY - startY;
        //阻止浏览器默认行为
        evt.preventDefault();
    };
    var touchend = function (evt) {
        if (Math.abs(offsetX) < 30 && Math.abs(offsetY) < 30 && !el.getAttribute('disabled')) {
            func();
        }
        evt.preventDefault();
    };
    el.addEventListener('touchstart', touchstart);
    el.addEventListener('touchmove', touchmove);
    el.addEventListener('touchend', touchend);
}
/** @module Alerts */
module.exports = Alerts;

},{"./template/alert.tpl":3,"./template/tpl.alert.ios":4,"./template/tpl.alert.prompt":5,"./template/tpl.alert.prompt.textarear":6,"lodash/collection/map":87}],3:[function(require,module,exports){
/*TMODJS:{"version":1,"md5":"ed6a87964de0dd7673bd0c6a17bed729"}*/
var template=require("template");module.exports=template("alert.tpl",function(a){"use strict";var b=this,c=(b.$helpers,b.$string),d=a.title,e=a.body,f=a.hideCancel,g=a.ltext,h=a.rtext,i="";return i+='<div id="gum-alert-ios" class="open gum-alert"> <div id="gum-alert-container" class="gum-alert-container"> <div class="',i+=c(d?"gum-alert-title img-border-btm":""),i+='"> ',i+=c(d),i+=' </div> <div class="gum-alert-message" id="alert-message">',i+=c(e),i+='</div> <div class="gum-alert-footer"> ',f||(i+=' <button id="btnCancel" class="gum-btn-negative cancel" ontouchstart="">',i+=c(g||"\u53d6\u6d88"),i+="</button> "),i+=' <button id="btnOK" class="gum-btn-positive default" ontouchstart="">',i+=c(h||"\u786e\u5b9a"),i+="</button> </div> </div> </div> ",new String(i)});
},{"template":80}],4:[function(require,module,exports){
/*TMODJS:{"version":1,"md5":"183b3fe33275f1c81e0d806e4e45ffaa"}*/
var template=require("template");module.exports=template("tpl.alert.ios",function(a){"use strict";var b=this,c=(b.$helpers,b.$string),d=a.content,e=a.negativeText,f=a.positiveText,g="";return g+='<div class="gum-alert-ios"> <div class="gum-alert-ios-content img-border-btm">',g+=c(d),g+='</div> <ul> <li class="img-border-vertical"><button class="negative-btn" ontouchstart="">',g+=c(e),g+='</button></li> <li><button class="positive-btn" ontouchstart="">',g+=c(f),g+="</button></li> </ul> </div>",new String(g)});
},{"template":80}],5:[function(require,module,exports){
/*TMODJS:{"version":1,"md5":"7249dc50a48f72324d384b02e334c2be"}*/
var template=require("template");module.exports=template("tpl.alert.prompt",function(a){"use strict";var b=this,c=(b.$helpers,b.$string),d=a.title,e=a.text,f=a.input,g=a.tip,h=a.negativeText,i=a.positiveText,j="";return j+='<div class="gum-alert-prompt"> <h1>',j+=c(d),j+='</h1> <div class="prompt-content"> <p>',j+=c(e),j+='</p> <input id="',j+=c(f),j+='" type="text" placeholder="',j+=c(g),j+='" /> </div> <ul> <li> <button class="negative-btn cancel"> ',j+=c(h),j+=' </button> </li> <li> <button class="positive-btn"> ',j+=c(i),j+=" </button> </li> </ul> </div> ",new String(j)});
},{"template":80}],6:[function(require,module,exports){
/*TMODJS:{"version":1,"md5":"ccce0526d5ec95dabc207349915eed21"}*/
var template=require("template");module.exports=template("tpl.alert.prompt.textarear",function(a){"use strict";var b=this,c=(b.$helpers,b.$string),d=a.title,e=a.content,f=a.negativeText,g=a.positiveText,h="";return h+='<style type="text/css"> .gum .textareaClass { width: 16.6em; text-align: left; padding: 0.3em } @media only screen and (min-width: 360px) { .gum .textareaClass { width: 14.6em; font-size: 18px; } } @media only screen and (min-width: 375px) { .gum .textareaClass { width: 14.6em; font-size: 19px; } } @media only screen and (min-width: 412px) { .gum .textareaClass { width: 14.6em; font-size: 21px; } } .promtTitleDiv{ font-size: .894739em; font-weight: normal; color: #999; margin: 0; padding: 0; height: 1.882em; line-height: 1.882em; margin: 0 .882em; margin-top: .529em; text-align: center } .promtInputDiv{ text-align: center } .gum-alert{ display: block; } </style> <div class="gum-alert-prompt"> <div class="promtTitleDiv">',h+=c(d),h+='</div> <div class="promtInputDiv"> <textarea class="textareaClass" >',h+=c(e),h+='</textarea> </div> <ul> <li><button class="negative-btn cancel" ontouchstart="">',h+=c(f),h+='</button></li> <li><button class="positive-btn" ontouchstart="">',h+=c(g),h+="</button></li> </ul> </div> ",new String(h)});
},{"template":80}],7:[function(require,module,exports){
"use strict";
var js_calendar=require("../../public/cordova/js_calendar"),
    CommonUtil=new (require("../validate/common.tool"))();
module.exports=function calendar(obj,callback) {
    if(obj.tagName=="SPAN"){
        obj.addEventListener("touchend",function(e){
            var curDate=e.currentTarget.innerText;
            if(curDate==""||curDate=="请选择"){
                curDate=new Date();
            }
            curDate=CommonUtil.dateformat(curDate,"yyyy-MM-dd");
            js_calendar(function (d) {
                if(typeof d == "undefined") return;
                obj.innerText=d;
                obj.classList.remove('placeholder');
                if(typeof d=="string"){
                    d=new Date(d)
                }
                callback.call(obj,d);
            },function(){},{currentDate:curDate});
        },false);
    }else{
        obj.addEventListener("change",function(){
            var d=this.value;
            if(typeof d=="string"){
                d=new Date(d)
            }
            callback.call(obj,d);
        });
    }
}
},{"../../public/cordova/js_calendar":73,"../validate/common.tool":23}],8:[function(require,module,exports){
"use strict";

var preCurUrl;

/**
 * 前端路由，创造 Router 对象，并完成初始化操作
 * @class
 * @classdesc 该类对象用于处理前端页面跳转，监听 HASH 变化
 */
function Router() {
    this.routes = [];
    this.context;
    
    // 如果启动时，发现是新框架。恢复之前记入到 localStorage 中的历史记录
    if (!window.PAWA) {
        var history = localStorage.getItem(this.HISTORY_KEY);
        if (history) {
            this.historyHash.length = 0;

            JSON.parse(history).forEach((function (i) {
                this.historyHash.push(i);
            }).bind(this));
            
            localStorage.removeItem(this.HISTORY_KEY);
        }
    }
}

Router.prototype = {
    PATH_REPLACER : "([^\/\\?]+)",
    PATH_NAME_MATCHER : /:([\w\d]+)/g,
    PATH_EVERY_MATCHER : /\/\*(?!\*)/,
    PATH_EVERY_REPLACER : "\/([^\/\\?]+)",
    PATH_EVERY_GLOBAL_MATCHER : /\*{2}/,
    PATH_EVERY_GLOBAL_REPLACER : "(.*?)\\??",
    LEADING_BACKSLASHES_MATCH : /\/*$/,
    HISTORY_KEY: 'gum_history',
    EX_HISTORY_KEY: 'pama_history',
    root         : '/',
    historyHash:[],

    /**
     * 添加路由规则
     * 
     * @param {string} path - 路由地址
     * @param {function} callback - 回调函数
     * @param {Object} curController - 当前路由对应的 controller 对象
     * @param {string} funcName - 回调函数名称
     */
    add: function (path, callback, curController, funcName) {

        var match,
            paramNames = [];

        if('string' == typeof path) {
            // 去除最后的斜杠
            path = path.replace(this.LEADING_BACKSLASHES_MATCH,'');

            // 查看是否有动态参数,格式为 :
            while(( match = this.PATH_NAME_MATCHER.exec(path)) !== null) {
                paramNames.push(match[1]);
            }

            path = new RegExp("\\b"+(path
                    .replace(this.PATH_NAME_MATCHER, this.PATH_REPLACER)
                    .replace(this.PATH_EVERY_MATCHER, this.PATH_EVERY_REPLACER)
                    .replace(this.PATH_EVERY_GLOBAL_MATCHER, this.PATH_EVERY_GLOBAL_REPLACER)) + "\\b(?:\\?.+)?$", 'i');
        }
        var _this=this;
        var route=(function(){
            for(var p in _this.routes){
                if(_this.routes[p].path.toString()===path.toString()){
                    _this.routes[p].path=path;
                    _this.routes[p].funcName=funcName;
                    _this.routes[p].paramNames=paramNames;
                    _this.routes[p].routeAction=callback;
                    _this.routes[p].module=this;
                    _this.routes[p].curController=curController;
                    return _this.routes[p];
                }
            }
        })();
        if(!route){
            this.routes.push({
                'path' : path,
                'funcName':funcName,
                'paramNames' : paramNames,
                'routeAction' : callback,
                'module':this,
                'curController':curController
            });
        }
        return this;
    },

    /**
     * 添加路由规则（简化）
     * 
     * @param {string} path - 路由地址
     * @param {Object} controller - 当前路由对应的 controller 对象
     * @param {string} funcName - 回调函数名称
     */
    addRouter: function (path, controller, funcName) {
        this.add(path, controller[funcName], controller, funcName);
    },

    /**
     * 查找匹配的路由规则，用于处理 onhashchange 事件（此方法位核心方法）
     * 
     * @param {string} currentUrl - 当前 HASH 地址
     */
    check: function (currentUrl) {

        var currentRoute, // 当前路由
            urlToTest,    // 测试路由
            match,        // 通配符
            params,       // 动态路由参数
            paramsArray;  // 动态路由参数

        if (currentUrl.length === 0) {
            return true;
        }

        /*防止两次连续导航*/
        //if(this.preCurUrl === currentUrl)return;
        //把当前路由保存,留下次判断使用
        if(typeof(PAWA) !=="undefined"){
            if(preCurUrl && preCurUrl.indexOf("gum/familyrisk") > -1){
                PAWA.App.preHash(preCurUrl.replace("gum/familyrisk/",""));
            }
        }

        // 将当前页面地址记入 preCurUrl 变量，留待下次跳转之前使用
        preCurUrl = currentUrl;
        
        // 转变当前url
        currentUrl = currentUrl.replace(this.LEADING_BACKSLASHES_MATCH,'');

        // 删除?后参数,获得路由url,访问地址默认增加 #gum/模块js名称/模块路由地址
        var hash=(currentUrl.split('?'))[0].replace(this.LEADING_BACKSLASHES_MATCH,'');
        urlToTest = hash;
        //pawa存在。新老框架结合
        for (var p in this.routes) {
            // 取得当前url
            currentRoute = this.routes[p];

            // 检查url是否正确
            if (currentRoute.path.test(urlToTest)) {
                paramsArray = [];
                params = {};
                match  = urlToTest.match(currentRoute.path);
                for (var i = 0,len = currentRoute.paramNames.length; i < len; i++) {
                    params[currentRoute.paramNames[i]] = match[i + 1];
                    paramsArray.push(match[i + 1]);
                }
                // 执行路由的回调函数
                currentRoute.routeAction.call(currentRoute.curController,params);
                break;
            }

        }

        return this;
    },

    /**
     * 取出对应的路由规则
     * 
     * @param {string} currentUrl - 请求的 HASH 地址
     * @returns {Object} - 对应的路由规则，包括：curRouter 和 params 两个字段
     */
    findRouter: function (currentUrl) {
        var currentRoute, // 当前路由
            urlToTest,    // 测试路由
            match,        // 通配符
            paramArray,
            params;       // 动态路由参数

        /*如果要查的UR为空或者和上次的URL是同一个返回*/
        if (currentUrl.length === 0 || preCurUrl === currentUrl) return;
        this.preCurUrl=currentUrl;
        // 转变当前url
        currentUrl = currentUrl.replace(this.LEADING_BACKSLASHES_MATCH,'');
        // 删除?后参数,获得路由url,访问地址默认增加 #gum/模块js名称/模块路由地址
        var hash=(currentUrl.split('?'))[0].replace(this.LEADING_BACKSLASHES_MATCH,'');
        // 修改 防止找不到currentRoute，使用最后一个currentRoute
        for (var p in this.routes) {
            // 取得当前url
            var curRouter = this.routes[p];
            // 检查url是否正确
            if (curRouter.path.test(hash)) {
                currentRoute = curRouter;
                params = {};
                paramArray=[];
                match = hash.match(currentRoute.path);
                for (var i = 0,len = currentRoute.paramNames.length; i < len; i++) {
                    params[currentRoute.paramNames[i]] = match[i + 1];
                    paramArray.push(match[i + 1]);
                }
                break;
            }
        }
        // 如果匹配到路由，将上下文参数加入到 controller 对应方法的最后一个参数
        paramArray && paramArray.push(this.context);

        return {curRouter: currentRoute, params: paramArray};
    },

    /**
     * 启动浏览器 onhashchange 监听
     */
    listen: function () {
        // 防呆
        var self = this;

        //回调函数
        var func = function(){
            // 取得变化后的路径
            var hashPath = location.hash.slice(1) || '/';

            self.check(hashPath);
        };

        // 执行这个方法
        window.onhashchange = func;

        return this;
    },

    /**
     * 取出前一个 HASH 地址
     * 
     * @returns {string} - 前一个 HASH 地址
     */
    getPreHash: function () {
        return preCurUrl;
    },

    /**
     * TODO: 用途暂不明确
     * 
     * @param {string} path - URL地址
     */
    _router: function (path) {
        if(typeof(PAWA) !=="undefined"){
            this.navigate(path);
        }else{
            this.check(path);
        }
    },

    /**
     * 跳转到对应页面地址（页面内跳转）
     * 
     * @param {string} path - 将要跳转的页面地址
     * @param {boolean} [noHistory] - 避免将当页面地址记入历史，缺省即为记入历史
     * @param {Object} [context] - 传到下一个页面的参数
     * @returns {Object} - 路由对象，如果是老框架，返回 undefined 
     */
    navigate: function (path, noHistory, context) {
        // 在页面跳转时，将当前页面的键盘隐藏掉
        document.activeElement 
        && document.activeElement.blur 
        && document.activeElement.blur();
        
        // 判断运行环境中的框架
        if (typeof PAWA !== "undefined") {
            PAWA.Router.navigate(path, true);
            return;
        } else {
            // 如果新框架，则执行以下操作：
            // 将符合条件的页面地址，记入历史记录
            if (this.preCurUrl && this.preCurUrl !== path && !noHistory) {
                this.historyHash.push(this.preCurUrl);
            }

            // 将参数暂存到 context 变量中
            this.context = context;

            // 改变浏览器 HASH 地址，触发 onhashchange 事件
            location.hash = path || '';
            return this;
        }        
    },

    /**
     * 跨新老框架跳转（页面之间跳转）
     * 
     * @param {string} path - 跳转地址，例如：index.html#xxxx
     * @param {boolean} [noHistory] - 避免将当页面地址记入历史，缺省即为记入历史
     * @returns - 路由对象
     */
    across: function (path, noHistory) {
        var PAWA = window.PAWA,
            gumHistory = window.gumHistory, 
            hash, history;

        // 如果不在 index.html 和 client.html 之间切换，则直接执行 navigate 方法
        if (!/^[\w\/]+\.html#.+/i.test(path)) {
            return this.navigate(path, noHistory);
        }

        /**
         * 将内存中的历史记录序列化保存到 localStorage 里
         * 
         * @param {string} key - 在 localStorage 中的 key 值；
         * @param {string[]} history - 内存中的 history 对象。
         */
        var SaveHistory = function (key, history) {
            localStorage.setItem(key, JSON.stringify(history));
        }

        /**
         * 读取 localStorage 中的历史记录
         * 
         * @param {string} key - 在 localStorage 中的 key 值；
         * @returns {string[]} 返回历史记录的数组
         */
        var LoadHistory = function (key) {
            return JSON.parse(localStorage.getItem(key) || '[]');
        }

        /**
         * 补全 HASH 地址前面的 HTML 文件名称
         * 
         * @param {string} locationHash - 当前的 HASH 地址，可能含有 index.html / client.html 前缀，也可能没有；
         * @param {string} prefix - HTML 文件名称，若 locationHash 不含有，则补全；
         * @returns {string} 包括 HTML 文件的完整 HASH 地址
         */
        var Prefix = function (locationHash, prefix) {
            return (/^[\w\/]+\.html#.+/i.test(locationHash)) ? locationHash : prefix + locationHash;
        }

        // 执行新老框架之间的跳转，并保存历史记录，总体步骤如下：
        // 0. 假设跳转方向为：A -> B；
        // 1. 如果 noHistory 不为 TRUE，将当前页面地址，保存于A的历史记录中；
        // 2. 将 A 的历史记录中最后一条记录 hash 弹出；
        // 3. 将 A 剩余的历史记录保存于 localStorage 中；
        // 4. 从 localStorage 取出 B 的历史记录；
        // 5. 将 hash 加入 B 的历史记录，并且保存到 localStorage 里；
        // 6. 使用 location.href 直接跳转到 B 的目标页面；
        // 7. 当 B 的页面第一次被加载时，从 localStorage 中取出历史记录加载到内存里，进行后续流程。
        //    参见：router.js:19，gumHistory.js:78

        if (PAWA) {
            // index.html --> client.html

            // 步骤 1 
            // 因为工资宝基于 AOP 的 page_out 事件，已经将该页面地址记入历史，因此，此步骤省略；

            // 步骤 2
            gumHistory && (hash = gumHistory.pop(1));

            // 步骤 3
            gumHistory && SaveHistory(this.EX_HISTORY_KEY, gumHistory.list);

            // 步骤 4
            history = LoadHistory(this.HISTORY_KEY);

            // 步骤 5
            hash && history.push(Prefix(hash, 'index.html'));
            SaveHistory(this.HISTORY_KEY, history);

            // 步骤 6
            location.href = path;

        } else {
            // client.html --> index.html

            // 步骤 1
            this.preCurUrl && this.preCurUrl !== path 
            && !noHistory && this.historyHash.push(this.preCurUrl);

            // 步骤 2
            hash = this.historyHash.pop();

            // 步骤 3
            SaveHistory(this.HISTORY_KEY, this.historyHash);

            // 步骤 4
            history = LoadHistory(this.EX_HISTORY_KEY);

            // 步骤 5
            hash && history.push(Prefix(hash, 'client.html#'));
            SaveHistory(this.EX_HISTORY_KEY, history);
        
            // 步骤 6
            location.href = path;
        }

        return this;
    }
};

/**
 * Router 类型
 * 
 * @module Router
 * @see {@link Router}
 */
module.exports = Router;
},{}],9:[function(require,module,exports){
"use strict";

/**
 * 自动消失提示框
 * @constructor
 */
function Toast() {

}

Toast.prototype = {
    /**
     * 自动消失提示框
     * @function
     * @name showToast
     * @param {string} message - 提示框文字内容
     * @param {int} timeOut - 关闭时间毫秒,选填默认2000
     * @param id 元素id
     */
    showToast: function (message, timeOut, id) {
        //如果已有提示框，则不再新建
        if (document.querySelector('body>div.toast-container')) {
            return;
        }
        timeOut = timeOut || 2000;

        // 定义一个提示框div
        var toast = document.createElement('div');
        if (id) toast.id = id;
        // 定义css
        toast.classList.add('toast-container');

        // 添加文字信息
        toast.innerHTML = '<div class="toast-message">' + message + '</div>';

        // 添加到窗体内
        document.body.appendChild(toast);

        // 自动关闭
        if (timeOut != -1) {
            this.timeId = setTimeout(this.hideToast.bind(this), timeOut);
        }
    },
    /**
     * 带菊花的自动消失提示框
     * @function
     * @name showLoadingToast
     * @param {string} message - 提示框文字内容
     * @param {int} timeout - 关闭时间毫秒,选填默认2000
     */
    showLoadingToast: function (message, timeOut) {
        if(timeOut===undefined) timeOut = -1;
        message = "<span class='spinner-white'></span>&nbsp;&nbsp;" + message;
        this.showToast(message, timeOut, 'loading');
    },
    hideToast: function () {
        // 取得loading元素
        var div = document.querySelector('body>div.toast-container');
        if (div) {
            // 删除loading元素
            document.body.removeChild(div);
        }
        clearTimeout(this.timeId);
    },
    hideLoadingToast: function () {
        this.hideToast();
    },
    /**
     * 开启蒙板
     */
    showMasking: function (timeOut, maskId) {
        maskId = maskId || 'divMasking';
        if(document.getElementById(maskId)){
            return;
        }
        timeOut = timeOut || 3000;
        // 先定义蒙版
        var divMasking = document.createElement('div');
        // 设置蒙版id
        divMasking.id = maskId;
        // 定义蒙版css
        divMasking.classList.add('toast-masking');
        // 添加蒙版元素
        document.body.appendChild(divMasking);
        // 自动关闭
        if (timeOut != -1) {
            this.maskTimeId = setTimeout(this.hideMasking.bind(this), timeOut);
        }
    },
    showMaskingManually: function (maskId) {
        this.showMasking(-1,maskId);
    },
    /**
     * 销毁蒙板
     */
    hideMasking: function (maskId) {
        maskId = maskId || 'divMasking';
        var masking = document.getElementById(maskId);
        if (masking) {
            document.body.removeChild(masking);
        }
        clearTimeout(this.maskTimeId);
    }
};

/** @module Tip */
module.exports = Toast;

},{}],10:[function(require,module,exports){
/*
 事件管理和DOM操作
 */
var $ = window._pingan_$;//实现全局唯一,暂时用这个恶心的方式
if (!$) $ = window._pingan_$ = (function () {
    "use strict";
    /*cache结构为：
     {元素键值1:{click:[callback1,callback2],touchend:[{fn:fn}]}
     ,元素键值2:{click:[{fn:fn1},{fn:fn2}...]}
     ...}
     */
    var cache = {};
    var tap = 'mytap', //避免与zepto的tap冲突,待不用zepto时可以去除
        tapDelay = 300, tapMaxMove = 15; //能触发tap的最大时间间隔和最大位移
    /**
     * 生成Query包装对象
     * @param q 可为选择器、html字符串、DOM元素、Query对象、函数。
     *          为选择器时,调用querySelectorAll方法获取元素
     *          为html字符串时(根据首字符是否为"<"判断),会生成内存DOM节点元素,并以所有根节点包装作为返回值
     *          为DOM元素时,直接包装
     *          为Query对象时,直接返回本身
     *          为函数时,等同于domready
     * @param c 选择器的上下文DOM元素
     */
    var $ = function (q, c) {
        if (typeof q == 'function')
            ready(q);
        else if (q instanceof Query)
            return q;
        else
            return new Query(q, c);
    };

    /*
     DomReady实现
     */
    function ready(callback) {
        if (/complete|loaded|interactive/.test(document.readyState))
            callback()
        else
            document.addEventListener('DOMContentLoaded', onload, false);

        function onload() {
            document.removeEventListener('DOMContentLoaded', onload);
            callback()
        }
    }

    /**
     * 读取缓存，将元素和事件关联起来
     * @param el DOM元素
     * @param evt 事件名称
     * @returns {Array} 事件handler列表
     */
    function data(el, evt) {
        var key = getKey(el);
        var elEvts = cache[key] || (cache[key] = {});
        return elEvts[evt] || (elEvts[evt] = []);

        function getKey(el) {
            if (el.getAttribute) {
                var key = el.getAttribute('__qkey');
                if (!key) {
                    el.setAttribute('__qkey', key = Math.random().toString(32));
                }
            } else {
                var key = el.__qkey;
                if (!key) {
                    el.__qkey = key = Math.random();
                }
            }
            return key;
        }
    }

    /**
     * 遍历对象属性或数组
     * @param o Object类型或Array类型
     * @param fn 回调函数.
     *           对于Array,fn形式为function(arrItem){}
     *           对于Object,fn形式为function(propertyKey, propertyValue){}
     */
    $.each = function (o, fn) {
        if (o instanceof Array)
            o.forEach(fn);
        else
            for (var k in o)
                fn(k, o[k])
    }
    /*
     清除非永久性的事件绑定
     通过$(selector).on方法第3个参数,来指定是否为永久性事件绑定
     */
    $.clear = function () {
        $.each(cache, function (key, elEvts) {
            $.each(elEvts, function (evt, cbs) {
                cbs.forEach(function (cb, i) {
                    //移除非永久的回调
                    if (!cb.forEver) cbs.splice(i, 1)
                });
                if (cbs.length == 0) delete elEvts[evt]
            })
            if (Object.keys(elEvts).length == 0)delete cache[key]
        })
    };
    $.event = {
        on: function (qObj, evts, fn, forEver, once, selector) {
            if (once) once = function () {
                $.event.off(qObj, evts, fn)
            }
            tryEach(qObj, function (e) {
                evts.split(',').forEach(function (evt) {
                    evt == 'tap' && (evt = tap);
                    var cb = {fn: fn, forEver: !!forEver, _fn: once};
                    var l = data(e, evt);
                    //只需绑一次事件
                    if (l.length == 0 && e.addEventListener) e.addEventListener(evt, $.event.dispatch, false);
                    evt == tap && e.setAttribute('data-tappable', selector || '');
                    evt == tap && e.setAttribute('ontouchstart', '');
                    l.push(cb);
                })
            })
        },
        off: function (qObj, evts, fn) {
            tryEach(qObj, function (e) {
                evts.split(',').forEach(function (evt) {
                    evt == 'tap' && (evt = tap);
                    var cbs = data(e, evt);
                    if (fn === undefined) {
                        cbs.splice(0, cbs.length);//clear
                    }
                    else {
                        for (var i = 0; i < cbs.length; i++) {
                            //是同一个函数,或者函数的globalId相同,即可移除
                            if (cbs[i].fn == fn || (fn.globalId && fn.globalId == cbs[i].fn.globalId)) {
                                cbs.splice(i, 1);//remove one
                                i--;
                            }
                        }
                    }
                    if (cbs.length == 0) {
                        e.removeEventListener && e.removeEventListener(evt, $.event.dispatch);
                    }
                });
            });
        },
        /**
         * 所有绑定事件的统一代理方法
         */
        dispatch: function (evt) {
            var cbs = data(this, evt.type).slice(0)//复制,避免还没轮执行到就被移除
                , el = this, args = [evt];
            evt.args && args.push.apply(args, evt.args);
            cbs.forEach(function (cb) {
                cb.fn && cb.fn.apply(el, args);
                //为实现one()的内部处理
                cb._fn && cb._fn();
            })
        },
        /*
         构建自定义事件
         */
        create: function (evt, noBubble) {
            evt == 'tap' && (evt = tap);
            var eType = //"click,mousedown,mouseup,mousemove".indexOf(evt) > -1 ? "MouseEvents" :
                "Events";
            var event = document.createEvent(eType);
            event.initEvent(evt, !noBubble, true);
            return event
        }
    };


    $.netWork=(function(){
      return {
          netWorkOn:function(){
              return window.navigator.onLine;
          }
      }
    })();

    /**
     * 包装对象
     * @param selector 选择器
     *                 如果以“<”开头，作为html构建内存节点；
     *                 否则作为选择器，querySelectorAll的参数
     * @param context 选择器的上下文对象
     */
    function Query(selector, context) {
        this.es = [], this.length = 0;
        var es = typeof selector == 'string'
            ? (selector.substr(0, 1) == '<' ? buildByFragment(selector) : select(selector, context))
            : (selector ? [selector] : []);
        setItems(this, es)
    }

    /*以元素数组来构建Query对象*/
    function arrQuery(es) {
        var r = $();
        setItems(r, es);
        return r;
    }

    /**
     * 选择器
     */
    function select(selector, context) {
        context = context || document;
        return context.querySelectorAll(selector);
    }

    /*
     * 传入html，构建为内存对象
     */
    function buildByFragment(html) {
        var div = document.createElement('div');
        div.innerHTML = html;
        var nodes = toArr(div.children);
        div.innerHTML = '';
        return nodes;
    }

    //下面这些方法含义和jQuery类似
    Query.prototype = $.fn = {
        /**
         * 绑定事件.forEver的事件不会被clear,但可以解绑
         */
        on: function (evt, fn, forEver, once, selector) {
            $.event.on(this, evt, fn, forEver, once, selector);
            return this
        },
        /**
         * 解绑事件
         * @param fn 解绑的函数.
         *           如果不指定,则移除此事件上绑定的所有函数
         *           需和绑定时的函数是同一个函数实例才能解绑（注意:闭包中声明的函数,每次执行时不是同一个实例）.
         *           如果希望强制解除,可以为fn指定一个固定的globalId属性(不同的函数实例只要globalId相同,就能互相解绑)
         */
        off: function (evt, fn) {
            $.event.off(this, evt, fn);
            return this
        },
        /**
         * 绑定事件,执行一次后自动解绑
         */
        one: function (evt, fn, forEver) {
            return this.on(evt, fn, forEver, 1);
        },
        /*
         先解绑,再绑定. 可避免重复绑定,参数与off和on方法一致
         */
        offOn: function (evt, fn, forEver, once) {
            return this.off(evt, fn).on(evt, fn, forEver, once)
        },
        find: function (selector) {
            return eachJoin(this, function (e) {
                return select(selector, e)
            });
        },
        eq: function (i) {
            return $(this[i]);
        },
        slice: function (start, end) {
            return arrQuery(this.es.slice(start, end));
        },
        //其他方法
        first: function () {
            return this.eq(0);
        },
        last: function () {
            return this.eq(this.length - 1);
        },
        parent: function () {
            return eachJoin(this, function (e) {
                return e.parentNode
            });
        },
        closest: function (selector) {
            return eachJoin(this, function (e) {
                do {
                    e = e.parentNode;
                } while (e && !elIs(e, selector));
                return e;
            });
        },
        next: function () {
            return eachJoin(this, function (e) {
                return sibling(e, 1)
            })
        },
        prev: function () {
            return eachJoin(this, function (e) {
                return sibling(e)
            })
        },
        children: function () {
            return eachJoin(this, function (e) {
                return e.children
            })
        },
        remove: function () {
            return tryEach(this, function (e) {
                e.parentNode.removeChild(e);
            })
        },
        /*css: function (p, val) {
         return typeof p == 'string'
         ? tryEach(this, function (e) {
         e.style[p] = val;
         })
         : tryEach(this, function (e) {
         for (var n in p)
         e.style[n] = p[n];
         })
         },*/
        addClass: function (cls) {
            return tryEach(this, function (e) {
                cls && cls.split(' ').forEach(function (i) {
                    e.classList.add(i)
                })
            })
        },
        /*
         @param cls 要移除的class,如果不传此参数,则移除所有class
         */
        removeClass: function (cls) {
            var removeAll = !arguments.length;
            return tryEach(this, function (e) {
                removeAll ? e.className = '' : e.classList.remove(cls);
            })
        },
        toggleClass: function (cls, isAdd) {
            var noArg2 = arguments.length == 1;
            return tryEach(this, function (e) {
                if (noArg2)
                    isAdd = !e.classList.contains(cls);
                e.classList[isAdd ? 'add' : 'remove'](cls);
            })
        },
        hasClass: function (cls) {
            var e = this.es[0];
            return e && e.classList.contains(cls)
        },
        css: function (n, val) {
            var isString = typeof n == 'string', arg = arguments;
            return access(this, arg, 1, function (e) {
                return e.style[n];
            }, function (e) {
                if (isString) {
                    e.style[n] = val;
                } else {
                    for (var k in n) {
                        e.style[k] = n[k];
                    }
                }
            }, function () {
                return isString && arg.length < 2;
            });
        },
        hide: function () {
            return tryEach(this, function (e) {
                e.style.display = 'none';
            })
        },
        show: function () {
            return tryEach(this, function (e) {
                e.style.display = 'initial';
            })
        },
        text: function (tx) {
            return access(this, arguments, 0, function (e) {
                return e.tagName == 'SELECT' ? (e = e.options[e.selectedIndex]) && e.text : e.textContent
            }, function (e) {
                e.textContent = tx
            });
        },
        html: function (htm) {
            return access(this, arguments, 0
                , function (e) {
                    return e.innerHTML
                }
                , function (e) {
                    e.innerHTML = htm || '';
                }
            );
        },
        val: function (v) {
            return access(this, arguments, 0, function (e) {
                return e.value
            }, function (e) {
                e.value = v === undefined ? '' : v;
            });
        },
        is: function (selector) {
            return elIs(this.es[0], selector);
        },
        rect: function () {
            return getRect(this.es[0]);
        },
        /**
         * 取style.width或offsetWidth
         */
        width: function (val) {
            return access(this, arguments, 0
                , function (e) {
                    return getRect(e).width
                }
                , function (e) {
                    if (/^[\d\.]+$/.test(val)) {
                        val += 'px'
                    }
                    e.style.width = val
                }
            );
        },
        /**
         * 取style.height或offsetHeight
         */
        height: function (val) {
            return access(this, arguments, 0
                , function (e) {
                    return getRect(e, 1).height
                }
                , function (e) {
                    if (/^[\d\.]+$/.test(val)) {
                        val += 'px';
                    }
                    e.style.height = val
                }
            );
        },
        /*
         获取或设置属性.如果是元素固有属性,直接操作之;否则通过setAttribute设置
         */
        attr: function (name, val) {
            return access(this, arguments, 1
                , function (e) {
                    return isElProperty(e, name) ? e[name] : e.getAttribute(name)
                }
                , function (e) {
                    if (isElProperty(e, name)) e[name] = val;
                    else e.setAttribute(name, val);
                }
            );
            //判断是否是元素固有属性,如disabled或checked
            function isElProperty(e, name) {
                while (e != null) {
                    if (e.hasOwnProperty(name)) return true;
                    e = e.__proto__;
                }
                return false
            }
        },
        /*
         * 节点操作
         */
        /*prepend: function (es) {
         return tryEach2(this, es, function (prt, child) {
         prt.insertBefore(child, prt.childNodes[0])
         })
         },
         prependTo: function (es) {
         return tryEach2(this, es, function (child, prt) {
         prt.insertBefore(child, prt.childNodes[0])
         })
         },*/
        append: function (es) {
            return tryEach2(this, es, function (prt, child) {
                prt.appendChild(child)
            })
        },
        appendTo: function (es) {
            return tryEach2(this, es, function (child, prt) {
                prt.appendChild(child)
            })
        },
        before: function (es) {
            return tryEach2(this, es, function (e1, e2) {
                e2.parentNode.insertBefore(e1, e2)
            })
        },
        //在DOM节点上触发事件,支持冒泡
        trigger: function (name, noBubble) {
            var event = typeof name === 'string' ? $.event.create(name, noBubble) : name;
            event.args = [].slice.call(arguments, 2);
            return tryEach(this, function (e) {
                e.dispatchEvent ? e.dispatchEvent(event) : $.event.dispatch.call(e, event);
            })
        },
        //触发元素上绑定的事件操作
        triggerHandler: function (name) {
            var event = $.event.create(name);
            return tryEach(this, function (e) {
                $.event.dispatch.call(e, event)
            })
        },
        each: function (fn) {
            this.es.forEach(fn);
        }
    };
    //一系列的事件方法，on方法的简写。移动端省略了鼠标事件
    ["blur", "focus", "focusin", "focusout", "load", "resize", "scroll", "unload"
        , tap//, "click", "dblclick", "mousedown", "mouseup", "mousemove", "mouseover", "mouseout", "mouseenter", "mouseleave"
        , "touchmove", "touchstart", "touchend", "touchcancel"
        , "change", "select", "submit", "keydown", "input", "keypress", "keyup", "error"//, "contextmenu"
    ].forEach(function (evt) {
        $.fn[evt] = function (fn, forEver, once, selector) {
            return this.on(evt, fn, forEver, once, selector)
        }
    });
    $.fn.tap = $.fn[tap];

    /*
     判断元素e是否符合选择器
     */
    function elIs(e, selector) {
        var m = e && (e.webkitMatchesSelector || e.matchesSelector || e.matches);
        return m ? m.call(e, selector) : $(selector).es.indexOf(e) > -1;
    }

    /**
     * 根据val是否传递，来获取值，或者设置值
     */
    function access(qObj, args, i, fnGet, fnSet, fnJudge) {
        //没有索引为i的参数,就作为fnGet
        if (fnJudge ? fnJudge() : args.length <= i) {
            var r = qObj[0] && fnGet(qObj[0]);
            return r === undefined || r === null ? '' : r;
        }
        else if (fnSet) {
            qObj.es.forEach(function (e) {
                fnSet(e, args[i])
            });
            return qObj;
        }
    }

    /**
     * 尝试遍历内部数组
     */
    function tryEach(qObj, fn) {
        try {
            qObj.es.forEach(fn)
        } catch (e) {
        }
        return qObj;
    }

    function tryEach2(qObj, el, fn) {
        qObj.es.forEach(function (e) {
            try {
                $(el).es.forEach(function (e2) {
                    fn.call(e, e, e2)
                })
            } catch (ex) {
            }
        });
        return qObj;
    }

    /**
     * 根据结果扩充或缩减内部数组
     */
    function eachJoin(qObj, fn) {
        try {
            var es = [];
            qObj.es.forEach(function (e) {
                var r = fn(e);
                if (r && r.length !== undefined && !r.tagName) {
                    r = r instanceof Array ? r : toArr(r);
                    es = es.concat(r);
                }
                else if (r && es.indexOf(r) == -1) {
                    es.push(r);
                }
            });
        } catch (e) {
        }
        return arrQuery(es);
    }

    /**
     * 获取非文本兄弟节点
     */
    function sibling(e, next) {
        try {
            do {
                e = (next ? e.nextSibling : e.previousSibling)
            } while (e && e.nodeType != 1);
        } catch (e) {
        }
        return e
    }

    /*
     获取高度或宽度,位置
     */
    function getRect(el, isHeight) {
        var name = isHeight ? 'Height' : 'Width';
        if (el === window) {
            var w = window;
            return {
                height: w['inner' + name],
                width: w['inner' + name],
                left: w.pageXOffset,
                top: w.pageYOffset
            }
        }
        return el && el.getBoundingClientRect();
    }

    /*
     将集合转换为数组
     */
    function toArr(coll) {
        return [].slice.call(coll, 0)
    }

    /**
     * 根据新对象数组，设置索引属性值和length值
     */
    function setItems(qObj, es) {
        var i;
        for (i = 0; i < qObj.length; i++) {
            delete qObj[i]
        }
        if (!(es instanceof Array)) {
            es = toArr(es);
        }
        for (i = 0; i < es.length; i++) {
            qObj[i] = es[i];
        }
        qObj.es = es;
        qObj.length = es.length
    }

    /*
     模拟tap事件,模拟stroke事件
     tap事件:点击屏幕,不移动,并立即抬起时触发
     支持changedTouches等属性
     支持preventDefault().(事件绑在body上,故stopPropagation无意义)
     简化处理:如果touchstart和touchend移动范围很小,而且时间间隔短,则触发tap事件

     stroke事件: 点击屏幕,拖动,然后抬起时触发
     支持deltaX和deltaY属性,表示移动的距离.值的正负表示方向.
     支持preventDefault()
     */
    $(function () {
        var time, x, y, el, curEl, topEl;

        function findTopEl (el) {
            while (el && el instanceof HTMLElement && el.getAttribute('data-tappable') == null) {
                el = el.parentNode;
            }

            return el instanceof HTMLElement ? el : null;
        }

        function findEl (el, selector) {
            var p = Element.prototype;
            var f = p.matches || p.webkitMatchesSelector || p.mozMatchesSelector || p.msMatchesSelector || function(s) {
                return [].indexOf.call(document.querySelectorAll(s), this) !== -1;
            };

            while (el && el instanceof HTMLElement && !f.call(el, selector)) {
                el = el.parentNode;
            }

            return el instanceof HTMLElement ? el : null;
        }

        function measure (e, o, t, fire, overstep, overtime) {
            var tch = e.changedTouches[0], timespan = Date.now() - time
                , dx = tch.pageX - o.x, dy = tch.pageY - o.y
                , dt = Math.abs(dx) + Math.abs(dy);
            if (dt < tapMaxMove) {
                if (timespan >= tapDelay) {
                    overtime.call(this, dx, dy);
                } else {
                    fire.call(this, dx, dy);
                }
            } else {
                overstep.call(this, dx, dy);
            }
        }

        $(document.body).touchstart(function (e) {
            time = Date.now();
            el = e.target;
            x = e.changedTouches[0].pageX;
            y = e.changedTouches[0].pageY;

            topEl = findTopEl(e.target);
            if (topEl) {
                var selector = topEl.getAttribute('data-tappable');
                curEl = selector ? findEl(e.target, selector) : topEl;
                curEl && curEl.classList.add('tapping');
            }

            setTimeout(function () {
                curEl && curEl.classList.remove('tapping');
            }, tapDelay);
        }, 1).touchmove(function (e) {
            if (el == e.target) {
                measure(e, {x:x, y:y}, time, function () {
                    console.log('Touch moving');
                }, function () {
                    console.log('Touch cancelled by overstep (touchmove)');
                    curEl && curEl.classList.remove('tapping');
                    el = null;
                }, function () {
                    console.log('Touch cancelled by overtime (touchmove)');
                    curEl && curEl.classList.remove('tapping');
                    el = null;
                });
            }
        }, 1).touchend(function (e) {
            if (el == e.target) {
                curEl && curEl.classList.remove('tapping');
                measure(e, {x:x, y:y}, time, function () {
                    console.log('Fire tap event.');
                    fire(tap, e, {});
                    el = null;
                }, function (dx, dy) {
                    console.log('Touch cancelled by overstep (touchend)');
                    fire('stroke', e, {deltaX: dx, deltaY: dy});
                    el = null;
                }, function (dx, dy) {
                    console.log('Touch cancelled by overtime (touchend)');
                    fire('stroke', e, {deltaX: dx, deltaY: dy});
                    el = null;
                });
            }
        }, 1);
        /*
         基于TouchEvent触发touch类模拟事件
         */
        function fire(evt, e, attr) {
            var tapE = document.createEvent('Event');
            tapE.initEvent(evt, true, true);
            ['touches', 'targetTouches', 'changedTouches'].forEach(function (a) {
                tapE[a] = e[a];
            });
            Object.keys(attr).forEach(function (a) {
                tapE[a] = attr[a]
            });
            $(e.target).trigger(tapE);//在DOM上触发事件绑定（同步执行）
            if (tapE.defaultPrevented) e.preventDefault();
        }
    });

    return $;
})();

module.exports = $;
},{}],11:[function(require,module,exports){
//$是全局唯一的,unique的变量暂时放它上面,避免重复执行
"use strict";
var $ = require("./$.js");
var aop = $.aop;
if (!aop) {
    aop = $.aop = {
        //__proto__: $(document.body),
        /*
         触发全局的aop事件,可传参
         */
        fire: function (evt) {
            //在evt参数后面插入一个false参数,其他参数不变,传给trigger
            [].splice.call(arguments, 1, 0, false);
            var d = $(document.body);
            d.trigger.apply(d, arguments);
        },

        /*
         为aop事件绑定事件处理
         */
        on: function (evt, fn, forEver, once) {
            $(document.body).on(evt, fn, forEver, once);
            return this;
        },
        /*
         为aop事件绑定一次性的事件处理
         */
        one: function (evt, fn, forEver) {
            return this.on(evt, fn, forEver, 1);
        },
        off: function (evt, fn) {
            $(document.body).off(evt, fn);
            return this;
        },
        offOn: function (evt, fn, forEver, once) {
            return this.off(evt, fn).on(evt, fn, forEver, once)
        }
    };


    //页面离开时,清除当前事件绑定,释放内存
    aop.on('page_out', function () {
        //清除$中缓存的本页事件.
        $.clear();
    }, 1)
    
}
module.exports = aop;

},{"./$.js":10}],12:[function(require,module,exports){
"use strict";

var platformUtil = require('./platformUtil');
var Q = require('./promise');

/**
 * 创建一个 Bridge 的对象构造函数，将已有所列的接口列表绑定到 bridge 对象上，如果版本不支持某方法，则该方法不绑定
 * @class
 * @classdesc 该类用于统一处理 native 和 H5 之间的交互
 */
var Bridge = function () {
    /**
     * 支持的接口列表，以后的新增接口，统一添加到这里
     */
    var Interfaces = {
        'js_opt_h5_login':                  [ 0, 0 ], // iOS, Android
        'js_get_security_data':             [ 0, 0 ],
        'js_update_user_info_to_native':    [ 0, 0 ],
        'js_get_photo':                     [ 0, 0 ],
        'js_user_info_perfect_callback':    [ 0, 0 ],
        'js_opt_h5_toNative':               [ 0, 0 ],
        'js_pwd_keyboard':                  [ 0, 0 ],
        'js_pdf_viewer':                    [ 0, 0 ],
        'js_html_viewer':                   [ 0, 0 ],
        'js_anydoor_open':                  [ 0, 0 ],
        'js_xiaoan_forward':                [ 0, 0 ],
        'js_request_security':              [ 0, 0 ],
        'js_cfb_open':                      [ 0, 0 ],
        'js_upload_file':                   [ 0, 0 ], // 9月20日需求，需要填写9月6日发布的 native 版本号
        'js_barcode_scanner':               [ 0, 0 ], // 9月20日需求，需要填写9月6日发布的 native 版本号
        'js_faceCheck_open':                [ 0, 0 ],
        'js_disable_scroll':                [ 0, 0 ],
        'js_send_wechat':                   [ 0, 0 ]
    };

    /**
     * 自动绑定 Cordova 接口到 bridge 对象
     *
     * @param {Object} bridge - Bridge 对象；
     * @param {number} ios - 可选，当前 iOS 版本号；
     * @param {number} android - 可选，当前 Android 版本号。
     */
    function bindInterfaces (bridge, ios, android) {
        for (var name in Interfaces) {
            var item = Interfaces[name];
            if (ios && ios <= item[0] || android && android <= item[1]
                || !ios && !android) {
                continue;
            }
            bridge[name] = bridge.js_cordova_exec.bind(bridge, name);
        }

        // 为该方法创建别名
        bridge['js_opt_h5_to_native'] = bridge['js_opt_h5_toNative'];
        bridge['js_ios_app_vesion']  = bridge['js_ios_app_version'];

        // 对该接口做特殊处理：如果支持，将真正的函数引用进来；如果不支持，只给出一个空函数。
        if (bridge['js_request_security']) {
            bridge['js_request_security'] = bridge['_js_request_security'];
        } else {
            bridge['js_request_security'] = function (data, success) {
                success();
            }
        }
    }

    if (window.isApp) {
        // 如果运行环境为 iOS ，则使用回调方法确定 build 号
        platformUtil.ios && this.js_ios_app_version((function (app) {
            bindInterfaces(this, app.iosBundleVersion * 1);
        }).bind(this));

        // 如果运行环境为 Android ，则使用 window.healthAppObj 对象取得 build 号
        try {
            platformUtil.android && bindInterfaces(this, null, healthAppObj.getAppVersionCode());
        }
        catch (e) {
            console.log(e);
        }
    } else {
        // 如果在非 iOS 或 Android 环境中，Cordova 接口肯定不支持，
        // 因此不绑定任何方法 。
        // bindInterfaces(this);
    }
}


Bridge.prototype = {
    /**
     * 请求 Cordova 接口成功后的回调函数，回调类型名称为`successCallback`.
     *
     * @callback successCallback
     * @param {Object} resp - 请求成功的结果
     */

    /**
     * 请求 Cordova 接口失败后的回调函数，回调类型名称为`errorCallback`.
     *
     * @callback errorCallback
     * @param {Object} err - 错误原因等
     */

    /**
     * 调用 Cordova 接口的公共方法
     *
     * @param {string} method - 方法名称；
     * @param {Object|Array} data - 请求的入参，可以为数组、对象或空；
     * @param {successCallback} success - 执行成功之后的回调函数；
     * @param {errorCallback} error - 当不存在 Cordova 对象，或执行失败之后的回调函数；
     * @param {string} pluginName - Cordova 插件名称，默认为 PAJsBridge。
     */
    js_cordova_exec: function (method, data, success, error, pluginName) {
        var deferred = Q.defer(),
            parameters =
            Object.prototype.toString.call(data) === '[object Array]' ?
            data : [ data || {} ];

        success = success || function () {};
        error = error || function () {};

        window.cordova && cordova.exec(function (resp) {
            success.call({}, resp);
            deferred.resolve(resp);
        }, function (err) {
            error.call({}, err);
            deferred.reject(err);
        },
            pluginName || 'PAJsBridge',
            method, parameters
        );

        if (!window.cordova) {
            error.call({});
            deferred.reject();
        }

        return deferred.promise;
    },

    /**
     * 设置导航栏（支持版本 Android > 105 , iOS > 152）
     *
     * @param {Object} param - 入参
     * @param {string} param.hasbar - 是否显示导航栏 ( yes / no )；
     * @param {string} param.title - 导航栏文字；
     * @param {string} param.leftBtn - 左按钮图标 Unicode 形式；
     * @param {string} param.rightBtn - 右按钮图标 Unicode 形式；
     * @param {string} param.onLeftButtonClicked - 左按钮点击回调函数名；
     * @param {string} param.onRightButtonClicked - 右按钮点击回调函数名。
     */
    js_h5_toolbar: function (param) {
        this.js_cordova_exec('js_h5_toolbar', param);
    },

    /**
     * 返回 native 首页（支持版本 Android > 105, iOS > 152）
     */
    js_close_webview: function () {
        this.js_cordova_exec('js_close_webview');
    },

    /**
     * 返回 iOS 入口页面（支持版本 Android > 105, iOS > 152）
     * 
     * @param {Object} param - 输入参数，可选
     */
    js_native_last: function (param) {
        this.js_cordova_exec('js_native_last', param);
    },

    /**
     * 统一的返回处理，当 iOS 时，返回到入口页面，当 Android 时，关闭当前 WebView 窗口
     */
    native_last: function () {
        platformUtil.android && this.js_close_webview();
        platformUtil.ios && this.js_native_last();
    },

    /**
     * 使用 Cordova 默认方式，打开浏览器
     *
     * @param {string} url - 页面地址
     */
    js_new_browser: function (url) {
        this.js_cordova_exec('open', [ url, '_system', 'location=yes' ],
            null, null, 'InAppBrowser');
    },

    /**
     * 调用 native 登录界面（支持版本 Android > 105, iOS > 152）
     *
     * @param {string} currentUrl - 当前页面的URL地址，用于登录成功后返回
     */
    js_login: function (currentUrl) {
        this.js_cordova_exec('js_login', { currentUrl : currentUrl });
    },

    /**
     * 低门槛用户升级高门槛（支持版本 Android > 105, iOS > 152）
     */
    js_upgradeUser: function() {
        this.js_cordova_exec('js_upgradeUser');
    },

    /**
     * 写入 Talking Data 埋点（支持版本 Android > 105, iOS > 152）
     *
     * @param {string} eventID - 事件ID
     * @param {string} eventLabel - 事件标签
     */
    js_talking_data: function (eventID, eventLabel) {
        this.js_cordova_exec('js_talking_data', {
            eventID: eventID,
            eventLable: eventLabel
        });
    },

    /**
     * 请求 js_claimNotice_download 接口成功后的回调函数，回调类型名称为`successClaimCallback`.
     *
     * @callback successClaimCallback
     * @param {Object} resp - 成功回调返回参数
     * @param {string} resp.status - 执行结果，0:成功；1:失败
     */

    /**
     * 下载理赔通知书（支持版本 Android > 105, iOS > 152）
     *
     * @param {string} chsNo - 保单号
     * @param {successClaimCallback} success - 执行成功之后的回调函数；
     * @param {errorCallback} error - 执行失败之后的回调函数；
     */
    js_claimNotice_download: function(chsNo, success, error) {
        this.js_cordova_exec('js_claimNotice_download', {chsNo: chsNo},
            success, error);
    },

    /**
     * 请求 js_ios_app_version 接口成功后的回调函数，回调类型名称为`successVersionCallback`.
     *
     * @callback successVersionCallback
     * @param {Object} resp - 成功回调返回参数
     * @param {string} resp.iosBundleVersion - 执行结果，版本号
     */

    /**
     * 获取 iOS 版本号，别名：js_ios_app_vesion（支持版本 Android > 105, iOS > 152）
     *
     * @param {successVersionCallback} success - 执行成功之后的回调函数；
     * @param {errorCallback} error - 执行失败之后的回调函数；
     */
    js_ios_app_version: function (success, error) {

        // 如果用户指定 error 函数，则调用用户的 error 函数；
        // 如果用户未指定，则调用 success 函数，并 mock 一个最小版本号
        error = error || function () {
            success({ iosBundleVersion : 0 });
        }

        this.js_cordova_exec('js_ios_app_vesion', null, success, error);
    },

    /**
     * 请求 js_wechat_share_friend 接口成功后的回调函数，回调类型名称为`successShareFriendCallback`.
     *
     * @callback successShareFriendCallback
     * @param {Object} resp - 成功回调返回参数
     * @param {string} resp.status - 执行结果，0: 分享成功 1: 用户取消分享 2: 分享失败
     */

    /**
     * 分享到微信好友（支持版本 Android > 105, iOS > 152）
     *
     * @param {Object} param - 入参
     * @param {string} param.title - 分享标题（仅在分享到好友）
     * @param {string} param.description - 分享描述文字
     * @param {string} param.imageUrl - 分享图标地址（绝对路径）
     * @param {string} param.shareUrl - 分享页面的链接地址（绝对路径）
     * @param {successShareFriendCallback} success - 执行成功之后的回调函数；
     * @param {errorCallback} error - 执行失败之后的回调函数；
     */
    js_wechat_share_friend: function (param, success, error) {
        this.js_cordova_exec('js_wechat_share_friend', param, success, error);
    },

    /**
     * 请求 js_wechat_share_friend 接口成功后的回调函数，回调类型名称为`successShareFriendCallback`.
     *
     * @callback successShareFriendCallback
     * @param {Object} resp - 成功回调返回参数
     * @param {string} resp.status - 执行结果，0: 分享成功 1: 用户取消分享 2: 分享失败
     */

    /**
     * 分享到微信朋友圈好友（支持版本 Android > 105, iOS > 152）
     *
     * @param {Object} param - 入参
     * @param {string} param.title - 分享标题（仅在分享到好友）
     * @param {string} param.description - 分享描述文字
     * @param {string} param.imageUrl - 分享图标地址（绝对路径）
     * @param {string} param.shareUrl - 分享页面的链接地址（绝对路径）
     * @param {successShareFriendCallback} success - 执行成功之后的回调函数；
     * @param {errorCallback} error - 执行失败之后的回调函数；
     */
    js_wechat_share_timeline: function (param, success, error) {
        this.js_cordova_exec('js_wechat_share_timeline', param, success, error);
    },

    /**
     * 请求 js_calendar 接口成功后的回调函数，回调类型名称为`successCalendarCallback`.
     *
     * @callback successCalendarCallback
     * @param {Object} resp - 成功回调返回参数
     * @param {string} resp.currentDate - 用户选择的日期，格式为：yyyy-mm-dd
     */

    /**
     * 获取日历（支持版本 Android > 105, iOS > 152）
     *
     * @param {Object} param - 入参
     * @param {string} param.startDate - 选择范围的开始日期
     * @param {string} param.endDate - 选择范围的结束日期
     * @param {string} param.currentDate - 弹出时显示的默认日期
     * @param {successCalendarCallback} success - 执行成功之后的回调函数；
     * @param {errorCallback} error - 执行失败之后的回调函数；
     */
    js_calendar: function (param, success, error) {
        this.js_cordova_exec('js_calendar', param, success, error);
    },

    /**
     * 跳转 native 界页（支持版本 Android > 105, iOS > 152）
     * @param {Object} param - 页面信息
     */
    js_go_native: function (param) {
        this.js_cordova_exec('js_go_native', param);
    },

    /**
     * 兼容老框架与 native 交互的方法，js_oldNative 将原来setUrl发消息方式的交互改为 Cordova 调用方式
     *
     * @param {Object} param - 原始请求的入参
     */
    js_oldNative: function(param) {
        this.js_cordova_exec('js_oldNative', param);
    },

    /**
     * 调用 Cordova 自带日志插件
     *
     * @param {string} title - 日志标题
     * @param {string} content - 日志内容
     */
    js_log: function (title, content) {
        window.isApp && this.js_cordova_exec(
            'logLevel', [ title, content ], null, null, 'Console');
    },

    /**
     * 调用 js_h5_pasign 请求的回调函数，函数类型名称`successPASignCallback`.
     *
     * @callback successPASignCallback
     * @param {string} signData - 签名数据
     */

    /**
     * 年金电子签名调用 native 签名页面
     *
     * @param {successPASignCallback} success - Native 签名成功后的回调函数
     * @param {Object} dataObj - 请求的入参
     */
    js_h5_pasign: function (success, dataObj) {
        dataObj = dataObj || {};
        dataObj.isSign = 'Y';

        function callback (res) {
            res && res.status === '1' && success(res.signDataData);
        }

        this.js_cordova_exec('js_h5_pasign', dataObj, callback);
    },

    /**
     * OTP 登录使用
     *
     * @param {successCallback} success - 成功的回调函数
     * @param {errorCallback} error - 失败的回调函数
     */
    js_get_user_info_to_h5: function (success, error) {
        this.js_cordova_exec('js_get_user_info_to_h5', null, success, error);
    },

    js_update_user_info:function(data,succ,error){
        this.js_cordova_exec("js_update_user_info",data,succ,error);
    },

    js_get_photo:function(data,success,error){
        this.js_cordova_exec("js_get_photo", data ,success, error);
    },

    js_send_wechat:function(data){
        this.js_cordova_exec("js_send_wechat", data ,function(){}, function(){});
    },

    /**
     * 禁用native滚动条
     *
     * @param 无
     * */
    js_disable_scroll: function (data) {
        this.js_cordova_exec("js_disable_scroll",data)
    },



    /**
     * 奥运活动加签，因为要判断版本是否支持，所以将该方法设为私有，待版本检查通过后改为公开
     *
     * @param {Object} data - 入参
     * @param {successCallback} success - 成功的回调函数
     */
    _js_request_security: function (data, success) {
        this.js_cordova_exec('js_request_security', data, success, function () {
            success();
        });
    }
}

/**
 * Bridge 对象，用于封装 JS 调用 native 的所有方法
 *
 * @module bridge
 * @see {@link Bridge}
 */
module.exports = new Bridge();

},{"./platformUtil":14,"./promise":15}],13:[function(require,module,exports){
/*
 实现输入控件自动滚动的问题
 解决安卓的虚拟键盘挡住输入框的问题
 无导出对象
 */

"use strict";
var $ = require('./$');
var platformUtil = require('./platformUtil');


if (platformUtil.android && !$.inputScrollBound) {
    $.inputScrollBound = !0; //避免重复绑定（$全局唯一）
    $(window).on('resize', onResize, 1);
}

var _lastHeight = 100000;
function onResize() {
    var el = document.activeElement, curH = document.body.scrollHeight;
    if (el && el.tagName == 'INPUT' && curH < _lastHeight
        && /^(text|number|tel|email|password|search|url)/.test(el.type)) {
        document.body.scrollTop = curH;
        el.scrollIntoView()
    }
    _lastHeight = curH;
}
},{"./$":10,"./platformUtil":14}],14:[function(require,module,exports){
"use strict";
function getInfo() {
    var u = navigator.userAgent;
    //是否为ios或安卓
    var ios = /iPhone|iPad|Mac/i.test(u), android = /Android|Linux/i.test(u);
    //app版本
    var appVer = 0;
    try {
        if (android) appVer = window.healthAppObj.getAppVersionCode();
        if (ios) appVer = window.iosBundleVersion;
    }
    catch (e) {

    }

    //密码键盘是否可用
    var pwdKbdEnabled = (android && appVer > 111 || ios && appVer > 200);

    return {
        ios: ios,
        android: android,
        appVer: appVer,
        pwdKbdEnabled: pwdKbdEnabled
    }
}
module.exports = getInfo();
},{}],15:[function(require,module,exports){
"use strict";

function Promise (deferred) {
    this.deferred = deferred;
    this.committed = false;
    this.ret = undefined;
    this.innerDeferred = undefined;
}

Promise.prototype = {
    then: function (succ, fail) {
        this._succ = succ || function () {}
        this._fail = fail || function () {}

        this.innerDeferred = this.innerDeferred || q.defer();
        this.execute();
        return this.innerDeferred.promise;
    },

//    catch: function () {
//        // TODO: 该方法未实现，因为暂时没有被调用
//    },
    
    execute: function () {
        var deferred = this.innerDeferred;
        if (this.committed) {
            deferred && this.deferred.state.type === 'resolve' && deferred.resolve(this.ret);
            deferred && this.deferred.state.type === 'reject' && deferred.reject(this.ret);
            return;
        }
      
        if (this.deferred.state.type === 'resolve' && this._succ) {
            this.committed = true;
            this.ret = this._succ(this.deferred.state.ctx);
            deferred && deferred.resolve(this.ret);
        }
      
        if (this.deferred.state.type === 'reject' && this._fail) {
            this.committed = true;
            this.ret = this._fail(this.deferred.state.ctx);
            deferred && deferred.reject(this.ret);
        }
    }
}

function Defer () {
    this.promise = new Promise(this);
    this.state = {
        type: 'new',
        ctx: undefined
    }
}

Defer.prototype = {
    resolve: function (obj) {
        if (this.state.type === 'new') {
            this.state.type = 'resolve';
            this.state.ctx = obj;
            this.promise.execute();
        }
    },

    reject: function (obj) { 
        if (this.state.type === 'new') {
            this.state.type = 'reject';
            this.state.ctx = obj;
            this.promise.execute();
        }
    }
}

function Q () {}

Q.prototype = {
    defer: function () {
        return new Defer();
    },
    
    all: function (list) {
        list = list || [];
        var defer = this.defer();
        var length = list.length;
        var resolved = 0;
        var rets = [];
      
        function bind (i) {
            list[i].then(function (ret) {
                rets[i] = ret;
                resolved++;
                if (resolved === length) {
                    defer.resolve(rets);
                }
            }, function (e) {
                defer.reject(e);
            });
        }
      
        for (var i=0; i<length; i++) {
            bind(i);
        }
      
        return defer.promise; 
    }
}

module.exports = new Q();
},{}],16:[function(require,module,exports){
/*
 检查银行卡号,返回错误信息
 */
module.exports = function (tx) {
    var ret = tx != '';
    if (!ret) {
        return "请输入银行卡号.";
    }
    ret = /^\d+$/.test(tx);
    if (!ret && tx.length) {
        return "银行卡号只能输入数字."
    }
    return '';
}
},{}],17:[function(require,module,exports){
"use strict";
var _isDate  = require('lodash/Lang/isDate'),
	_isString = require('lodash/Lang/isString');


/**
 * 定义一个控制器类
 **/
function CheckBirthDay() {

}

CheckBirthDay.prototype = {
		/**
	     * 检查出生日期
	     * 统一格式为YYYY-MM-DD 或 yyyyMMdd,介于1900-01-01与录入当日
	     * @param birthday
	     * @returns {Boolean}
	     */
	    check: function (birthday,peroid) {
	        var msg = "";

	        //去除出生日期两端的空格
	        var bir = birthday.replace(/(^\s*)|(\s*$)/g, "");

	        if (null == bir || "" == bir) {
	            msg = "请输入出生日期";
	            return msg;
	        }

	        var reg3 = /\d/g;
	        if (!reg3.test(bir)) {
	            msg = "出生日期只允许包含半角数字字符";
	            return msg;
	        }

	        //获得录入所在日期的年、月、日
	        var today = new Date();
	        var todayYear = today.getFullYear();
	        var todayMonth = today.getMonth() + 1;
	        var todayDay = today.getDate();
	        var tmpToday = new Date(todayYear, todayMonth, todayDay);

	        //获得录入出生日期的年、月、日，用户输入6位时，自动添加19

	        if (bir.indexOf("-") >= 0) {
	            if (!checkDate3(bir)) {
	                msg = "出生日期输入不正确，正确格式为YYYY-MM-DD";
	                return msg;
	            }
	            bir = bir.replace('-', '').replace('-', '');
	        }

	        var tmpYear = bir.substr(0, 4);
	        var tmpMonth = bir.substr(4, 2);
	        var tmpDay = bir.substr(6, 2);
	        var tmpDate = new Date(tmpYear, tmpMonth, tmpDay);


	        if ((!peroid) && (tmpYear < 1900 || tmpDate > tmpToday)) {
				msg = "出生日期只能再当前日期之前";
			}

			if ((peroid) && ( tmpDate < tmpToday)) {
				msg = "证件有效期只能再当前日期之后";
			}

	        return msg;
	    },

        /**
         * 根据身份证号码测算年龄
         * @param birthday 出生日期 格式为"yyyy-mm-dd"
         * @param date  Date类型 计算年龄的比较对象
         * @returns {number}
         */
        getAgeByBrithday : function (birthday,date){
            var age=-1;
            var today=date ? new Date(date) : new Date();
            var todayYear=today.getFullYear();
            var todayMonth=today.getMonth()+1;
            var todayDay=today.getDate();
            var birthday=new Date(birthday);
            var birthdayYear=birthday.getFullYear();
            var birthdayMonth=birthday.getMonth()+1;
            var birthdayDay=birthday.getDate();

            if(todayYear-birthdayYear<0){
                return -1;
            }else{
                if(todayMonth - birthdayMonth <0 ){
                    age = (todayYear - birthdayYear) - 1;
                }else if (todayMonth > birthdayMonth){
                    age = (todayYear - birthdayYear);
                }else{
                    if(todayDay-birthdayDay>=0){
                        age = (todayYear - birthdayYear);
                    }else{
                        age = (todayYear - birthdayYear) - 1;
                    }
                }
            }
            return age*1;

        },
	/**
	 *36.指定年，月，日，日期类型，增加指定数字
	 */
	addDate  : function (year,month,date,type,num){
		/*兼容Date,type,num传参数*/
		if (!num && !type) {
			type = month;
			num = date;
			/*字符串*/
			if (_isString(year)) {
				var date = year;
				year = Number(date.substr(0, 4));
				month = Number(date.substr(5, 2));
				date = Number(date.substr(8, 2));
			}
			/*日期*/
			else if (_isDate(year)) {
				var date = year;
				year = date.getFullYear();
				month = date.getMonth() + 1;
				date = date.getDate();
			} else {
				return new Date();
			}
		}
		if (type == 'd') {
			date = Number(date) + Number(num);
		}
		if (type == 'm') {
			month = Number(month) + Number(num);
		}
		if (type == 'y') {
			year = Number(year) + Number(num);
		}
		return new Date(Number(year), (Number(month) - 1), Number(date));
	},

	dateDiff :function(date1, date2) {
		var oDate1, oDate2, days;
		oDate1 = new Date(date1.getFullYear(), date1.getMonth(), date1.getDate());
		oDate2 = new Date(date2.getFullYear(), date2.getMonth(), date2.getDate());
		days = parseInt(Math.abs(oDate1 - oDate2) / 1000 / 60 / 60 / 24);
		return days;
	},

	dateDiffunAbs :function(date1, date2) {
		var oDate1, oDate2, days;
		oDate1 = new Date(date1.getFullYear(), date1.getMonth(), date1.getDate());
		oDate2 = new Date(date2.getFullYear(), date2.getMonth(), date2.getDate());
		days = parseInt((oDate1 - oDate2) / 1000 / 60 / 60 / 24);
		return days;
	},
	parseDate: function (str) {
		if (typeof str=="string") {
			var year = str.substr(0, 4);
			var month = Number(str.substr(5, 2)) - 1;
			var day = str.substr(8, 2)
			return new Date(year, month, day);
		}
		return str;
	}


};

/**
 * 10C  检查输入参数是否为合法的日期 :
 * 支持闰年平年日期，格式为YYYY-MM-DD
 */
function checkDate3(tm){
	var a=/(([0-9]{3}[1-9]|[0-9]{2}[1-9][0-9]{1}|[0-9]{1}[1-9][0-9]{2}|[1-9][0-9]{3})-(((0[13578]|1[02])-(0[1-9]|[12][0-9]|3[01]))|((0[469]|11)-(0[1-9]|[12][0-9]|30))|(02-(0[1-9]|[1][0-9]|2[0-8]))))|((([0-9]{2})(0[48]|[2468][048]|[13579][26])|((0[48]|[2468][048]|[3579][26])00))-02-29)/;
	return tm.match(a);
}

module.exports = CheckBirthDay;
},{"lodash/Lang/isDate":84,"lodash/Lang/isString":85}],18:[function(require,module,exports){
"use strict";

/**
 * 定义一个控制器类
 **/
function CheckDocumentNumber() {

}

CheckDocumentNumber.prototype = {
    /**
     * 校验护照号码
     */
	checkPassportNo : function(pasNo) {

		var tmpPasNo = pasNo.replace(/(^\s*)|(\s*$)/g,"");
		var msg ="";
		if(null == tmpPasNo||""==tmpPasNo){
				msg="请输入护照号码";
				return msg;
			}
		//护照号码允许录入汉字，字母，数字
		var reg1 = /^[a-zA-Z0-9\u4e00-\u9fa5]+$/g;
		if(!reg1.test(tmpPasNo)){
				msg="护照号码只允许输入汉字、半角英文字母、半角数字";
				return msg;
			}else if(gbs_strlen(tmpPasNo)<3){
				msg="护照号码的长度须大于等于3个半角英文字符长度";
				return msg;
			}else if(gbs_strlen(tmpPasNo)>20){
				msg="护照号码的长度过长";
				return msg;
			}
		return msg;	
    },
    /**
     * 校验军官证、士兵证 
     */
    checkOfficerNo : function(officerNo){
    	var tmpOffNo = officerNo.replace(/(^\s*)|(\s*$)/g,"");
    	var msg ="";
    	if(null == tmpOffNo||""==tmpOffNo){
    		msg ="请输入军官证号码";
    		return msg;
    		}
    	//军官证由汉字，数字组成，长度介于12-17
    	var reg1 = /^[a-zA-Z0-9\u4e00-\u9fa5]+$/g;
    	//6-7位数字
    	var reg2 = /^[0-9]{6,7}$/g;
    	var indexSpe = tmpOffNo.indexOf("字第");
    	var subOffNo = tmpOffNo.substring(tmpOffNo.indexOf("字第")+2);
    	
    	if(!reg1.test(tmpOffNo)){
    		msg ="军官证只允许输入汉字、半角英文字母、半角数字";
    		return msg;
    	}else if(!(indexSpe!=-1&&reg2.test(subOffNo))){
    		msg ="军官证格式不正确，统一格式为:*字第+6/7位数字";
    		return msg;
    	}else if(gbs_strlen(tmpOffNo)<12||gbs_strlen(tmpOffNo)>17){
    		msg ="军官证长度介于12-17位半角英文字符长度之间";
    		return msg;
    		}
    	return msg;
    	
    	
    },
    /**
     * 检查港澳台胞证号
     */
    checkHATNo : function(HATNo){
    	var tmpHATNoo = HATNo.replace(/(^\s*)|(\s*$)/g,"");
    	var msg ="";
    	if(null == tmpHATNoo||""==tmpHATNoo){
    		msg="请输入港澳台胞证";
    		return msg;
    		}
    	//港澳台胞证由大写英文字母，数字组成，长度大于等于8个字符
    	var reg1 = /^[A-Z0-9]+$/g;
    	if(!reg1.test(tmpHATNoo)){
    		msg="港澳台胞证只允许输入半角英文大写字母、半角数字";
    		return msg;
    		}
    	else if(tmpHATNoo.length<8){
    		msg="港澳台胞证长度大于等于8个字符";
    		return msg;
    		}
    	return msg;
   },
   /**
    * 检查其他证件号码
    */
   checkOtherNo : function(otherNo){
		var tmpOtherNo = otherNo.replace(/(^\s*)|(\s*$)/g,"");
		var msg ="";
		if(null == tmpOtherNo||""==tmpOtherNo){
			msg="请输入其他类型证件号码";
			return msg;
			}
		//允许录入汉字，字母，数字
		var reg1 = /^[a-zA-Z0-9\u4e00-\u9fa5]+$/g;
		if(!reg1.test(tmpOtherNo)){
			msg="其他类证件号码只允许输入汉字、半角英文字母或者数字";
			return msg;
			}
		else if(gbs_strlen(tmpOtherNo)<3){
			msg="其他类证件号码的长度大于等于3个字符";
			return msg;
			}
		else if (gbs_strlen(tmpOtherNo)>20){
				msg="其他类证件号码的长度超长";
				return msg;
				}
		return msg;
   },
	checkNum: function (v, minv, maxv, isSell,msg) {
		if (!/^\d+\.?\d*$/.test(v)) return '输入有误哦，'+msg+'只能输入数字';

		if (minv !== undefined && parseFloat(v) < minv) return '输入数字过小,'+msg+'不能小于' + minv;
		if (maxv !== undefined && parseFloat(v) > maxv)
			return isSell ? '输入数字太大' : msg+'不能大于' + maxv + '';

		if (/^\d+\.(\d{3,}|)$/.test(v)) return msg+'请输入数字（最多2位小数）';
	}


}
/**
 * 1A.取得字符串长度
 * 英文数字为1个字符，中文为2个字符
 *
 */
function gbs_strlen(str) {
	var i;
	var len;

	len = 0;
	for (i=0;i<str.length;i++)
	{
		if (str.charCodeAt(i)>255) len+=2; else len++;
	}
	return len;
}

module.exports = CheckDocumentNumber;

},{}],19:[function(require,module,exports){
"use strict";

/**
 * 定义一个控制器类
 **/
function CheckIdentityCard() {

}

CheckIdentityCard.prototype = {
    /**
     * 身份证校验
     */
    check : function (idcard) {
        idcard     = ("" + idcard).toLocaleUpperCase();
        var Errors = new Array(
            "",
            "身份证号码位数不对，请您重新输入",
            "身份证号码出生日期超出范围或含有非法字符，请您重新输入",
            "身份证号不符合规范，请您重新输入",
            "身份证地区非法，请您重新输入",
            "身份证不能为空"
        );
        var area   = {
            11 : "北京",
            12 : "天津",
            13 : "河北",
            14 : "山西",
            15 : "内蒙古",
            21 : "辽宁",
            22 : "吉林",
            23 : "黑龙江",
            31 : "上海",
            32 : "江苏",
            33 : "浙江",
            34 : "安徽",
            35 : "福建",
            36 : "江西",
            37 : "山东",
            41 : "河南",
            42 : "湖北",
            43 : "湖南",
            44 : "广东",
            45 : "广西",
            46 : "海南",
            50 : "重庆",
            51 : "四川",
            52 : "贵州",
            53 : "云南",
            54 : "西藏",
            61 : "陕西",
            62 : "甘肃",
            63 : "青海",
            64 : "宁夏",
            65 : "新疆",
            71 : "台湾",
            81 : "香港",
            82 : "澳门",
            91 : "国外"
        }

        var idcard,Y,JYM;
        var S,M;
        var ereg;

        if(!idcard){
            return Errors[5];
        }
        var idcard_array = new Array();
        idcard_array     = idcard.split("");
        //地区检验
        if (area[parseInt(idcard.substr(0,2))] == null) return Errors[4];

        //身份号码位数及格式检验
        switch (idcard.length) {
            case 15:
                if ((parseInt(idcard.substr(6,2)) + 1900) % 4 == 0 || ((parseInt(idcard.substr(6,2)) + 1900) % 100 == 0 && (parseInt(idcard.substr(6,2)) + 1900) % 4 == 0 )) {
                    ereg = /^[1-9][0-9]{5}[0-9]{2}((01|03|05|07|08|10|12)(0[1-9]|[1-2][0-9]|3[0-1])|(04|06|09|11)(0[1-9]|[1-2][0-9]|30)|02(0[1-9]|[1-2][0-9]))[0-9]{3}$/;//测试出生日期的合法性
                } else {
                    ereg = /^[1-9][0-9]{5}[0-9]{2}((01|03|05|07|08|10|12)(0[1-9]|[1-2][0-9]|3[0-1])|(04|06|09|11)(0[1-9]|[1-2][0-9]|30)|02(0[1-9]|1[0-9]|2[0-8]))[0-9]{3}$/;//测试出生日期的合法性
                }
                if (ereg.test(idcard)) {
                    return Errors[0];
                } else {
                    return Errors[2];
                }
                break;
            case 18:
                //18位身份号码检测
                //出生日期的合法性检查
                //闰年月日:((01|03|05|07|08|10|12)(0[1-9]|[1-2][0-9]|3[0-1])|(04|06|09|11)(0[1-9]|[1-2][0-9]|30)|02(0[1-9]|[1-2][0-9]))
                //平年月日:((01|03|05|07|08|10|12)(0[1-9]|[1-2][0-9]|3[0-1])|(04|06|09|11)(0[1-9]|[1-2][0-9]|30)|02(0[1-9]|1[0-9]|2[0-8]))
                if (parseInt(idcard.substr(6,4)) % 4 == 0 || (parseInt(idcard.substr(6,4)) % 100 == 0 && parseInt(idcard.substr(6,4)) % 4 == 0 )) {
                    ereg = /^[1-9][0-9]{5}[1-2][0-9]{3}((01|03|05|07|08|10|12)(0[1-9]|[1-2][0-9]|3[0-1])|(04|06|09|11)(0[1-9]|[1-2][0-9]|30)|02(0[1-9]|[1-2][0-9]))[0-9]{3}[0-9X]$/;//闰年出生日期的合法性正则表达式
                } else {
                    ereg = /^[1-9][0-9]{5}[1-2][0-9]{3}((01|03|05|07|08|10|12)(0[1-9]|[1-2][0-9]|3[0-1])|(04|06|09|11)(0[1-9]|[1-2][0-9]|30)|02(0[1-9]|1[0-9]|2[0-8]))[0-9]{3}[0-9X]$/;//平年出生日期的合法性正则表达式
                }
                if (ereg.test(idcard)) {//测试出生日期的合法性
                    //计算校验位
                    S   = (parseInt(idcard_array[0]) + parseInt(idcard_array[10])) * 7
                        + (parseInt(idcard_array[1]) + parseInt(idcard_array[11])) * 9
                        + (parseInt(idcard_array[2]) + parseInt(idcard_array[12])) * 10
                        + (parseInt(idcard_array[3]) + parseInt(idcard_array[13])) * 5
                        + (parseInt(idcard_array[4]) + parseInt(idcard_array[14])) * 8
                        + (parseInt(idcard_array[5]) + parseInt(idcard_array[15])) * 4
                        + (parseInt(idcard_array[6]) + parseInt(idcard_array[16])) * 2
                        + parseInt(idcard_array[7]) * 1
                        + parseInt(idcard_array[8]) * 6
                        + parseInt(idcard_array[9]) * 3;
                    Y   = S % 11;
                    M   = "F";
                    JYM = "10X98765432";
                    M   = JYM.substr(Y,1);//判断校验位
                    if (M == idcard_array[17]) {
                        return Errors[0]; //检测ID的校验位
                    } else {
                        return Errors[3];
                    }
                } else {
                    return Errors[2];
                }
                break;
            default:
                return Errors[1];
                break;
        }
    }
}

module.exports = CheckIdentityCard;

},{}],20:[function(require,module,exports){
/**
 * Created by mengqinghuan on 2016/11/17.
 */

//检测医保卡号


function CheckMedicalCard() {

}

CheckMedicalCard.prototype = {
    check: function (tx) {
        var ret = tx != '';
        if (!ret) {
            return "请输入医保卡号.";
        }
        ret = /^\d{10}$/.test(tx) || /^[a-zA-Z]\d{8}$/.test(tx);
        if (!ret && tx.length) {
            return "医保卡号格式有误."
        }
        return '';
    }
};

module.exports = CheckMedicalCard;

},{}],21:[function(require,module,exports){
"use strict";

/**
 * 定义一个控制器类
 **/
function CheckName() {
	
}

CheckName.prototype = {

		checkChineseName:function(chiName){
			var tmpChiName = chiName.replace(/(^\s*)|(\s*$)/g, "");
			//先判断是否是非法字符，再判断是否是由汉字或者半角英文字母组成，最后判断长度
			//只能输入汉字或者半角英文字母
			var reg1 = /^[\u4e00-\u9fa5Â]+$/g;
			var msg = "";
			//中文姓名不能为空
			if (null == tmpChiName || "" == tmpChiName) {
				msg = "请输入姓名";
				return msg;
			} else if (tmpChiName != chiName) {
				msg = "姓名开始和结束不能有空格";
				return msg;
			} else if (!reg1.test(tmpChiName)) {
				msg = "姓名只允许包含中文汉字";
				return msg;
			} else if (calculate_byte(tmpChiName) > 50 || calculate_byte(tmpChiName) < 4) {
				msg = "姓名只能由2-25位中文汉字，请正确填写";
				return msg;
			} else if (tmpChiName == "不详" || tmpChiName == "不祥" || tmpChiName == "未知" || tmpChiName == "不知道") {
				msg = "姓名不能为不详、不祥、未知或不知道";
				return msg;
			} else if (tmpChiName == "ABCD" || tmpChiName == "ABCDE") {
				msg = "姓名只能由2-25位中文汉字，请正确填写";
				return msg;
			}
			return msg;
		},
		/**
	     * 检查中文姓名
	     */
	    check: function (chiName) {
	        var tmpChiName = chiName.replace(/(^\s*)|(\s*$)/g, "");
	        //先判断是否是非法字符，再判断是否是由汉字或者半角英文字母组成，最后判断长度
	        //只能输入汉字或者半角英文字母
	        var reg1 = /^[A-Za-z\u4e00-\u9fa5·•●.]+$/;
	        var reg2 = /^[A-Za-z·.]+$/;
	        var msg = "";
	        //中文姓名不能为空
	        if (null == tmpChiName || "" == tmpChiName) {
	            msg = "请输入姓名";
	            return msg;
	        } else if (tmpChiName != chiName) {
	            msg = "姓名开始和结束不能有空格";
	            return msg;
	        } else if (!reg1.test(tmpChiName)) {
	            msg = "姓名只允许包含汉字、半角英文字母、·、•、● 和 . ";
	            return msg;
	        } else if (calculate_byte(tmpChiName) < 4) {
	            msg = "姓名只能由2-25位中文或4-38位英文组成，请正确填写";
	            return msg;
	        }else if(calculate_byte(tmpChiName) > 50 && !reg2.test(tmpChiName)){
	        	    msg = "姓名只能由2-25位中文或4-38位英文组成，请正确填写";
	            return msg;
	        }else if(calculate_byte(tmpChiName) > 38 && reg2.test(tmpChiName)){
	         	msg = "姓名只能由2-25位中文或4-38位英文组成，请正确填写";
	            return msg;
	        } else if (tmpChiName == "不详" || tmpChiName == "不祥" || tmpChiName == "未知" || tmpChiName == "不知道") {
	            msg = "姓名不能为不详、不祥、未知或不知道";
	            return msg;
	        } else if (tmpChiName == "ABCD" || tmpChiName == "ABCDE") {
	            msg = "姓名只能由2-25位中文或4-38位英文组成，请正确填写";
	            return msg;
	        }
	        return msg;
	    },
		get_str_length:function(str){
			return calculate_byte(str);
		}


};

/**
 * 1B 计算字符长度,中文占两个字节

 * @param sTargetStr
 * @returns {Number}
 */
function calculate_byte(sTargetStr) {
	var sTmpStr, sTmpChar;
	var nOriginLen = 0;
	var nStrLength = 0;
	sTmpStr = String(sTargetStr);
	nOriginLen = sTmpStr.length;
	for ( var i=0 ; i < nOriginLen ; i++ ) {
		sTmpChar = sTmpStr.charAt(i);
		if (escape(sTmpChar).length > 4) {
			nStrLength += 2;
		} else if (sTmpChar!='/r') {
			nStrLength ++;
		}
	}
	return nStrLength;
}

module.exports = CheckName;
},{}],22:[function(require,module,exports){
"use strict";

/**
 * 定义一个控制器类
 **/
function CheckTelMobile() {
	
}

CheckTelMobile.prototype = {
		/**
	     * 校验手机号
	     * 校验规则 ：以13、14、15、18开头的11位数字
	     * @function
	     * @name Show
	     * @param {string} mobileNo - 提示框文字内容
	     */
	    check: function (mobileNo) {
	    	
	        var msg = "";
	        
	        if (null === mobileNo || "" === mobileNo) {
	            msg = "请填写您的手机号码";
	            return msg;
	        }
	        // 去除通配符
	        return CheckTelMobile.prototype.checkformat(mobileNo);
	    },
		checkformat: function (mobileNo) {
			var msg = "";
			if(mobileNo==""){
				return msg;
			}
			// 去除通配符
			var tmpMobileNo = mobileNo.replace(/(^\s*)|(\s*$)/g, "");

			// 正则表达式：以13、14、15、18开头的11位数字
			var reg1 = /^(1[345678]\d{9})$/;

			if (!reg1.test(tmpMobileNo)) {
				msg = "手机号码不符合规范";
				return msg;
			}
			return msg;
		}
};

module.exports = CheckTelMobile;
},{}],23:[function(require,module,exports){
"use strict";
var _isString =  require('lodash/lang/isString'),
    _isDate =  require('lodash/lang/isDate');

/**
 * 定义一个工具类
 **/
function CommonTool() {

}


CommonTool.prototype = {
    /**
     * 格式金额
     * @param num
     * @returns {*}
     */
     formatCurrency : function(num) {
            if (num == null || num == undefined) {
                return "";
            } else if (num == "" || num == 0) {
                return "0.00";
            }
            num = num.toString().replace(/\$|\,/g,'');
            if (isNaN(num))
                num = "0";
            var sign  = (num == (num = Math.abs(num)));
            num       = Math.floor(num * 100 + 0.50000000001);
            var cents = num % 100;
            num       = Math.floor(num / 100).toString();
            if (cents < 10)
                cents = "0" + cents;
            for (var i = 0; i < Math.floor((num.length - (1 + i)) / 3); i++)
                num = num.substring(0,num.length - (4 * i + 3)) + ',' +
                    num.substring(num.length - (4 * i + 3));
            return (((sign) ? '' : '-') + num + '.' + cents);
        },
        /**
         * 指定年，月，日，日期类型，增加指定数字
         * @param year
         * @param month
         * @param date
         * @param type
         * @param num
         * @returns {Date}
         */
        addDate : function (year,month,date,type,num){
        /*兼容Date,type,num传参数*/
        if(!num && !type){
            type=month;
            num=date;
            /*字符串*/
            if(_isString(year)){
                var date=year;
                year=Number(date.substr(0,4));
                month=Number(date.substr(5,2));
                date=Number(date.substr(8,2));
            }
            /*日期*/
            else if(_isDate(year)){
                var date=year;
                year=date.getFullYear();
                month=date.getMonth()+1;
                date=date.getDate();
            }else{
                return new Date();
            }
        }
        if(type == 'd'){
            date = Number(date) + Number(num);
        }
        if(type == 'm'){
            month = Number(month) + Number(num);
        }
        if(type == 'y'){
            year = Number(year) + Number(num);
        }
        return new Date(Number(year),(Number(month)-1),Number(date));
    },
    /**
     * 格式化日期为制定格式
     * @param date 传入日期为Date类型
     * @param format example  yyyy-MM-dd
     * @returns {*}
     */
    dateformat : function(date,format)
    {
        var o;
        try{
            o = {
                "M+" : date.getMonth()+1, //month
                "d+" : date.getDate(),    //day
                "h+" : date.getHours(),   //hour
                "m+" : date.getMinutes(), //minute
                "s+" : date.getSeconds(), //second
                "q+" : Math.floor((date.getMonth()+3)/3),  //quarter
                "S" : date.getMilliseconds() //millisecond
            }
        }catch(e){
            date=new Date();
            o = {
                "M+" : date.getMonth()+1, //month
                "d+" : date.getDate(),    //day
                "h+" : date.getHours(),   //hour
                "m+" : date.getMinutes(), //minute
                "s+" : date.getSeconds(), //second
                "q+" : Math.floor((date.getMonth()+3)/3),  //quarter
                "S" : date.getMilliseconds() //millisecond
            }
        }

        if(/(y+)/.test(format)) format=format.replace(RegExp.$1,
            (date.getFullYear()+"").substr(4 - RegExp.$1.length));
        for(var k in o)if(new RegExp("("+ k +")").test(format))
            format = format.replace(RegExp.$1,
                RegExp.$1.length==1 ? o[k] :
                    ("00"+ o[k]).substr((""+ o[k]).length));
        return format;
    },
    /**
     * 根据身份证号码测算出生日期
     * @param idNo --参数为身份证号码
     * @returns {*}  --格式为"yyyy-mm-dd"
     */
    getBirthdayByChinaID : function(idno){
        var that = this;
        if (that.checkChinaID(idno)) {
            if (idno.length == 15) {
                return  that.dateObjStandardFmt(idno.substring(6, 12));
            } else {
                return  that.dateObjStandardFmt(idno.substring(6, 14));
            }
        }
        return "";
    },

    /**
     * 根据身份证号码测算性别
     * @param idno  -身份证号
     * @returns {*}  男性返回M，女性返回F
     */
    getSexByChinaID : function (idno) {
        var that = this;
        if (that.checkChinaID(idno)) {
            if (idno.length == 15) {
                if (that.isLegalString(idno.substring(14, 15), "13579")) {
                    return "M";
                } else {
                    return "F";
                }
            } else {
                if (that.isLegalString(idno.substring(16, 17), "13579")) {
                    return "M";
                } else {
                    return "F";
                }
            }
        }
        return "";
    },
    /**
     *
     * 30.检查身份证号码
     * 参数为身份证号码
     *
     */
    checkChinaID : function(strItem) {

        if (typeof (strItem) != "string") {
            return false;
        }
        if (strItem.length == 15) {
            return  this.isLegalString(strItem, "0123456789");
        } else {
            if (strItem.length == 18) {
                return (this.isLegalString(strItem.substring(0, 17), "0123456789") && (this.isLegalString(strItem.substring(17, 18), "0123456789Xx")));
            } else {
                return false;
            }
        }
    },
    /**
     * 判断InString 中每一个字符是否都在RefString定义的范围内
     * 检查字符的合法性
     */
    isLegalString : function(InString, RefString) {

        if (InString.length == 0) {
            return false;
        }
        for (var i = 0; i < InString.length; i++) {
            var TempChar = InString.substring(i, i + 1);
            if (RefString.indexOf(TempChar) != -1) {
                continue;
            } else {
                return false;
            }
        }
        return true;
    },
    /**
     * 统一日期格式
     * @param date --参数为日期的字符串，格式为yyyymmdd或者yymmdd
     * @returns {*} -格式为"yyyy-mm-dd"
     */
    dateObjStandardFmt : function (date) {
        var year, month,day;
        if (date == "") {
            return "";
        }
        if (date.length == 6) {
             year = "19" + date.substring(0, 2);
             month = date.substring(2, 4);
             day = date.substring(4, 6);
            return year + "-" + month + "-" + day;
        } else {
             year = date.substring(0, 4);
             month = date.substring(4, 6);
             day = date.substring(6, 8);
            return year + "-" + month + "-" + day;
        }
        return "";
    },
    calculate_byte: function (sTargetStr) {
        var sTmpStr, sTmpChar;
        var nOriginLen = 0;
        var nStrLength = 0;
        sTmpStr = new String(sTargetStr);
        nOriginLen = sTmpStr.length;
        for (var i = 0; i < nOriginLen; i++) {
            sTmpChar = sTmpStr.charAt(i);
            if (escape(sTmpChar).length > 4) {
                nStrLength += 2;
            } else if (sTmpChar != '/r') {
                nStrLength++;
            }
        }
        return nStrLength;
    }
}


module.exports = CommonTool;
},{"lodash/lang/isDate":125,"lodash/lang/isString":129}],24:[function(require,module,exports){
"use strict";

var ajax = require('reqwest');
var Q    = require('q');
var wechat = require('wechat');  //wechat使用的是package.json中browserify定义的名称
var updatePageTitleIniOS = require('./wechat.update.title');  //wechat使用的是package.json中browserify定义的名称
var mask = new (require('../ajax/mask'));


/**
 * 微信SDK补助方法
 * 依赖reqwest.js和q.js,所以使用前请使用NPM安装这两个模块
 * @constructor
 */
function WeChatHelper() {

}

var urls={
    "weixinPay":"/m/weChatPayUnifiedOrder.dox",

}

WeChatHelper.prototype = {
    // 获取微信附加参数
    getParams : function (name)
    {
        var reg = new RegExp('(^|&)' + name + '=([^&]*)(&|$)','i');
        var r   = window.location.search.substr(1).match(reg);
        if (r) {
            return decodeURI(r[2]);
        }
        return null;
    },
    /**
     * 取得微信Token
     * @function
     * @name getToken
     */
    getToken  : function () {
        return ajax({
            url    : 'https://eim.pingan.com.cn/egis/getSignature',
            data   : {openid : "123456",weappNo : "PAYLX95511_01"},
            method : 'get',
            type   : 'jsonp'
        });
    },
    /**
     * 取得微信Token
     * @function
     * @name setConfig
     * @param {json} jsData - 需要的微信接口方法
     * @param {array} funcNames - 需要的微信接口方法
     */
    setConfig : function (jsData,funcNames) {
        if (jsData) {
            jsData = JSON.parse(jsData);
            wx.config({
                debug     : false,
                appId     : 'wx1e2d13308e457ed9',
                timestamp : jsData['timestamp'],
                nonceStr  : jsData['nonce'],
                signature : jsData['signature'],
                jsApiList : funcNames,
                success:function(msg){
                    console.log(msg);
                },
                error:function(msg){
                    console.log(msg);
                }
            });
        }
    },

    /**
     * 重写分享好友
     * @param m_title  -分享标题
     * @param m_content  -分享内容
     * @param m_lineLink -分享地址
     * @param m_imgUrl  -分享图片
     */
    share : function(m_title, m_content, m_lineLink, m_imgUrl){
        wx.onMenuShareTimeline({
            title: m_title,
            link: m_lineLink,
            imgUrl: m_imgUrl,
            success: function () {
                config.toast("已分享");
            },
            cancel: function () {
            },
            fail: function (res) {
                console.log(JSON.stringify(res));
            }
        });
        wx.onMenuShareAppMessage({
            title: m_title,
            desc: m_content,
            link: m_lineLink,
            imgUrl: m_imgUrl,
            success: function() {
                config.toast("发送成功");
            },
            cancel: function () {
            },
            fail: function (res) {
                console.log(JSON.stringify(res));
            }
        });
    },
    //是否为微信浏览器
    isMicroBrower : function(){
        var ua = window.navigator.userAgent.toLowerCase();
        if(ua.match(/MicroMessenger/i)!='micromessenger'){
            return false;
        }
        return true;
    },
    /**微信支付*/
    weixinPay:function(data){
        var thiso=this;
        /**授权*/
        var authorize=window.localStorage.getItem("authorize");
        var openId=window.localStorage.getItem("openId");
        if("true"!=authorize || openId==null){
            this.authorizeWeixn(data);
        }else{
            thiso.createWeixinOrder(data);
        }
    },
    /*微信授权页面*/
    authorizeWeixn:function(underWritingData){
        var replaceLocation = "https://open.weixin.qq.com/connect/oauth2/authorize?appid=wx1e2d13308e457ed9&redirect_uri=" + 
		    					encodeURIComponent("http://eim.pingan.com.cn/egis/simpleRedirect?weappNo=PAYLX95511_01&backUrl=" + 
		    					encodeURIComponent(location.protocol + "//" + location.host + "/m/insurance_unlogin/getWeixinOpenId.html")) + 
		    					"&response_type=code&scope=snsapi_base&state=sig&connect_redirect=1#wechat_redirect";
		/*跳转到微信授权页面*/
        //alert(replaceLocation);
        location.replace(replaceLocation);
    },
    /**
     * 创建微信订单
     */
    createWeixinOrder : function(orderData) {
        mask.startMask();
        var that = this;
        var ajaxSetting={
                url:urls["weixinPay"],
                method  : 'post',
                type : "json",
                crossOrigin:true,
                timeout:60000,
                data:{
                     orderName : orderData.productName,
                     idCsspOrder :orderData.idCsspOrder,
                     payPremium : orderData.orderAmount,
                     openId : localStorage.getItem("openId")
                }
        };
        Q(ajax(ajaxSetting)).then(function(res){
                mask.endMask();
                var payData = {
                    "appId" : res.appId,
                    "timeStamp" : res.timeStamp,
                    "nonceStr" : res.nonceStr,
                    "package" : "prepay_id=" + res.weixinPackage,
                    "signType" : res.signType,
                    "paySign" : res.paySign,
                    "cancel":function(res){
                        config.toast("用户取消支付");
                    },
                    "error":function(res){
                        config.toast("支付失败");
                        console.log(res);
                    },
                    "success":function(res){
                        orderData.success.call({},orderData.idCsspOrder);
                     }
                }
                //wx.chooseWXPay(payData);
                window.localStorage.removeItem("authorize");
                that.getBrandWCPayRequest(payData);
            }).then(function(){
                mask.endMask();
                console.log("get weixinPay error");
            }).fin(function(){
                mask.endMask();
                console.log("weixinPay finshed!");
            });
	},
    //JS调微信支付接口
    getBrandWCPayRequest : function(payData) {
          	var that = this;
			var onBridgeReady = function(payData) {
					//alert(JSON.stringify(payData));
                    WeixinJSBridge.invoke('getBrandWCPayRequest',payData,
							function(res){
								//使用以下方式判断前端返回,微信团队郑重提示：res.err_msg将在用户支付成功后返回    ok，但并不保证它绝对可靠。
								//alert(JSON.stringify(res));
                                if(res.err_msg == "get_brand_wcpay_request:ok") {
									payData.success.call();
								} else {
									//判断支付失败原因
									var errMsg = "";
									if (res.err_msg == "get_brand_wcpay_request:cancel") {
										errMsg = '支付失败，失败原因：您取消了微信支付';
                                        config.toast("用户取消支付");
                                    } else if (res.err_msg.indexOf('access_denied') != -1) {
										errMsg = '支付失败，失败原因：请求的支付url不在授权目录下';
									} else if (res.err_msg.indexOf('access_not_allow') != -1) {
										errMsg = '支付失败，失败原因：支付的微信号没有在测试白名单内';
									} else {
										errMsg = '支付失败，失败原因 res：'+res.err_msg;
                                        config.toast("支付失败");
									}
                                   payData.error.call({},errMsg);
								}
							}
					);
			}
			//等待微信浏览器内置对象WeixinJSBridge初始化完毕
			if (typeof WeixinJSBridge == "undefined"){
				document.addEventListener('WeixinJSBridgeReady', function() {onBridgeReady(payData)}, false);
			}else{
				onBridgeReady(payData);
			}
    },
    updatePageTitleIniOS: updatePageTitleIniOS
};


/** @module 微信补助方法 */
module.exports = WeChatHelper;
},{"../ajax/mask":1,"./wechat.update.title":26,"q":83,"reqwest":82,"wechat":25}],25:[function(require,module,exports){
(function (global){
; var __browserify_shim_require__=require;(function browserifyShim(module, exports, require, define, browserify_shim__define__module__export__) {
!function(a,b){"function"==typeof define&&(define.amd||define.cmd)?define(function(){return b(a)}):b(a,!0)}(this,function(a,b){function c(b,c,d){a.WeixinJSBridge?WeixinJSBridge.invoke(b,e(c),function(a){g(b,a,d)}):j(b,d)}function d(b,c,d){a.WeixinJSBridge?WeixinJSBridge.on(b,function(a){d&&d.trigger&&d.trigger(a),g(b,a,c)}):d?j(b,d):j(b,c)}function e(a){return a=a||{},a.appId=z.appId,a.verifyAppId=z.appId,a.verifySignType="sha1",a.verifyTimestamp=z.timestamp+"",a.verifyNonceStr=z.nonceStr,a.verifySignature=z.signature,a}function f(a){return{timeStamp:a.timestamp+"",nonceStr:a.nonceStr,"package":a.package,paySign:a.paySign,signType:a.signType||"SHA1"}}function g(a,b,c){var d,e,f;switch(delete b.err_code,delete b.err_desc,delete b.err_detail,d=b.errMsg,d||(d=b.err_msg,delete b.err_msg,d=h(a,d,c),b.errMsg=d),c=c||{},c._complete&&(c._complete(b),delete c._complete),d=b.errMsg||"",z.debug&&!c.isInnerInvoke&&alert(JSON.stringify(b)),e=d.indexOf(":"),f=d.substring(e+1)){case"ok":c.success&&c.success(b);break;case"cancel":c.cancel&&c.cancel(b);break;default:c.fail&&c.fail(b)}c.complete&&c.complete(b)}function h(a,b){var d,e,f,g;if(b){switch(d=b.indexOf(":"),a){case o.config:e="config";break;case o.openProductSpecificView:e="openProductSpecificView";break;default:e=b.substring(0,d),e=e.replace(/_/g," "),e=e.replace(/\b\w+\b/g,function(a){return a.substring(0,1).toUpperCase()+a.substring(1)}),e=e.substring(0,1).toLowerCase()+e.substring(1),e=e.replace(/ /g,""),-1!=e.indexOf("Wcpay")&&(e=e.replace("Wcpay","WCPay")),f=p[e],f&&(e=f)}g=b.substring(d+1),"confirm"==g&&(g="ok"),"failed"==g&&(g="fail"),-1!=g.indexOf("failed_")&&(g=g.substring(7)),-1!=g.indexOf("fail_")&&(g=g.substring(5)),g=g.replace(/_/g," "),g=g.toLowerCase(),("access denied"==g||"no permission to execute"==g)&&(g="permission denied"),"config"==e&&"function not exist"==g&&(g="ok"),b=e+":"+g}return b}function i(a){var b,c,d,e;if(a){for(b=0,c=a.length;c>b;++b)d=a[b],e=o[d],e&&(a[b]=e);return a}}function j(a,b){if(!(!z.debug||b&&b.isInnerInvoke)){var c=p[a];c&&(a=c),b&&b._complete&&delete b._complete,console.log('"'+a+'",',b||"")}}function k(){if(!("6.0.2">w||y.systemType<0)){var b=new Image;y.appId=z.appId,y.initTime=x.initEndTime-x.initStartTime,y.preVerifyTime=x.preVerifyEndTime-x.preVerifyStartTime,C.getNetworkType({isInnerInvoke:!0,success:function(a){y.networkType=a.networkType;var c="https://open.weixin.qq.com/sdk/report?v="+y.version+"&o="+y.isPreVerifyOk+"&s="+y.systemType+"&c="+y.clientVersion+"&a="+y.appId+"&n="+y.networkType+"&i="+y.initTime+"&p="+y.preVerifyTime+"&u="+y.url;b.src=c}})}}function l(){return(new Date).getTime()}function m(b){t&&(a.WeixinJSBridge?b():q.addEventListener&&q.addEventListener("WeixinJSBridgeReady",b,!1))}function n(){C.invoke||(C.invoke=function(b,c,d){a.WeixinJSBridge&&WeixinJSBridge.invoke(b,e(c),d)},C.on=function(b,c){a.WeixinJSBridge&&WeixinJSBridge.on(b,c)})}var o,p,q,r,s,t,u,v,w,x,y,z,A,B,C;if(!a.jWeixin)return o={config:"preVerifyJSAPI",onMenuShareTimeline:"menu:share:timeline",onMenuShareAppMessage:"menu:share:appmessage",onMenuShareQQ:"menu:share:qq",onMenuShareWeibo:"menu:share:weiboApp",onMenuShareQZone:"menu:share:QZone",previewImage:"imagePreview",getLocation:"geoLocation",openProductSpecificView:"openProductViewWithPid",addCard:"batchAddCard",openCard:"batchViewCard",chooseWXPay:"getBrandWCPayRequest"},p=function(){var b,a={};for(b in o)a[o[b]]=b;return a}(),q=a.document,r=q.title,s=navigator.userAgent.toLowerCase(),t=-1!=s.indexOf("micromessenger"),u=-1!=s.indexOf("android"),v=-1!=s.indexOf("iphone")||-1!=s.indexOf("ipad"),w=function(){var a=s.match(/micromessenger\/(\d+\.\d+\.\d+)/)||s.match(/micromessenger\/(\d+\.\d+)/);return a?a[1]:""}(),x={initStartTime:l(),initEndTime:0,preVerifyStartTime:0,preVerifyEndTime:0},y={version:1,appId:"",initTime:0,preVerifyTime:0,networkType:"",isPreVerifyOk:1,systemType:v?1:u?2:-1,clientVersion:w,url:encodeURIComponent(location.href)},z={},A={_completes:[]},B={state:0,res:{}},m(function(){x.initEndTime=l()}),C={config:function(a){z=a,j("config",a);var b=z.check===!1?!1:!0;m(function(){var a,d,e;if(b)c(o.config,{verifyJsApiList:i(z.jsApiList)},function(){A._complete=function(a){x.preVerifyEndTime=l(),B.state=1,B.res=a},A.success=function(){y.isPreVerifyOk=0},A.fail=function(a){A._fail?A._fail(a):B.state=-1};var a=A._completes;return a.push(function(){z.debug||k()}),A.complete=function(){for(var c=0,d=a.length;d>c;++c)a[c]();A._completes=[]},A}()),x.preVerifyStartTime=l();else{for(B.state=1,a=A._completes,d=0,e=a.length;e>d;++d)a[d]();A._completes=[]}}),z.beta&&n()},ready:function(a){0!=B.state?a():(A._completes.push(a),!t&&z.debug&&a())},error:function(a){"6.0.2">w||(-1==B.state?a(B.res):A._fail=a)},checkJsApi:function(a){var b=function(a){var c,d,b=a.checkResult;for(c in b)d=p[c],d&&(b[d]=b[c],delete b[c]);return a};c("checkJsApi",{jsApiList:i(a.jsApiList)},function(){return a._complete=function(a){if(u){var c=a.checkResult;c&&(a.checkResult=JSON.parse(c))}a=b(a)},a}())},onMenuShareTimeline:function(a){d(o.onMenuShareTimeline,{complete:function(){c("shareTimeline",{title:a.title||r,desc:a.title||r,img_url:a.imgUrl||"",link:a.link||location.href},a)}},a)},onMenuShareAppMessage:function(a){d(o.onMenuShareAppMessage,{complete:function(){c("sendAppMessage",{title:a.title||r,desc:a.desc||"",link:a.link||location.href,img_url:a.imgUrl||"",type:a.type||"link",data_url:a.dataUrl||""},a)}},a)},onMenuShareQQ:function(a){d(o.onMenuShareQQ,{complete:function(){c("shareQQ",{title:a.title||r,desc:a.desc||"",img_url:a.imgUrl||"",link:a.link||location.href},a)}},a)},onMenuShareWeibo:function(a){d(o.onMenuShareWeibo,{complete:function(){c("shareWeiboApp",{title:a.title||r,desc:a.desc||"",img_url:a.imgUrl||"",link:a.link||location.href},a)}},a)},onMenuShareQZone:function(a){d(o.onMenuShareQZone,{complete:function(){c("shareQZone",{title:a.title||r,desc:a.desc||"",img_url:a.imgUrl||"",link:a.link||location.href},a)}},a)},startRecord:function(a){c("startRecord",{},a)},stopRecord:function(a){c("stopRecord",{},a)},onVoiceRecordEnd:function(a){d("onVoiceRecordEnd",a)},playVoice:function(a){c("playVoice",{localId:a.localId},a)},pauseVoice:function(a){c("pauseVoice",{localId:a.localId},a)},stopVoice:function(a){c("stopVoice",{localId:a.localId},a)},onVoicePlayEnd:function(a){d("onVoicePlayEnd",a)},uploadVoice:function(a){c("uploadVoice",{localId:a.localId,isShowProgressTips:0==a.isShowProgressTips?0:1},a)},downloadVoice:function(a){c("downloadVoice",{serverId:a.serverId,isShowProgressTips:0==a.isShowProgressTips?0:1},a)},translateVoice:function(a){c("translateVoice",{localId:a.localId,isShowProgressTips:0==a.isShowProgressTips?0:1},a)},chooseImage:function(a){c("chooseImage",{scene:"1|2",count:a.count||9,sizeType:a.sizeType||["original","compressed"],sourceType:a.sourceType||["album","camera"]},function(){return a._complete=function(a){if(u){var b=a.localIds;b&&(a.localIds=JSON.parse(b))}},a}())},previewImage:function(a){c(o.previewImage,{current:a.current,urls:a.urls},a)},uploadImage:function(a){c("uploadImage",{localId:a.localId,isShowProgressTips:0==a.isShowProgressTips?0:1},a)},downloadImage:function(a){c("downloadImage",{serverId:a.serverId,isShowProgressTips:0==a.isShowProgressTips?0:1},a)},getNetworkType:function(a){var b=function(a){var c,d,e,b=a.errMsg;if(a.errMsg="getNetworkType:ok",c=a.subtype,delete a.subtype,c)a.networkType=c;else switch(d=b.indexOf(":"),e=b.substring(d+1)){case"wifi":case"edge":case"wwan":a.networkType=e;break;default:a.errMsg="getNetworkType:fail"}return a};c("getNetworkType",{},function(){return a._complete=function(a){a=b(a)},a}())},openLocation:function(a){c("openLocation",{latitude:a.latitude,longitude:a.longitude,name:a.name||"",address:a.address||"",scale:a.scale||28,infoUrl:a.infoUrl||""},a)},getLocation:function(a){a=a||{},c(o.getLocation,{type:a.type||"wgs84"},function(){return a._complete=function(a){delete a.type},a}())},hideOptionMenu:function(a){c("hideOptionMenu",{},a)},showOptionMenu:function(a){c("showOptionMenu",{},a)},closeWindow:function(a){a=a||{},c("closeWindow",{immediate_close:a.immediateClose||0},a)},hideMenuItems:function(a){c("hideMenuItems",{menuList:a.menuList},a)},showMenuItems:function(a){c("showMenuItems",{menuList:a.menuList},a)},hideAllNonBaseMenuItem:function(a){c("hideAllNonBaseMenuItem",{},a)},showAllNonBaseMenuItem:function(a){c("showAllNonBaseMenuItem",{},a)},scanQRCode:function(a){a=a||{},c("scanQRCode",{needResult:a.needResult||0,scanType:a.scanType||["qrCode","barCode"]},function(){return a._complete=function(a){var b,c;v&&(b=a.resultStr,b&&(c=JSON.parse(b),a.resultStr=c&&c.scan_code&&c.scan_code.scan_result))},a}())},openProductSpecificView:function(a){c(o.openProductSpecificView,{pid:a.productId,view_type:a.viewType||0},a)},addCard:function(a){var e,f,g,h,b=a.cardList,d=[];for(e=0,f=b.length;f>e;++e)g=b[e],h={card_id:g.cardId,card_ext:g.cardExt},d.push(h);c(o.addCard,{card_list:d},function(){return a._complete=function(a){var c,d,e,b=a.card_list;if(b){for(b=JSON.parse(b),c=0,d=b.length;d>c;++c)e=b[c],e.cardId=e.card_id,e.cardExt=e.card_ext,e.isSuccess=e.is_succ?!0:!1,delete e.card_id,delete e.card_ext,delete e.is_succ;a.cardList=b,delete a.card_list}},a}())},chooseCard:function(a){c("chooseCard",{app_id:z.appId,location_id:a.shopId||"",sign_type:a.signType||"SHA1",card_id:a.cardId||"",card_type:a.cardType||"",card_sign:a.cardSign,time_stamp:a.timestamp+"",nonce_str:a.nonceStr},function(){return a._complete=function(a){a.cardList=a.choose_card_info,delete a.choose_card_info},a}())},openCard:function(a){var e,f,g,h,b=a.cardList,d=[];for(e=0,f=b.length;f>e;++e)g=b[e],h={card_id:g.cardId,code:g.code},d.push(h);c(o.openCard,{card_list:d},a)},chooseWXPay:function(a){c(o.chooseWXPay,f(a),a)}},b&&(a.wx=a.jWeixin=C),C});
; browserify_shim__define__module__export__(typeof wechatSDK != "undefined" ? wechatSDK : window.wechatSDK);

}).call(global, undefined, undefined, undefined, undefined, function defineExport(ex) { module.exports = ex; });

}).call(this,typeof global !== "undefined" ? global : typeof self !== "undefined" ? self : typeof window !== "undefined" ? window : {})
},{}],26:[function(require,module,exports){
"use strict";

/**
 * @function
 * @description 修复 iOS 下设置页面标题未生效。调用方法，设置 document.title = 'Title';，后调用 updatePageTitleiOS();
 * @memberof WeChatHelper.prototype
 */
function updatePageTitleIniOS(){
	
	//iframe 加载后的回调函数
	function unloadHandler(){
		ifrm.removeEventListener('load', unloadHandler, false);
		setTimeout(function(){
			document.body.removeChild(ifrm);
		}, 100);
	};
	
	//创建 iframe
	var ifrm = document.createElement('iframe');
	//iframe 指向图标文件
	//ifrm.src = '/favicon.ico';
	ifrm.src = 'assets/images/logo.png';
	ifrm.style.position = 'absolute';
	ifrm.style.top = '-1000px';
	
	//绑定回调函数
	ifrm.addEventListener('load', unloadHandler, false);
	
	//添加 iframe 至文档中
	document.body.appendChild(ifrm);
}



module.exports = updatePageTitleIniOS;
},{}],27:[function(require,module,exports){
/**
 * Created by mengqinghuan on 2016/10/25.
 */

"use strict";
var Model=require("../model/insurancePage.model"),
    ApplicantInfoView = require("../view/applicantInfo.view"),
    BankCardView = require("../view/bankCard.view"),
    DetailsInstructionView = require("../view/detailsInstruction.view"),
    InsuranceNoticeView = require("../view/insuranceNotice.view"),
    DiseaseProvisionView = require("../view/diseaseProvision.view"),
    InhospitalProvisionView = require("../view/inhospitalProvision.view"),
    FaceRecognitionView = require("../view/faceRecognition.view"),
    HealthInformView = require("../view/healthInform.view"),
    IdRecognitionView = require("../view/idRecognition.view"),
    InsuranceDetailsView = require("../view/insuranceDetails.view"),
    InsureInfoView = require("../view/insureInfo.view"),
    MaterialSupplementView = require("../view/materialSupplement.view"),
    OrderDetailsView = require("../view/orderDetails.view"),
    OrderPayView = require("../view/orderPay.view"),
    RecognizeeInfoView = require("../view/recognizeeInfo.view"),
    BankcardInfoView= require("../view/bankcardInfo.view"),
    PaySuccessView= require("../view/paySuccess.view"),
    PayFailureView= require("../view/payFailure.view"),
    renewalPriceView = require("../view/renewalPrice.view"),
    protocolView = require("../view/protocol.view"),
    toast = new (require("../../../../gum.ui/toast/toast")),
    alert = new (require("../../../../gum.ui/alerts/alerts")),
    WeChatHelper= require('../../../../gum.ui/wechatSDK/wechat.helper');

function  insurancePage(extendObj){
    this.toast = toast;
    this.alert = alert;
    this.moduleName = 'insurance';
    this.$ = window.GUM.$;
    this.name = 'insurancePage';
    this.cssFile = 'insurancePage.css';
    this.classList = ['insurancePage'];
    this.model = new Model();
    this.routers = {
        "login": "simulogin",
        "severeIllness":"severeIllness",
        "medical":"medical",
        "index": "index",
        "applicantInfo": "applicantInfo",
        "bankCard":"bankCard",
        "detailsInstruction":"detailsInstruction",
        "insuranceNotice":"insuranceNotice",
        "diseaseProvision":"diseaseProvision",
        "inhospitalProvision":"inhospitalProvision",
        "faceRecognition":"faceRecognition",
        "healthInform":"healthInform",
        "idRecognition":"idRecognition",
        "insuranceDetails":"insuranceDetails",
        "insureInfo":"insureInfo",
        "materialSupplement":"materialSupplement",
        "orderDetails":"orderDetails",
        "orderPay":"orderPay",
        "recognizeeInfo":"recognizeeInfo",
        "bankcardInfo":"bankcardInfo",
        "paySuccess":"paySuccess",
        "payFailure":"payFailure",
        "renewalPrice":"renewalPrice",
        "protocol": "protocol"
    };
}

insurancePage.prototype = new window.GUM.Controller({
    index: function () {
        this.showView(InsuranceDetailsView,{
            eventID: "保险详情",
            eventLabel: "保险详情",
            title: "保险详情",
            leftBtn: "\\U0000e614",
            rightBtn: "\\U0000e60E"
        })
    },
    simulogin: function () {
        var _this = this;
        this.model.simulateLogin(function () {
            _this.curRouter.navigate("insurance/insurancePage/medical");
        });
    },

    /*重大疾病*/
    severeIllness:function(){
        var thiso=this;
        this.model.queryProductDetails({"productId":"PR000002"},function(res){
            thiso.createModel(res);
            thiso.curRouter.navigate("insurance/insurancePage/index",true);
        });
    },
    /*住院医疗*/
    medical:function(){
        var thiso=this;
        this.model.queryProductDetails({"productId":"PR000001"},function(res){
            thiso.createModel(res);
            thiso.curRouter.navigate("insurance/insurancePage/index",true);
        });
    },
    applicantInfo: function () {
        var opt = {
            eventID: "申请人信息",
            eventLabel: "申请人信息",
            title: "申请人信息",
            leftBtn: "\\U0000e614",
            rightBtn: "\\U0000e60E"
        };
        this.showView(ApplicantInfoView,opt)
    },

    bankCard: function () {
        var opt = {
            eventID: "银行卡确认",
            eventLabel: "银行卡确认",
            title: "银行卡确认",
            leftBtn: "\\U0000e614",
            rightBtn: "\\U0000e60E"
        };
        this.showView(BankCardView,opt)
    },

    detailsInstruction: function () {
        var opt = {
            eventID: "投保须知",
            eventLabel: "投保须知",
            title: "投保须知",
            leftBtn: "\\U0000e614",
            rightBtn: "\\U0000e60E"
        };
        this.showView(DetailsInstructionView,opt)
    },

    insuranceNotice: function () {
        var opt = {
            eventID: "投保须知",
            eventLabel: "投保须知",
            title: "投保须知",
            leftBtn: "\\U0000e614",
            rightBtn: "\\U0000e60E"
        };
        this.showView(InsuranceNoticeView,opt)
    },

    diseaseProvision: function () {
        var opt = {
            eventID: "合体条款",
            eventLabel: "合体条款",
            title: "合体条款",
            leftBtn: "\\U0000e614",
            rightBtn: "\\U0000e60E"
        };
        this.showView(DiseaseProvisionView,opt)
    },

    inhospitalProvision: function () {
        var opt = {
            eventID: "合体条款",
            eventLabel: "合体条款",
            title: "合体条款",
            leftBtn: "\\U0000e614",
            rightBtn: "\\U0000e60E"
        };
        this.showView(InhospitalProvisionView,opt)
    },

    healthInform: function () {
        var opt = {
            eventID: "健康告知",
            eventLabel: "健康告知",
            title: "健康告知",
            leftBtn: "\\U0000e614",
            rightBtn: "\\U0000e60E"
        };
        this.showView(HealthInformView,opt)
    },

    faceRecognition: function () {
        var opt = {
            eventID: "人脸认证",
            eventLabel: "人脸认证",
            title: "人脸认证",
            leftBtn: "\\U0000e614",
            rightBtn: "\\U0000e60E"
        };
        this.showView(FaceRecognitionView,opt)
    },


    idRecognition: function () {
        var opt = {
            eventID: "身份认证",
            eventLabel: "身份认证",
            title: "身份认证",
            leftBtn: "\\U0000e614",
            rightBtn: "\\U0000e60E"
        };
        this.showView(IdRecognitionView, opt)
    },

    insuranceDetails: function () {
        this.showView(InsuranceDetailsView,{
            eventID: "保险详情",
            eventLabel: "保险详情",
            title: "保险详情",
            leftBtn: "\\U0000e614",
            rightBtn: "\\U0000e60E"
        })
    },

    insureInfo: function () {
        var opt = {
            eventID: "投保信息",
            eventLabel: "投保信息",
            title: "投保信息",
            leftBtn: "\\U0000e614",
            rightBtn: "\\U0000e60E"
        };
        this.showView(InsureInfoView, opt);
    },

    materialSupplement: function () {
        var opt = {
            eventID: "补充材料",
            eventLabel: "补充材料",
            title: "补充材料",
            leftBtn: "\\U0000e614",
            rightBtn: "\\U0000e60E"
        };
        this.showView(MaterialSupplementView, opt);
    },

    orderDetails: function () {
        var opt = {
            eventID: "订单确认",
            eventLabel: "订单确认",
            title: "订单确认",
            leftBtn: "\\U0000e614",
            rightBtn: "\\U0000e60E"
        };
        this.showView(OrderDetailsView, opt);
    },

    orderPay: function () {
        var _this = this;
        var opt = {
            eventID: "订单支付",
            eventLabel: "订单支付",
            title: "订单支付",
            leftBtn: "\\U0000e614",
            rightBtn: "\\U0000e60E"
        };
        this.showView(OrderPayView, opt)
    },

    recognizeeInfo: function () {
        var _this = this;
        var opt = {
            eventID: "被保人信息",
            eventLabel: "被保人信息",
            title: "被保人信息",
            leftBtn: "\\U0000e614",
            rightBtn: "\\U0000e60E"
        };
        this.showView(RecognizeeInfoView, opt)
    },

    bankcardInfo: function () {
        var opt = {
            eventID: "银行卡录入",
            eventLabel: "银行卡录入",
            title: "银行卡录入",
            leftBtn: "\\U0000e614",
            rightBtn: "\\U0000e60E"
        };
        this.showView(BankcardInfoView,opt)
    },

    paySuccess: function () {
        var opt = {
            eventID: "申请成功",
            eventLabel: "申请成功",
            title: "申请成功",
            leftBtn: "\\U0000e614",
            rightBtn: "\\U0000e60E"
        };
        this.showView(PaySuccessView,opt)
    },

    payFailure: function () {
        var opt = {
            eventID: "申请失败",
            eventLabel: "申请失败",
            title: "申请失败",
            leftBtn: "\\U0000e614",
            rightBtn: "\\U0000e60E"
        };
        this.showView(PayFailureView,opt)
    },

    renewalPrice : function () {
        var opt = {
            eventID: "续保保费",
            eventLabel: "续保保费",
            title: "续保保费",
            leftBtn: "\\U0000e614",
            rightBtn: "\\U0000e60E"
        };
        this.showView(renewalPriceView,opt)
    },

    protocol: function () {
        var opt = {
            eventID: "委托扣款支付协议",
            eventLabel: "委托扣款支付协议",
            title: "委托扣款支付协议",
            leftBtn: "\\U0000e614",
            rightBtn: "\\U0000e60E"
        };
        this.showView(protocolView,opt)
    },

    showView:function(View,opt){
        var view_instance=new View();
        view_instance.controller=this;
        view_instance.toast = this.toast;
        view_instance.alert = this.alert;
        view_instance.$ = window.GUM.$;
        view_instance.model=this.model;
        view_instance.init(opt);
    },
    createModel:function(res){
        this.model.data=window.GUM.extend({},this.model.Default,res);
        this.model.data.optionsList=JSON.parse(res.itemList);
        this.model.data.directionMap=JSON.parse(res.directionMap);
        this.model.data.idCsspProduct=res.scmsProductId;
        this.model.data.pcDate=res.policyDeployDate;
        if(res.scmsProductId=="PI000001"){
            this.model.data.hash="#insurance/insurancePage/medical";
        }else if(res.scmsProductId=="PI000002"){
            this.model.data.hash="#insurance/insurancePage/severeIllness";
        }
    }
});
module.exports=window.GUM.initModule(insurancePage);
},{"../../../../gum.ui/alerts/alerts":2,"../../../../gum.ui/toast/toast":9,"../../../../gum.ui/wechatSDK/wechat.helper":24,"../model/insurancePage.model":28,"../view/applicantInfo.view":29,"../view/bankCard.view":30,"../view/bankcardInfo.view":31,"../view/detailsInstruction.view":32,"../view/diseaseProvision.view":33,"../view/faceRecognition.view":34,"../view/healthInform.view":35,"../view/idRecognition.view":36,"../view/inhospitalProvision.view":37,"../view/insuranceDetails.view":38,"../view/insuranceNotice.view":39,"../view/insureInfo.view":40,"../view/materialSupplement.view":41,"../view/orderDetails.view":42,"../view/orderPay.view":43,"../view/payFailure.view":44,"../view/paySuccess.view":45,"../view/protocol.view":46,"../view/recognizeeInfo.view":47,"../view/renewalPrice.view":48}],28:[function(require,module,exports){
/**
 * Created by mengqinghuan on 2016/10/25.
 */
"use strict";

var dataModel = {

};

function insurancePageModel(){
    this.assign = GUM.extend;
    this.urls = {
    	verify: "/egis-scms-app/app/identityAuthentication.do", //校验客户身份
        verifyBank:"/egis-scms-app/app/bankVerifyConfirm.do",
    	// handlerData: "/m/tax/insureSubmit.do",
        queryProductDetails:"/egis-scms-app/app/product/queryInsuranceProductDetails.dox",
        queryPrice:"/egis-scms-app/app/inquiry/pubInquiry.dox",
        queryHealth:"/egis-scms-app/app/product/queryHealthInfo.do",
        createOrder:"/egis-scms-app/app/product/createProductOrder.do",
        selfCheck: "/egis-scms-app/app/insure/selfCheck.do",
        queryBankList: "/egis-scms-app/app/bank/bankList.do",
        queryVerifyBankList: "/egis-scms-app/app/bank/verifyBankList.do",
        isSupportPay: "/egis-scms-app/app/bank/isSupportPay.do",
        selfCheckBefore:"/egis-scms-app/app/insure/selfCheckValid.do",
        getRedisCache:"/egis-scms-app/app/cache/getRedisCache.do",
        judgeHealthInfo: "/egis-scms-app/app/product/judgeHealthInfo.do",
        queryAgentInfoByGCode:"/egis-scms-app/app/policy/queryAgentInfoByGCode.dox",
        saveShareNote:"/egis-scms-app/app/policy/saveShareNote.dox",
        queryShareNoteById:"/egis-scms-app/app/policy/queryShareNoteById.dox",
        querySolvencyInfo:"/egis-scms-app/app/product/querySolvencyInfo.dox",
        underWriting:"/egis-scms-app/app/insure/underWriting.do"
    };
    
    this.Default = this.data = {
        birthDate: "1980-01-01",
        notices:[
            {id:"1",name:"16周岁-65周岁,个人历年医保账户余额需大于等于首期保费,否则将无法投保成功."},
            {id:"2",name:"66周岁-75周岁,个人历年医保账户余额需大于等于1500元,否则将无法投保成功."},
            {id:"1",name:"16周岁-75周岁,个人历年医保账户余额需大于等于1500元,否则将无法投保成功."},
            {id:"2",name:"66周岁（含）以上,个人历年医保账户余额需大于等于1500元,否则将无法投保成功."}
        ],
        healthList:{},
        renewalList: {
            'medical': {
                h1:"平安上海医保账户住院自费医疗保险",
                p:'单位：人民币元',
                table:[
                    {age:"年龄 ",price:'续保保费'},
                    {age:'16-35',price:'461'},
                    {age:'36-45',price:'614'},
                    {age:'46-55',price:'854'},
                    {age:'56-65',price:'1365'},
                    {age:'66-75',price:'2957'},
                    {age:'76及以上',price:'6099'}
                    ]
            },
            'severeIllnessM': {
                h1:"平安上海医保账户重大疾病保险费(男)",
                p:'单位：人民币元',
                table:[
                    {age:"年龄 ",price:'续保保费'},
                    {age:'16-25',price:'6.8'},
                    {age:'26-30',price:'11.9'},
                    {age:'31-35',price:'16.7'},
                    {age:'36-40',price:'28.1'},
                    {age:'41-45',price:'51.7'},
                    {age:'46-50',price:'92.9'},
                    {age:'51-55',price:'152.8'},
                    {age:'56-60',price:'230.8'},
                    {age:'61-65',price:'317.3'},
                    {age:'66-70',price:'463.3'},
                    {age:'71-75',price:'669.8'}
                ]
            },
            'severeIllnessF': {
                h1:"平安上海医保账户重大疾病保险费(女)",
                p:'单位：人民币元',
                table:[
                    {age:'16-25',price:'7.4'},
                    {age:'26-30',price:'11.9'},
                    {age:'31-35',price:'18.7'},
                    {age:'36-40',price:'31.1'},
                    {age:'41-45',price:'50'},
                    {age:'46-50',price:'74.9'},
                    {age:'51-55',price:'101.8'},
                    {age:'56-60',price:'140.1'},
                    {age:'61-65',price:'203.5'},
                    {age:'66-70',price:'305.4'},
                    {age:'71-75',price:'446.2'}
                ]
            },
            tips:'注：本产品保险期间1年，续保保费按照每年续保时被保险人的年龄和保额确定。同时，根据合同约定，本公司可能对上述续保保费进行调整。如本公司对上述续保保费进行了调整，您须按调整后的续保保费进行缴纳，调整前您已经支付的保险费不受影响。'
        }
    };

    this.dataModel = dataModel;
}

/*从公共类继承方法*/
insurancePageModel.prototype=new GUM.Model();

insurancePageModel.prototype.queryProductDetails=function(data,succ){
    var url = this.urls["queryProductDetails"];
    var _this = this;
    this.ajax({
        url: url, data: data,timeout:-1
    }, function (res) {
        succ(res);
    }, function (e) {

    })
}


insurancePageModel.prototype.queryPrice=function(data,succ){
    var url = this.urls["queryPrice"];
    var _this = this;
    this.ajax({
        url: url, data: data,noMask:"true",timeout:-1
    }, function (res) {
        succ(res);
    }, function (e) {

    })
};


insurancePageModel.prototype.createOrder=function(data,succ){
    var url = this.urls["createOrder"];
    var _this = this;
    this.ajax({
        url: url, data: data,timeout:-1
    }, function (res) {
        succ(res);
    }, function (e) {

    })
}

insurancePageModel.prototype.verify=function(data,succ,error){
    var url = this.urls["verify"];
    var _this = this;
    this.ajax({
        url: url, data: data, timeout:-1
    }, function (res) {
        succ(res);
    }, function (e) {
        error(e)
    })
};

insurancePageModel.prototype.verifyBank = function (data, succ) {
    var url = this.urls["verifyBank"];
    var _this = this;
    this.ajax({
        url: url, data: data,timeout:-1
    }, function (res) {
        succ(res)
    },function (e) {

    })
};

insurancePageModel.prototype.queryHealth = function (data,succ) {
    var url = this.urls["queryHealth"];
    var _this = this;
    this.ajax({
        url: url, data: data,noMask:"true",timeout:-1
    }, function (res) {
        succ(res)
    }, function (e) {

    })
};

insurancePageModel.prototype.queryBankList = function (data,succ) {
    var url = this.urls["queryBankList"];
    var _this = this;
    this.ajax({
        url: url, data: data,timeout:-1
    },function (res) {
        succ(res)
    },function (e) {
        
    })
};

insurancePageModel.prototype.queryVerifyBankList = function (data,succ) {
    var url = this.urls["queryVerifyBankList"];
    var _this = this;
    this.ajax({
        url: url, data: data,timeout:-1
    },function (res) {
        succ(res)
    },function (e) {

    })
};

insurancePageModel.prototype.isSupportPay = function (data,succ) {
    var url = this.urls["isSupportPay"];
    var _this = this;
    this.ajax({
        url: url, data: data,timeout:-1
    },function (res) {
        succ(res)
    },function (e) {

    })
};

insurancePageModel.prototype.selfCheck = function (data,succ,error) {
    var url = this.urls["selfCheck"];
    var _this = this;
    this.ajax({
        url: url, data: data,timeout:-1
    }, function (res) {
        succ(res)
    }, function (e) {
        error(e)
    })
};

insurancePageModel.prototype.selfCheckBefore = function (data,succ,error) {
    var url = this.urls["selfCheckBefore"];
    var _this = this;
    this.ajax({
        url: url, data: data,timeout:-1, noToast:true
    },function (res) {
        succ(res)
    },function (msg,flag) {
        error(msg,flag)
    })
};

insurancePageModel.prototype.getRedisCache = function (data, succ) {
    var url = this.urls["getRedisCache"];
    var _this = this;
    this.ajax({
        url: url, data: data,timeout:-1
    },function (res) {
        succ(res)
    },function (e) {

    })
};

insurancePageModel.prototype.judgeHealthInfo = function (data, succ) {
    var url = this.urls["judgeHealthInfo"];
    var _this = this;
    this.ajax({
        url: url, data: data,timeout:-1
    },function (res) {
        succ(res)
    },function (e) {

    })
};

insurancePageModel.prototype.queryAgentInfoByGCode = function (data,succ,error) {
    var url = this.urls["queryAgentInfoByGCode"];
    var _this = this;
    this.ajax({
        url: url, data:data,timeout:-1
    },function (res) {
        succ(res)
    },function (e) {
        error(e)
    })
};

insurancePageModel.prototype.querySolvencyInfo = function (data, succ) {
    var url = this.urls['querySolvencyInfo'];
    var _this = this;
    this.ajax({
        url:url, data:data,timeout:-1
    },function (res) {
        succ(res)
    },function (e) {

    })
};

insurancePageModel.prototype.underWriting = function (data, succ) {
    var url = this.urls['underWriting'];
    this.ajax({
        url:url, data:data,timeout:-1
    },function (res) {
        succ(res)
    })
};

insurancePageModel.prototype.createOrderSub = function (data,callback) {
    var _this=this;
    if(this.data.idCsspOrder){
        data.idScmsOrder=this.data.idCsspOrder;
    }
    data.idScmsProduct=this.data.idCsspProduct;
    data.idOrderProduct=this.data.idOrderProduct;
    data.customerSequenceNo = this.data.insurerData.userIdentifyCode;
    data.buyNum="1";
    data.orderClientType="01";
    data.orderChannel="01";
    data.basePrice=this.data.basePrice;
    data.userId = this.data.insurerData.userId;
    data.memberDisCount=this.data.memberDisCount;
    data.sinsurPeriodType="M";
    data.insurPeriod="12";
    data.businessType="02";
    data.address = this.data.insurerData.address;
    data.medicalCardNo = this.data.insurerData.medicalCardNo;
    data.facePhoto = this.data.insurerData.facePhoto;

    data.idInsurPrdCombined=this.data.selectData.combinedId;
    data.idInsurPrdItem=this.data.selectData.itemId;
    data.planCode=this.data.selectData.planCode;
    data.idInsurItemOption=this.data.selectData.itemCode; //**选中的选项
    data.combinedPlanCode=this.data.selectData.combinedPlanCode;
    data.effDate=this.data.startTime;
    data.matuDate=this.data.endTime;
    data.coverageAmount = this.data.coverageAmount;
    data.empNo = this.data.insurerData.agentNo.trim().toUpperCase() || "G020202000";

    data.userName = this.data.insurerData.userName;
    data.gender = this.data.insurerData.gender;
    data.birthDate = this.data.insurerData.birthDate;
    data.idType = this.data.insurerData.idType;
    data.idNo = this.data.insurerData.idNo;

    this.createOrder(data,function(res){
        _this.data.idCsspOrder=res.idScmsOrder;
        _this.data.idOrderProduct=res.idOrderProduct;
        callback();
    });
};


module.exports=insurancePageModel;




},{}],29:[function(require,module,exports){
/**
 * Created by mengqinghuan on 2016/10/26.
 */
"use strict";

var applicantInfoTpl = require('./template/applicantInfo.tpl'),
    paramUtil = require('../../../../public/pama/pamaUtil'),
    CommonUtil = new (require('../../../../gum.ui/validate/common.tool'))();

function applicantInfoView() {

}

applicantInfoView.prototype.init=function(data){
    var _this=this;
    this.controller.curModule._renderHTML(applicantInfoTpl(),data,function(){
        _this.initEvent();
    });
};

applicantInfoView.prototype.initEvent = function () {
    var _this=this;
    //逻辑
};

module.exports = applicantInfoView;
},{"../../../../gum.ui/validate/common.tool":23,"../../../../public/pama/pamaUtil":79,"./template/applicantInfo.tpl":49}],30:[function(require,module,exports){
/**
 * Created by mengqinghuan on 2016/10/26.
 */
"use strict";

var bankCardTpl = require('./template/bankCard.tpl'),
    paramUtil = require('../../../../public/pama/pamaUtil'),
    CommonUtil = new (require('../../../../gum.ui/validate/common.tool'))(),
    CheckTel =new (require("../../../../gum.ui/validate/check.telmobile"))(),
    CheckBankCard =require("../../../../gum.ui/validate/check.bankCardNo"),
    InterValObj;

function bankCardView() {

}

bankCardView.prototype.init=function(data){
    var _this=this;
    this.model.queryVerifyBankList({},function (res) {
        _this.model.data.verifyBankList = window.GUM.extend({}, _this.model.data.insurerData, res);
        var showData = window.GUM.extend({},_this.model.data.verifyBankList);
        _this.controller.curModule._renderHTML(bankCardTpl(showData),data,function(){
            _this.initEvent();
            if (_this.model.data.count < 60 && _this.model.data.count) {
                _this.$("#Verification").attr("disabled",true).addClass('active');
                _this.$("#Verification").text(_this.model.data.count + "秒后重新获取");
            }
        });
    });
};

bankCardView.prototype.initEvent = function () {
    var _this=this;

    _this.$(".nextStepBtn").tap(function (e) {
        _this.toNextStep();
    });
    _this.$("input").on("blur",function (e) {
        _this.validate(e)
    });
    _this.$("select").on("change", function (e) {
        _this.validate(e)
    });
    _this.$("#Verification").tap(function (e) {
        _this.getVerificationCode()
    })
};

bankCardView.prototype.validate = function (e) {
    var vType = this.$(e.target).attr('validate_type');
    var val = this.$("#bankCard").val();
    var msg;
    switch (vType) {
        case "14" :
            msg = CheckBankCard(val);
            break;
        case "9":
            val = this.$("#mobile").val();
            msg = CheckTel.check(val);
            break
    }
    if (msg) {
        this.toast.showToast(msg, 1500, "温馨提示");
        return false;
    }
    return true;
};

bankCardView.prototype.verifyUser=function(callback){
    var _this=this;
    var idTypes = {"1": "1", "2": "2", "5": "5", "6": "6"};
    _this.model.data.insurerData.bankName = _this.$('#bank-sel').text();
    _this.model.data.insurerData.bankNo = _this.getValue("bank-sel");
    _this.model.data.insurerData.bankCardNo = _this.getValue("bankCard");
    var data = {
        userName: _this.model.data.insurerData.userName,
        loginIdentify: _this.model.data.insurerData.loginIdentify, //区分自建用户登录和一账通用户登录
        gender: _this.model.data.insurerData.gender,
        userId: _this.model.data.insurerData.userId,
        birthDate: _this.model.data.insurerData.birthDate,
        idType: idTypes[_this.model.data.insurerData.idType],
        idNo: _this.model.data.insurerData.idNo,
        mobile:_this.model.data.insurerData.mobile,
        address:_this.model.data.insurerData.address,
        channelType: "SH",
        clientType: "01", //区分app和wechat
        medicalCardNo:_this.model.data.insurerData.medicalCardNo,
        bankCardNo:_this.model.data.insurerData.bankCardNo,
        bankName: _this.model.data.insurerData.bankName,
        bankNo: _this.model.data.insurerData.bankNo,
        identifyChannelType: '0'
    };
    this.model.verify(data, function (res) {
        _this.model.data.verifyCodeNo = res.verifyCodeNo;
        _this.model.data.customerSequenceNo = res.customerSequenceNo;
        callback()
    });
};



//验证码  待定
bankCardView.prototype.getVerificationCode = function () {
    var _this = this;
    if(this.$("#Verification").attr("disabled")==true){
        return;
    }
    _this.checkAll();
    if (!_this.checkAll()) {
        return
    }
    _this.model.data.count = 60;
    _this.sendMessage();

};


bankCardView.prototype.sendMessage = function () {
    var _this = this;
    //获取验证码
    _this.verifyUser(function () {
    //设置button效果，开始计时
    _this.$("#Verification").attr("disabled",true).addClass('active');
    _this.$("#Verification").text(_this.model.data.count + "秒后重新获取");
    InterValObj = window.setInterval(SetRemainTime, 1000); //启动计时器，1秒执行一次
    });

    function SetRemainTime() {
        if (_this.model.data.count <= 0) {
            window.clearInterval(InterValObj);//停止计时器
            _this.$("#Verification").attr("disabled",false).removeClass('active');//启用按钮
            _this.$("#Verification").text("重新发送验证码");
        }
        else {
            _this.model.data.count--;
            _this.$("#Verification").text(_this.model.data.count + "秒后重新获取");
        }
    }

};


bankCardView.prototype.toNextStep = function () {
    var _this = this;
    _this.checkAll();
    if (!_this.checkAll()) {
        return
    }
    if (_this.getValue("verifyCode") == '') {
        _this.showError("请输入验证码",1500,'温馨提示');
        return
    }
    _this.model.verifyBank({
        verifyCodeNo: _this.model.data.verifyCodeNo,
        verifyCode: _this.getValue("verifyCode")
    },function (res) {
        _this.model.data.insurerData.userIdentifyCode = res.customerSequenceNo;
        _this.model.data.insurerData.identifyFlag = "Y";
        _this.model.createOrderSub({},function(){
            var addStar = function (str,startIndex,length) {
                var star = "";
                for (var i=0;i<length;i++) {
                    star += "*"
                }
                var replaceStr = str.substr(startIndex,length);
                return str.replace(replaceStr,star)
            };
            window.GUM.bridge.js_update_user_info({
                "userName":addStar(_this.model.data.insurerData.userName,1,_this.model.data.insurerData.userName.length-1),
                "idType":_this.model.data.insurerData.idType+'',
                "idNo":_this.model.data.insurerData.idNo.length==15 ?addStar(_this.model.data.insurerData.idNo,0,12) :addStar(_this.model.data.insurerData.idNo,0,14),
                "gender":_this.model.data.insurerData.gender+'',
                "birthDate":_this.model.data.insurerData.birthDate+'',
                "mobile":_this.model.data.insurerData.mobile+'',
                "medicalCardNo":_this.model.data.insurerData.medicalCardNo+'',
                "address":_this.model.data.insurerData.address+''
            },function(){
                _this.controller.curRouter.navigate("insurance/insurancePage/healthInform", true);
            });
        });
    })
};

bankCardView.prototype.showError = function (msg) {
    this.toast.showToast(msg, 1500, "温馨提示");
};

bankCardView.prototype.checkAll = function () {
    var _this = this;
    var flag = true;
    var elements = this.$("#mobile, #bankCard");
    for (var t = 0; t < elements.length; t++) {
        var element = elements[t];
        flag = _this.validate({target: element});
        if (!flag)break;
    }
    return flag;
};

bankCardView.prototype.getValue = function (id) {
    var element = this.$("#" + id);
    switch (element[0].tagName) {
        case 'SPAN': return element.text().trim();
        case 'DIV':
            return element.text().trim();
            break;
        case 'TEXTAREA':
            return element.val().trim();
            break;
        case "SELECT":
            var val = element.val();
            return val;
            break;
        default :
            return element.val();
    }
};


module.exports = bankCardView;
},{"../../../../gum.ui/validate/check.bankCardNo":16,"../../../../gum.ui/validate/check.telmobile":22,"../../../../gum.ui/validate/common.tool":23,"../../../../public/pama/pamaUtil":79,"./template/bankCard.tpl":50}],31:[function(require,module,exports){
/**
 * Created by bob on 16/11/11.
 */
"use strict";

var bankcardInfoTpl = require('./template/bankcardInfo.tpl'),
    paramUtil = require('../../../../public/pama/pamaUtil'),
    CommonUtil = new (require('../../../../gum.ui/validate/common.tool'))(),
    CheckBankCard =require("../../../../gum.ui/validate/check.bankCardNo");

function bankcardInfoView() {

}

bankcardInfoView.prototype.init=function(data){
    var _this=this;
    if (_this.model.data.isInheritCard == 'Y') {
        _this.model.data.bankList = _this.model.data.bankList = window.GUM.extend({}, _this.model.data.insurerData,{
            bankCardNo_temp: _this.model.data.insurerData.bankCardNo,
            bankName_temp: _this.model.data.insurerData.bankName,
            bankNo_temp: _this.model.data.insurerData.bankNo,
            isInheritCard: _this.model.data.isInheritCard
        });
        _this.controller.curModule._renderHTML(bankcardInfoTpl(_this.model.data.bankList),data,function(){
            _this.$('li').addClass('placeholder')
            _this.$(".nextStepBtn").tap(function (e) {
                _this.saveForm();
                _this.controller.curRouter.navigate("insurance/insurancePage/orderPay");
            });
        });
    } else {
        this.model.queryBankList({},function (res) {
            _this.model.data.bankList = window.GUM.extend({}, _this.model.data.insurerData, res,{
                isInheritCard:_this.model.data.isInheritCard,
                bankCardNo_temp: _this.model.data.insurerData.bankCardNo_new,
                bankName_temp: _this.model.data.insurerData.bankName_new,
                bankNo_temp: _this.model.data.insurerData.bankNo_new
            });
            _this.controller.curModule._renderHTML(bankcardInfoTpl(_this.model.data.bankList),data,function(){
                _this.initEvent();
            });
        });
    }
};

bankcardInfoView.prototype.initEvent = function () {
    var _this=this;
    _this.$('input').on("blur",function () {
        _this.validate()
    });
    _this.$(".nextStepBtn").tap(function (e) {
        if (!_this.validate()) return;
        _this.saveForm();
        _this.controller.curRouter.navigate("insurance/insurancePage/orderPay");
    });
};

bankcardInfoView.prototype.validate = function () {
    var val = this.$('#bankCard').val();
    var msg = CheckBankCard(val);
    if (msg) {
        this.toast.showToast(msg, 1500, "温馨提示");
        return false;
    }
    return true;
};

bankcardInfoView.prototype.saveForm = function () {
    var _this = this;
    this.model.data.insurerData = window.GUM.extend({}, this.model.data.insurerData, {
        bankCardNo_new: _this.getValue('bankCard'),
        bankName_new: _this.$('#bankName').text(),
        bankNo_new: _this.getValue("bankName")
    });
};

bankcardInfoView.prototype.getValue = function (id) {
    var element = this.$("#" + id);
    switch (element[0].tagName) {
        case 'SPAN':
            return element.text().trim();
        case 'DIV':
            return element.text().trim();
            break;
        case 'TEXTAREA':
            return element.val().trim();
            break;
        case "SELECT":
            var val = element.val();
            return val;
            break;
        default :
            return element.val();
    }
}
module.exports = bankcardInfoView;
},{"../../../../gum.ui/validate/check.bankCardNo":16,"../../../../gum.ui/validate/common.tool":23,"../../../../public/pama/pamaUtil":79,"./template/bankcardInfo.tpl":51}],32:[function(require,module,exports){
/**
 * Created by mengqinghuan on 2016/10/26.
 */
"use strict";

var detailsInstructionTpl = require('./template/detailsInstruction.tpl'),
    paramUtil = require('../../../../public/pama/pamaUtil'),
    CommonUtil = new (require('../../../../gum.ui/validate/common.tool'))();

function detailsInstructionView() {

}

detailsInstructionView.prototype.init=function(data){
    var _this=this;
    this.controller.curModule._renderHTML(detailsInstructionTpl(_this.model.data),data,function(){
        _this.initEvent();
    });
};

detailsInstructionView.prototype.initEvent = function () {
    var _this=this;
    _this.$("#indent").tap(function (e) {
        _this.controller.curRouter.navigate("insurance/insurancePage/diseaseProvision");
    });

};

module.exports = detailsInstructionView;
},{"../../../../gum.ui/validate/common.tool":23,"../../../../public/pama/pamaUtil":79,"./template/detailsInstruction.tpl":52}],33:[function(require,module,exports){
/**
 * Created by bob on 16/11/11.
 */
"use strict";

var diseaseProvisionTpl = require('./template/diseaseProvision.tpl'),
    paramUtil = require('../../../../public/pama/pamaUtil'),
    CommonUtil = new (require('../../../../gum.ui/validate/common.tool'))();

function diseaseProvisionView() {

}

diseaseProvisionView.prototype.init=function(data){
    var _this=this;
    this.controller.curModule._renderHTML(diseaseProvisionTpl(_this.model.data),data,function(){
        _this.initEvent();
    });
};

diseaseProvisionView.prototype.initEvent = function () {
    
};

module.exports = diseaseProvisionView;
},{"../../../../gum.ui/validate/common.tool":23,"../../../../public/pama/pamaUtil":79,"./template/diseaseProvision.tpl":53}],34:[function(require,module,exports){
"use strict";

var faceRecognitionTpl = require('./template/faceRecognition.tpl'),
    paramUtil = require('../../../../public/pama/pamaUtil'),
    CommonUtil = new (require('../../../../gum.ui/validate/common.tool'))(),
    Bridge = require('../../../../gum.ui/utils/bridge'),
    toast=require('../../../../gum.ui/toast/toast'),
    alerts=require('../../../../gum.ui/alerts/alerts'),
    Mask = new (require('../../../../gum.ui/ajax/mask')),
    wechat=require('../../../../gum.ui/wechatSDK/wechat');

function faceRecognitionView() {

}

faceRecognitionView.prototype.init = function (data) {
    this.time=0;
    var _this = this;
    _this.controller.curModule._renderHTML(faceRecognitionTpl({isApp:isApp}),data,function(){
        _this.initEvent();
    });
};

faceRecognitionView.prototype.initEvent = function () {
    var _this = this;
    _this.$(".scanningArea").tap(function () {
        Mask.startMask(-1);
        _this.getPhoto()
    });
    _this.$('.scanningArea').trigger('tap');
};


faceRecognitionView.prototype.getPhoto=function(){
    var _this = this;
    if(isApp==true){
        window.GUM.bridge.js_get_photo({},function(res){

            if (res.isCancel == 'Y') {
                Mask.endMask();
                return;
            }
            _this.handFace(res)
        }, function(){
            //失败后跳转到银行卡认证页面
            _this.controller.curRouter.navigate('insurance/insurancePage/bankCard');
        });
    }else{
        _this.$("#cameraInput").one('change',_this.changeEvent.bind(_this));
    }
};

faceRecognitionView.prototype.changeEvent=function(eve) {
    var _this=this;
    var compress = function (res) {
        var img = new Image(),
            maxH = 800;
        img.onload = function () {
            var cvs = document.createElement('canvas'),
                ctx = cvs.getContext('2d');
            if(img.height > maxH) {
                img.width *= maxH / img.height;
                img.height = maxH;
            }
            cvs.width = img.width;
            cvs.height = img.height;
            ctx.clearRect(0, 0, cvs.width, cvs.height);
            ctx.drawImage(img, 0, 0, img.width, img.height);
            var dataUrl = cvs.toDataURL('image/jpeg', 0.6);
            _this.handFace({image:dataUrl});
        }
        //console.log(res);
        img.src = res;
    }

    var filereader = new FileReader();
    filereader.onload =function(){
        compress(this.result);
    };
    filereader.readAsDataURL(eve.target.files[0]);
};

faceRecognitionView.prototype.handFace=function(res){
                var _this=this;
                _this.model.data.insurerData.facePhoto = res.image;
                var data = {
                    userName        : _this.model.data.insurerData.userName, //姓名
                    loginIdentify   : _this.model.data.insurerData.loginIdentify, //登陆标示d
                    idType          : _this.model.data.insurerData.idType, //证件类型
                    gender          : _this.model.data.insurerData.gender,  //性别
                    userId          : _this.model.data.insurerData.userId,  //用户ID
                    birthDate       : _this.model.data.insurerData.birthDate,  //出生日期
                    idNo            : _this.model.data.insurerData.idNo,  //证件号码
                    mobile          : _this.model.data.insurerData.mobile,     //手机号码
                    address         : _this.model.data.insurerData.address,   //地址
                    medicalCardNo   : _this.model.data.insurerData.medicalCardNo,  //医保卡号
                    facePhoto       : _this.model.data.insurerData.facePhoto,   //人脸照片
                    identifyChannelType: _this.model.data.insurerData.identifyChannelType  //认证方式
                };

                _this.model.verify(data,function(){
                    //成功后跳转到健康告知页面
                    _this.model.data.insurerData.userIdentifyCode =res.customerSequenceNo;
                    _this.model.data.insurerData.identifyFlag = "Y";
                    _this.model.createOrderSub(data,function(){
                        var addStar = function (str,startIndex,length) {
                            var star = "";
                            for (var i=0;i<length;i++) {
                                star += "*"
                            }
                            var replaceStr = str.substr(startIndex,length);
                            return str.replace(replaceStr,star)
                        };
                        window.GUM.bridge.js_update_user_info({
                            "userName":addStar(_this.model.data.insurerData.userName,1,_this.model.data.insurerData.userName.length-1),
                            "idType":_this.model.data.insurerData.idType+'',
                            "idNo":_this.model.data.insurerData.idNo.length==15 ?addStar(_this.model.data.insurerData.idNo,0,12) :addStar(_this.model.data.insurerData.idNo,0,14),
                            "gender":_this.model.data.insurerData.gender+'',
                            "birthDate":_this.model.data.insurerData.birthDate+'',
                            "mobile":_this.model.data.insurerData.mobile+'',
                            "medicalCardNo":_this.model.data.insurerData.medicalCardNo+'',
                            "address":_this.model.data.insurerData.address+''
                        },function(){
                            Mask.endMask();
                            _this.controller.curRouter.navigate("insurance/insurancePage/healthInform",true);
                        });
                    });
                },function(e){
                    _this.time ++;
                    Mask.endMask();
                    if (_this.time>=3) {
                        window.GUM.alerts.confirm("由于颜值太高无法识别，是否使用银行卡验证",function(){
                            _this.controller.curRouter.navigate("insurance/insurancePage/bankCard",true);
                        },function(){
                            _this.controller.curRouter.navigate('insurance/insurancePage/idRecognition',true);
                        },'温馨提示');
                        return;
                    }
                },"true");


}

module.exports = faceRecognitionView;
},{"../../../../gum.ui/ajax/mask":1,"../../../../gum.ui/alerts/alerts":2,"../../../../gum.ui/toast/toast":9,"../../../../gum.ui/utils/bridge":12,"../../../../gum.ui/validate/common.tool":23,"../../../../gum.ui/wechatSDK/wechat":25,"../../../../public/pama/pamaUtil":79,"./template/faceRecognition.tpl":54}],35:[function(require,module,exports){
/**
 * Created by mengqinghuan on 2016/10/26.
 */
"use strict";

var healthInformTpl = require('./template/healthInform.tpl'),
    paramUtil = require('../../../../public/pama/pamaUtil'),
    CommonUtil = new (require('../../../../gum.ui/validate/common.tool'))(),
    CheckNum=require("../../../../gum.ui/validate/check.document.number");

    var checkNum=new CheckNum();
function healthInformView() {

}

healthInformView.prototype.init=function(data){
    var _this=this;
    this.model.queryHealth({
        idScmsProduct: _this.model.data.idCsspProduct
    },function (res) {
        _this.model.data = window.GUM.extend({},_this.model.data,res);
        _this.model.data.healthNotice = JSON.parse(res.healthInfoList);
        _this.controller.curModule._renderHTML(healthInformTpl(_this.model.data),data,function(){
            _this.initEvent();
        });
    });
};

healthInformView.prototype.initEvent = function () {
    var _this=this;
    _this.$(".nextStepBtn").tap(function (e) {
        _this.saveFormData();
        if (!_this.check()) return;
        /*
        _this.model.judgeHealthInfo({
            idScmsProduct: _this.model.data.idCsspProduct,
            idScmsOrder: _this.model.data.idCsspOrder,
            height: _this.model.data.healthList.height,
            weight: _this.model.data.healthList.weight,
            questionOne: _this.model.data.healthList[0] ?_this.model.data.healthList[0].join('') :'N',
            questionTwo: _this.model.data.healthList[1]['flag'],
            questionTwoSick: _this.model.data.healthList[1].slice(0,_this.model.data.healthList[1].length).join(","),
            questionThree: _this.model.data.healthList[2] ?_this.model.data.healthList[2].join('') :'N',
            questionFour: _this.model.data.healthList[3] ?_this.model.data.healthList[3].join('') :'N',
            questionFive: _this.model.data.healthList[4] ?_this.model.data.healthList[4].join('') :'N',
            questionSix:  _this.model.data.healthList[5] ?_this.model.data.healthList[5].join('') :'N',
            questionSeven: _this.model.data.healthList[6] ?_this.model.data.healthList[6].join('') :'N'
        },function () {

        });
        */
        _this.controller.curRouter.navigate("#insurance/insurancePage/orderDetails");

    });

    var sel = _this.$('.sm_borderBtn');
    sel.tap(function (e) {
        if(_this.$(this).hasClass('active')) {
            return
        }
        _this.$(this).toggleClass('active');
        var previousSibling = _this.$(this).prev();
        var nextSibling = _this.$(this).next();
        previousSibling.removeClass('active');
        nextSibling.removeClass('active');
    });
    //this.selAll(); //临时
};

healthInformView.prototype.saveFormData = function () {
    var _this = this;
    this.model.data.healthList={
        height:this.$("#height").val(),
        weight:this.$("#weight").val()
    };
    var thiso=this;
    this.$(".sm_borderBtn.active").each(function(item,index){
        var qid= thiso.$(item).attr("qid").trim();
        var value=thiso.$(item).attr("value").trim();
        var issub=thiso.$(item).attr("issub").trim();
        var ivals;
        if(issub){
            ivals=thiso.model.data.healthList[qid];
        }
        if(!ivals){
            ivals=[];
        }
        ivals.push(value);
        thiso.model.data.healthList[qid]=ivals;
    });

    // 健康告知问题子项任意一项为N，父项定义为N
    var health_list = _this.model.data.healthList;
    for(var k in health_list){
        if (health_list[k].length>1 && !isNaN(+k)) {
            var flag = 'N';
            for(var t = 0; t < health_list[k].length; t ++) {
                if (health_list[k][t] == 'Y') {
                    flag = "Y";
                    break;
                }
            }
            health_list[k]['flag'] = flag;
        }
    }
};

/*
//临时
healthInformView.prototype.selAll = function () {
    var _this = this;
    this.$("#allNo").tap(function () {
        _this.$('.sm_borderBtn.right').trigger('tap',true)
    })
}//临时
*/

healthInformView.prototype.check = function () {
    var _this = this;
    var height=this.$("#height").val();
    if(!height){
        window.GUM.toast.showToast("请输入身高");
        return false;
    }
    var msg=checkNum.checkNum(height,0,500,"","身高");
    if(msg){
        window.GUM.toast.showToast(msg);
        return false;
    }
    var weight=this.$("#weight").val();
    if(!weight){
        window.GUM.toast.showToast("请输入体重");
        return false;
    }
    var msg=checkNum.checkNum(height,0,500,"","体重");
    if(msg){
        window.GUM.toast.showToast(msg);
        return false;
    }
    if (_this.model.data.insurerData.gender == 'F') {
        if (_this.$('.sm_borderBtn.active').length < _this.$(".healthSelectBox").length) {
            window.GUM.toast.showToast("请填写完成健康告知!");
            return false;
        }
    } else {
        if (_this.$('.sm_borderBtn.active.needCheck').length < _this.$(".healthSelectBox").length-1) {
            window.GUM.toast.showToast("请填写完成健康告知!");
            return false;
        }
    }

    return true
};

module.exports = healthInformView;
},{"../../../../gum.ui/validate/check.document.number":18,"../../../../gum.ui/validate/common.tool":23,"../../../../public/pama/pamaUtil":79,"./template/healthInform.tpl":55}],36:[function(require,module,exports){

/**
 * Created by mengqinghuan on 2016/10/26.
 */
"use strict";

var idRecognitionTpl = require('./template/idRecognition.tpl'),
    paramUtil = require('../../../../public/pama/pamaUtil'),
    CommonUtil = new (require('../../../../gum.ui/validate/common.tool'))();

function idRecognitionView() {

}

idRecognitionView.prototype.init=function(data){
    var _this=this;
    _this.model.getRedisCache({cacheKey:"verifiedCount"},function (res) {
        _this.model.data.verifiedCount = res.cacheValue;
        _this.controller.curModule._renderHTML(idRecognitionTpl(_this.model.data),data,function(){
            _this.initEvent();
        });
    })
};

idRecognitionView.prototype.initEvent = function () {
    var _this=this;
    _this.$(".faceRec").tap(function (e) {
        _this.model.data.insurerData.identifyChannelType = '1';
        setTimeout(function(){
        _this.controller.curRouter.navigate("insurance/insurancePage/faceRecognition");
        },500)
    });
    _this.$(".bankCardRec").tap(function (e) {
        _this.model.data.insurerData.identifyChannelType = '0';
        _this.controller.curRouter.navigate("insurance/insurancePage/bankCard");
    });
};

module.exports = idRecognitionView;
},{"../../../../gum.ui/validate/common.tool":23,"../../../../public/pama/pamaUtil":79,"./template/idRecognition.tpl":56}],37:[function(require,module,exports){
/**
 * Created by bob on 16/11/11.
 */
"use strict";

var inhospitalProvisionTpl = require('./template/inhospitalProvision.tpl'),
    paramUtil = require('../../../../public/pama/pamaUtil'),
    CommonUtil = new (require('../../../../gum.ui/validate/common.tool'))();

function inhospitalProvisionView() {

}

inhospitalProvisionView.prototype.init=function(data){
    var _this=this;
    this.controller.curModule._renderHTML(inhospitalProvisionTpl(_this.model.data),data,function(){
        _this.initEvent();
    });
};

inhospitalProvisionView.prototype.initEvent = function () {
    
};

module.exports = inhospitalProvisionView;
},{"../../../../gum.ui/validate/common.tool":23,"../../../../public/pama/pamaUtil":79,"./template/inhospitalProvision.tpl":57}],38:[function(require,module,exports){
/**
 * Created by mengqinghuan on 2016/10/26.
 */
"use strict";

var insuranceDetailsTpl = require('./template/insuranceDetails.tpl'),
    productUpper = require('../../productUpper/productUpper'),
    paramUtil = require('../../../../public/pama/pamaUtil'),
    CommonUtil = new (require('../../../../gum.ui/validate/common.tool'))(),
    CheckBirthDay=require("../../../../gum.ui/validate/check.birthday"),
    calendar = require('../../../../gum.ui/controls/calendar'),
    Bridge = require('../../../../gum.ui/utils/bridge'),
    toast=require('../../../../gum.ui/toast/toast'),
    WeChatHelper= require('../../../../gum.ui/wechatSDK/wechat.helper'),
    canToNextMsg = '';


var checkBirthDay=new CheckBirthDay();

function insuranceDetailsView() {

}

insuranceDetailsView.prototype.init=function(data){
    var _this=this;
    var startDate=CommonUtil.addDate(new Date(),"d",1);
    this.model.data.startTime=CommonUtil.dateformat(startDate,"yyyy-MM-dd");
    var curYear =  (new Date()).getFullYear();
    var endDate=CommonUtil.addDate(new Date(),"d","364");
    var isLeapYear = (curYear % 4 == 0) && (curYear % 100 != 0) || (curYear % 400 == 0)
    if (isLeapYear) {
        endDate=CommonUtil.addDate(new Date(),"d","365");
    }
    this.model.data.endTime=CommonUtil.dateformat(endDate,"yyyy-MM-dd");
    this.model.data.ncity=window.GUM.extend({},this.model.data.city,this.model.data.ncity||{});
    this.model.data.isApp=isApp;
    var findCombined=this.model.data.directionMap;
    var keys=Object.keys(findCombined);
    this.model.data.sex = keys;
    this.model.data.itemList= typeof(this.model.data.itemList)=="object"?this.model.data.itemList : this.getItemList(findCombined[keys[1]][0].combinedPlanCode);

    this.model.data.isApp = window.isApp;
    window.GUM.bridge.js_disable_scroll({"enable": "Y"});
    this.model.querySolvencyInfo({data:''},function (res) {
         _this.model.data.solvencyInfo = res.content;

        console.log(_this.model.data);

        _this.controller.curModule._renderHTML(productUpper.getProductUpTempl(
                _this.model.data) + insuranceDetailsTpl(_this.model.data),data,function(){
            productUpper.initProductUpEvent(_this.model);
            _this.initEvent();
        });
    });
};

insuranceDetailsView.prototype.initPage=function(){
    var thiso=this;

};


insuranceDetailsView.prototype.validate=function(e){
    var _this = this;
    var curVal= this.getValue(e.target.id);
    var age=checkBirthDay.getAgeByBrithday(curVal,new Date(_this.model.data.startTime));
    var days=checkBirthDay.dateDiffunAbs(new Date(_this.model.data.startTime),checkBirthDay.parseDate(this.model.data.pcDate));

    if (this.model.data.idCsspProduct == 'PI000001') {
        if(age<16 || age>99){
            this.showMsg("投保年龄不符合要求,无法继续");
            return false;
        }
        if(age>65 && days>=365){
            this.showMsg("投保年龄不符合要求,无法继续");
            return false;
        }
    } else{
        if(age<16 || age>75){
            this.showMsg("投保年龄不符合要求,无法继续");
            return false;
        }
        if(age>65 && age<=75 && days>=365){
            this.showMsg("投保年龄不符合要求,无法继续");
            return false;
        }
    }
    return true;
};

insuranceDetailsView.prototype.showMsg=function(msg){
    window.GUM.toast.showToast(msg);
};


insuranceDetailsView.prototype.initEvent = function () {
    var _this=this;
    calendar(_this.$("#birthDay")[0],function(time){
        time=CommonUtil.dateformat(time,"yyyy-MM-dd");
        var element=_this.$("#birthDay");
        if (_this.validate({target:element[0]})){
            _this.sumPrice();
        }
    });

    if(!this.model.data.insurancePrice){
        this.sumPrice();
    }
    var birthDay = document.getElementById('birthDay');
    birthDay.removeAttribute('data-tappable');
    birthDay.removeAttribute('ontouchstart');
    birthDay.removeAttribute('__qkey');
    _this.iscroll();  //待定
    _this.$(".insureBtn").tap(function () {
        _this.saveFormData();
        var element=_this.$("#birthDay");
        if (!_this.validate({target:element[0]})){
            return
        }
        if(canToNextMsg != '') {
            _this.showError(canToNextMsg);
            return
        }
        if (!isApp) {
            _this.model.data.insurerData = window.GUM.extend({},_this.model.data.insurerData);
            _this.controller.curRouter.navigate("insurance/insurancePage/insureInfo");
            return;
        }
        if (!_this.model.data.insurerData) {
            _this.model.getUser(function(res){
                _this.model.data.insurerData = window.GUM.extend({},_this.model.data.insurerData,res);
                _this.isModifiable();
                if (!_this.model.data.insurerData.toRegister) {
                    _this.controller.curRouter.navigate("insurance/insurancePage/insureInfo");
                }
            })
        } else {
            _this.isModifiable();
            if (!_this.model.data.insurerData.toRegister) {
                _this.controller.curRouter.navigate("insurance/insurancePage/insureInfo");
            }
        }

    });
    _this.$(".joinArrow").tap(function(){
        _this.saveFormData();
        //待定
        var clientHeight = document.body.clientHeight;
        _this.$('#informContent').css({
            "-webkit-transform": "translateY(-" + clientHeight + "px)",
            "-moz-transform": "translateY(-" + clientHeight + "px)",
            "-o-transform": "translateY(-" + clientHeight + "px)",
            "-ms-transform": "translateY(-" + clientHeight + "px)"
        });
        _this.$('#insurance').css({
            "-webkit-transform": "translateY(-" + clientHeight + "px)",
            "-moz-transform": "translateY(-" + clientHeight + "px)",
            "-o-transform": "translateY(-" + clientHeight + "px)",
            "-ms-transform": "translateY(-" + clientHeight + "px)"
        });
    });
    _this.$("#sex-sel").on("change", function () {
        _this.changeCombinedPlan();
        _this.sumPrice();
    });
    _this.$("#price-sel").on("change",function(){
       _this.sumPrice();
    });
    _this.$('#toAccount').tap(function () {
        _this.saveFormData();
        //待定
    })
};

insuranceDetailsView.prototype.isModifiable = function () {
    var _this = this;
    var modifiable = false;
    var toRegister = false;
    if(!isApp) {
        return
    }
    var userData = {
        userName: _this.model.data.insurerData.userName,
        gender: _this.model.data.insurerData.gender,
        birthDate: _this.model.data.insurerData.birthDate,
        idNo: _this.model.data.insurerData.idNo,
        idType: _this.model.data.insurerData.idType
    };
    if (this.model.data.insurerData.loginIdentify == '2') {
        for (var k in userData) {
            if (userData[k] =='') {
                toRegister = true;
                break;
            }
        }
        if (_this.model.data.insurerData.idType != '1') {
            toRegister = true;
        }
        if (toRegister) {
            //去注册页面
            window.GUM.alerts.confirm("您的证件信息不为身份证，暂无法投保，建议您重新使用居民身份证进行注册后投保",function () {
                var u = navigator.userAgent;
                var param;
                var ios = /iPhone|iPad|Mac/i.test(u), android = /Android|Linux/i.test(u);
                param=ios?"PARegisterViewController":"com.paic.scms.platform.ctrlview.RegisterActivity";
                window.GUM.bridge.js_go_native({
                    goto:param,
                    data:{}
                });
            },function () {


            })
        }
    }
    if (this.model.data.insurerData.loginIdentify == '1') {
        if (_this.model.data.insurerData.identifyFlag == 'Y'){
            modifiable = true
        }
    }
    _this.model.data.insurerData.toRegister = toRegister;
    _this.model.data.insurerData.modifiable = modifiable;
}

insuranceDetailsView.prototype.changeCombinedPlan = function () {
    var _this = this;
    var target=this.$("#sex-sel")[0];
    var combinedCode= this.$(target[target.selectedIndex]).attr("combinedPlanCode");
    var itemList=_this.getItemList(combinedCode);
    var opts=[];
    for(var t=0;t<itemList.length;t++){
        var item=itemList[t];
        for(var k=0;k<item.optionList.length;k++){
            var option=item.optionList[k];
            opts.push("<option planCode="+item.planCode +
                    " combinedPlanCode="+item.combinedPlanCode +
                    " combinedId="+item.insurPrdCombinedId +
                    " value="+option.idInsurItemOption +
                    " itemId="+option.insurPrdItemId +
                    ">"+ (option.coverageAmount/10000) +
                    "万元</option>")
        }
    }
    _this.$("#price-sel")[0].innerHTML=opts.join("");
};

insuranceDetailsView.prototype.getItemList=function(combinedCode){
    var list=[];
    for(var t=0;t<this.model.data.optionsList.length;t++){
        var options=this.model.data.optionsList[t];
        if(options.combinedPlanCode==combinedCode){
            list.push(options);
            break;
        }
    }
    return list;
}

insuranceDetailsView.prototype.saveFormData = function () {
    this.model.data.birthDay=this.getValue("birthDay"); //出生日期
    this.model.data.insuranceSex = this.$("#sex-sel").val();   //性别
    this.model.data.insurancePrice = this.$("#priceReulst").text().trim();  //价钱
    return this.model.data;
};

insuranceDetailsView.prototype.sumPrice=function(){
    var thiso=this;
    var data=this.saveFormData();
    var selItem=this.$("#price-sel")[0];
    var optItem=selItem.options[selItem.selectedIndex];

    var combinedPlanCode=this.$(optItem).attr("combinedplancode"); //套餐代码
    var planCode=this.$(optItem).attr("plancode");  //责任代码
    var itemCode=this.$(selItem).val();         //责任选项
    var combinedId=this.$(optItem).attr("combinedId");  //套餐ID
    var itemId=this.$(optItem).attr("itemId");          //责任ID


    this.model.data.selectData={
        combinedPlanCode:combinedPlanCode,
        planCode:planCode,
        itemCode:itemCode,
        combinedId:combinedId,
        itemId:itemId
    };

    var item=[];
    for(var i=0;i<this.model.data.optionsList.length;i++){
        var sitem=this.model.data.optionsList[i];
        if(sitem.combinedPlanCode==combinedPlanCode){
            for(var t=0;t<sitem.optionList.length;t++){
                var opt=sitem.optionList[t];
                if(opt.idInsurItemOption==itemCode){
                    opt.planCode=planCode;
                    opt.coverageAmount=opt.coverageAmount+"";
                    opt.insurPrdItemId;
                    item.push(opt);
                    thiso.model.data.coverageAmount = opt.coverageAmount;
                }
            }
        }
    }
    var handlerData={};
    handlerData.combinedPlanCode=combinedPlanCode;
    handlerData.buyNum="1";
    handlerData.sinsurPeriodType="M";
    handlerData.insurPeriod="12";
    handlerData.birthDate=this.model.data.birthDay;
    handlerData.gender=this.model.data.insuranceSex;
    handlerData.applicantRelation="1";
    handlerData.personNum="1";
    handlerData.planInfoList=JSON.stringify(item);
    this.model.queryPrice(handlerData,function(res){
        thiso.$("#priceReulst").text(res.payPremium);
        thiso.$(".loading").css("display","none")
        canToNextMsg = '';
    },function(e){
        canToNextMsg = '询价异常，请稍后再试';
    });
}

insuranceDetailsView.prototype.showError = function (msg) {
   window.GUM.toast.showToast(msg,1300,"温馨提示");
};

insuranceDetailsView.prototype.getValue=function(id){
    var element=this.$("#"+id);
    switch (element[0].tagName){
        case "SPAN":
        case "DIV":
            return element.text().trim();
            break;
        case "TEXTAREA":
            return element.val().trim();
            break;
        case "SELECT":
            var val=element.val();
            return val;
            break;
        default:
            return element.val();
    }
};


insuranceDetailsView.prototype.iscroll = function () {
    var clientHeight = document.body.clientHeight,
        flag,
        startY,
        endY,
        touch,
        page1 = document.getElementById("insurance"),
        page2 = document.getElementById("informContent"),
        page2_sub = document.getElementsByClassName("subBox_two")[0],
        page1_sub = document.getElementsByClassName("tipInfo")[0],
        btn_height = document.getElementsByClassName('proButtonBox')[0].offsetHeight,
        _this = this,
        base,
        distance = 0,
        userAgent = window.navigator.userAgent,
        reg = /Android 4/;

    if (reg.test(userAgent) || !isApp) {
        androidScroll();
    } else {
        commonScroll();
    }


    function commonScroll() {
        _this.$('#informContent').css({
            "-webkit-transition":"all 300ms linear",
            "-moz-transition":"all 300ms linear",
            "-o-transition":"all 300ms linear",
            "-ms-transition":"all 300ms linear"
        });
        _this.$('#insurance').css({
            "-webkit-transition":"all 300ms linear",
            "-moz-transition":"all 300ms linear",
            "-o-transition":"all 300ms linear",
            "-ms-transition":"all 300ms linear"
        });
        var isBottom;
        page1.addEventListener('touchstart', function(e) {
            touch = e.touches[0];
            startY = touch.pageY;
            isBottom = false;
            if (clientHeight-page1_sub.getBoundingClientRect().bottom >= btn_height-3) {
                isBottom = true;
            }
        });
        page1.addEventListener('touchmove', function(e) {
            touch = e.touches[0];
            if (touch.pageY - startY < 0 && isBottom){
                base = touch.pageY - startY ;
                _this.$('#insurance').css({
                    "-webkit-transform": "translateY(" + base + "px)",
                    "-moz-transform": "translateY(" + base + "px)",
                    "-o-transform": "translateY(" + base + "px)",
                    "-ms-transform": "translateY(" + base + "px)"
                });
                _this.$('#informContent').css({
                    "-webkit-transform": "translateY(" + base  + "px)",
                    "-moz-transform": "translateY(" + base + "px)",
                    "-o-transform": "translateY(" + base + "px)",
                    "-ms-transform": "translateY(" + base + "px)"
                });
            }
        });

        page1.addEventListener('touchend',function (e) {
            touch = e.changedTouches[0];
            endY = touch.pageY;
            if (base < -100) {
                _this.$('#informContent').css({
                    "-webkit-transform": "translateY(-" + clientHeight + "px)",
                    "-moz-transform": "translateY(-" + clientHeight + "px)",
                    "-o-transform": "translateY(-" + clientHeight + "px)",
                    "-ms-transform": "translateY(-" + clientHeight + "px)"
                });
                _this.$('#insurance').css({
                    "-webkit-transform": "translateY(-" + clientHeight + "px)",
                    "-moz-transform": "translateY(-" + clientHeight + "px)",
                    "-o-transform": "translateY(-" + clientHeight + "px)",
                    "-ms-transform": "translateY(-" + clientHeight + "px)"
                });

            } else {
                _this.$('#insurance').css({
                    "-webkit-transform": "translateY(" + 0 + "px)",
                    "-moz-transform": "translateY(" + 0 + "px)",
                    "-o-transform": "translateY(" + 0 + "px)",
                    "-ms-transform": "translateY(" + 0 + "px)"
                });
                _this.$('#informContent').css({
                    "-webkit-transform": "translateY(" + 0  + "px)",
                    "-moz-transform": "translateY(" + 0 + "px)",
                    "-o-transform": "translateY(" + 0 + "px)",
                    "-ms-transform": "translateY(" + 0 + "px)"
                });
            }
            base = 0
        });


        page2.addEventListener('touchstart', function(e) {
            touch = e.touches[0];
            startY = touch.pageY;
            flag = Math.abs(page2_sub.getBoundingClientRect().top) <= 5 ?true :false;
        });

        page2.addEventListener('touchmove', function(e) {
            touch = e.touches[0];
            if(touch.pageY - startY>0 && flag) {
                base = touch.pageY - startY
                _this.$('#insurance').css({
                    "-webkit-transform": "translateY(-" + (clientHeight - base) + "px)",
                    "-moz-transform": "translateY(-" + (clientHeight-base) + "px)",
                    "-o-transform": "translateY(-" + (clientHeight-base) + "px)",
                    "-ms-transform": "translateY(-" + (clientHeight-base) + "px)"
                });
                _this.$('#informContent').css({
                    "-webkit-transform": "translateY(-" + (clientHeight-base)  + "px)",
                    "-moz-transform": "translateY(-" + (clientHeight-base) + "px)",
                    "-o-transform": "translateY(-" + (clientHeight-base) + "px)",
                    "-ms-transform": "translateY(-" + (clientHeight-base) + "px)"
                });
            }
        });
        page2.addEventListener('touchend', function(e) {
            touch = e.changedTouches[0];
            endY = touch.pageY;
            if (base > 100) {
                _this.$('#informContent').css({
                    "-webkit-transform": "translateY(" + 0 + "px)",
                    "-moz-transform": "translateY(" + 0 + "px)",
                    "-o-transform": "translateY(" + 0 + "px)",
                    "-ms-transform": "translateY(" + 0 + "px)"
                });
                _this.$('#insurance').css({
                    "-webkit-transform": "translateY(" + 0 + "px)",
                    "-moz-transform": "translateY(" + 0 + "px)",
                    "-o-transform": "translateY(" + 0 + "px)",
                    "-ms-transform": "translateY(" + 0 + "px)"
                });
            }else {
                _this.$('#insurance').css({
                    "-webkit-transform": "translateY(-" + clientHeight + "px)",
                    "-moz-transform": "translateY(-" + clientHeight + "px)",
                    "-o-transform": "translateY(-" + clientHeight + "px)",
                    "-ms-transform": "translateY(-" + clientHeight + "px)"
                });
                _this.$('#informContent').css({
                    "-webkit-transform": "translateY(-" + clientHeight  + "px)",
                    "-moz-transform": "translateY(-" + clientHeight + "px)",
                    "-o-transform": "translateY(-" + clientHeight + "px)",
                    "-ms-transform": "translateY(-" + clientHeight + "px)"
                });
            }
            base = 0
        });
    }

    function androidScroll() {
        _this.$('#informContent').css({
            "-webkit-transition":"all 300ms ease",
            "-moz-transition":"all 300ms ease",
            "-o-transition":"all 300ms ease",
            "-ms-transition":"all 300ms ease"
        });
        _this.$('#insurance').css({
            "-webkit-transition":"all 300ms ease",
            "-moz-transition":"all 300ms ease",
            "-o-transition":"all 300ms ease",
            "-ms-transition":"all 300ms ease"
        });

        page1.addEventListener('touchstart', function(e) {
            touch = e.touches[0];
            startY = touch.pageY;
        });
        page1.addEventListener('touchmove', function(e) {
            touch = e.touches[0];
            flag = page1_sub.getBoundingClientRect().bottom + btn_height - 1<= clientHeight ?true :false;

            if (flag && touch.pageY- startY < 0 && touch.pageY- startY > -80) {
                e.preventDefault()
            }
        });
        page1.addEventListener('touchend',function (e) {
            touch = e.changedTouches[0];
            endY = touch.pageY;
            if (startY - endY > 0 && flag) {
                _this.$('#informContent').css({
                    "-webkit-transform": "translateY(-" + clientHeight + "px)",
                    "-moz-transform": "translateY(-" + clientHeight + "px)",
                    "-o-transform": "translateY(-" + clientHeight + "px)",
                    "-ms-transform": "translateY(-" + clientHeight + "px)"
                });
                _this.$('#insurance').css({
                    "-webkit-transform": "translateY(-" + clientHeight + "px)",
                    "-moz-transform": "translateY(-" + clientHeight + "px)",
                    "-o-transform": "translateY(-" + clientHeight + "px)",
                    "-ms-transform": "translateY(-" + clientHeight + "px)"
                });
            }
        });

        page2.addEventListener('touchstart', function(e) {
            touch = e.touches[0];
            startY = touch.pageY;
        });

        page2.addEventListener('touchmove', function(e) {
            flag = Math.abs(page2_sub.getBoundingClientRect().top) <= 10 ?true :false;
            touch = e.touches[0];
            if (flag && touch.pageY - startY > 0) {
                e.preventDefault()
            }
        });
        page2.addEventListener('touchend', function(e) {
            touch = e.changedTouches[0];
            endY = touch.pageY;
            if (startY - endY < 0 && flag) {
                _this.$('#informContent').css({
                    "-webkit-transform": "translateY(" + 0 + "px)",
                    "-moz-transform": "translateY(" + 0 + "px)",
                    "-o-transform": "translateY(" + 0 + "px)",
                    "-ms-transform": "translateY(" + 0 + "px)"
                });
                _this.$('#insurance').css({
                    "-webkit-transform": "translateY(" + 0 + "px)",
                    "-moz-transform": "translateY(" + 0 + "px)",
                    "-o-transform": "translateY(" + 0 + "px)",
                    "-ms-transform": "translateY(" + 0 + "px)"
                });
            }
        });
    }

};




module.exports = insuranceDetailsView;
},{"../../../../gum.ui/controls/calendar":7,"../../../../gum.ui/toast/toast":9,"../../../../gum.ui/utils/bridge":12,"../../../../gum.ui/validate/check.birthday":17,"../../../../gum.ui/validate/common.tool":23,"../../../../gum.ui/wechatSDK/wechat.helper":24,"../../../../public/pama/pamaUtil":79,"../../productUpper/productUpper":69,"./template/insuranceDetails.tpl":58}],39:[function(require,module,exports){
"use strict";

var insuranceNoticeTpl = require('./template/insuranceNotice.tpl'),
    paramUtil = require('../../../../public/pama/pamaUtil'),
    CommonUtil = new (require('../../../../gum.ui/validate/common.tool'))();

function insuranceNoticeView() {

}

insuranceNoticeView.prototype.init=function(data){
    var _this=this;
    this.controller.curModule._renderHTML(insuranceNoticeTpl(_this.model.data),data,function(){
        _this.initEvent();
    });
};

insuranceNoticeView.prototype.initEvent = function () {
    var _this=this;
    _this.$("#indent").tap(function (e) {
        _this.controller.curRouter.navigate("insurance/insurancePage/inhospitalProvision");
    });
};

module.exports = insuranceNoticeView;
},{"../../../../gum.ui/validate/common.tool":23,"../../../../public/pama/pamaUtil":79,"./template/insuranceNotice.tpl":59}],40:[function(require,module,exports){
/**
 * Created by mengqinghuan on 2016/10/26.
 */
"use strict";

var insureInfoTpl = require('./template/insureInfo.tpl'),
    CommonUtil = require('../../../../gum.ui/validate/common.tool'),
    CheckName = require('../../../../gum.ui/validate/check.name'),
    CheckIdentityCard = require("../../../../gum.ui/validate/check.identity.card"),
    CheckBirthDay = require("../../../../gum.ui/validate/check.birthday"),
    calendar = require('../../../../gum.ui/controls/calendar'),
    CheckTel = require("../../../../gum.ui/validate/check.telmobile"),
    CheckNum = require("../../../../gum.ui/validate/check.document.number"),
    CheckMedicalCard = require('../../../../gum.ui/validate/check.medicalCardNo'),
    paramUtil = require('../../../../public/pama/pamaUtil'),
    Bridge = require('../../../../gum.ui/utils/bridge');

var checkName = new CheckName(),
    checkIdentityCard = new CheckIdentityCard(),
    commonTool = new CommonUtil(),
    checkBirth = new CheckBirthDay(),
    checkTel = new CheckTel(),
    checkNum = new CheckNum(),
    checkMedicalCard = new CheckMedicalCard();


function insureInfoView() {

}

insureInfoView.prototype.init = function (data) {
    var _this = this;
    var initData = function (formData) {
        formData.isApp = window.isApp;
        if (!window.isApp) {
            formData.agentName = window.AppObj.curShareParam.agentName;
            formData.agentNo = window.AppObj.curShareParam.agentNo;
            formData.shareType = window.AppObj.curShareParam.shareType;
            formData.showChecked = window.AppObj.curShareParam.showChecked
        }
        _this.controller.curModule._renderHTML(insureInfoTpl(formData), data, function () {
            _this.initEvent();
            console.log(formData)
        });
    };
    initData(_this.model.data.insurerData);
};

insureInfoView.prototype.initEvent = function () {
    var _this = this;
    _this.$(".nextStepBtn").tap(function (e) {
        _this.toNextStep();
    });
    _this.$("input,textarea").on("blur", function (e) {
        _this.validate(e);
    });
    _this.$("select").on("change", function (e) {
        _this.validate(e)
    });
    _this.$("#insurerIdCard").on('input',function () {
        var val = _this.getValue("insurerIdCard");
        if (val.length == 15 || 18) {
            _this.initBirthdayAndSex(_this.getValue("insurerIdType"), val);
        }
    })
    _this.$("#linkTo").tap(function(){
        _this.saveForm();
        if (_this.model.data.scmsProductId == 'PI000002') {
            _this.controller.curRouter.navigate("insurance/insurancePage/detailsInstruction");
        } else {
            _this.controller.curRouter.navigate("insurance/insurancePage/insuranceNotice");
        }
    });

    _this.$('#Confirmation').tap(function () {
        _this.$("#Confirmation").addClass('active');
        _this.model.queryAgentInfoByGCode({agentNo: _this.getValue('servicersCode').trim().toUpperCase()},function (res) {
            _this.model.data.insurerData.agentName = res.data.agentName;
            _this.model.data.insurerData.agentNo = _this.getValue('servicersCode');
            _this.model.data.insurerData.isSureAgent = true;
            _this.$('input.agentName')[0].value = _this.model.data.insurerData.agentName;
            _this.$('li.agentName').removeClass('hide');
            _this.$("#Confirmation").removeClass('active');
        },function(){
            _this.$("#Confirmation").removeClass('active');
        })
    });

    calendar(_this.$("#insurerBirthday")[0], function (time) {
        time = commonTool.dateformat(time, "yyyy/MM/dd");
        var element = _this.$("#insurerBirthday");
        //_this.setValue("peroidDate",time);
        _this.validate({target: element[0]});
        _this.$("#insurerBirthday").parent().removeClass("placeholder");
    });
    _this.initBirthdayAndSex(this.getValue("insurerIdType"), _this.model.data.insurerData.idNo);
};

//校验方法
insureInfoView.prototype.validate = function (e) {
    var _this = this;
    var vType = this.$(e.target).attr('validate_type');
    var val = this.getValue(e.target.id).trim();
    var msg;
    switch (vType) {
        case "1":
            msg = checkName.check(val);
            break;
        case "2":
            var idType = this.$('#insurerIdType').val();
            switch (idType) {
                case "1":
                    msg = checkIdentityCard.check(val);
                    break;
                case "2":
                    msg = checkNum.checkPassportNo(val);
                    break;
                case '5':
                    msg = checkNum.checkHATNo(val);
                    break;
                case '6':

            }
            this.initBirthdayAndSex(idType, val);
            break;
        case "3": // 证件有效期
        case "4": //证件有效期
        case "5": //邮编
        case "6": //城市
        case "7": //详细地址
        case "8": //电子邮箱
        case "9":
            msg = checkTel.check(val);
            break;
        case "10":
            if (val == "" || val == "undefined" || val == "null") {
                msg = "请选择性别";
                break;
            }
            break;
        case "11":
            msg = checkBirth.check(val);
            var age = checkBirth.getAgeByBrithday(val, _this.model.data.startTime);
            var days=checkBirth.dateDiffunAbs(new Date(),checkBirth.parseDate(_this.model.data.pcDate));
            if (_this.model.data.idCsspProduct == 'PI000001') {
                if(age<16 || age>75){
                    this.showError("投保年龄不符合要求,无法继续");
                    return false;
                }
                if(age>=66 && age<=75 && days>365){
                    this.showError("投保年龄不符合要求,无法继续");
                    return false;
                }
            }
            if (_this.model.data.idCsspProduct == 'PI000002'){
                if(age<16 || age>75){
                    this.showError("投保年龄不符合要求,无法继续");
                    return false;
                }
                if(age>=66 && days>365){
                    this.showError("投保年龄不符合要求,无法继续");
                    return false;
                }
            }
            break;
        case "12":
            return this.validate({target: this.$("#insurerIdCard")[0]});
            break;
        case "13":
            msg = checkMedicalCard.check(val);
            break;
    }
    if (msg) {
        this.toast.showToast(msg, 1500, "温馨提示");
        return false;
    }
    return true;
};

//初始化生日和性别
insureInfoView.prototype.initBirthdayAndSex = function (idType, idCard) {
    if (idType == "1") {
        if (idCard != '') {
            var setBirth = commonTool.getBirthdayByChinaID(idCard) || "请选择";
            var setSex = commonTool.getSexByChinaID(idCard);
            //设置性别
            this.setValue("insurerSex", setSex);
            this.setValue("insurerBirthday", setBirth);
        }
        this.$("#insurerBirthday, #insurerSex").attr("disabled", "disabled");
        this.$("#insurerBirthday, #insurerSex").parent().addClass('placeholder')
    } else {
        this.$("#insurerBirthday, #insurerSex").each(function (element) {
            element.removeAttribute("disabled")
        });
        this.$("#insurerBirthday, #insurerSex").parent().removeClass("placeholder");
    }
};


//设置val值
insureInfoView.prototype.setValue = function (selectId, selectValue) {
    var element = this.$("#" + selectId);
    switch (element[0].tagName) {
        case 'SELECT':
            var t = element.find("option");
            for (var i = 0; i < t.length; i++) {
                if (selectValue === t[i].value) {
                    t[i].selected = true
                }
            }
            break;
        case 'INPUT':
            element.val(selectValue);
            break;
        default:
            element.text(selectValue)
    }
    if(selectValue){
        element.parent().removeClass("placeholder");
    }else{
        element.parent().addClass("placeholder");
    }
};

//获取值
insureInfoView.prototype.getValue = function (id) {
    var element = this.$("#" + id);
    switch (element[0].tagName) {
        case 'SPAN': return element.text().trim();
        case 'DIV':
            return element.text().trim();
            break;
        case 'TEXTAREA':
            return element.val().trim();
            break;
        case "SELECT":
            var val = element.val();
            return val;
            break;
        default :
            return element.val();
    }
};

insureInfoView.prototype.saveForm = function () {
    var _this = this;
    if(document.getElementById("checkboxs").checked) {
        _this.model.data.insurerData.isAgree = true
    }
    this.model.data.insurerData = window.GUM.extend({}, this.model.data.insurerData, {
        userName: this.getValue("insurerName").trim(),
        idType: this.getValue("insurerIdType").trim(),
        idNo: this.getValue("insurerIdCard").trim(),
        gender: this.getValue("insurerSex").trim(),
        birthDate: this.getValue("insurerBirthday").trim(),
        mobile: this.getValue("mobile").trim(),
        medicalCardNo: this.getValue("insurerHealthCard").trim(),
        address: this.getValue('detailAddress').trim()
    });
    this.model.data.insurerData.insurerAge = checkBirth.getAgeByBrithday(_this.model.data.insurerData.birthDate, _this.model.data.startTime);
};

insureInfoView.prototype.checkAll = function () {
    var _this = this;
    var flag = true;
    var elements = this.$(".orderInfoList").find("input[eint],span[eint],div[eint],textarea[eint],select[eint]");
    for (var t = 0; t < elements.length; t++) {
        var element = elements[t];
        flag = _this.validate({target: element});
        if (!flag)break;
    }
    return flag;
};

insureInfoView.prototype.showError = function (msg) {
    this.toast.showToast(msg, 1500, "温馨提示");
};

// insureInfoView.prototype.hideFixed = function () {
//     this.$(".fixedFoot").css('position',"static");
// };
//
// insureInfoView.prototype.showFixed = function () {
//     this.$(".fixedFoot").css('position','fixed');
// };


insureInfoView.prototype.sumPrice=function(callback){
    var thiso=this;
    var findCombined=this.model.data.directionMap;
    var gender = thiso.model.data.insurerData.gender;
    var combinedPlanCode = findCombined[gender][0].combinedPlanCode;
    var options = thiso.model.data.optionsList,
        planCode,
        itemCode,
        item = [];
    for (var s=0; s<options.length; s ++) {
        if (options[s].combinedPlanCode == combinedPlanCode) {
            planCode = options[s].planCode;
            for (var m=0; m<options[s].optionList.length; m ++) {
                var sitem = (options[s].optionList)[m];
                if (sitem.coverageAmount == thiso.model.data.coverageAmount) {
                    sitem.coverageAmount = thiso.model.data.coverageAmount+'';
                    sitem.planCode = planCode;
                    item.push(sitem)
                }
            }
        }
    }

    // for(var i=0;i<this.model.data.optionsList.length;i++){
    //     var sitem=this.model.data.optionsList[i];
    //     if(sitem.planCode==planCode){
    //         for(var t=0;t<sitem.optionList.length;t++){
    //             var opt=sitem.optionList[t];
    //             if(opt.idInsurItemOption==itemCode){
    //                 opt.planCode=planCode;
    //                 opt.coverageAmount=opt.coverageAmount+"";
    //                 opt.insurPrdItemId;
    //                 item.push(opt);
    //             }
    //             thiso.model.data.coverageAmount = opt.coverageAmount;
    //         }
    //     }
    // }
    var handlerData={};
    handlerData.combinedPlanCode=combinedPlanCode;
    handlerData.buyNum="1";
    handlerData.sinsurPeriodType="M";
    handlerData.insurPeriod="12";
    handlerData.birthDate=this.model.data.insurerData.birthDate;
    handlerData.gender=gender;
    handlerData.applicantRelation="1";
    handlerData.personNum="1";
    handlerData.planInfoList=JSON.stringify(item);

    this.model.queryPrice(handlerData,function(res){
        thiso.model.data.insurancePrice = res.payPremium.trim();
        callback()
    },function(){
        return false
    });
};

insureInfoView.prototype.toNextStep = function () {
    this.saveForm();
    var _this = this;
    if (!this.checkAll()) {
        return
    }
    if (!_this.$("#checkboxs").attr("checked")) {
        _this.showError("请勾选投保须知");
        return;
    }
    if (isApp) {
        var agentNo_temp = _this.getValue("servicersCode");
        if (agentNo_temp && agentNo_temp.trim() != '' && agentNo_temp.trim() != 'G020202000') {
            if (_this.model.data.insurerData.isSureAgent != true) {
                window.GUM.toast.showToast('请验证业务员是否正确无误');
                return
            }
        } else {
            _this.model.data.insurerData.agentNo = "G020202000"
        }
    }
    this.sumPrice(function () {
        //_this.model.data.insurerData.identifyFlag = "F" //临时
        if (_this.model.data.insurerData.identifyFlag == "Y"){
            _this.$(".nextStepBtn").addClass('act');
            var data = {};
            _this.model.verify({
                userName: _this.model.data.insurerData.userName,
                gender: _this.model.data.insurerData.gender,
                birthDate: _this.model.data.insurerData.birthDate,
                idType: _this.model.data.insurerData.idType,
                idNo: _this.model.data.insurerData.idNo,
                mobile:_this.model.data.insurerData.mobile,
                address:_this.model.data.insurerData.address,
                medicalCardNo:_this.model.data.insurerData.medicalCardNo,
                clientType: "01"
            },function () {
                _this.model.createOrderSub(data,function(){
                    _this.controller.curRouter.navigate("insurance/insurancePage/healthInform");
                })
            },function () {
                _this.$(".nextStepBtn").removeClass('act')
            });
        } else {
            _this.controller.curRouter.navigate("#insurance/insurancePage/idRecognition");
        }
    });

};

module.exports = insureInfoView;
},{"../../../../gum.ui/controls/calendar":7,"../../../../gum.ui/utils/bridge":12,"../../../../gum.ui/validate/check.birthday":17,"../../../../gum.ui/validate/check.document.number":18,"../../../../gum.ui/validate/check.identity.card":19,"../../../../gum.ui/validate/check.medicalCardNo":20,"../../../../gum.ui/validate/check.name":21,"../../../../gum.ui/validate/check.telmobile":22,"../../../../gum.ui/validate/common.tool":23,"../../../../public/pama/pamaUtil":79,"./template/insureInfo.tpl":60}],41:[function(require,module,exports){

/**
 * Created by mengqinghuan on 2016/10/26.
 */
"use strict";

var materialSupplementTpl = require('./template/materialSupplement.tpl'),
    paramUtil = require('../../../../public/pama/pamaUtil'),
    CommonUtil = new (require('../../../../gum.ui/validate/common.tool'))();

function materialSupplementView() {

}

materialSupplementView.prototype.init=function(data){
    var _this=this;
    this.controller.curModule._renderHTML(materialSupplementTpl(),data,function(){
        _this.initEvent();
    });
};

materialSupplementView.prototype.initEvent = function () {
    var _this=this;
    //逻辑
};

module.exports = materialSupplementView;
},{"../../../../gum.ui/validate/common.tool":23,"../../../../public/pama/pamaUtil":79,"./template/materialSupplement.tpl":61}],42:[function(require,module,exports){

/**
 * Created by mengqinghuan on 2016/10/26.
 */
"use strict";

var orderDetailsTpl = require('./template/orderDetails.tpl'),
    paramUtil = require('../../../../public/pama/pamaUtil'),
    CommonUtil = new (require('../../../../gum.ui/validate/common.tool'))();

function orderDetailsView() {

}

orderDetailsView.prototype.init=function(data){
    var _this=this;
    var showData = window.GUM.extend({},_this.model.data);
    this.controller.curModule._renderHTML(orderDetailsTpl(showData),data,function(){
        _this.initEvent();
    });
};

orderDetailsView.prototype.initEvent = function () {
    var _this=this;
    _this.$(".insureBtn").tap(function (e) {
        /*
        _this.model.underWriting({
            idScmsOrder: _this.model.data.idCsspOrder,
            effDate: _this.model.data.startTime,
            matuDate: _this.model.data.endTime,
            medicalNo: _this.model.data.insurerData.medicalCardNo,
            combinedPlanCode: _this.model.data.selectData.combinedPlanCode,
            coverageAmount: _this.model.data.coverageAmount,
            userName: _this.model.data.insurerData.userName,
            gender: _this.model.data.insurerData.gender,
            birthDate: _this.model.data.insurerData.birthDate,
            idType: _this.model.data.insurerData.idType,
            idNo: _this.model.data.insurerData.idNo,
            identifyChannelType: _this.model.data.insurerData.identifyChannelType
    },function () {
        })
         */
        _this.model.isSupportPay({
            payType: '0',
            bankCode: _this.model.data.insurerData.bankNo
        },function (res) {
            if (res.isSupportPay == 'N') {
                _this.model.data.isSupportPay = 'N';
                _this.model.data.isInheritCard = 'N';
            } else{
                _this.model.data.isSupportPay = 'Y';
                _this.model.data.isInheritCard = 'Y';
            }
            //orderPay页面默认值
            _this.model.data.payChannel = _this.model.data.payChannel ?_this.model.data.payChannel :'03';
            _this.model.data.isInheritCard = _this.model.data.isInheritCard != '' ?_this.model.data.isInheritCard :'Y';
            _this.model.data.isRenewal = _this.model.data.isRenewal != '' ?_this.model.data.isRenewal :"Y";
            _this.controller.curRouter.navigate("insurance/insurancePage/orderPay");
        });
    });
};

module.exports = orderDetailsView;
},{"../../../../gum.ui/validate/common.tool":23,"../../../../public/pama/pamaUtil":79,"./template/orderDetails.tpl":62}],43:[function(require,module,exports){

/**
 * Created by mengqinghuan on 2016/10/26.
 */
"use strict";

var orderPayTpl = require('./template/orderPay.tpl'),
    paramUtil = require('../../../../public/pama/pamaUtil'),
    CommonUtil = new (require('../../../../gum.ui/validate/common.tool'))();

function orderPayView() {

}

orderPayView.prototype.init=function(data){
    var _this=this;
    _this.controller.curModule._renderHTML(orderPayTpl(_this.model.data),data,function(){
        _this.initEvent();
    });
};

orderPayView.prototype.initEvent = function () {
    var _this = this;
    //支付方式选择
    var sel = _this.$(".payChannel");
    sel.tap(function (e) {
        _this.$('.payChannel').removeClass('selected');
        var this_ = _this.$(this).find('[name="check-pay"]');
        if(_this.$(this_).hasClass('P_SelectedBg')) {
            _this.$(this).addClass('selected');
            return
        }
        _this.$('[name="check-pay"]').removeClass('P_SelectedBg');
        _this.$(this_).toggleClass('P_SelectedBg');
        _this.model.data.payChannel = _this.$(this_).attr("key");
        var cls = _this.$(this_).attr("data-key");
        _this.$('.bankCardPick').removeClass('show');
        _this.$('.bankCardPick').removeClass('hide');
        _this.$('.bankCardPick').addClass(cls);
        if (_this.model.data.payChannel == '03'){
            _this.$('.message').css('display','block');
            _this.$(this).addClass('spe');
        } else {
            _this.$('.message').css('display','none');
            _this.$('.hasBottom').removeClass('spe')
        }
        if (_this.model.data.payChannel == '03' || _this.model.data.payChannel == '02') {
            if (_this.model.data.isInheritCard == 'Y') {
                _this.$("#bankCardTips").removeClass('hide')
            }
        } else {
            _this.$("#bankCardTips").addClass('hide');
        }
    });

    // 进入银行卡信息
    _this.$(".bankcardinfo").tap(function (e) {
        if (_this.model.data.isInheritCard == 'Y') {
            if (_this.$(this).hasClass('selected')) {
                setTimeout(function () {
                    _this.controller.curRouter.navigate("insurance/insurancePage/bankcardInfo");
                },500)
            }
        } else {
            setTimeout(function () {
                _this.controller.curRouter.navigate("insurance/insurancePage/bankcardInfo");
            },500)
        }
    });
    
    //银行卡信息选择
    _this.$("#useInherit").tap(function (e) {
        e.preventDefault();
        var isInheritCard = 'N';
        if (_this.model.data.isInheritCard == 'N') {
            if (_this.model.data.isSupportPay == 'N') {
                window.GUM.alerts.confirm("您验证的银行卡暂不支持支付，是否使用其他银行卡",function () {
                    _this.$(".P_SelectedBg").trigger('tap');
                },function () {

                });
            } else {
                _this.$(this).toggleClass('active');
                _this.$("#bankCardTips").removeClass('hide');
                isInheritCard = 'Y';
            }
        } else {
            isInheritCard = 'N';
            _this.$(this).removeClass('active');
            _this.$("#bankCardTips").addClass('hide');
            _this.$(".P_SelectedBg").trigger('tap');
        }
        _this.model.data.isInheritCard = isInheritCard;
    });

    _this.$("#authorization").tap(function (e) {
        e.preventDefault();
        var isAgree_2 = "N";
        _this.$(this).toggleClass('active');
        if (_this.$(this).hasClass('active')) {
            isAgree_2 = 'Y';
        }
        _this.model.data.isAgree_2 = isAgree_2;
    });


    //自动续保
    var btns = _this.$('.btngroup button');
    btns.tap(function (e) {
        e.preventDefault();
        if (_this.$(this).hasClass('active')) {
            return
        }
        _this.$(this).toggleClass('active');
        var previousSibling = _this.$(this).prev();
        var nextSibling = _this.$(this).next();
        previousSibling.removeClass('active');
        nextSibling.removeClass('active');

        if (_this.$(this).hasClass('right')) {
            _this.showError("您未选择自动续保,一年期险种将在合同生效一年期满后自动终止!");
            _this.$('.isRenewalTips').removeClass('active')
        }
        if (_this.$(this).hasClass('left')) {
            _this.$('.isRenewalTips').addClass('active')
        }
        _this.model.data.isRenewal = _this.$(".btngroup button.active").attr("key");
    });

    //进入续保保费
    _this.$('.toRenewal').tap(function (e) {
        e.preventDefault();
        _this.controller.curRouter.navigate("insurance/insurancePage/renewalPrice");
    });


    //进入协议书
    _this.$("#toLink").tap(function(e){
        e.stopPropagation();
        _this.controller.curRouter.navigate("insurance/insurancePage/protocol");
    });


    //提交
    _this.$(".insureBtn").tap(function (e) {

        if (! _this.$("#authorization").hasClass("active")) {
            _this.showError("请阅读并勾选《委托支付扣款协议》");
            return
        }
        if (_this.model.data.payChannel == '03' || _this.model.data.payChannel == '02') {
            if (_this.model.data.isInheritCard == 'N') {
                _this.model.data.insurerData.bankCardNo = _this.model.data.insurerData.bankCardNo_new;
                _this.model.data.insurerData.bankName = _this.model.data.insurerData.bankName_new;
                _this.model.data.insurerData.bankNo = _this.model.data.insurerData.bankNo_new;
                if (!_this.model.data.insurerData.bankCardNo) {
                    window.GUM.alerts.confirm("您没有可用银行卡，是否前往录入银行卡",function () {
                        _this.$(".P_SelectedBg").trigger('tap');
                    },function () {

                    });
                    return
                } else {
                    _this.submitOrder();
                }
            } else {
                _this.submitOrder();
            }
        } else {
            _this.submitOrder();
        }
    });
};


orderPayView.prototype.submitOrder = function () {
    var _this = this;


    var data = {
        userName: _this.model.data.insurerData.userName,
        gender: _this.model.data.insurerData.gender,
        birthDate: _this.model.data.insurerData.birthDate,
        idType: _this.model.data.insurerData.idType,
        idNo: _this.model.data.insurerData.idNo,

        address: _this.model.data.insurerData.address,
        idScmsOrder: _this.model.data.idCsspOrder,
        payChannel: _this.model.data.payChannel,
        payAccountNo: _this.model.data.insurerData.bankCardNo,
        bankNo: _this.model.data.insurerData.bankNo,
        bankName: _this.model.data.insurerData.bankName,
        effDate: _this.model.data.startTime,
        matuDate: _this.model.data.endTime,
        isRenewal: _this.model.data.isRenewal,
        medicalNo: _this.model.data.insurerData.medicalCardNo,
        combinedPlanCode: _this.model.data.selectData.combinedPlanCode,
        orderChannel: "01", //判断app  中保信
        orderClientType: "01",
        coverageAmount: _this.model.data.coverageAmount,
        customerSequenceNo: _this.model.data.customerSequenceNo || _this.model.data.insurerData.customerSequence,
        height: _this.model.data.healthList.height,
        weight: _this.model.data.healthList.weight,
        questionOne: _this.model.data.healthList[0] ?_this.model.data.healthList[0].join('') :'N',
        questionTwo: _this.model.data.healthList[1]['flag'],
        questionTwoSick: _this.model.data.healthList[1].slice(0,_this.model.data.healthList[1].length).join(","),
        questionThree: _this.model.data.healthList[2] ?_this.model.data.healthList[2].join('') :'N',
        questionFour: _this.model.data.healthList[3] ?_this.model.data.healthList[3].join('') :'N',
        questionFive: _this.model.data.healthList[4] ?_this.model.data.healthList[4].join('') :'N',
        questionSix:  _this.model.data.healthList[5] ?_this.model.data.healthList[5].join('') :'N',
        questionSeven: _this.model.data.healthList[6] ?_this.model.data.healthList[6].join('') :'N',
        channelType:"SH"
    };
    if (_this.model.data.healthList[6]) {
        data.questionSeven = _this.model.data.healthList[6].join('')
    }

    /*
    var health_list = _this.model.data.healthList;
    for (var k in health_list) {
        if (typeof (health_list[k]) == "object"){
            var question = "question" + k;
            if (health_list[k]["flag"]) {
                var subQuestion = question + "Sick";
                data[subQuestion] = health_list[k].slice(0,_this.model.data.healthList[k].length).join(",")
            }
        }
    }
    */
    var findCombined=this.model.data.directionMap;
    var gender = _this.model.data.insurerData.gender;
    var combinedPlanCode = findCombined[gender][0].combinedPlanCode;
    var options = _this.model.data.optionsList,
        planCode,
        itemCode,
        item = [];
    for (var s=0; s<options.length; s ++) {
        if (options[s].combinedPlanCode == combinedPlanCode) {
            planCode = options[s].planCode;
            for (var m=0; m<options[s].optionList.length; m ++) {
                var sitem = (options[s].optionList)[m];
                if (sitem.coverageAmount == _this.model.data.coverageAmount) {
                    sitem.coverageAmount = _this.model.data.coverageAmount+'';
                    sitem.planCode = planCode;
                    item.push(sitem)
                }
            }
        }
    }
    var handlerData={};
    handlerData.combinedPlanCode=combinedPlanCode;
    handlerData.buyNum="1";
    handlerData.sinsurPeriodType="M";
    handlerData.insurPeriod="12";
    handlerData.birthDate=this.model.data.insurerData.birthDate;
    handlerData.gender=gender;
    handlerData.applicantRelation="1";
    handlerData.personNum="1";
    handlerData.planInfoList=JSON.stringify(item);
    handlerData.idScmsOrder= _this.model.data.idCsspOrder;
    handlerData.applyDate = CommonUtil.dateformat("2016-12-29","yyyy-MM-dd");

    _this.model.selfCheckBefore(handlerData,function () {
        _this.model.selfCheck(data,function (res) {
            _this.controller.curRouter.navigate("insurance/insurancePage/PaySuccess");
        }, function (e) {
            _this.controller.curRouter.navigate("insurance/insurancePage/payFailure");
        })
    },function (msg,flag) {
        if(flag == '50007') {
            window.GUM.alerts.confirm(msg,function () {
                var startDate=CommonUtil.addDate(new Date(),"d",1);
                _this.model.data.startTime=CommonUtil.dateformat(startDate,"yyyy-MM-dd");
                var curYear =  (new Date()).getFullYear();
                var endDate=CommonUtil.addDate(new Date(),"d","364");
                var isLeapYear = (curYear % 4 == 0) && (curYear % 100 != 0) || (curYear % 400 == 0)
                if (isLeapYear) {
                    endDate=CommonUtil.addDate(new Date(),"d","365");
                }
                _this.model.data.endTime=CommonUtil.dateformat(endDate,"yyyy-MM-dd");
                _this.model.createOrder({
                    idScmsOrder:this.data.idCsspOrder,
                    effDate: _this.model.data.startTime,
                    matuDate: _this.model.data.endTime
                },function () {
                    data.effDate = _this.model.data.startTime;
                    data.matuDate = _this.model.data.endTime;
                    _this.model.selfCheck(data,function (res) {
                        _this.controller.curRouter.navigate("insurance/insurancePage/paySuccess");
                    },function (e) {
                        _this.controller.curRouter.navigate("insurance/insurancePage/payFailure");
                    })
                })
            },function () {
                _this.controller.curRouter.navigate("insurance/insurancePage/payFailure");
            });
        } else {
            window.GUM.alerts.alert(msg, function () {
                _this.controller.curRouter.navigate("insurance/insurancePage/payFailure");
            }, '贴心小提示');
        }
    });

};


orderPayView.prototype.showError = function (msg) {
    this.toast.showToast(msg,1500,'温馨提示');
}


module.exports = orderPayView;
},{"../../../../gum.ui/validate/common.tool":23,"../../../../public/pama/pamaUtil":79,"./template/orderPay.tpl":63}],44:[function(require,module,exports){
/**
 * Created by bob on 16/11/11.
 */
"use strict";

var payFailureTpl = require('./template/payFailure.tpl'),
    paramUtil = require('../../../../public/pama/pamaUtil'),
    CommonUtil = new (require('../../../../gum.ui/validate/common.tool'))();

function payFailureView() {

}

payFailureView.prototype.init=function(data){
    var _this=this;
    this.controller.curModule._renderHTML(payFailureTpl(_this.model.data),data,function(){
        _this.initEvent();
    });
    window.back=function(){
        window.GUM.bridge.native_last();
    }
};

payFailureView.prototype.initEvent = function () {
    
};

module.exports = payFailureView;
},{"../../../../gum.ui/validate/common.tool":23,"../../../../public/pama/pamaUtil":79,"./template/payFailure.tpl":64}],45:[function(require,module,exports){
/**
 * Created by bob on 16/11/11.
 */
"use strict";

var paySuccessTpl = require('./template/paySuccess.tpl'),
    paramUtil = require('../../../../public/pama/pamaUtil'),
    CommonUtil = new (require('../../../../gum.ui/validate/common.tool'))();

function paySuccessView() {

}

paySuccessView.prototype.init=function(data){
    var _this=this;
    this.controller.curModule._renderHTML(paySuccessTpl(_this.model.data),data,function(){
        _this.initEvent();
    });
    window.back=function(){
        window.GUM.bridge.native_last();
    }
};

paySuccessView.prototype.initEvent = function () {
    
};

module.exports = paySuccessView;
},{"../../../../gum.ui/validate/common.tool":23,"../../../../public/pama/pamaUtil":79,"./template/paySuccess.tpl":65}],46:[function(require,module,exports){
/**
 * Created by mengqinghuan on 2016/12/5.
 */

var protocol = require('./template/protocol.tpl');

function protocolView() {

}

protocolView.prototype.init=function(data){
    var _this=this;
    this.controller.curModule._renderHTML(protocol(_this.model.data),data,function(){
        _this.initEvent();
    });
};

protocolView.prototype.initEvent = function () {

};

module.exports = protocolView;
},{"./template/protocol.tpl":66}],47:[function(require,module,exports){

/**
 * Created by mengqinghuan on 2016/10/26.
 */
"use strict";

var recognizeeInfoTpl = require('./template/recognizeeInfo.tpl'),
    paramUtil = require('../../../../public/pama/pamaUtil'),
    CommonUtil = new (require('../../../../gum.ui/validate/common.tool'))();

function recognizeeInfoView() {

}

recognizeeInfoView.prototype.init=function(data){
    var _this=this;
    this.controller.curModule._renderHTML(recognizeeInfoTpl(),data,function(){
        _this.initEvent();
    });
};

recognizeeInfoView.prototype.initEvent = function () {
    var _this=this;
    //逻辑
};

module.exports = recognizeeInfoView;
},{"../../../../gum.ui/validate/common.tool":23,"../../../../public/pama/pamaUtil":79,"./template/recognizeeInfo.tpl":67}],48:[function(require,module,exports){
/**
 * Created by mengqinghuan on 2016/12/1.
 */


var renewalPrice = require('./template/renewalPrice.tpl');

function renewalPriceView() {

}

renewalPriceView.prototype.init=function(data){
    var _this=this;
    this.controller.curModule._renderHTML(renewalPrice(_this.model.data),data,function(){
        _this.initEvent();
    });
};

renewalPriceView.prototype.initEvent = function () {

};

module.exports = renewalPriceView;
},{"./template/renewalPrice.tpl":68}],49:[function(require,module,exports){
/*TMODJS:{"version":1,"md5":"ab312260f072e27b0f69309125d29910"}*/
var template=require("template");module.exports=template("insurance/insurancePage/view/template/applicantInfo.tpl",'<section id="InsureInfo"> <div class="insurePeopleInfo"> <ul class="orderInfoList"> <li><span class="itemName">\u4e0e\u88ab\u4fdd\u4eba\u5173\u7cfb:</span> \u672c\u4eba</li> <li><span class="itemName">\u59d3\u540d:</span> \u674e\u56db</li> <li><span class="itemName">\u6027\u522b:</span> \u7537</li> <li><span class="itemName">\u8bc1\u4ef6\u7c7b\u578b:</span> \u8eab\u4efd\u8bc1</li> <li><span class="itemName">\u8bc1\u4ef6\u53f7\u7801:</span> 333333333333333333</li> <li><span class="itemName">\u51fa\u751f\u65e5\u671f:</span> 2000-08-09</li> <li><span class="itemName">\u624b\u673a\u53f7\u7801:</span> 13425252525</li> </ul> </div> </section>');
},{"template":80}],50:[function(require,module,exports){
/*TMODJS:{"version":1,"md5":"9ec5d6b4885afa8c5228602cd2310b57"}*/
var template=require("template");module.exports=template("insurance/insurancePage/view/template/bankCard.tpl",function(a){"use strict";var b=this,c=(b.$helpers,b.$escape),d=a.userName,e=a.i,f=a.dataList,g=a.bankList,h=a.bankNo,i=a.bankCardNo,j=a.mobile,k="";k+='<section id="idRecognition"> <div class="insurePeopleInfo"> <ul class="orderInfoList iscroll"> <li><span class="itemName">\u59d3\u540d:</span> <div class="InputBox placeholder"> <input type="text" value="',k+=c(d),k+='" class="lg_textInput" disabled/> </div> </li> <li class=\'bankSel\'> <span class="itemName">\u94f6\u884c\u540d\u79f0:</span> <select id="bank-sel" validate_type=\'15\'> ';for(var e=0;e<f.length;e++){var g=f[e];k+=' <option value="',k+=c(g.bankCode),k+="\" selected = '",k+=c(h==g.bankCode?"selected":""),k+="'>",k+=c(g.bankName),k+="</option> "}return k+=' </select> <em class="arr-d"></em> </li> <li> <span class="itemName">\u5361\u53f7:</span> <input type="number" id="bankCard" validate_type=\'14\' value="',k+=c(i?i:""),k+='" placeholder="\u8bf7\u8f93\u5165\u94f6\u884c\u5361" class="lg_textInput"/> </li> <li class="placeholder"><span class="itemName">\u624b\u673a\u53f7\u7801:</span> <input type="text" id="mobile" validate_type=\'9\' value="',k+=c(j),k+='" placeholder=\'\u8bf7\u8f93\u5165\u624b\u673a\u53f7\' class="lg_textInput" disabled/> </li> <li><span class="itemName">\u9a8c\u8bc1\u7801:</span> <div class="InputBox"> <input type="text" id=\'verifyCode\' placeholder="\u8bf7\u8f93\u5165\u9a8c\u8bc1\u7801" class="md_inputBox"/> <button class="getCodeBtn" id="Verification">\u83b7\u53d6\u9a8c\u8bc1\u7801</button> </div> </li> </ul> </div> </section> <div class="fixedFoot"> <div class="nextStepBtn"> \u4e0b\u4e00\u6b65 </div> </div>',new String(k)});
},{"template":80}],51:[function(require,module,exports){
/*TMODJS:{"version":1,"md5":"1b30b8cdf90520f2d837eff628349dfb"}*/
var template=require("template");module.exports=template("insurance/insurancePage/view/template/bankcardInfo.tpl",function(a){"use strict";var b=this,c=(b.$helpers,b.$escape),d=a.userName,e=a.isInheritCard,f=a.bankNo_temp,g=a.bankName_temp,h=a.i,i=a.dataList,j=a.bankList,k=a.bankNo_new,l=a.bankCardNo_temp,m="";if(m+='<section id="idRecognition"> <div class="insurePeopleInfo"> <ul class="orderInfoList iscroll"> <li class="',m+=c(d?"placeholder":""),m+='"><span class="itemName">\u59d3\u540d:</span> <div class="InputBox"> <input type="text" ',m+=c(d?"disabled":""),m+=' value="',m+=c(d),m+='" placeholder="\u8bf7\u8f93\u5165\u60a8\u7684\u540d\u5b57" class="lg_textInput"/> </div> </li> <li class=\'bankSel\'> <span class="itemName">\u94f6\u884c\u540d\u79f0:</span> <select id="bankName"> ',"Y"==e)m+=' <option value="',m+=c(f),m+='">',m+=c(g),m+="</option> ";else for(var h=0;h<i.length;h++){var j=i[h];m+=' <option value="',m+=c(j.bankCode),m+='" ',m+=c(k==j.bankCode?"selected":""),m+=">",m+=c(j.bankName),m+="</option> "}return m+=' </select> <em class="arr-d"></em> </li> <li> <span class="itemName">\u5361\u53f7:</span> <input ',m+=c("Y"==e?"disabled":""),m+=' type="number" id="bankCard" placeholder="\u8bf7\u8f93\u5165\u94f6\u884c\u5361\u53f7" value=\'',m+=c(l?l:""),m+='\' class="lg_textInput"/> </li> </ul> <div class="fixedFoot"> <div class="nextStepBtn"> \u786e\u5b9a </div> </div> </div> </section>',new String(m)});
},{"template":80}],52:[function(require,module,exports){
/*TMODJS:{"version":1,"md5":"09723c8fb5d07b4cae539a1c619b59f7"}*/
var template=require("template");module.exports=template("insurance/insurancePage/view/template/detailsInstruction.tpl","<section id=\"detailsInstruction\"> <div class=\"informContent border-line\"> <h3>\u533b\u4fdd\u8d26\u6237\u91cd\u5927\u75be\u75c5\u4ea7\u54c1-\u6295\u4fdd\u987b\u77e5</h3> <p>1\u3001\u672c\u6295\u4fdd\u4eba\u5179\u7533\u660e\u5404\u9879\u5185\u5bb9\u586b\u5199\u5c5e\u5b9e\uff0c\u5df2\u5f81\u5f97\u88ab\u4fdd\u9669\u4eba\u540c\u610f\uff0c\u5e76\u8ba4\u53ef\u4fdd\u9669\u91d1\u989d\u548c\u6295\u4fdd\u95ee\u5377\u5185\u5bb9\u3002</p> <p>2\u3001\u672c\u6295\u4fdd\u4eba\u5df2\u9605\u8bfb\u5e76\u6b63\u786e\u7406\u89e3 <a>\u300a<span class=\"underline\" id=\"indent\">\u5e73\u5b89\u4e0a\u6d77\u533b\u4fdd\u8d26\u6237\u91cd\u5927\u75be\u75c5\u4fdd\u9669\u6761\u6b3e</span>\u300b(\u70b9\u51fb\u53ef\u67e5\u770b\u5177\u4f53\u6761\u6b3e\u7ec6\u5219)</a>\u6240\u9002\u7528\u7684\u4fdd\u9669\u6761\u6b3e\u548c\u6295\u4fdd\u987b\u77e5\u7684\u5404\u9879\u5185\u5bb9\uff0c\u5e76\u7279\u522b\u5c31\u6761\u6b3e\u4e2d<a>\u6709\u5173\u8d23\u4efb\u514d\u9664</a>\u548c\u6295\u4fdd\u4eba\u3001\u88ab\u4fdd\u9669\u4eba\u4e49\u52a1\u7684\u5185\u5bb9\u8fdb\u884c\u9605\u8bfb\u3002\u672c\u6295\u4fdd\u4eba\u7279\u6b64\u540c\u610f\u63a5\u53d7\u6761\u6b3e\u5168\u90e8\u5185\u5bb9\uff0c\u4ee5\u53ca\u6295\u4fdd\u987b\u77e5\u8be6\u60c5\u3002</p> <p>3\u3001\u6295\u4fdd\u987b\u77e5\u5185\u5bb9\u5982\u4e0b\uff1a<br> <span class='indent'>\u672c\u4ea7\u54c1\u6240\u7528\u6761\u6b3e\uff1a\u300a\u5e73\u5b89\u4e0a\u6d77\u533b\u4fdd\u8d26\u6237\u91cd\u5927\u75be\u75c5\u4fdd\u9669\u6761\u6b3e\u300b\uff0c\u672a\u5c3d\u4e8b\u5b9c\uff0c\u4ee5\u6761\u6b3e\u4e3a\u51c6\u3002\u82e5\u672c\u6295\u4fdd\u987b\u77e5\u5185\u5bb9\u4e0e\u6761\u6b3e\u4e0d\u4e00\u81f4\u7684\uff0c\u4ee5\u6761\u6b3e\u4e3a\u51c6\u3002</span> </p> </div> <div class=\"informContent border-line\"> <h3>\u4ea7\u54c1\u8bf4\u660e</h3> <p>1\u3001\u6295\u4fdd\u4eba\u8303\u56f4\uff1a\u672c\u4fdd\u9669\u6295\u4fdd\u4eba\u4e3a\u88ab\u4fdd\u9669\u4eba\u672c\u4eba\u3002</p> <p>2\u3001\u88ab\u4fdd\u9669\u4eba\u8303\u56f4 <br> <p>\u6295\u4fdd\u65f6\u5df2\u53c2\u52a0\u4e0a\u6d77\u5e02\u57ce\u9547\u804c\u5de5\u57fa\u672c\u533b\u7597\u4fdd\u9669\u4e14\u4e2a\u4eba\u5386\u5e74\u533b\u4fdd\u8d26\u6237\u4f59\u989d\u7b26\u5408\u88681\u7ea6\u5b9a\u6761\u4ef6\u3001\u8eab\u4f53\u5065\u5eb7\u7684\u3001\u7b26\u5408\u672c\u516c\u53f8\u627f\u4fdd\u6761\u4ef6\u8005\u5747\u53ef\u4f5c\u4e3a\u88ab\u4fdd\u9669\u4eba\u53c2\u52a0\u672c\u4fdd\u9669\u3002 <br> <span class='indent'>\u9996\u6b21\u6295\u4fdd\uff08\u89c1\u91ca\u4e49\uff09\u5e74\u9f84\u8303\u56f4\u4e3a16\uff08\u542b\uff09\u81f365\u5468\u5c81\uff08\u542b\uff09\u3002\u4f46\u5bf9\u4e8e\u653f\u7b56\u5b9e\u65bd\u4e4b\u65e5\uff08\u89c1\u91ca\u4e49\uff09\u5df2\u6ee166\u5468\u5c81\uff08\u542b\uff09\u7684\u4eba\u7fa4\uff0c\u9700\u5728\u653f\u7b56\u5b9e\u65bd\u4e4b\u65e5\u8d77\u4e00\u5e74\u4e4b\u5185\u6295\u4fdd\uff0c\u53ef\u4ee5\u4e0d\u53d7\u524d\u8ff0\u9996\u6b21\u6295\u4fdd\u5e74\u9f84\u8303\u56f4\u9650\u5236\u3002</span> <br> <span class='indent'>\u88681\uff1a</span><br> <table border = 1 cellspacing=0 cellpadding=2> <tr><td>\u5e74\u9f84\u8303\u56f4</td><td>\u4e2a\u4eba\u5386\u5e74\u533b\u4fdd\u8d26\u6237\u4f59\u989d\u7ea6\u5b9a\u6761\u4ef6</td></tr> <tr><td>16\u5468\u5c81\uff08\u542b\uff09\u81f365\u5468\u5c81\uff08\u542b\uff09</td><td>\u4e2a\u4eba\u5386\u5e74\u533b\u4fdd\u8d26\u6237\u4f59\u989d\u2265\u9996\u671f\u4fdd\u8d39</td></tr> <tr><td>\u5df2\u6ee166\u5468\u5c81\uff08\u542b\uff09\u81f375\u5468\u5c81\uff08\u542b\uff09</td><td>\u4e2a\u4eba\u5386\u5e74\u533b\u4fdd\u8d26\u6237\u4f59\u989d\u22651500\u5143</td></tr> </table> </p> <p>3\u3001\u7eed\u4fdd\uff1a<br> <span class='indent'>\uff08\u4e00\uff09\u7eed\u4fdd\u6761\u4ef6\uff1a</span><br> <span class='indent'>\u88ab\u4fdd\u9669\u4eba\u9996\u6b21\u6295\u4fdd\u5e74\u9f84\u5c0f\u4e8e55\u5468\u5c81\uff08\u4e0d\u542b\uff09\uff0c\u5e76\u81ea\u5e74\u6ee155\u5468\u5c81\uff08\u542b\uff09\u8d77\u4ecd\u8fde\u7eed\u6295\u4fdd\uff08\u89c1\u91ca\u4e49\uff09\u672c\u4fdd\u9669\u7684\uff0c\u7eed\u4fdd\u6700\u9ad8\u5e74\u9f84\u4e3a75\u5468\u5c81\uff1b\u88ab\u4fdd\u9669\u4eba\u9996\u6b21\u6295\u4fdd\u5e74\u9f84\u5927\u4e8e55\u5468\u5c81\uff08\u542b\uff09\uff0c\u5e76\u8fde\u7eed\u6295\u4fdd\u672c\u4fdd\u9669\u7684\uff0c\u7eed\u4fdd\u6700\u9ad8\u5e74\u9f84\u4e3a75\u5468\u5c81\uff1b\u9664\u4e0a\u8ff0\u4e24\u79cd\u60c5\u5f62\u5916\uff0c\u7eed\u4fdd\u6700\u9ad8\u6295\u4fdd\u5e74\u9f84\u4e3a65\u5468\u5c81\uff08\u542b\uff09\u3002<br></span> <span class='indent'>\u5df2\u60a3\u91cd\u5927\u75be\u75c5\u7684\u4eba\u5458\u4e0d\u518d\u5177\u6709\u7eed\u4fdd\u8d44\u683c\u3002<br></span> <span class='indent'>\uff08\u4e8c\uff09\u6295\u4fdd\u4eba\u53ef\u4ee5\u5728\u9996\u6b21\u6295\u4fdd\u65f6\u540c\u610f\u81ea\u52a8\u7533\u8bf7\u7eed\u4fdd\uff0c\u4e5f\u53ef\u4ee5\u5728\u5f53\u671f\u4fdd\u9669\u671f\u95f4\u5c4a\u6ee1\u524d\u4e66\u9762\u63d0\u51fa\u7eed\u4fdd\u7533\u8bf7\u3002<br></span> <span class='indent'>\u672c\u516c\u53f8\u6709\u6743\u5bf9\u6295\u4fdd\u4eba\u7684\u7eed\u4fdd\u7533\u8bf7\u8fdb\u884c\u5ba1\u6838\u3002\u7ecf\u672c\u516c\u53f8\u540c\u610f\u7eed\u4fdd\uff0c\u6536\u53d6\u7eed\u4fdd\u4fdd\u9669\u8d39\u5e76\u7b7e\u53d1\u4fdd\u5355\u7684\uff0c\u7eed\u4fdd\u5408\u540c\u751f\u6548\uff1b\u5982\u672c\u516c\u53f8\u4e0d\u540c\u610f\u7eed\u4fdd\u7684\uff0c\u4e66\u9762\u901a\u77e5\u6295\u4fdd\u4eba\uff0c\u672c\u5408\u540c\u4fdd\u9669\u671f\u95f4\u5c4a\u6ee1\u540e\uff0c\u672c\u5408\u540c\u7ec8\u6b62\u3002<br></span> </p> <p>4\u3001\u4fdd\u9669\u671f\u95f4\uff1a\u672c\u4fdd\u969c\u8ba1\u5212\u7684<a>\u4fdd\u9669\u671f\u95f4\u4e3a1\u5e74</a>\u3002\u6295\u4fdd\u4eba\u63d0\u51fa\u4fdd\u9669\u7533\u8bf7\u3001\u672c\u516c\u53f8\u540c\u610f\u627f\u4fdd\uff0c\u672c\u5408\u540c\u6210\u7acb\u3002\u9664\u53e6\u6709\u7ea6\u5b9a\u5916\uff0c\u672c\u5408\u540c\u81ea\u672c\u516c\u53f8\u540c\u610f\u627f\u4fdd\u3001\u6536\u53d6\u4fdd\u9669\u8d39\u5e76\u7b7e\u53d1\u4fdd\u9669\u5355\u5f00\u59cb\u751f\u6548\uff0c\u5177\u4f53\u751f\u6548\u65e5\u4ee5\u4fdd\u9669\u5355\u6240\u8f7d\u7684\u65e5\u671f\u4e3a\u51c6\u3002</p> <p>5\u3001\u4fdd\u9669\u91d1\u989d\uff1a\u6295\u4fdd\u4eba\u53ef\u4ee5\u9009\u62e9\u6295\u4fdd10\u4e07\u5143\u621620\u4e07\u5143\uff0c\u6700\u9ad8\u4e0d\u5f97\u8d85\u8fc720\u4e07\u5143\u3002</p> <p>6\u3001\u53d7\u76ca\u4eba\uff1a\u672c\u4fdd\u969c\u8ba1\u5212\u7684\u53d7\u76ca\u4eba\u4e3a\u6cd5\u5b9a\u3002</p> <p>7\u3001\u672c\u4ea7\u54c1\u4ec5\u63d0\u4f9b\u7535\u5b50\u4fdd\u5355\u3002\u6295\u4fdd\u4eba\u6216\u88ab\u4fdd\u9669\u4eba\u53ef\u5728\u533b\u8d26\u901aAPP\u67e5\u8be2\u4fdd\u5355\u4fe1\u606f\uff0c\u5e76\u4e0b\u8f7d\u7535\u5b50\u4fdd\u5355\uff1b</p> <p>8\u3001\u7279\u522b\u7ea6\u5b9a\uff1a\u65e0</p> </div> <div class=\"informContent border-line\"> <h3>\u4fdd\u9669\u8d23\u4efb</h3> <p><span class = 'indent'>\u4f01\u4e1a\u4fdd\u9669\u662f\u5bf9\u4f01\u4e1a\u63d0\u4f9b\u7684\u4e00\u79cd\u4fdd\u969c\uff0c\u7528\u4ee5\u4fdd\u969c\u4f01\u4e1a\u7684\u635f\u5931\u3002\u4e3a\u4f01\u4e1a\u63d0\u4f9b\u533b\u7597\u4fdd\u969c\u3001\u8d22\u4ea7\u9669\u3001\u673a\u5668\u635f\u574f\u9669\u548c\u73b0\u91d1\u9669\u7b49\uff0c\u5e76\u4e3a\u7a33\u56fa\u4f01\u4e1a\u7684\u8d22\u52a1\u57fa\u7840\uff0c\u4ee5\u5efa\u7acb\u826f\u597d\u4fe1\u8a89\u5173\u7cfb\u3002\u5e73\u5b89\u76f4\u901a\u4fdd\u9669\u4e3a\u60a8\u51c6\u5907\u4e86\u96c7\u4e3b\u8d23\u4efb\u9669\u3001\u4f01\u4e1a\u56e2\u4f53\u610f\u5916\u9669\u548c\u4f01\u4e1a\u8d22\u4ea7\u4fdd\u9669\u7b49\uff0c\u7f51\u4e0a\u8d2d\u4e70\u65b9\u4fbf\u5feb\u6377\uff01\u4e2d\u56fd\u5e73\u5b89\u4fdd\u9669\uff08\u96c6\u56e2\uff09\u80a1\u4efd\u6709\u9650\u516c\u53f8\u4e8e1988\u5e74\u8bde\u751f\u4e8e\u6df1\u5733\u86c7\u53e3\uff0c\u662f\u4e2d\u56fd\u7b2c\u4e00\u5bb6\u80a1\u4efd\u5236\u4fdd\u9669\u4f01\u4e1a\u3002</span></p> <p><span class = 'indent'>\u88ab\u4fdd\u9669\u4eba\u5728\u7b49\u5f85\u671f\u5185\u7ecf\u533b\u9662\uff08\u89c1\u91ca\u4e49\uff09\u786e\u8bca\u521d\u6b21\u53d1\u751f\u91cd\u5927\u75be\u75c5\uff08\u89c1\u91ca\u4e49\uff09\u7684\uff0c\u672c\u516c\u53f8\u4e0d\u627f\u62c5\u7ed9\u4ed8\u4fdd\u9669\u91d1\u7684\u8d23\u4efb\u3002\u672c\u516c\u53f8\u5bf9\u6295\u4fdd\u4eba\u8fd4\u8fd8\u6240\u4ea4\u4fdd\u9669\u8d39\u540e\uff0c\u672c\u4fdd\u9669\u5408\u540c\u7ec8\u6b62\u3002</span></p> <p><span class = 'indent'>\u5728\u672c\u5408\u540c\u6709\u6548\u671f\u5185\uff0c\u9664\u7b49\u5f85\u671f\u671f\u95f4\u4f9d\u524d\u6b3e\u7ea6\u5b9a\u5916\uff0c\u672c\u516c\u53f8\u627f\u62c5\u4e0b\u5217\u4fdd\u9669\u8d23\u4efb\uff1a</span></p> <p><span class = 'indent'>\u88ab\u4fdd\u9669\u4eba\u7ecf\u533b\u9662\u786e\u8bca\u521d\u6b21\u53d1\u751f\u91cd\u5927\u75be\u75c5\u7684\uff0c\u672c\u516c\u53f8\u6309\u5176\u4fdd\u9669\u91d1\u989d\u7ed9\u4ed8\u91cd\u5927\u75be\u75c5\u4fdd\u9669\u91d1\uff0c\u672c\u4fdd\u9669\u5408\u540c\u7ec8\u6b62\u3002</span></p> <p><span class = 'indent'>\u88ab\u4fdd\u9669\u4eba\u5728\u6295\u4fdd\u524d\u53d1\u751f\u91cd\u5927\u75be\u75c5\u7684\uff0c\u672c\u516c\u53f8\u4e0d\u627f\u62c5\u7ed9\u4ed8\u4fdd\u9669\u91d1\u7684\u8d23\u4efb\u3002</span></p> </div> <div class=\"informContent border-line\"> <h3>\u8d23\u4efb\u514d\u9664</h3> <p><span class = 'indent'>\u56e0\u4e0b\u5217\u60c5\u5f62\u4e4b\u4e00\u5bfc\u81f4\u88ab\u4fdd\u9669\u4eba\u53d1\u751f\u672c\u5408\u540c\u6240\u6307\u91cd\u5927\u75be\u75c5\u7684\uff0c\u672c\u516c\u53f8\u4e0d\u627f\u62c5\u7ed9\u4ed8\u4fdd\u9669\u91d1\u7684\u8d23\u4efb\uff1a</span></p> <p><span class = 'indent'>\uff08\u4e00\uff09\u6295\u4fdd\u4eba\u5bf9\u88ab\u4fdd\u9669\u4eba\u7684\u6545\u610f\u6740\u5bb3\u3001\u6545\u610f\u4f24\u5bb3\uff1b</span></p> <p><span class = 'indent'>\uff08\u4e8c\uff09\u88ab\u4fdd\u9669\u4eba\u6545\u610f\u72af\u7f6a\u6216\u6297\u62d2\u4f9d\u6cd5\u91c7\u53d6\u7684\u5211\u4e8b\u5f3a\u5236\u63aa\u65bd\uff1b</span></p> <p><span class = 'indent'>\uff08\u4e09\uff09\u88ab\u4fdd\u9669\u4eba\u81ea\u6740\u6216\u6545\u610f\u81ea\u4f24\uff0c\u4f46\u88ab\u4fdd\u9669\u4eba\u81ea\u6740\u6216\u6545\u610f\u81ea\u4f24\u65f6\u4e3a\u65e0\u6c11\u4e8b\u884c\u4e3a\u80fd\u529b\u4eba\u7684\u9664\u5916\uff1b</span></p> <p><span class = 'indent'>\uff08\u56db\uff09\u88ab\u4fdd\u9669\u4eba\u4e3b\u52a8\u5438\u98df\u6216\u6ce8\u5c04\u6bd2\u54c1\uff1b</span></p> <p><span class = 'indent'>\uff08\u4e94\uff09\u88ab\u4fdd\u9669\u4eba\u9152\u540e\u9a7e\u9a76\u3001\u65e0\u5408\u6cd5\u6709\u6548\u9a7e\u9a76\u8bc1\u9a7e\u9a76\u6216\u9a7e\u9a76\u65e0\u6709\u6548\u884c\u9a76\u8bc1\u7684\u673a\u52a8\u8f66\u7684\uff1b</span></p> <p><span class = 'indent'>\uff08\u516d\uff09\u88ab\u4fdd\u9669\u4eba\u611f\u67d3\u827e\u6ecb\u75c5\u75c5\u6bd2\u6216\u60a3\u827e\u6ecb\u75c5\u7684\uff1b</span></p> <p><span class = 'indent'>\uff08\u4e03\uff09\u6218\u4e89\u3001\u519b\u4e8b\u51b2\u7a81\u3001\u66b4\u4e71\u6216\u6b66\u88c5\u53db\u4e71\u3001\u6050\u6016\u6d3b\u52a8\uff1b</span></p> <p><span class = 'indent'>\uff08\u516b\uff09\u6838\u7206\u70b8\u3001\u6838\u8f90\u5c04\u6216\u6838\u6c61\u67d3\uff1b</span></p> <p><span class = 'indent'>\uff08\u4e5d\uff09\u9057\u4f20\u6027\u75be\u75c5\uff0c\u5148\u5929\u6027\u7578\u5f62\u3001\u53d8\u5f62\u6216\u67d3\u8272\u4f53\u5f02\u5e38\uff1b</span></p> <p><span class = 'indent'>\u53d1\u751f\u4e0a\u8ff0\u7b2c\uff08\u4e00\uff09\u9879\u60c5\u5f62\u5bfc\u81f4\u88ab\u4fdd\u9669\u4eba\u521d\u6b21\u53d1\u751f\u91cd\u5927\u75be\u75c5\u7684\uff0c\u672c\u5408\u540c\u7ec8\u6b62\uff0c\u672c\u516c\u53f8\u5411\u88ab\u4fdd\u9669\u4eba\u9000\u8fd8\u672c\u5408\u540c\u7684\u672a\u6ee1\u671f\u51c0\u4fdd\u9669\u8d39\u3002</span></p> <p><span class = 'indent'>\u53d1\u751f\u4e0a\u8ff0\u5176\u5b83\u60c5\u5f62\u5bfc\u81f4\u88ab\u4fdd\u9669\u4eba\u521d\u6b21\u53d1\u751f\u91cd\u5927\u75be\u75c5\u7684\uff0c\u672c\u5408\u540c\u7ec8\u6b62\uff0c\u672c\u516c\u53f8\u5411\u6295\u4fdd\u4eba\u9000\u8fd8\u672c\u5408\u540c\u7684\u672a\u6ee1\u671f\u51c0\u4fdd\u9669\u8d39\u3002</span></p> </div> <div class=\"informContent p-padding\"> <h3>\u7406\u8d54\u6d41\u7a0b</h3> <p>1\u3001\u7406\u8d54\u62a5\u6848\u7535\u8bdd\uff1a95511\u6309\u201c#\u201d\u8f6c6\u8f6c1\u8f6c9\u3002 </p> <p>2\u3001\u643a\u76f8\u5173\u7406\u8d54\u8d44\u6599\u81f3\u5e73\u5b89\u95e8\u5e97\u7533\u8bf7\u7406\u8d54\u3002 </p> <p>3\u3001\u786e\u5c5e\u4fdd\u9669\u8d23\u4efb\u8303\u56f4\uff0c\u5728\u8d54\u4ed8\u534f\u8bae\u8fbe\u6210\u540e\u5341\u4e2a\u5de5\u4f5c\u65e5\u5185\u8d54\u4ed8;\u4e0d\u5c5e\u4fdd\u9669\u8d23\u4efb\u7684\uff0c\u81ea\u4f5c\u51fa\u62d2\u4ed8\u7ed3\u8bba\u540e\u4e09\u4e2a\u5de5\u4f5c\u65e5\u5185\u4e0b\u53d1\u62d2\u4ed8\u901a\u77e5\u4e66\u3002</p> <p>4\u3001\u4fdd\u9669\u91d1\u7533\u8bf7 <br> <span class='indent'>\u7531\u4fdd\u9669\u91d1\u7533\u8bf7\u4eba\u586b\u5199\u4fdd\u9669\u91d1\u7ed9\u4ed8\u7533\u8bf7\u4e66\uff0c\u5e76\u63d0\u4f9b\u4e0b\u5217\u8bc1\u660e\u548c\u8d44\u6599\uff1a<br></span> <span class='indent'>\uff08\u4e00\uff09\u7406\u8d54\u7533\u8bf7\u4e66\uff1b<br></span> <span class='indent'>\uff08\u4e8c\uff09\u53d7\u76ca\u4eba\u7684\u6709\u6548\u8eab\u4efd\u8bc1\u4ef6\uff1b<br></span> <span class='indent'>\uff08\u4e09\uff09\u95e8\u6025\u8bca\u75c5\u5386\u548c\u51fa\u9662\u5c0f\u7ed3\uff1b<br></span> <span class='indent'>\uff08\u56db\uff09\u533b\u9662\u51fa\u5177\u7684\u9644\u6709\u75c5\u7406\u663e\u5fae\u955c\u68c0\u67e5\u3001\u8840\u6db2\u68c0\u9a8c\u3001\u5f71\u50cf\u68c0\u67e5\u53ca\u5176\u5b83\u79d1\u5b66\u65b9\u6cd5\u68c0\u9a8c\u62a5\u544a\u7684\u75be\u75c5\u8bca\u65ad\u8bc1\u660e\u4e66\uff1b<br></span> <span class='indent'>\uff08\u4e94\uff09\u6240\u80fd\u63d0\u4f9b\u7684\u4e0e\u786e\u8ba4\u4fdd\u9669\u4e8b\u6545\u7684\u6027\u8d28\u3001\u539f\u56e0\u7b49\u6709\u5173\u7684\u5176\u5b83\u8bc1\u660e\u548c\u8d44\u6599\u3002<br></span> <span class='indent'>\u4fdd\u9669\u91d1\u4f5c\u4e3a\u88ab\u4fdd\u9669\u4eba\u9057\u4ea7\u65f6\uff0c\u5fc5\u987b\u63d0\u4f9b\u53ef\u8bc1\u660e\u5408\u6cd5\u7ee7\u627f\u6743\u7684\u76f8\u5173\u6743\u5229\u6587\u4ef6\u3002<br></span> \u7533\u8bf7\u4eba\u7533\u8bf7\u4fdd\u9669\u91d1\u65f6\uff0c\u5982\u63d0\u4f9b\u7684\u4ee5\u4e0a\u8bc1\u660e\u548c\u8d44\u6599\u4e0d\u5b8c\u6574\uff0c\u672c\u516c\u53f8\u5c06\u53ca\u65f6\u4e00\u6b21\u6027\u901a\u77e5\u7533\u8bf7\u4eba\u8865\u5145\u63d0\u4f9b\u6709\u5173\u8bc1\u660e\u548c\u8d44\u6599\u3002 </p> </div> <div class=\"informContent border-line\"> <h3>\u4fdd\u5168</h3> <p>\u82e5\u9700\u4fdd\u5355\u9000\u4fdd\u7b49\u4fdd\u5168\u670d\u52a1\u64cd\u4f5c\uff0c\u53ef\u6ce8\u518c\u5e76\u767b\u9646\u533b\u8d26\u901aAPP\uff0c\u9009\u53d6\u9700\u53d8\u66f4\u7684\u4fdd\u5355\uff0c\u6839\u636e\u9875\u9762\u63d0\u793a\u8fdb\u884c\u76f8\u5173\u64cd\u4f5c\uff0c\u64cd\u4f5c\u8fc7\u7a0b\u4e2d\u5982\u9047\u5230\u4efb\u4f55\u95ee\u9898\uff0c\u53ef\u54a8\u8be295511\u6309\u201c#\u201d\u8f6c6\u8f6c5.</p> </div> <div class=\"informContent border-line\"> <h3>\u91ca\u4e49</h3> <p>\u3010\u9996\u6b21\u6295\u4fdd\u3011\u4ee5\u4e0b\u4e24\u79cd\u60c5\u5f62\u5747\u89c6\u4e3a\u9996\u6b21\u6295\u4fdd\uff1a</p> <p>\uff081\uff09\u6295\u4fdd\u4eba\u4e3a\u88ab\u4fdd\u9669\u4eba\u5728\u672c\u516c\u53f8\u7b2c\u4e00\u6b21\u6295\u4fdd\u672c\u4fdd\u9669\u7684\uff1b</p> <p>\uff082\uff09\u6295\u4fdd\u4eba\u66fe\u7ecf\u4e3a\u88ab\u4fdd\u9669\u4eba\u5728\u672c\u516c\u53f8\u6295\u4fdd\u672c\u4fdd\u9669\uff0c\u4f46\u672c\u6b21\u6295\u4fdd\u4fdd\u5355\u7684\u751f\u6548\u65e5\u665a\u4e8e\u539f\u4fdd\u5355\u5230\u671f\u65e5\u7684\u6b21\u65e5\u3002</p> <p>\u3010\u653f\u7b56\u5b9e\u65bd\u4e4b\u65e5\u3011\u6307\u4e0a\u6d77\u5e02\u653f\u5e9c\u4e0b\u53d1\u5173\u4e8e\u4e2a\u4eba\u533b\u4fdd\u8d26\u6237\u8d2d\u4e70\u5546\u4e1a\u4fdd\u9669\u7684\u6b63\u5f0f\u6587\u4ef6\u4e2d\u8f7d\u660e\u7684\u653f\u7b56\u5b9e\u65bd\u4e4b\u65e5</p> <p>\u3010\u8fde\u7eed\u6295\u4fdd\u3011\u6307\u6295\u4fdd\u4eba\u4e3a\u88ab\u4fdd\u9669\u4eba\u5728\u672c\u516c\u53f8\u7eed\u4fdd\u540c\u4e00\u9669\u79cd\uff0c\u4e14\u7eed\u4fdd\u4fdd\u5355\u7684\u751f\u6548\u65e5\u4e3a\u539f\u4fdd\u5355\u5230\u671f\u65e5\u7684\u6b21\u65e5\u3002</p> <p>\u3010\u533b\u9662\u3011\u6307\u4e2d\u534e\u4eba\u6c11\u5171\u548c\u56fd\u5883\u5185\uff08\u6e2f\u3001\u6fb3\u3001\u53f0\u5730\u533a\u9664\u5916\uff09\u5408\u6cd5\u7ecf\u8425\u7684\u4e8c\u7ea7\u4ee5\u4e0a\uff08\u542b\u4e8c\u7ea7\uff09\u516c\u7acb\u533b\u9662\u4ee5\u53ca\u7ecf\u53cc\u65b9\u7ea6\u5b9a\u7684\u533b\u9662\u3002</p> <p> <a>\u300a<span class=\"underline\" id=\"indent\">\u5e73\u5b89\u4e0a\u6d77\u533b\u4fdd\u8d26\u6237\u91cd\u5927\u75be\u75c5\u4fdd\u9669\u6761\u6b3e</span>\u300b</a>\u6240\u6307\u91cd\u5927\u75be\u75c5\u3002</p> </div> <div class=\"informContent border-line\"> <h3>\u516c\u5171\u670d\u52a1\u5185\u5bb9\u53ca\u5176\u4ed6</h3> <p>1\u3001\u6295\u4fdd\u8fc7\u7a0b\u4e2d\u5982\u6709\u4efb\u4f55\u7591\u95ee\u53ef\u8054\u7cfb\u6211\u53f8\u670d\u52a1\u4eba\u5458\u6216\u62e8\u625395511\u6309\u201c#\u201d\u8f6c6\u8f6c5\u54a8\u8be2\uff1b</p> <p>2\u3001\u5206\u652f\u673a\u6784\u670d\u52a1\u67dc\u9762\u5730\u5740\uff1a</p><p>http://annuity.pingan.com/xinxipilu_more.shtml\u3002</p> <p>3\u3001\u6839\u636e\u300a\u4e2d\u534e\u4eba\u6c11\u5171\u548c\u56fd\u5408\u540c\u6cd5\u300b\u7b2c\u5341\u4e00\u6761\u89c4\u5b9a\uff0c\u6570\u636e\u7535\u6587\u662f\u5408\u6cd5\u7684\u5408\u540c\u8868\u73b0\u5f62\u5f0f\u3002\u672c\u4eba\u63a5\u53d7\u4ee5\u5e73\u5b89\u517b\u8001\u4fdd\u9669\u80a1\u4efd\u6709\u9650\u516c\u53f8\u63d0\u4f9b\u7684\u7535\u5b50\u4fdd\u5355\u4f5c\u4e3a\u672c\u6295\u4fdd\u4e66\u6210\u7acb\u7684\u5408\u6cd5\u6709\u6548\u51ed\u8bc1\uff0c\u5177\u6709\u5b8c\u5168\u8bc1\u636e\u6548\u529b\u3002</p> <p>4\u3001\u975e\u5e38\u611f\u8c22\u60a8\u9009\u62e9\u4e86\u5e73\u5b89\u96c6\u56e2\uff0c\u5e73\u5b89\u7684\u53d1\u5c55\u79bb\u4e0d\u5f00\u60a8\u7684\u652f\u6301\u548c\u4fe1\u4efb\uff0c\u6211\u4eec\u59cb\u7ec8\u81f4\u529b\u4e8e\u4e3a\u5ba2\u6237\u63d0\u4f9b\u4f18\u8d28\u7684\u4fdd\u9669\u3001\u94f6\u884c\u3001\u8d44\u4ea7\u7ba1\u7406\u548c\u4e92\u8054\u7f51\u91d1\u878d\u4ea7\u54c1\u53ca\u670d\u52a1\u3002\u5728\u4e3a\u60a8\u63d0\u4f9b\u670d\u52a1\u3001\u63a8\u8350\u4ea7\u54c1\u3001\u5f00\u5c55\u5e02\u573a\u8c03\u67e5\u4e0e\u4fe1\u606f\u6570\u636e\u5206\u6790\u8fc7\u7a0b\u4e2d\uff0c\u5e73\u5b89\u96c6\u56e2\u53ca\u5176\u5408\u4f5c\u4f19\u4f34\u5c06\u4f7f\u7528\u5230\u60a8\u7684\u4fe1\u606f\uff0c\u5305\u62ec\u4f46\u4e0d\u9650\u4e8e\uff1a\u60a8\u63d0\u4f9b\u7684\u4fe1\u606f\u3001\u4eab\u53d7\u670d\u52a1\u4ea7\u751f\u7684\u4fe1\u606f\uff0c\u4ee5\u53ca\u6839\u636e\u672c\u6761\u7ea6\u5b9a\u67e5\u8be2\u3001\u6536\u96c6\u7684\u4fe1\u606f\u3002\u5728\u6b64\u8fc7\u7a0b\u4e2d\uff0c\u5e73\u5b89\u96c6\u56e2\u627f\u8bfa\u4e25\u683c\u9075\u884c\u76f8\u5173\u6cd5\u5f8b\u548c\u6cd5\u89c4\uff0c\u5e76\u91c7\u53d6\u76f8\u5e94\u5b89\u5168\u63aa\u65bd\u4ee5\u4fdd\u62a4\u60a8\u7684\u4fe1\u606f\u4e0d\u88ab\u6cc4\u9732\u3002\u5982\u60a8\u8d2d\u4e70\u6216\u4f7f\u7528\u4e86\u5e73\u5b89\u96c6\u56e2\u7684\u4ea7\u54c1\u6216\u670d\u52a1\uff0c\u5373\u89c6\u4e3a\u60a8\u540c\u610f\u6388\u6743\u5e73\u5b89\u96c6\u56e2\u6309\u7167\u4ee5\u4e0a\u5185\u5bb9\u53ca\u65b9\u5f0f\u4f7f\u7528\u76f8\u5173\u4fe1\u606f\u3002</p> <p>\u82e5\u60a8\u5b58\u5728\u7591\u95ee\uff0c\u53ef\u3014\u81f4\u7535\uff0895511\uff09\u3015\u54a8\u8be2\u5e76\u53d6\u6d88\u6216\u53d8\u66f4\u3002</p> <p>\u672c\u6761\u6b3e\u81ea\u672c\u5408\u540c\u7b7e\u7f72\u65f6\u751f\u6548\uff0c\u5177\u6709\u72ec\u7acb\u6cd5\u5f8b\u6548\u529b\uff0c\u4e0d\u53d7\u5408\u540c\u6210\u7acb\u4e0e\u5426\u53ca\u6548\u529b\u72b6\u6001\u53d8\u5316\u5f71\u54cd\u3002\u672c\u6761\u6240\u79f0\u201c\u5e73\u5b89\u96c6\u56e2\u201d\u662f\u6307\u4e2d\u56fd\u5e73\u5b89\u4fdd\u9669\uff08\u96c6\u56e2\uff09\u80a1\u4efd\u6709\u9650\u516c\u53f8\u53ca\u5176\u76f4\u63a5\u6216\u95f4\u63a5\u63a7\u80a1\u7684\u516c\u53f8\uff0c\u4ee5\u53ca\u4e2d\u56fd\u5e73\u5b89\u4fdd\u9669\uff08\u96c6\u56e2\uff09\u80a1\u4efd\u6709\u9650\u516c\u53f8\u76f4\u63a5\u6216\u95f4\u63a5\u4f5c\u4e3a\u5176\u5355\u4e00\u6700\u5927\u80a1\u4e1c\u7684\u516c\u53f8\u3002</p> </div> </section>");
},{"template":80}],53:[function(require,module,exports){
/*TMODJS:{"version":1,"md5":"6073f6489609ec2f3583ae180a4a292f"}*/
var template=require("template");module.exports=template("insurance/insurancePage/view/template/diseaseProvision.tpl",'<section id="detailsInstruction"> <div class="informContent border-line"> <p style="text-align: center">\u5e73\u5b89\u4e0a\u6d77\u533b\u4fdd\u8d26\u6237\u91cd\u5927\u75be\u75c5\u4fdd\u9669\u6761\u6b3e</p> <p>\u63d0\u793a:</p> <p>\u6761\u6b3e\u6b63\u6587\u4e2d\u52a0\u7c97\u663e\u793a\u7684\u6587\u5b57\u5185\u5bb9\u4e3a\u514d\u9664\u672c\u516c\u53f8\u4fdd\u9669\u8d23\u4efb\u7684\u6761\u6b3e,\u8bf7\u6ce8\u610f\u4ed4\u7ec6\u9605\u8bfb\u3002</p> <p>\u7b2c\u4e00\u6761 \u4fdd\u9669\u5408\u540c\u6784\u6210</p> <p>\u672c\u4fdd\u9669\u5408\u540c(\u4ee5\u4e0b\u7b80\u79f0\u201c\u672c\u5408\u540c\u201d)\u7531\u4fdd\u9669\u5355\u6216\u5176\u5b83\u4fdd\u9669\u51ed\u8bc1\u53ca\u6240\u9644\u6761\u6b3e\u3001\u6295\u4fdd\u5355\u7b49\u4e0e\u672c\u5408\u540c\u6709\u5173\u7684\u6295\u4fdd\u6587 \u4ef6\u3001\u5408\u6cd5\u6709\u6548\u7684\u58f0\u660e\u3001\u6279\u6ce8\u3001\u6279\u5355\u3001\u5176\u5b83\u4e66\u9762\u534f\u8bae\u6784\u6210\u3002</p> <p>\u7b2c\u4e8c\u6761 \u4fdd\u9669\u5408\u540c\u6210\u7acb\u4e0e\u751f\u6548</p> <p>\u6295\u4fdd\u4eba\u63d0\u51fa\u4fdd\u9669\u7533\u8bf7\u3001\u672c\u516c\u53f8(\u89c1 21.1)\u540c\u610f\u627f\u4fdd,\u672c\u5408\u540c\u6210\u7acb\u3002</p> <p>\u9664\u53e6\u6709\u7ea6\u5b9a\u5916,\u672c\u5408\u540c\u81ea\u672c\u516c\u53f8\u540c\u610f\u627f\u4fdd\u3001\u6536\u53d6\u4fdd\u9669\u8d39\u5e76\u7b7e\u53d1\u4fdd\u9669\u5355\u5f00\u59cb\u751f\u6548,\u5177\u4f53\u751f\u6548\u65e5\u4ee5\u4fdd\u9669\u5355\u6240 \u8f7d\u7684\u65e5\u671f\u4e3a\u51c6\u3002</p> <p>\u7b2c\u4e09\u6761 \u6295\u4fdd\u5bf9\u8c61</p> <p>(\u4e00)\u6295\u4fdd\u4eba\u8303\u56f4:</p> <p>\u9664\u53e6\u6709\u7ea6\u5b9a\u5916,\u672c\u4fdd\u9669\u6295\u4fdd\u4eba\u4e3a\u88ab\u4fdd\u9669\u4eba\u672c\u4eba\u3002</p> <p>(\u4e8c)\u88ab\u4fdd\u9669\u4eba\u8303\u56f4: </p><p>\u9664\u53e6\u6709\u7ea6\u5b9a\u5916,\u6295\u4fdd\u65f6\u5df2\u53c2\u52a0\u4e0a\u6d77\u5e02\u57ce\u9547\u804c\u5de5\u57fa\u672c\u533b\u7597\u4fdd\u9669\u4e14\u4e2a\u4eba\u5386\u5e74\u533b\u4fdd\u8d26\u6237\u4f59\u989d\u7b26\u5408\u8868 1 \u7ea6\u5b9a\u6761\u4ef6\u3001 \u8eab\u4f53\u5065\u5eb7\u7684\u3001\u7b26\u5408\u672c\u516c\u53f8\u627f\u4fdd\u6761\u4ef6\u8005\u5747\u53ef\u4f5c\u4e3a\u88ab\u4fdd\u9669\u4eba\u53c2\u52a0\u672c\u4fdd\u9669\u3002</p> <p>\u9996\u6b21\u6295\u4fdd(\u89c1 21.2)\u5e74\u9f84\u8303\u56f4\u4e3a 16 \u5468\u5c81(\u542b)\u81f3 65 \u5468\u5c81(\u542b)(\u89c1 21.3)\u3002\u4f46\u5bf9\u4e8e\u653f\u7b56\u5b9e\u65bd\u4e4b\u65e5(\u89c1 21.4) \u5df2\u6ee1 66 \u5468\u5c81(\u542b)\u7684\u4eba\u7fa4,\u9700\u5728\u653f\u7b56\u5b9e\u65bd\u4e4b\u65e5\u8d77\u4e00\u5e74\u4e4b\u5185\u6295\u4fdd,\u7b2c\u4e00\u6b21\u6295\u4fdd\u5e74\u9f84\u53ef\u4ee5\u653e\u5bbd\u81f3 75 \u5468\u5c81(\u542b)\u3002</p> <p>\u88681</p> <table border = 1 cellspacing=0 cellpadding=2> <tr><td>\u5e74\u9f84\u8303\u56f4</td><td>\u4e2a\u4eba\u5386\u5e74\u533b\u4fdd\u8d26\u6237\u4f59\u989d\u7ea6\u5b9a\u6761\u4ef6</td></tr> <tr><td>16\u5468\u5c81\uff08\u542b\uff09\u81f365\u5468\u5c81\uff08\u542b\uff09</td><td>\u4e2a\u4eba\u5386\u5e74\u533b\u4fdd\u8d26\u6237\u4f59\u989d\u2265\u9996\u671f\u4fdd\u8d39</td></tr> <tr><td>\u5df2\u6ee166\u5468\u5c81\uff08\u542b\uff09\u81f375\u5468\u5c81\uff08\u542b\uff09</td><td>\u4e2a\u4eba\u5386\u5e74\u533b\u4fdd\u8d26\u6237\u4f59\u989d\u22651500\u5143</td></tr> </table> <p>\u7b2c\u56db\u6761 \u7eed\u4fdd</p> <p>(\u4e00)\u7eed\u4fdd\u6761\u4ef6:</p> <p>\u88ab\u4fdd\u9669\u4eba\u9996\u6b21\u6295\u4fdd\u5e74\u9f84\u5c0f\u4e8e 55 \u5468\u5c81(\u4e0d\u542b),\u5e76\u81ea\u5e74\u6ee1 55 \u5468\u5c81(\u542b)\u8d77\u4ecd\u8fde\u7eed\u6295\u4fdd(\u89c1 21.5)\u672c\u4fdd\u9669\u7684, \u7eed\u4fdd\u6700\u9ad8\u5e74\u9f84\u4e3a 75 \u5468\u5c81;\u88ab\u4fdd\u9669\u4eba\u9996\u6b21\u6295\u4fdd\u5e74\u9f84\u5927\u4e8e 55 \u5468\u5c81(\u542b),\u5e76\u8fde\u7eed\u6295\u4fdd\u672c\u4fdd\u9669\u7684,\u7eed\u4fdd\u6700\u9ad8\u5e74\u9f84\u4e3a 75 \u5468\u5c81;\u9664\u4e0a\u8ff0\u4e24\u79cd\u60c5\u5f62\u5916,\u7eed\u4fdd\u6700\u9ad8\u6295\u4fdd\u5e74\u9f84\u4e3a 65 \u5468\u5c81(\u542b)\u3002</p> <p>\u5df2\u60a3\u91cd\u5927\u75be\u75c5\u7684\u4eba\u5458\u4e0d\u518d\u5177\u6709\u7eed\u4fdd\u8d44\u683c\u3002</p> <p>(\u4e8c)\u6295\u4fdd\u4eba\u53ef\u4ee5\u5728\u9996\u6b21\u6295\u4fdd\u65f6\u540c\u610f\u81ea\u52a8\u7533\u8bf7\u7eed\u4fdd,\u4e5f\u53ef\u4ee5\u5728\u5f53\u671f\u4fdd\u9669\u671f\u95f4\u5c4a\u6ee1\u524d\u4e66\u9762\u63d0\u51fa\u7eed\u4fdd\u7533\u8bf7\u3002 \u672c\u516c\u53f8\u6709\u6743\u5bf9\u6295\u4fdd\u4eba\u7684\u7eed\u4fdd\u7533\u8bf7\u8fdb\u884c\u5ba1\u6838\u3002\u7ecf\u672c\u516c\u53f8\u540c\u610f\u7eed\u4fdd,\u6536\u53d6\u7eed\u4fdd\u4fdd\u9669\u8d39\u5e76\u7b7e\u53d1\u4fdd\u5355\u7684,\u7eed\u4fdd\u5408 \u540c\u751f\u6548;\u5982\u672c\u516c\u53f8\u4e0d\u540c\u610f\u7eed\u4fdd\u7684,\u4e66\u9762\u901a\u77e5\u6295\u4fdd\u4eba,\u672c\u5408\u540c\u4fdd\u9669\u671f\u95f4\u5c4a\u6ee1\u540e,\u672c\u5408\u540c\u7ec8\u6b62\u3002</p> <p>\u7b2c\u4e94\u6761 \u4fdd\u9669\u8d23\u4efb</p> <p>\u6295\u4fdd\u4eba\u4e3a\u88ab\u4fdd\u9669\u4eba\u9996\u6b21\u6295\u4fdd\u672c\u4fdd\u9669\u6216\u975e\u8fde\u7eed\u6295\u4fdd\u672c\u4fdd\u9669\u65f6,\u81ea\u672c\u5408\u540c\u751f\u6548\u65e5\u8d77 90 \u65e5\u4e3a\u7b49\u5f85\u671f,\u6295\u4fdd\u4eba\u4e3a \u88ab\u4fdd\u9669\u4eba\u8fde\u7eed\u6295\u4fdd\u672c\u4fdd\u9669\u7684\u6216\u88ab\u4fdd\u9669\u4eba\u56e0\u906d\u53d7\u610f\u5916\u4e8b\u6545(\u89c1 21.6)\u5bfc\u81f4\u521d\u6b21\u53d1\u751f\u91cd\u5927\u75be\u75c5\u7684\u65e0\u7b49\u5f85\u671f\u3002</p> <p>\u88ab\u4fdd\u9669\u4eba\u5728\u7b49\u5f85\u671f\u5185\u7ecf\u533b\u9662(\u89c1 21.7)\u786e\u8bca\u521d\u6b21\u53d1\u751f\u91cd\u5927\u75be\u75c5(\u89c1 21.8)\u7684,\u672c\u516c\u53f8\u4e0d\u627f\u62c5\u7ed9\u4ed8\u4fdd\u9669\u91d1 \u7684\u8d23\u4efb\u3002\u672c\u516c\u53f8\u5bf9\u6295\u4fdd\u4eba\u8fd4\u8fd8\u6240\u4ea4\u4fdd\u9669\u8d39\u540e,\u672c\u4fdd\u9669\u5408\u540c\u7ec8\u6b62\u3002</p> <p>\u5728\u672c\u5408\u540c\u6709\u6548\u671f\u5185,\u9664\u7b49\u5f85\u671f\u671f\u95f4\u4f9d\u524d\u6b3e\u7ea6\u5b9a\u5916,\u672c\u516c\u53f8\u627f\u62c5\u4e0b\u5217\u4fdd\u9669\u8d23\u4efb: </p><P>\u88ab\u4fdd\u9669\u4eba\u7ecf\u533b\u9662\u786e\u8bca\u521d\u6b21\u53d1\u751f\u91cd\u5927\u75be\u75c5\u7684,\u672c\u516c\u53f8\u6309\u5176\u4fdd\u9669\u91d1\u989d\u7ed9\u4ed8\u91cd\u5927\u75be\u75c5\u4fdd\u9669\u91d1,\u672c\u4fdd\u9669\u5408\u540c\u7ec8\u6b62\u3002</p> <p>\u88ab\u4fdd\u9669\u4eba\u5728\u6295\u4fdd\u524d\u53d1\u751f\u91cd\u5927\u75be\u75c5\u7684,\u672c\u516c\u53f8\u4e0d\u627f\u62c5\u7ed9\u4ed8\u4fdd\u9669\u91d1\u7684\u8d23\u4efb\u3002</p> <p>\u7b2c\u516d\u6761 \u8d23\u4efb\u514d\u9664</p> <p>\u56e0\u4e0b\u5217\u60c5\u5f62\u4e4b\u4e00\u5bfc\u81f4\u88ab\u4fdd\u9669\u4eba\u53d1\u751f\u672c\u5408\u540c\u6240\u6307\u91cd\u5927\u75be\u75c5\u7684,\u672c\u516c\u53f8\u4e0d\u627f\u62c5\u7ed9\u4ed8\u4fdd\u9669\u91d1\u7684\u8d23\u4efb: </p><p>(\u4e00)\u6295\u4fdd\u4eba\u5bf9\u88ab\u4fdd\u9669\u4eba\u7684\u6545\u610f\u6740\u5bb3\u3001\u6545\u610f\u4f24\u5bb3; </p><p>(\u4e8c)\u88ab\u4fdd\u9669\u4eba\u6545\u610f\u72af\u7f6a\u6216\u6297\u62d2\u4f9d\u6cd5\u91c7\u53d6\u7684\u5211\u4e8b\u5f3a\u5236\u63aa\u65bd; </p><p>(\u4e09)\u88ab\u4fdd\u9669\u4eba\u81ea\u6740\u6216\u6545\u610f\u81ea\u4f24,\u4f46\u88ab\u4fdd\u9669\u4eba\u81ea\u6740\u6216\u6545\u610f\u81ea\u4f24\u65f6\u4e3a\u65e0\u6c11\u4e8b\u884c\u4e3a\u80fd\u529b\u4eba\u7684\u9664\u5916;</p> <p>(\u56db)\u88ab\u4fdd\u9669\u4eba\u4e3b\u52a8\u5438\u98df\u6216\u6ce8\u5c04\u6bd2\u54c1(\u89c1 21.9);</p> <p>(\u4e94)\u88ab\u4fdd\u9669\u4eba\u9152\u540e\u9a7e\u9a76(\u89c1 21.10)\u3001\u65e0\u5408\u6cd5\u6709\u6548\u9a7e\u9a76\u8bc1\u9a7e\u9a76(\u89c1 21.11)\u6216\u9a7e\u9a76\u65e0\u6709\u6548\u884c\u9a76\u8bc1(\u89c1 21.12) \u7684\u673a\u52a8\u8f66(\u89c1 21.13)\u7684;</p> <p>(\u516d)\u88ab\u4fdd\u9669\u4eba\u611f\u67d3\u827e\u6ecb\u75c5\u75c5\u6bd2(\u89c1 21.14)\u6216\u60a3\u827e\u6ecb\u75c5(\u89c1 21.15)\u7684;</p> <p>(\u4e03)\u6218\u4e89\u3001\u519b\u4e8b\u51b2\u7a81\u3001\u66b4\u4e71\u6216\u6b66\u88c5\u53db\u4e71\u3001\u6050\u6016\u6d3b\u52a8;</p> <p>(\u516b)\u6838\u7206\u70b8\u3001\u6838\u8f90\u5c04\u6216\u6838\u6c61\u67d3;</p> <p>(\u4e5d)\u9057\u4f20\u6027\u75be\u75c5(\u89c1 21.16),\u5148\u5929\u6027\u7578\u5f62\u3001\u53d8\u5f62\u6216\u67d3\u8272\u4f53\u5f02\u5e38(\u89c1 21.17); </p><p>\u53d1\u751f\u4e0a\u8ff0\u7b2c(\u4e00)\u9879\u60c5\u5f62\u5bfc\u81f4\u88ab\u4fdd\u9669\u4eba\u521d\u6b21\u53d1\u751f\u91cd\u5927\u75be\u75c5\u7684,\u672c\u5408\u540c\u7ec8\u6b62,\u672c\u516c\u53f8\u5411\u88ab\u4fdd\u9669\u4eba\u9000\u8fd8\u672c\u5408 \u540c\u7684\u672a\u6ee1\u671f\u51c0\u4fdd\u9669\u8d39\u3002</p> <p>\u53d1\u751f\u4e0a\u8ff0\u5176\u5b83\u60c5\u5f62\u5bfc\u81f4\u88ab\u4fdd\u9669\u4eba\u521d\u6b21\u53d1\u751f\u91cd\u5927\u75be\u75c5\u7684,\u672c\u5408\u540c\u7ec8\u6b62,\u672c\u516c\u53f8\u5411\u6295\u4fdd\u4eba\u9000\u8fd8\u672c\u5408\u540c\u7684\u672a\u6ee1 \u671f\u51c0\u4fdd\u9669\u8d39\u3002</p> <p>\u7b2c\u4e03\u6761 \u4fdd\u9669\u91d1\u989d\u548c\u4fdd\u9669\u8d39</p> <p>\u672c\u5408\u540c\u7684\u4fdd\u9669\u91d1\u989d\u548c\u4fdd\u9669\u8d39\u7531\u6295\u4fdd\u4eba\u548c\u672c\u516c\u53f8\u7ea6\u5b9a\u5e76\u4e8e\u4fdd\u9669\u5355\u4e2d\u8f7d\u660e\u3002</p> <p>\u6295\u4fdd\u4eba\u5e94\u4e8e\u6295\u4fdd\u65f6\u4e00\u6b21\u6027\u652f\u4ed8\u4fdd\u9669\u8d39\u3002</p> <p>\u7b2c\u516b\u6761 \u4fdd\u9669\u671f\u95f4</p> <p>\u672c\u5408\u540c\u7684\u4fdd\u9669\u671f\u95f4\u4e3a 1 \u5e74\u3002</p> <p>\u7b2c\u4e5d\u6761 \u660e\u786e\u8bf4\u660e\u4e0e\u5982\u5b9e\u544a\u77e5</p> <p>\u8ba2\u7acb\u672c\u5408\u540c\u65f6,\u672c\u516c\u53f8\u4f1a\u5411\u6295\u4fdd\u4eba\u8bf4\u660e\u672c\u5408\u540c\u7684\u5185\u5bb9\u3002\u5bf9\u672c\u5408\u540c\u4e2d\u514d\u9664\u672c\u516c\u53f8\u8d23\u4efb\u7684\u6761\u6b3e,\u672c\u516c\u53f8\u5728\u8ba2 \u7acb\u5408\u540c\u65f6\u4f1a\u5728\u6295\u4fdd\u5355\u3001\u4fdd\u9669\u5355\u6216\u8005\u5176\u5b83\u4fdd\u9669\u51ed\u8bc1\u4e0a\u4f5c\u51fa\u8db3\u4ee5\u5f15\u8d77\u6295\u4fdd\u4eba\u6ce8\u610f\u7684\u63d0\u793a,\u5e76\u5bf9\u8be5\u6761\u6b3e\u7684\u5185\u5bb9\u4ee5\u4e66 \u9762\u6216\u8005\u53e3\u5934\u5f62\u5f0f\u5411\u6295\u4fdd\u4eba\u4f5c\u51fa\u660e\u786e\u8bf4\u660e,\u672a\u4f5c\u63d0\u793a\u6216\u8005\u660e\u786e\u8bf4\u660e\u7684,\u8be5\u6761\u6b3e\u4e0d\u4ea7\u751f\u6548\u529b\u3002</p> <p>\u672c\u516c\u53f8\u5c31\u6295\u4fdd\u4eba\u548c\u88ab\u4fdd\u9669\u4eba\u7684\u6709\u5173\u60c5\u51b5\u63d0\u51fa\u8be2\u95ee,\u6295\u4fdd\u4eba\u5e94\u5f53\u5982\u5b9e\u544a\u77e5\u3002</p> <p>\u5982\u679c\u6295\u4fdd\u4eba\u6545\u610f\u6216\u8005\u56e0\u91cd\u5927\u8fc7\u5931\u672a\u5c65\u884c\u524d\u6b3e\u89c4\u5b9a\u7684\u5982\u5b9e\u544a\u77e5\u4e49\u52a1,\u8db3\u4ee5\u5f71\u54cd\u672c\u516c\u53f8\u51b3\u5b9a\u662f\u5426\u540c\u610f\u627f\u4fdd\u6216 \u8005\u63d0\u9ad8\u4fdd\u9669\u8d39\u7387\u7684,\u672c\u516c\u53f8\u6709\u6743\u89e3\u9664\u672c\u5408\u540c\u3002</p> <p>\u5982\u679c\u6295\u4fdd\u4eba\u6545\u610f\u4e0d\u5c65\u884c\u5982\u5b9e\u544a\u77e5\u4e49\u52a1,\u5bf9\u4e8e\u89e3\u9664\u672c\u5408\u540c\u524d\u53d1\u751f\u7684\u4fdd\u9669\u4e8b\u6545,\u672c\u516c\u53f8\u4e0d\u627f\u62c5\u7ed9\u4ed8\u4fdd\u9669\u91d1 \u7684\u8d23\u4efb,\u5e76\u4e0d\u9000\u8fd8\u4fdd\u9669\u8d39\u3002</p> <p>\u5982\u679c\u6295\u4fdd\u4eba\u56e0\u91cd\u5927\u8fc7\u5931\u672a\u5c65\u884c\u5982\u5b9e\u544a\u77e5\u4e49\u52a1,\u5bf9\u4fdd\u9669\u4e8b\u6545\u7684\u53d1\u751f\u6709\u4e25\u91cd\u5f71\u54cd\u7684,\u5bf9\u4e8e\u89e3\u9664\u672c\u5408\u540c\u524d\u53d1\u751f \u7684\u4fdd\u9669\u4e8b\u6545,\u672c\u516c\u53f8\u4e0d\u627f\u62c5\u7ed9\u4ed8\u4fdd\u9669\u91d1\u7684\u8d23\u4efb,\u4f46\u5e94\u5f53\u9000\u8fd8\u4fdd\u9669\u8d39\u3002</p> <p>\u672c\u516c\u53f8\u5728\u5408\u540c\u8ba2\u7acb\u65f6\u5df2\u7ecf\u77e5\u9053\u6295\u4fdd\u4eba\u672a\u5982\u5b9e\u544a\u77e5\u7684\u60c5\u51b5\u7684,\u672c\u516c\u53f8\u4e0d\u5f97\u89e3\u9664\u672c\u5408\u540c;\u53d1\u751f\u4fdd\u9669\u4e8b\u6545\u7684, \u672c\u516c\u53f8\u627f\u62c5\u7ed9\u4ed8\u4fdd\u9669\u91d1\u7684\u8d23\u4efb\u3002</p> <p>\u7b2c\u5341\u6761 \u672c\u516c\u53f8\u5408\u540c\u89e3\u9664\u6743\u7684\u9650\u5236</p> <p>\u524d\u6761\u89c4\u5b9a\u7684\u5408\u540c\u89e3\u9664\u6743,\u81ea\u672c\u516c\u53f8\u77e5\u9053\u6709\u89e3\u9664\u4e8b\u7531\u4e4b\u65e5\u8d77,\u8d85\u8fc7 30 \u65e5\u4e0d\u884c\u4f7f\u800c\u6d88\u706d\u3002</p> <p>\u7b2c\u5341\u4e00\u6761 \u53d7\u76ca\u4eba</p> <p>\u9664\u4f9d\u6cd5\u53e6\u884c\u6307\u5b9a\u5916,\u672c\u5408\u540c\u4fdd\u9669\u91d1\u53d7\u76ca\u4eba\u4e3a\u88ab\u4fdd\u9669\u4eba\u672c\u4eba\u3002</p> <p>\u7b2c\u5341\u4e8c\u6761 \u4fdd\u9669\u4e8b\u6545\u901a\u77e5</p> <p>\u6295\u4fdd\u4eba\u6216\u53d7\u76ca\u4eba\u5e94\u5f53\u5728\u77e5\u9053\u4fdd\u9669\u4e8b\u6545\u540e 10 \u65e5\u5185\u901a\u77e5\u672c\u516c\u53f8\u3002</p> <p>\u5982\u679c\u6295\u4fdd\u4eba\u6216\u53d7\u76ca\u4eba\u6545\u610f\u6216\u8005\u56e0\u91cd\u5927\u8fc7\u5931\u672a\u53ca\u65f6\u901a\u77e5,\u81f4\u4f7f\u4fdd\u9669\u4e8b\u6545\u7684\u6027\u8d28\u3001\u539f\u56e0\u3001\u635f\u5931\u7a0b\u5ea6\u7b49\u96be\u4ee5\u786e \u5b9a\u7684,\u672c\u516c\u53f8\u5bf9\u65e0\u6cd5\u786e\u5b9a\u7684\u90e8\u5206,\u4e0d\u627f\u62c5\u7ed9\u4ed8\u4fdd\u9669\u91d1\u7684\u8d23\u4efb,\u4f46\u672c\u516c\u53f8\u901a\u8fc7\u5176\u5b83\u9014\u5f84\u5df2\u7ecf\u53ca\u65f6\u77e5\u9053\u6216\u8005\u5e94\u5f53 \u53ca\u65f6\u77e5\u9053\u4fdd\u9669\u4e8b\u6545\u53d1\u751f\u6216\u8005\u867d\u672a\u53ca\u65f6\u901a\u77e5\u4f46\u4e0d\u5f71\u54cd\u672c\u516c\u53f8\u786e\u5b9a\u4fdd\u9669\u4e8b\u6545\u7684\u6027\u8d28\u3001\u539f\u56e0\u3001\u635f\u5931\u7a0b\u5ea6\u7684\u9664\u5916\u3002</p> <p>\u7b2c\u5341\u4e09\u6761 \u4fdd\u9669\u91d1\u7533\u8bf7</p> <p>\u7531\u4fdd\u9669\u91d1\u7533\u8bf7\u4eba\u586b\u5199\u4fdd\u9669\u91d1\u7ed9\u4ed8\u7533\u8bf7\u4e66,\u5e76\u63d0\u4f9b\u4e0b\u5217\u8bc1\u660e\u548c\u8d44\u6599:</p> <p>(\u4e00)\u7406\u8d54\u7533\u8bf7\u4e66;</p> <p>(\u4e8c)\u53d7\u76ca\u4eba\u7684\u6709\u6548\u8eab\u4efd\u8bc1\u4ef6(\u89c1 21.18);</p> <p>(\u4e09)\u95e8\u6025\u8bca\u75c5\u5386\u548c\u51fa\u9662\u5c0f\u7ed3;</p> <p>(\u56db)\u533b\u9662\u51fa\u5177\u7684\u9644\u6709\u75c5\u7406\u663e\u5fae\u955c\u68c0\u67e5\u3001\u8840\u6db2\u68c0\u9a8c\u3001\u5f71\u50cf\u68c0\u67e5\u53ca\u5176\u5b83\u79d1\u5b66\u65b9\u6cd5\u68c0\u9a8c\u62a5\u544a\u7684\u75be\u75c5\u8bca\u65ad\u8bc1\u660e \u4e66;</p> <p>(\u4e94)\u6240\u80fd\u63d0\u4f9b\u7684\u4e0e\u786e\u8ba4\u4fdd\u9669\u4e8b\u6545\u7684\u6027\u8d28\u3001\u539f\u56e0\u7b49\u6709\u5173\u7684\u5176\u5b83\u8bc1\u660e\u548c\u8d44\u6599\u3002 \u4fdd\u9669\u91d1\u4f5c\u4e3a\u88ab\u4fdd\u9669\u4eba\u9057\u4ea7\u65f6,\u5fc5\u987b\u63d0\u4f9b\u53ef\u8bc1\u660e\u5408\u6cd5\u7ee7\u627f\u6743\u7684\u76f8\u5173\u6743\u5229\u6587\u4ef6\u3002 \u7533\u8bf7\u4eba\u7533\u8bf7\u4fdd\u9669\u91d1\u65f6,\u5982\u63d0\u4f9b\u7684\u4ee5\u4e0a\u8bc1\u660e\u548c\u8d44\u6599\u4e0d\u5b8c\u6574,\u672c\u516c\u53f8\u5c06\u53ca\u65f6\u4e00\u6b21\u6027\u901a\u77e5\u7533\u8bf7\u4eba\u8865\u5145\u63d0\u4f9b\u6709\u5173 \u8bc1\u660e\u548c\u8d44\u6599\u3002</p> <p>\u7b2c\u5341\u56db\u6761 \u4fdd\u9669\u91d1\u7ed9\u4ed8</p> <p>\u672c\u516c\u53f8\u5728\u6536\u5230\u4fdd\u9669\u91d1\u7ed9\u4ed8\u7533\u8bf7\u4e66\u53ca\u4e0a\u8ff0\u6709\u5173\u8bc1\u660e\u548c\u8d44\u6599\u540e,\u5c06\u5728 30 \u65e5\u5185(\u4f46\u6295\u4fdd\u4eba\u3001\u88ab\u4fdd\u9669\u4eba\u6216\u8005\u53d7\u76ca \u4eba\u8865\u5145\u63d0\u4f9b\u6709\u5173\u8bc1\u660e\u548c\u8d44\u6599\u7684\u671f\u95f4\u4e0d\u8ba1\u7b97\u5728\u5185)\u4f5c\u51fa\u6838\u5b9a\u3002\u53e6\u6709\u7ea6\u5b9a\u7684\u6309\u7ea6\u5b9a\u5185\u5bb9\u6267\u884c\u3002</p> <p>\u5bf9\u5c5e\u4e8e\u4fdd\u9669\u8d23\u4efb\u7684,\u672c\u516c\u53f8\u5728\u4e0e\u53d7\u76ca\u4eba\u8fbe\u6210\u7ed9\u4ed8\u4fdd\u9669\u91d1\u7684\u534f\u8bae\u540e 10 \u65e5\u5185,\u5c65\u884c\u7ed9\u4ed8\u4fdd\u9669\u91d1\u4e49\u52a1\u3002 </p><p>\u672c\u516c\u53f8\u672a\u53ca\u65f6\u5c65\u884c\u524d\u6b3e\u89c4\u5b9a\u4e49\u52a1\u7684,\u9664\u652f\u4ed8\u4fdd\u9669\u91d1\u5916,\u4f1a\u8d54\u507f\u53d7\u76ca\u4eba\u56e0\u6b64\u53d7\u5230\u7684\u635f\u5931\u3002\u201c\u635f\u5931\u201d\u662f\u6307\u6839\u636e\u4e2d \u56fd\u4eba\u6c11\u94f6\u884c\u516c\u5e03\u7684\u540c\u65f6\u671f\u7684\u4eba\u6c11\u5e01\u6d3b\u671f\u5b58\u6b3e\u57fa\u51c6\u5229\u7387\u8ba1\u7b97\u7684\u5229\u606f\u635f\u5931\u3002 </p><p>\u5bf9\u4e0d\u5c5e\u4e8e\u4fdd\u9669\u8d23\u4efb\u7684,\u672c\u516c\u53f8\u81ea\u4f5c\u51fa\u6838\u5b9a\u4e4b\u65e5\u8d77 3 \u65e5\u5185\u5411\u53d7\u76ca\u4eba\u53d1\u51fa\u62d2\u7edd\u7ed9\u4ed8\u4fdd\u9669\u91d1\u901a\u77e5\u4e66\u5e76\u8bf4\u660e\u7406\u7531\u3002</p> <p>\u672c\u516c\u53f8\u5728\u6536\u5230\u4fdd\u9669\u91d1\u7ed9\u4ed8\u7533\u8bf7\u4e66\u53ca\u6709\u5173\u8bc1\u660e\u548c\u8d44\u6599\u4e4b\u65e5\u8d77 60 \u65e5\u5185,\u5bf9\u7ed9\u4ed8\u4fdd\u9669\u91d1\u7684\u6570\u989d\u4e0d\u80fd\u786e\u5b9a\u7684,\u6839 \u636e\u5df2\u6709\u8bc1\u660e\u548c\u8d44\u6599\u53ef\u4ee5\u786e\u5b9a\u7684\u6570\u989d\u5148\u4e88\u652f\u4ed8;\u672c\u516c\u53f8\u6700\u7ec8\u786e\u5b9a\u7ed9\u4ed8\u4fdd\u9669\u91d1\u7684\u6570\u989d\u540e,\u5c06\u652f\u4ed8\u76f8\u5e94\u7684\u5dee\u989d\u3002 </p><p>\u7b2c\u5341\u4e94\u6761 \u8bc9\u8bbc\u65f6\u6548 \u53d7\u76ca\u4eba\u5411\u672c\u516c\u53f8\u8bf7\u6c42\u7ed9\u4ed8\u4fdd\u9669\u91d1\u7684\u8bc9\u8bbc\u65f6\u6548\u671f\u95f4\u4e3a 2 \u5e74,\u81ea\u5176\u77e5\u9053\u6216\u8005\u5e94\u5f53\u77e5\u9053\u4fdd\u9669\u4e8b\u6545\u53d1\u751f\u4e4b\u65e5\u8d77\u8ba1 \u7b97\u3002 <p>\u7b2c\u5341\u516d\u6761 \u5e74\u9f84\u786e\u5b9a\u4e0e\u9519\u8bef\u5904\u7406</p> <p>(\u4e00)\u88ab\u4fdd\u9669\u4eba\u7684\u5e74\u9f84\u4ee5\u5468\u5c81\u8ba1\u7b97\u3002</p> <p>(\u4e8c)\u6295\u4fdd\u4eba\u5728\u7533\u8bf7\u6295\u4fdd\u65f6,\u5e94\u5c06\u4e0e\u6709\u6548\u8eab\u4efd\u8bc1\u4ef6\u76f8\u7b26\u7684\u88ab\u4fdd\u9669\u4eba\u7684\u51fa\u751f\u65e5\u671f\u5728\u6295\u4fdd\u5355\u4e0a\u586b\u660e,\u5982\u679c\u53d1 \u751f\u9519\u8bef\u6309\u7167\u4e0b\u5217\u65b9\u5f0f\u529e\u7406: </p><p>1.\u6295\u4fdd\u4eba\u7533\u62a5\u7684\u88ab\u4fdd\u9669\u4eba\u5e74\u9f84\u4e0d\u771f\u5b9e,\u5e76\u4e14\u5176\u771f\u5b9e\u5e74\u9f84\u4e0d\u7b26\u5408\u672c\u5408\u540c\u7ea6\u5b9a\u6295\u4fdd\u5e74\u9f84\u9650\u5236\u7684,\u672c\u516c\u53f8\u6709\u6743 \u89e3\u9664\u5408\u540c,\u5e76\u5411\u6295\u4fdd\u4eba\u9000\u8fd8\u672c\u5408\u540c\u7684\u672a\u6ee1\u671f\u51c0\u4fdd\u9669\u8d39(21.19)\u3002\u672c\u516c\u53f8\u884c\u4f7f\u5408\u540c\u89e3\u9664\u6743\u9002\u7528\u201c\u7b2c\u5341\u6761 \u672c\u516c\u53f8\u5408 \u540c\u89e3\u9664\u6743\u7684\u9650\u5236\u201d\u7684\u89c4\u5b9a\u3002</p> <p>2.\u6295\u4fdd\u4eba\u7533\u62a5\u7684\u88ab\u4fdd\u9669\u4eba\u5e74\u9f84\u4e0d\u771f\u5b9e,\u81f4\u4f7f\u6295\u4fdd\u4eba\u5b9e\u4ed8\u4fdd\u9669\u8d39\u5c11\u4e8e\u5e94\u4ed8\u4fdd\u9669\u8d39\u7684,\u672c\u516c\u53f8\u6709\u6743\u66f4\u6b63\u5e76\u8981 \u6c42\u6295\u4fdd\u4eba\u8865\u4ea4\u4fdd\u9669\u8d39\u3002\u82e5\u5df2\u7ecf\u53d1\u751f\u4fdd\u9669\u4e8b\u6545,\u5728\u7ed9\u4ed8\u4fdd\u9669\u91d1\u65f6\u6309\u5b9e\u4ed8\u4fdd\u9669\u8d39\u548c\u5e94\u4ed8\u4fdd\u9669\u8d39\u7684\u6bd4\u4f8b\u7ed9\u4ed8\u3002</p> <p>3.\u6295\u4fdd\u4eba\u7533\u62a5\u7684\u88ab\u4fdd\u9669\u4eba\u5e74\u9f84\u4e0d\u771f\u5b9e,\u81f4\u4f7f\u6295\u4fdd\u4eba\u5b9e\u4ed8\u4fdd\u9669\u8d39\u591a\u4e8e\u5e94\u4ed8\u4fdd\u9669\u8d39\u7684,\u672c\u516c\u53f8\u4f1a\u5c06\u591a\u6536 \u7684\u4fdd\u9669\u8d39\u9000\u8fd8\u7ed9\u6295\u4fdd\u4eba\u3002</p> <p>\u7b2c\u5341\u4e03\u6761 \u8054\u7cfb\u65b9\u5f0f\u53d8\u66f4 </p><p>\u6295\u4fdd\u4eba\u7684\u4f4f\u6240\u3001\u901a\u8baf\u5730\u5740\u6216\u8005\u7535\u8bdd\u7b49\u8054\u7cfb\u65b9\u5f0f\u53d8\u66f4\u65f6,\u5e94\u53ca\u65f6\u4ee5\u4e66\u9762\u5f62\u5f0f\u6216\u8005\u53cc\u65b9\u8ba4\u53ef\u7684\u5176\u4ed6\u5f62\u5f0f\u901a\u77e5 \u672c\u516c\u53f8\u3002\u5982\u679c\u6295\u4fdd\u4eba\u672a\u4ee5\u4e66\u9762\u5f62\u5f0f\u6216\u8005\u53cc\u65b9\u8ba4\u53ef\u7684\u5176\u4ed6\u5f62\u5f0f\u901a\u77e5\u672c\u516c\u53f8,\u672c\u516c\u53f8\u6309\u672c\u5408\u540c\u8f7d\u660e\u7684\u6700\u540e\u4f4f\u6240\u6216 \u8005\u901a\u8baf\u5730\u5740\u53d1\u9001\u7684\u6709\u5173\u901a\u77e5,\u5747\u89c6\u4e3a\u5df2\u9001\u8fbe\u7ed9\u6295\u4fdd\u4eba\u3002</p> <p>\u7b2c\u5341\u516b\u6761 \u5408\u540c\u5185\u5bb9\u53d8\u66f4</p> <p>\u5728\u672c\u5408\u540c\u6709\u6548\u671f\u5185,\u7ecf\u6295\u4fdd\u4eba\u548c\u672c\u516c\u53f8\u534f\u5546\u4e00\u81f4,\u53ef\u4ee5\u53d8\u66f4\u672c\u5408\u540c\u7684\u6709\u5173\u5185\u5bb9\u3002\u53d8\u66f4\u672c\u5408\u540c\u7684,\u5e94\u5f53\u7531 \u672c\u516c\u53f8\u5728\u539f\u4fdd\u9669\u5355\u6216\u8005\u5176\u5b83\u4fdd\u9669\u51ed\u8bc1\u4e0a\u6279\u6ce8\u6216\u8005\u9644\u8d34\u6279\u5355,\u6216\u8005\u7531\u6295\u4fdd\u4eba\u548c\u672c\u516c\u53f8\u8ba2\u7acb\u4e66\u9762\u7684\u53d8\u66f4\u534f\u8bae\u3002</p> <p>\u7b2c\u5341\u4e5d\u6761 \u6295\u4fdd\u4eba\u89e3\u9664\u5408\u540c\u7684\u624b\u7eed </p><p>\u5982\u6295\u4fdd\u4eba\u7533\u8bf7\u89e3\u9664\u672c\u5408\u540c,\u987b\u586b\u5199\u89e3\u9664\u5408\u540c\u7533\u8bf7\u4e66\u5e76\u5411\u672c\u516c\u53f8\u63d0\u4f9b\u4e0b\u5217\u8d44\u6599:</p> <p>(\u4e00)\u4fdd\u9669\u5408\u540c;</p> <p>(\u4e8c)\u6295\u4fdd\u4eba\u7684\u6709\u6548\u8eab\u4efd\u8bc1\u4ef6\u3002</p> <p>\u81ea\u672c\u516c\u53f8\u6536\u5230\u89e3\u9664\u5408\u540c\u7533\u8bf7\u4e66\u65f6\u8d77,\u672c\u5408\u540c\u7ec8\u6b62\u3002\u672c\u516c\u53f8\u81ea\u6536\u5230\u89e3\u9664\u5408\u540c\u7533\u8bf7\u4e66\u4e4b\u65e5\u8d77 30 \u65e5\u5185\u5411\u6295\u4fdd\u4eba \u9000\u8fd8\u672c\u5408\u540c\u7684\u672a\u6ee1\u671f\u51c0\u4fdd\u9669\u8d39\u3002</p> <p>\u7b2c\u4e8c\u5341\u6761 \u4e89\u8bae\u5904\u7406</p> <p>\u672c\u5408\u540c\u5c65\u884c\u8fc7\u7a0b\u4e2d,\u53cc\u65b9\u53d1\u751f\u4e89\u8bae\u4e0d\u80fd\u534f\u5546\u89e3\u51b3\u7684,\u53ef\u4ee5\u8fbe\u6210\u4ef2\u88c1\u534f\u8bae\u901a\u8fc7\u4ef2\u88c1\u89e3\u51b3,\u4e5f\u53ef\u4f9d\u6cd5\u76f4\u63a5\u5411 \u6cd5\u9662\u63d0\u8d77\u8bc9\u8bbc\u3002</p> <p>\u7b2c\u4e8c\u5341\u4e00\u6761 \u91ca\u4e49</p> <p>21.1\u3010\u672c\u516c\u53f8\u3011\u6307\u5e73\u5b89\u517b\u8001\u4fdd\u9669\u80a1\u4efd\u6709\u9650\u516c\u53f8\u3002</p> <p>21.2\u3010\u9996\u6b21\u6295\u4fdd\u3011\u4ee5\u4e0b\u4e24\u79cd\u60c5\u5f62\u5747\u89c6\u4e3a\u9996\u6b21\u6295\u4fdd: (1)\u6295\u4fdd\u4eba\u4e3a\u88ab\u4fdd\u9669\u4eba\u5728\u672c\u516c\u53f8\u7b2c\u4e00\u6b21\u6295\u4fdd\u672c\u4fdd\u9669\u7684; (2)\u6295\u4fdd\u4eba\u66fe\u7ecf\u4e3a\u88ab\u4fdd\u9669\u4eba\u5728\u672c\u516c\u53f8\u6295\u4fdd\u672c\u4fdd\u9669,\u4f46\u672c\u6b21\u6295\u4fdd\u4fdd\u5355\u7684\u751f\u6548\u65e5\u665a\u4e8e\u539f\u4fdd\u5355\u5230\u671f\u65e5\u7684\u6b21\u65e5\u3002</p> <p>21.3\u3010\u5468\u5c81\u3011\u4ee5\u6cd5\u5b9a\u8eab\u4efd\u8bc1\u660e\u6587\u4ef6\u4e2d\u8bb0\u8f7d\u7684\u51fa\u751f\u65e5\u671f\u8ba1\u7b97\u3002</p> <p>21.4\u3010\u653f\u7b56\u5b9e\u65bd\u4e4b\u65e5\u3011\u6307\u4e0a\u6d77\u5e02\u653f\u5e9c\u4e0b\u53d1\u5173\u4e8e\u4e2a\u4eba\u533b\u4fdd\u8d26\u6237\u8d2d\u4e70\u5546\u4e1a\u4fdd\u9669\u7684\u6b63\u5f0f\u6587\u4ef6\u4e2d\u8f7d\u660e\u7684\u653f\u7b56\u5b9e\u65bd\u4e4b \u65e5\u3002</p> <p>21.5\u3010\u8fde\u7eed\u6295\u4fdd\u3011\u6307\u6295\u4fdd\u4eba\u4e3a\u88ab\u4fdd\u9669\u4eba\u5728\u672c\u516c\u53f8\u7eed\u4fdd\u540c\u4e00\u9669\u79cd,\u4e14\u7eed\u4fdd\u4fdd\u5355\u7684\u751f\u6548\u65e5\u4e3a\u539f\u4fdd\u5355\u5230\u671f\u65e5\u7684\u6b21 \u65e5\u3002</p> <p>21.6\u3010\u610f\u5916\u4e8b\u6545\u3011\u6307\u5916\u6765\u7684\u3001\u7a81\u53d1\u7684\u3001\u975e\u672c\u610f\u7684\u3001\u975e\u75be\u75c5\u7684\u4f7f\u8eab\u4f53\u53d7\u5230\u4f24\u5bb3\u7684\u5ba2\u89c2\u4e8b\u4ef6\u3002</p> <p>21.7\u3010\u533b\u9662\u3011\u6307\u4e2d\u534e\u4eba\u6c11\u5171\u548c\u56fd\u5883\u5185(\u6e2f\u3001\u6fb3\u3001\u53f0\u5730\u533a\u9664\u5916)\u5408\u6cd5\u7ecf\u8425\u7684\u4e8c\u7ea7\u4ee5\u4e0a(\u542b\u4e8c\u7ea7)\u516c\u7acb\u533b\u9662\u4ee5 \u53ca\u7ecf\u53cc\u65b9\u7ea6\u5b9a\u7684\u533b\u9662\u3002</p> <p>21.8\u3010\u91cd\u5927\u75be\u75c5\u3011\u6307\u88ab\u4fdd\u9669\u4eba\u521d\u6b21\u53d1\u751f\u7b26\u5408\u4e0b\u5217\u5b9a\u4e49\u7684\u75be\u75c5,\u6216\u521d\u6b21\u63a5\u53d7\u7b26\u5408\u4e0b\u5217\u5b9a\u4e49\u7684\u624b\u672f\u3002\u8be5\u75be\u75c5\u6216 \u624b\u672f\u5e94\u5f53\u7531\u4e13\u79d1\u533b\u751f\u660e\u786e\u8bca\u65ad\u3002</p> <p>(\u4e00)\u6076\u6027\u80bf\u7624</p> <p>\u6307\u6076\u6027\u7ec6\u80de\u4e0d\u53d7\u63a7\u5236\u7684\u8fdb\u884c\u6027\u589e\u957f\u548c\u6269\u6563,\u6d78\u6da6\u548c\u7834\u574f\u5468\u56f4\u6b63\u5e38\u7ec4\u7ec7,\u53ef\u4ee5\u7ecf\u8840\u7ba1\u3001\u6dcb\u5df4\u7ba1\u548c\u4f53\u8154\u6269\u6563 \u8f6c\u79fb\u5230\u8eab\u4f53\u5176\u4ed6\u90e8\u4f4d\u7684\u75be\u75c5\u3002\u7ecf\u75c5\u7406\u5b66\u68c0\u67e5\u7ed3\u679c\u660e\u786e\u8bca\u65ad,\u4e34\u5e8a\u8bca\u65ad\u5c5e\u4e8e\u4e16\u754c\u536b\u751f\u7ec4\u7ec7\u300a\u75be\u75c5\u548c\u6709\u5173\u5065\u5eb7\u95ee \u9898\u7684\u56fd\u9645\u7edf\u8ba1\u5206\u7c7b\u300b(ICD-10)\u7684\u6076\u6027\u80bf\u7624\u8303\u7574\u3002</p> <p>\u4e0b\u5217\u75be\u75c5\u4e0d\u5728\u672c\u9879\u4fdd\u969c\u8303\u56f4\u5185:</p> <p>1.\u539f\u4f4d\u764c;</p> <p>2.\u76f8\u5f53\u4e8eBinet\u5206\u671f\u65b9\u6848A\u671f\u7a0b\u5ea6\u7684\u6162\u6027\u6dcb\u5df4\u7ec6\u80de\u767d\u8840\u75c5;</p> <p>3.\u76f8\u5f53\u4e8eAnn Arbor\u5206\u671f\u65b9\u6848I\u671f\u7a0b\u5ea6\u7684\u4f55\u6770\u91d1\u6c0f\u75c5; </p><p>4.\u76ae\u80a4\u764c(\u4e0d\u5305\u62ec\u6076\u6027\u9ed1\u8272\u7d20\u7624\u53ca\u5df2\u53d1\u751f\u8f6c\u79fb\u7684\u76ae\u80a4\u764c); </p><p>5.TNM\u5206\u671f\u4e3aT1N0M0\u671f\u6216\u66f4\u8f7b\u5206\u671f\u7684\u524d\u5217\u817a\u764c(\u5982\u4e3a\u5973\u6027\u88ab\u4fdd\u9669\u4eba,\u5219\u4e0d\u5305\u62ec\u6b64\u9879);</p> <p>6.\u611f\u67d3\u827e\u6ecb\u75c5\u75c5\u6bd2\u6216\u60a3\u827e\u6ecb\u75c5\u671f\u95f4\u6240\u60a3\u6076\u6027\u80bf\u7624\u3002</p> <p>(\u4e8c)\u6025\u6027\u5fc3\u808c\u6897\u585e \u6307\u56e0\u51a0\u72b6\u52a8\u8109\u963b\u585e\u5bfc\u81f4\u7684\u76f8\u5e94\u533a\u57df\u4f9b\u8840\u4e0d\u8db3\u9020\u6210\u90e8\u5206\u5fc3\u808c\u574f\u6b7b\u3002\u987b\u6ee1\u8db3\u4e0b\u5217\u81f3\u5c11\u4e09\u9879\u6761\u4ef6: <p>1.\u5178\u578b\u4e34\u5e8a\u8868\u73b0,\u4f8b\u5982\u6025\u6027\u80f8\u75db\u7b49; <p>2.\u65b0\u8fd1\u7684\u5fc3\u7535\u56fe\u6539\u53d8\u63d0\u793a\u6025\u6027\u5fc3\u808c\u6897\u585e; <p>3.\u5fc3\u808c\u9176\u6216\u808c\u9499\u86cb\u767d\u6709\u8bca\u65ad\u610f\u4e49\u7684\u5347\u9ad8,\u6216\u5448\u7b26\u5408\u6025\u6027\u5fc3\u808c\u6897\u585e\u7684\u52a8\u6001\u6027\u53d8\u5316; <p>4.\u53d1\u75c590\u5929\u540e,\u7ecf\u68c0\u67e5\u8bc1\u5b9e\u5de6\u5fc3\u5ba4\u529f\u80fd\u964d\u4f4e,\u5982\u5de6\u5fc3\u5ba4\u5c04\u8840\u5206\u6570\u4f4e\u4e8e50%\u3002 <p>(\u4e09)\u8111\u4e2d\u98ce\u540e\u9057\u75c7 \u6307\u56e0\u8111\u8840\u7ba1\u7684\u7a81\u53d1\u75c5\u53d8\u5f15\u8d77\u8111\u8840\u7ba1\u51fa\u8840\u3001\u6813\u585e\u6216\u6897\u585e,\u5e76\u5bfc\u81f4\u795e\u7ecf\u7cfb\u7edf\u6c38\u4e45\u6027\u7684\u529f\u80fd\u969c\u788d\u3002 \u795e\u7ecf\u7cfb\u7edf\u6c38\u4e45\u6027\u7684\u529f\u80fd\u969c\u788d,\u6307\u75be\u75c5\u786e\u8bca180\u5929\u540e,\u4ecd\u9057\u7559\u4e0b\u5217\u4e00\u79cd\u6216\u4e00\u79cd\u4ee5\u4e0a\u969c\u788d: <p>1.\u4e00\u80a2\u6216\u4e00\u80a2\u4ee5\u4e0a\u80a2\u4f53\u673a\u80fd\u5b8c\u5168\u4e27\u5931; <p>2.\u8bed\u8a00\u80fd\u529b\u6216\u5480\u56bc\u541e\u54bd\u80fd\u529b\u5b8c\u5168\u4e27\u5931; <p>3.\u81ea\u4e3b\u751f\u6d3b\u80fd\u529b\u5b8c\u5168\u4e27\u5931,\u65e0\u6cd5\u72ec\u7acb\u5b8c\u6210\u516d\u9879\u57fa\u672c\u65e5\u5e38\u751f\u6d3b\u6d3b\u52a8\u4e2d\u7684\u4e09\u9879\u6216\u4e09\u9879\u4ee5\u4e0a\u3002 <p>\u80a2\u4f53\u673a\u80fd\u5b8c\u5168\u4e27\u5931,\u6307\u80a2\u4f53\u7684\u4e09\u5927\u5173\u8282\u4e2d\u7684\u4e24\u5927\u5173\u8282\u50f5\u786c,\u6216\u4e0d\u80fd\u968f\u610f\u8bc6\u6d3b\u52a8\u3002\u80a2\u4f53\u662f\u6307\u5305\u62ec\u80a9\u5173\u8282\u7684 \u6574\u4e2a\u4e0a\u80a2\u6216\u5305\u62ec\u9acb\u5173\u8282\u7684\u6574\u4e2a\u4e0b\u80a2\u3002 <p>\u8bed\u8a00\u80fd\u529b\u5b8c\u5168\u4e27\u5931,\u6307\u65e0\u6cd5\u53d1\u51fa\u56db\u79cd\u8bed\u97f3(\u5305\u62ec\u53e3\u5507\u97f3\u3001\u9f7f\u820c\u97f3\u3001\u53e3\u76d6\u97f3\u548c\u5589\u5934\u97f3)\u4e2d\u7684\u4efb\u4f55\u4e09\u79cd\u3001\u6216 \u58f0\u5e26\u5168\u90e8\u5207\u9664,\u6216\u56e0\u5927\u8111\u8bed\u8a00\u4e2d\u67a2\u53d7\u4f24\u5bb3\u800c\u60a3\u5931\u8bed\u75c7\u3002 <p>\u5480\u56bc\u541e\u54bd\u80fd\u529b\u5b8c\u5168\u4e27\u5931,\u6307\u56e0\u7259\u9f7f\u4ee5\u5916\u7684\u539f\u56e0\u5bfc\u81f4\u5668\u8d28\u969c\u788d\u6216\u673a\u80fd\u969c\u788d,\u4ee5\u81f4\u4e0d\u80fd\u4f5c\u5480\u56bc\u541e\u54bd\u8fd0\u52a8,\u9664 \u6d41\u8d28\u98df\u7269\u5916\u4e0d\u80fd\u6444\u53d6\u6216\u541e\u54bd\u7684\u72b6\u6001\u3002 <p>(\u56db)\u91cd\u5927\u5668\u5b98\u79fb\u690d\u672f\u6216\u9020\u8840\u5e72\u7ec6\u80de\u79fb\u690d\u672f <p>\u91cd\u5927\u5668\u5b98\u79fb\u690d\u672f,\u6307\u56e0\u76f8\u5e94\u5668\u5b98\u529f\u80fd\u8870\u7aed,\u5df2\u7ecf\u5b9e\u65bd\u4e86\u80be\u810f\u3001\u809d\u810f\u3001\u5fc3\u810f\u6216\u80ba\u810f\u7684\u5f02\u4f53\u79fb\u690d\u624b\u672f\u3002 <p>\u9020\u8840\u5e72\u7ec6\u80de\u79fb\u690d\u672f,\u6307\u56e0\u9020\u8840\u529f\u80fd\u635f\u5bb3\u6216\u9020\u8840\u7cfb\u7edf\u6076\u6027\u80bf\u7624,\u5df2\u7ecf\u5b9e\u65bd\u4e86\u9020\u8840\u5e72\u7ec6\u80de(\u5305\u62ec\u9aa8\u9ad3\u9020\u8840\u5e72 \u7ec6\u80de\u3001\u5916\u5468\u8840\u9020\u8840\u5e72\u7ec6\u80de\u548c\u8110\u8840\u9020\u8840\u5e72\u7ec6\u80de)\u7684\u5f02\u4f53\u79fb\u690d\u624b\u672f\u3002 <p>(\u4e94)\u51a0\u72b6\u52a8\u8109\u642d\u6865\u672f(\u6216\u79f0\u51a0\u72b6\u52a8\u8109\u65c1\u8def\u79fb\u690d\u672f) \u6307\u4e3a\u6cbb\u7597\u4e25\u91cd\u7684\u51a0\u5fc3\u75c5,\u5b9e\u9645\u5b9e\u65bd\u4e86\u5f00\u80f8\u8fdb\u884c\u7684\u51a0\u72b6\u52a8\u8109\u8840\u7ba1\u65c1\u8def\u79fb\u690d\u7684\u624b\u672f\u3002 <p>\u51a0\u72b6\u52a8\u8109\u652f\u67b6\u690d\u5165\u672f\u3001\u5fc3\u5bfc\u7ba1\u7403\u56ca\u6269\u5f20\u672f\u3001\u6fc0\u5149\u5c04\u9891\u6280\u672f\u53ca\u5176\u4ed6\u975e\u5f00\u80f8\u7684\u4ecb\u5165\u624b\u672f\u3001\u8154\u955c\u624b\u672f\u4e0d\u5728\u4fdd\u969c \u8303\u56f4\u5185\u3002 <p>(\u516d)\u7ec8\u672b\u671f\u80be\u75c5(\u6216\u79f0\u6162\u6027\u80be\u529f\u80fd\u8870\u7aed\u5c3f\u6bd2\u75c7\u671f) <p>\u6307\u53cc\u80be\u529f\u80fd\u6162\u6027\u4e0d\u53ef\u9006\u6027\u8870\u7aed,\u8fbe\u5230\u5c3f\u6bd2\u75c7\u671f,\u7ecf\u8bca\u65ad\u540e\u5df2\u7ecf\u8fdb\u884c\u4e86\u81f3\u5c1190\u5929\u7684\u89c4\u5f8b\u6027\u900f\u6790\u6cbb\u7597\u6216\u5b9e\u65bd \u4e86\u80be\u810f\u79fb\u690d\u624b\u672f\u3002 <p>(\u4e03)\u591a\u4e2a\u80a2\u4f53\u7f3a\u5931 <p>\u6307\u56e0\u75be\u75c5\u6216\u610f\u5916\u4f24\u5bb3\u5bfc\u81f4\u4e24\u4e2a\u6216\u4e24\u4e2a\u4ee5\u4e0a\u80a2\u4f53\u81ea\u8155\u5173\u8282\u6216\u8e1d\u5173\u8282\u8fd1\u7aef(\u9760\u8fd1\u8eaf\u5e72\u7aef)\u4ee5\u4e0a\u5b8c\u5168\u6027\u65ad\u79bb\u3002 <p>(\u516b)\u6025\u6027\u6216\u4e9a\u6025\u6027\u91cd\u75c7\u809d\u708e <p>\u6307\u56e0\u809d\u708e\u75c5\u6bd2\u611f\u67d3\u5f15\u8d77\u809d\u810f\u7ec4\u7ec7\u5f25\u6f2b\u6027\u574f\u6b7b,\u5bfc\u81f4\u6025\u6027\u809d\u529f\u80fd\u8870\u7aed,\u4e14\u7ecf\u8840\u6e05\u5b66\u6216\u75c5\u6bd2\u5b66\u68c0\u67e5\u8bc1\u5b9e,\u5e76 \u987b\u6ee1\u8db3\u4e0b\u5217\u5168\u90e8\u6761\u4ef6: <p>1.\u91cd\u5ea6\u9ec4\u75b8\u6216\u9ec4\u75b8\u8fc5\u901f\u52a0\u91cd; <p>2.\u809d\u6027\u8111\u75c5; <p>3.B\u8d85\u6216\u5176\u4ed6\u5f71\u50cf\u5b66\u68c0\u67e5\u663e\u793a\u809d\u810f\u4f53\u79ef\u6025\u901f\u840e\u7f29; <p>4.\u809d\u529f\u80fd\u6307\u6807\u8fdb\u884c\u6027\u6076\u5316\u3002 <p>(\u4e5d)\u826f\u6027\u8111\u80bf\u7624 <p>\u6307\u8111\u7684\u826f\u6027\u80bf\u7624,\u5df2\u7ecf\u5f15\u8d77\u9885\u5185\u538b\u589e\u9ad8,\u4e34\u5e8a\u8868\u73b0\u4e3a\u89c6\u795e\u7ecf\u4e73\u5934\u6c34\u80bf\u3001\u7cbe\u795e\u75c7\u72b6\u3001\u766b\u75eb\u53ca\u8fd0\u52a8\u611f\u89c9\u969c\u788d \u7b49,\u5e76\u5371\u53ca\u751f\u547d\u3002\u987b\u7531\u5934\u9885\u65ad\u5c42\u626b\u63cf(CT)\u3001\u6838\u78c1\u5171\u632f\u68c0\u67e5(MRI)\u6216\u6b63\u7535\u5b50\u53d1\u5c04\u65ad\u5c42\u626b\u63cf(PET)\u7b49\u5f71\u50cf\u5b66 \u68c0\u67e5\u8bc1\u5b9e,\u5e76\u987b\u6ee1\u8db3\u4e0b\u5217\u81f3\u5c11\u4e00\u9879\u6761\u4ef6: <p>1.\u5b9e\u9645\u5b9e\u65bd\u4e86\u5f00\u9885\u8fdb\u884c\u7684\u8111\u80bf\u7624\u5b8c\u5168\u5207\u9664\u6216\u90e8\u5206\u5207\u9664\u7684\u624b\u672f; <p>2.\u5b9e\u9645\u5b9e\u65bd\u4e86\u5bf9\u8111\u80bf\u7624\u8fdb\u884c\u7684\u653e\u5c04\u6cbb\u7597\u3002 <p>\u8111\u5782\u4f53\u7624\u3001\u8111\u56ca\u80bf\u3001\u8111\u8840\u7ba1\u6027\u75be\u75c5\u4e0d\u5728\u4fdd\u969c\u8303\u56f4\u5185\u3002 <p>(\u5341)\u6162\u6027\u809d\u529f\u80fd\u8870\u7aed\u5931\u4ee3\u507f\u671f <p>\u6307\u56e0\u6162\u6027\u809d\u810f\u75be\u75c5\u5bfc\u81f4\u809d\u529f\u80fd\u8870\u7aed\u3002\u987b\u6ee1\u8db3\u4e0b\u5217\u5168\u90e8\u6761\u4ef6: <p>1.\u6301\u7eed\u6027\u9ec4\u75b8; <p>2.\u8179\u6c34; <p>3.\u809d\u6027\u8111\u75c5; <p>4.\u5145\u8840\u6027\u813e\u80bf\u5927\u4f34\u813e\u529f\u80fd\u4ea2\u8fdb\u6216\u98df\u7ba1\u80c3\u5e95\u9759\u8109\u66f2\u5f20\u3002 <p>\u56e0\u9157\u9152\u6216\u836f\u7269\u6ee5\u7528\u5bfc\u81f4\u7684\u809d\u529f\u80fd\u8870\u7aed\u4e0d\u5728\u4fdd\u969c\u8303\u56f4\u5185\u3002 <p>(\u5341\u4e00)\u8111\u708e\u540e\u9057\u75c7\u6216\u8111\u819c\u708e\u540e\u9057\u75c7 \u6307\u56e0\u60a3\u8111\u708e\u6216\u8111\u819c\u708e\u5bfc\u81f4\u7684\u795e\u7ecf\u7cfb\u7edf\u6c38\u4e45\u6027\u7684\u529f\u80fd\u969c\u788d\u3002\u795e\u7ecf\u7cfb\u7edf\u6c38\u4e45\u6027\u7684\u529f\u80fd\u969c\u788d,\u6307\u75be\u75c5\u786e\u8bca180\u5929 \u540e,\u4ecd\u9057\u7559\u4e0b\u5217\u4e00\u79cd\u6216\u4e00\u79cd\u4ee5\u4e0a\u969c\u788d: <p>1.\u4e00\u80a2\u6216\u4e00\u80a2\u4ee5\u4e0a\u80a2\u4f53\u673a\u80fd\u5b8c\u5168\u4e27\u5931; <p>2.\u8bed\u8a00\u80fd\u529b\u6216\u5480\u56bc\u541e\u54bd\u80fd\u529b\u5b8c\u5168\u4e27\u5931; <p>3.\u81ea\u4e3b\u751f\u6d3b\u80fd\u529b\u5b8c\u5168\u4e27\u5931,\u65e0\u6cd5\u72ec\u7acb\u5b8c\u6210\u516d\u9879\u57fa\u672c\u65e5\u5e38\u751f\u6d3b\u6d3b\u52a8\u4e2d\u7684\u4e09\u9879\u6216\u4e09\u9879\u4ee5\u4e0a\u3002 <p>(\u5341\u4e8c)\u6df1\u5ea6\u660f\u8ff7 <p>\u6307\u56e0\u75be\u75c5\u6216\u610f\u5916\u4f24\u5bb3\u5bfc\u81f4\u610f\u8bc6\u4e27\u5931,\u5bf9\u5916\u754c\u523a\u6fc0\u548c\u4f53\u5185\u9700\u6c42\u5747\u65e0\u53cd\u5e94,\u660f\u8ff7\u7a0b\u5ea6\u6309\u7167\u683c\u62c9\u65af\u54e5\u660f\u8ff7\u5206\u7ea7 (Glasgow coma scale)\u7ed3\u679c\u4e3a5\u5206\u62165\u5206\u4ee5\u4e0b,\u4e14\u5df2\u7ecf\u6301\u7eed\u4f7f\u7528\u547c\u5438\u673a\u53ca\u5176\u4ed6\u751f\u547d\u7ef4\u6301\u7cfb\u7edf96\u5c0f\u65f6\u4ee5\u4e0a\u3002 <p>\u56e0\u9157\u9152\u6216\u836f\u7269\u6ee5\u7528\u5bfc\u81f4\u7684\u6df1\u5ea6\u660f\u8ff7\u4e0d\u5728\u4fdd\u969c\u8303\u56f4\u5185\u3002 <p>(\u5341\u4e09)\u53cc\u8033\u5931\u806a <p>\u6307\u56e0\u75be\u75c5\u6216\u610f\u5916\u4f24\u5bb3\u5bfc\u81f4\u53cc\u8033\u542c\u529b\u6c38\u4e45\u4e0d\u53ef\u9006\u6027\u4e27\u5931,\u5728500\u8d6b\u5179\u30011000\u8d6b\u5179\u548c2000\u8d6b\u5179\u8bed\u97f3\u9891\u7387\u4e0b, \u5e73\u5747\u542c\u9608\u5927\u4e8e90\u5206\u8d1d,\u4e14\u7ecf\u7eaf\u97f3\u542c\u529b\u6d4b\u8bd5\u3001\u58f0\u5bfc\u6297\u68c0\u6d4b\u6216\u542c\u89c9\u8bf1\u53d1\u7535\u4f4d\u68c0\u6d4b\u7b49\u8bc1\u5b9e\u3002 <p>\u9664\u5185\u8033\u7ed3\u6784\u635f\u4f24\u7b49\u60c5\u5f62\u5916,\u987b\u63d0\u4f9b\u7406\u8d54\u5f53\u65f6\u7684\u542c\u529b\u4e27\u5931\u8bca\u65ad\u53ca\u68c0\u67e5\u8bc1\u636e\u3002 <p>(\u5341\u56db)\u53cc\u76ee\u5931\u660e <p>\u6307\u56e0\u75be\u75c5\u6216\u610f\u5916\u4f24\u5bb3\u5bfc\u81f4\u53cc\u773c\u89c6\u529b\u6c38\u4e45\u4e0d\u53ef\u9006\u6027\u4e27\u5931,\u53cc\u773c\u4e2d\u8f83\u597d\u773c\u987b\u6ee1\u8db3\u4e0b\u5217\u81f3\u5c11\u4e00\u9879\u6761\u4ef6: <p>1.\u773c\u7403\u7f3a\u5931\u6216\u6458\u9664; <p>2.\u77eb\u6b63\u89c6\u529b\u4f4e\u4e8e 0.02(\u91c7\u7528\u56fd\u9645\u6807\u51c6\u89c6\u529b\u8868,\u5982\u4f7f\u7528\u5176\u4ed6\u89c6\u529b\u8868\u5e94\u8fdb\u884c\u6362\u7b97); <p>3.\u89c6\u91ce\u534a\u5f84\u5c0f\u4e8e5\u5ea6\u3002 <p>\u9664\u773c\u7403\u7f3a\u5931\u6216\u6458\u9664\u7b49\u60c5\u5f62\u5916,\u987b\u63d0\u4f9b\u7406\u8d54\u5f53\u65f6\u7684\u89c6\u529b\u4e27\u5931\u8bca\u65ad\u53ca\u68c0\u67e5\u8bc1\u636e\u3002 <p>(\u5341\u4e94)\u762b\u75ea <p>\u6307\u56e0\u75be\u75c5\u6216\u610f\u5916\u4f24\u5bb3\u5bfc\u81f4\u4e24\u80a2\u6216\u4e24\u80a2\u4ee5\u4e0a\u80a2\u4f53\u673a\u80fd\u6c38\u4e45\u5b8c\u5168\u4e27\u5931\u3002 <p>\u80a2\u4f53\u673a\u80fd\u6c38\u4e45\u5b8c\u5168\u4e27\u5931,\u6307\u75be\u75c5\u786e\u8bca180\u5929\u540e\u6216\u610f\u5916\u4f24\u5bb3\u53d1\u751f180\u5929\u540e,\u6bcf\u80a2\u4e09\u5927\u5173\u8282\u4e2d\u7684\u4e24\u5927\u5173\u8282\u4ecd\u7136 \u5b8c\u5168\u50f5\u786c,\u6216\u4e0d\u80fd\u968f\u610f\u8bc6\u6d3b\u52a8\u3002 <p>(\u5341\u516d)\u5fc3\u810f\u74e3\u819c\u624b\u672f <p>\u6307\u4e3a\u6cbb\u7597\u5fc3\u810f\u74e3\u819c\u75be\u75c5,\u5b9e\u9645\u5b9e\u65bd\u4e86\u5f00\u80f8\u8fdb\u884c\u7684\u5fc3\u810f\u74e3\u819c\u7f6e\u6362\u6216\u4fee\u590d\u7684\u624b\u672f\u3002 <p>(\u5341\u4e03)\u4e25\u91cd\u963f\u5c14\u8328\u6d77\u9ed8\u75c5 \u6307\u56e0\u5927\u8111\u8fdb\u884c\u6027\u3001\u4e0d\u53ef\u9006\u6027\u6539\u53d8\u5bfc\u81f4\u667a\u80fd\u4e25\u91cd\u8870\u9000\u6216\u4e27\u5931,\u4e34\u5e8a\u8868\u73b0\u4e3a\u660e\u663e\u7684\u8ba4\u77e5\u80fd\u529b\u969c\u788d\u3001\u884c\u4e3a\u5f02\u5e38 \u548c\u793e\u4ea4\u80fd\u529b\u51cf\u9000,\u5176\u65e5\u5e38\u751f\u6d3b\u5fc5\u987b\u6301\u7eed\u53d7\u5230\u4ed6\u4eba\u76d1\u62a4\u3002\u987b\u7531\u5934\u9885\u65ad\u5c42\u626b\u63cf(CT)\u3001\u6838\u78c1\u5171\u632f\u68c0\u67e5(MRI)\u6216\u6b63 \u7535\u5b50\u53d1\u5c04\u65ad\u5c42\u626b\u63cf(PET)\u7b49\u5f71\u50cf\u5b66\u68c0\u67e5\u8bc1\u5b9e,\u4e14\u81ea\u4e3b\u751f\u6d3b\u80fd\u529b\u5b8c\u5168\u4e27\u5931,\u65e0\u6cd5\u72ec\u7acb\u5b8c\u6210\u516d\u9879\u57fa\u672c\u65e5\u5e38\u751f\u6d3b\u6d3b \u52a8\u4e2d\u7684\u4e09\u9879\u6216\u4e09\u9879\u4ee5\u4e0a\u3002 <p>\u795e\u7ecf\u5b98\u80fd\u75c7\u548c\u7cbe\u795e\u75be\u75c5\u4e0d\u5728\u4fdd\u969c\u8303\u56f4\u5185\u3002 <p>(\u5341\u516b)\u4e25\u91cd\u8111\u635f\u4f24 <p>\u6307\u56e0\u5934\u90e8\u906d\u53d7\u673a\u68b0\u6027\u5916\u529b,\u5f15\u8d77\u8111\u91cd\u8981\u90e8\u4f4d\u635f\u4f24,\u5bfc\u81f4\u795e\u7ecf\u7cfb\u7edf\u6c38\u4e45\u6027\u7684\u529f\u80fd\u969c\u788d\u3002\u987b\u7531\u5934\u9885\u65ad\u5c42\u626b\u63cf (CT)\u3001\u6838\u78c1\u5171\u632f\u68c0\u67e5(MRI)\u6216\u6b63\u7535\u5b50\u53d1\u5c04\u65ad\u5c42\u626b\u63cf(PET)\u7b49\u5f71\u50cf\u5b66\u68c0\u67e5\u8bc1\u5b9e\u3002\u795e\u7ecf\u7cfb\u7edf\u6c38\u4e45\u6027\u7684\u529f\u80fd\u969c \u788d,\u6307\u8111\u635f\u4f24180\u5929\u540e,\u4ecd\u9057\u7559\u4e0b\u5217\u4e00\u79cd\u6216\u4e00\u79cd\u4ee5\u4e0a\u969c\u788d: <p>1.\u4e00\u80a2\u6216\u4e00\u80a2\u4ee5\u4e0a\u80a2\u4f53\u673a\u80fd\u5b8c\u5168\u4e27\u5931; <p>2.\u8bed\u8a00\u80fd\u529b\u6216\u5480\u56bc\u541e\u54bd\u80fd\u529b\u5b8c\u5168\u4e27\u5931; <p>3.\u81ea\u4e3b\u751f\u6d3b\u80fd\u529b\u5b8c\u5168\u4e27\u5931,\u65e0\u6cd5\u72ec\u7acb\u5b8c\u6210\u516d\u9879\u57fa\u672c\u65e5\u5e38\u751f\u6d3b\u6d3b\u52a8\u4e2d\u7684\u4e09\u9879\u6216\u4e09\u9879\u4ee5\u4e0a\u3002 <p>(\u5341\u4e5d)\u4e25\u91cd\u5e15\u91d1\u68ee\u75c5 <p>\u662f\u4e00\u79cd\u4e2d\u67a2\u795e\u7ecf\u7cfb\u7edf\u7684\u9000\u884c\u6027\u75be\u75c5,\u4e34\u5e8a\u8868\u73b0\u4e3a\u9707\u98a4\u9ebb\u75f9\u3001\u5171\u6d4e\u5931\u8c03\u7b49\u3002\u987b\u6ee1\u8db3\u4e0b\u5217\u5168\u90e8\u6761\u4ef6: <p>1.\u836f\u7269\u6cbb\u7597\u65e0\u6cd5\u63a7\u5236\u75c5\u60c5; <p>2.\u81ea\u4e3b\u751f\u6d3b\u80fd\u529b\u5b8c\u5168\u4e27\u5931,\u65e0\u6cd5\u72ec\u7acb\u5b8c\u6210\u516d\u9879\u57fa\u672c\u65e5\u5e38\u751f\u6d3b\u6d3b\u52a8\u4e2d\u7684\u4e09\u9879\u6216\u4e09\u9879\u4ee5\u4e0a\u3002 <p>\u7ee7\u53d1\u6027\u5e15\u91d1\u68ee\u7efc\u5408\u5f81\u4e0d\u5728\u4fdd\u969c\u8303\u56f4\u5185\u3002 <p>(\u4e8c\u5341)\u4e25\u91cdIII\u5ea6\u70e7\u4f24 \u6307\u70e7\u4f24\u7a0b\u5ea6\u4e3aIII\u5ea6,\u4e14III\u5ea6\u70e7\u4f24\u7684\u9762\u79ef\u8fbe\u5230\u5168\u8eab\u4f53\u8868\u9762\u79ef\u768420%\u621620%\u4ee5\u4e0a\u3002\u4f53\u8868\u9762\u79ef\u6839\u636e\u300a\u4e2d\u56fd\u65b0\u4e5d\u5206 \u6cd5\u300b\u8ba1\u7b97\u3002 <p>(\u4e8c\u5341\u4e00)\u4e25\u91cd\u539f\u53d1\u6027\u80ba\u52a8\u8109\u9ad8\u538b \u6307\u4e0d\u660e\u539f\u56e0\u7684\u80ba\u52a8\u8109\u538b\u529b\u6301\u7eed\u6027\u589e\u9ad8,\u8fdb\u884c\u6027\u53d1\u5c55\u800c\u5bfc\u81f4\u7684\u6162\u6027\u75be\u75c5,\u5df2\u7ecf\u9020\u6210\u6c38\u4e45\u4e0d\u53ef\u9006\u6027\u7684\u4f53\u529b\u6d3b \u52a8\u80fd\u529b\u53d7\u9650,\u8fbe\u5230\u7f8e\u56fd\u7ebd\u7ea6\u5fc3\u810f\u75c5\u5b66\u4f1a\u5fc3\u529f\u80fd\u72b6\u6001\u5206\u7ea7IV\u7ea7,\u4e14\u9759\u606f\u72b6\u6001\u4e0b\u80ba\u52a8\u8109\u5e73\u5747\u538b\u8d85\u8fc730mmHg\u3002 <p>(\u4e8c\u5341\u4e8c)\u4e25\u91cd\u8fd0\u52a8\u795e\u7ecf\u5143\u75c5 <p>\u662f\u4e00\u7ec4\u4e2d\u67a2\u795e\u7ecf\u7cfb\u7edf\u8fd0\u52a8\u795e\u7ecf\u5143\u7684\u8fdb\u884c\u6027\u53d8\u6027\u75be\u75c5,\u5305\u62ec\u8fdb\u884c\u6027\u810a\u808c\u840e\u7f29\u75c7\u3001\u8fdb\u884c\u6027\u5ef6\u9ad3\u9ebb\u75f9\u75c7\u3001\u539f\u53d1 \u6027\u4fa7\u7d22\u786c\u5316\u75c7\u3001\u808c\u840e\u7f29\u6027\u4fa7\u7d22\u786c\u5316\u75c7\u3002\u987b\u6ee1\u8db3\u81ea\u4e3b\u751f\u6d3b\u80fd\u529b\u5b8c\u5168\u4e27\u5931,\u65e0\u6cd5\u72ec\u7acb\u5b8c\u6210\u516d\u9879\u57fa\u672c\u65e5\u5e38\u751f\u6d3b\u6d3b\u52a8 \u4e2d\u7684\u4e09\u9879\u6216\u4e09\u9879\u4ee5\u4e0a\u7684\u6761\u4ef6\u3002 <p>(\u4e8c\u5341\u4e09)\u8bed\u8a00\u80fd\u529b\u4e27\u5931 <p>\u6307\u56e0\u75be\u75c5\u6216\u610f\u5916\u4f24\u5bb3\u5bfc\u81f4\u5b8c\u5168\u4e27\u5931\u8bed\u8a00\u80fd\u529b,\u7ecf\u8fc7\u79ef\u6781\u6cbb\u7597\u81f3\u5c1112\u4e2a\u6708(\u58f0\u5e26\u5b8c\u5168\u5207\u9664\u4e0d\u53d7\u6b64\u65f6\u95f4\u9650\u5236), \u4ecd\u65e0\u6cd5\u901a\u8fc7\u73b0\u6709\u533b\u7597\u624b\u6bb5\u6062\u590d\u3002 <p>\u9664\u58f0\u5e26\u5b8c\u5168\u5207\u9664\u7b49\u60c5\u5f62\u5916,\u987b\u63d0\u4f9b\u7406\u8d54\u5f53\u65f6\u7684\u8bed\u8a00\u80fd\u529b\u4e27\u5931\u8bca\u65ad\u53ca\u68c0\u67e5\u8bc1\u636e\u3002\u7cbe\u795e\u5fc3\u7406\u56e0\u7d20\u6240\u81f4\u7684\u8bed\u8a00 \u80fd\u529b\u4e27\u5931\u4e0d\u5728\u4fdd\u969c\u8303\u56f4\u5185\u3002 <p>(\u4e8c\u5341\u56db)\u91cd\u578b\u518d\u751f\u969c\u788d\u6027\u8d2b\u8840 <p>\u6307\u56e0\u9aa8\u9ad3\u9020\u8840\u529f\u80fd\u6162\u6027\u6301\u7eed\u6027\u8870\u7aed\u5bfc\u81f4\u7684\u8d2b\u8840\u3001\u4e2d\u6027\u7c92\u7ec6\u80de\u51cf\u5c11\u53ca\u8840\u5c0f\u677f\u51cf\u5c11\u3002\u987b\u6ee1\u8db3\u4e0b\u5217\u5168\u90e8\u6761\u4ef6: <p>1.\u9aa8\u9ad3\u7a7f\u523a\u68c0\u67e5\u6216\u9aa8\u9ad3\u6d3b\u68c0\u7ed3\u679c\u652f\u6301\u8bca\u65ad; <p>2.\u5916\u5468\u8840\u8c61\u987b\u5177\u5907\u4ee5\u4e0b\u4e09\u9879\u6761\u4ef6: <p>(1)\u4e2d\u6027\u7c92\u7ec6\u80de\u7edd\u5bf9\u503c\u22640.5\xd7109/L; <p>(2)\u7f51\u7ec7\u7ea2\u7ec6\u80de<1%; <p>(3)\u8840\u5c0f\u677f\u7edd\u5bf9\u503c\u226420\xd7109/L\u3002 <p>(\u4e8c\u5341\u4e94)\u4e3b\u52a8\u8109\u624b\u672f \u6307\u4e3a\u6cbb\u7597\u4e3b\u52a8\u8109\u75be\u75c5,\u5b9e\u9645\u5b9e\u65bd\u4e86\u5f00\u80f8\u6216\u5f00\u8179\u8fdb\u884c\u7684\u5207\u9664\u3001\u7f6e\u6362\u3001\u4fee\u8865\u75c5\u635f\u4e3b\u52a8\u8109\u8840\u7ba1\u7684\u624b\u672f\u3002\u4e3b\u52a8\u8109 \u6307\u80f8\u4e3b\u52a8\u8109\u548c\u8179\u4e3b\u52a8\u8109,\u4e0d\u5305\u62ec\u80f8\u4e3b\u52a8\u8109\u548c\u8179\u4e3b\u52a8\u8109\u7684\u5206\u652f\u8840\u7ba1\u3002 <p>\u52a8\u8109\u5185\u8840\u7ba1\u6210\u5f62\u672f\u4e0d\u5728\u4fdd\u969c\u8303\u56f4\u5185\u3002 <p>(\u4e8c\u5341\u516d)\u4e25\u91cd\u7684\u591a\u53d1\u6027\u786c\u5316 <p>\u6307\u4e2d\u67a2\u795e\u7ecf\u7cfb\u7edf\u8131\u9ad3\u9798\u800c\u5bfc\u81f4\u7684\u4e0d\u53ef\u9006\u7684\u8eab\u4f53\u90e8\u4f4d\u7684\u529f\u80fd\u969c\u788d,\u9700\u7531\u795e\u7ecf\u79d1\u4e13\u79d1\u533b\u751f\u63d0\u4f9b\u660e\u786e\u8bca\u65ad,\u5e76 \u6709\u5934\u9885\u65ad\u5c42\u626b\u63cf(CT)\u6216\u6838\u78c1\u5171\u632f\u68c0\u67e5(MRI)\u7ed3\u679c\u8bca\u65ad\u62a5\u544a\u3002\u4e0d\u53ef\u9006\u7684\u8eab\u4f53\u90e8\u4f4d\u529f\u80fd\u969c\u788d\u6307\u8bca\u65ad\u4e3a\u529f\u80fd\u969c \u788d\u540e\u9700\u5df2\u7ecf\u6301\u7eed180\u65e5\u4ee5\u4e0a\u3002 <p>\u7531\u795e\u7ecf\u79d1\u4e13\u79d1\u533b\u751f\u63d0\u4f9b\u7684\u660e\u786e\u8bca\u65ad\u5fc5\u987b\u540c\u65f6\u5305\u542b\u4e0b\u5217\u5185\u5bb9: <p>1.\u660e\u786e\u51fa\u73b0\u56e0\u89c6\u795e\u7ecf\u3001\u8111\u5e72\u548c\u810a\u9ad3\u635f\u4f24\u800c\u5bfc\u81f4\u7684\u4e34\u5e8a\u8868\u73b0; <p>2.\u795e\u7ecf\u7cfb\u7edf\u6563\u5728\u7684\u591a\u90e8\u4f4d\u75c5\u53d8; <p>3.\u6709\u660e\u786e\u7684\u4e0a\u8ff0\u75c7\u72b6\u53ca\u795e\u7ecf\u635f\u4f24\u53cd\u590d\u6076\u5316\u3001\u51cf\u8f7b\u7684\u75c5\u53f2\u8bb0\u5f55\u3002 <p>(\u4e8c\u5341\u4e03)\u56e0\u804c\u4e1a\u5173\u7cfb\u5bfc\u81f4\u7684\u4eba\u7c7b\u514d\u75ab\u7f3a\u9677\u75c5\u6bd2(HIV)\u611f\u67d3 <p>\u6307\u88ab\u4fdd\u9669\u4eba\u5728\u5176\u5e38\u89c4\u804c\u4e1a\u5de5\u4f5c\u8fc7\u7a0b\u4e2d\u906d\u9047\u5916\u4f24,\u6216\u8005\u804c\u4e1a\u9700\u8981\u5904\u7406\u8840\u6db2\u6216\u8005\u5176\u4ed6\u4f53\u6db2\u65f6\u611f\u67d3\u4e0a\u4eba\u7c7b\u514d\u75ab \u7f3a\u9677\u75c5\u6bd2(HIV)\u3002\u5fc5\u987b\u6ee1\u8db3\u4e0b\u5217\u5168\u90e8\u6761\u4ef6: <p>1.\u611f\u67d3\u5fc5\u987b\u662f\u5728\u88ab\u4fdd\u9669\u4eba\u6b63\u5728\u4ece\u4e8b\u5176\u804c\u4e1a\u5de5\u4f5c\u4e2d\u53d1\u751f,\u8be5\u804c\u4e1a\u5fc5\u987b\u5c5e\u4e8e\u4ee5\u4e0b\u804c\u4e1a\u9650\u5236\u6240\u5217\u7684\u804c\u4e1a; <p>2.\u5fc5\u987b\u63d0\u4f9b\u88ab\u4fdd\u9669\u4eba\u5728\u6240\u62a5\u4e8b\u6545\u53d1\u751f\u540e\u76845\u5929\u4ee5\u5185\u8fdb\u884c\u7684\u68c0\u67e5\u62a5\u544a,\u8be5\u62a5\u544a\u5fc5\u987b\u663e\u793a\u88ab\u4fdd\u9669\u4eba\u8840\u6db2HIV\u75c5 \u6bd2\u9634\u6027\u548c/\u6216HIV\u6297\u4f53\u9634\u6027; <p>3.\u5fc5\u987b\u5728\u4e8b\u6545\u53d1\u751f\u540e\u76846\u4e2a\u6708\u5185\u8bc1\u5b9e\u88ab\u4fdd\u9669\u4eba\u4f53\u5185\u5b58\u5728HIV\u75c5\u6bd2\u6216\u8005HIV\u6297\u4f53\u3002 <p>\u804c\u4e1a\u9650\u5236: \u533b\u751f\u548c\u7259\u79d1\u533b\u751f\u3001\u62a4\u58eb\u3001\u533b\u9662\u5316\u9a8c\u5ba4\u5de5\u4f5c\u4eba\u5458\u3001\u533b\u9662\u62a4\u5de5\u3001\u533b\u751f\u52a9\u7406\u548c\u7259\u533b\u52a9\u7406\u3001\u6551\u62a4\u8f66\u5de5\u4f5c\u4eba\u5458\u3001\u52a9 \u4ea7\u58eb\u3002 <p>\u672c\u516c\u53f8\u627f\u62c5\u672c\u9879\u75be\u75c5\u4fdd\u9669\u8d23\u4efb\u4e0d\u53d7\u672c\u6761\u6b3e\u7b2c\u516d\u6761\u8d23\u4efb\u514d\u9664\u4e2d\u201c\u88ab\u4fdd\u9669\u4eba\u611f\u67d3\u827e\u6ecb\u75c5\u75c5\u6bd2\u6216\u60a3\u827e\u6ecb\u75c5\u201d\u7684\u9650 \u5236\u3002 <p>(\u4e8c\u5341\u516b)\u91cd\u75c7\u6025\u6027\u80f0\u817a\u708e <p>\u6307\u6025\u6027\u80f0\u817a\u708e\u4f34\u6709\u810f\u5668\u529f\u80fd\u969c\u788d\u3002\u88ab\u4fdd\u9669\u4eba\u6240\u60a3\u7684\u91cd\u75c7\u6025\u6027\u80f0\u817a\u708e\u5fc5\u987b\u660e\u786e\u8bca\u65ad,\u6309APACHEII\u8bc4\u5206\u8fbe\u5230 8\u5206\u62168\u5206\u4ee5\u4e0a\u548cBalthazar\u5206\u7ea7\u7cfb\u7edf\u8fbe\u5230II\u7ea7\u6216II\u7ea7\u4ee5\u4e0a,\u5e76\u4e14\u63a5\u53d7\u4e86\u5916\u79d1\u5256\u8179\u624b\u672f\u6cbb\u7597,\u4ee5\u8fdb\u884c\u574f\u6b7b\u7ec4\u7ec7\u6e05\u9664\u3001 \u574f\u6b7b\u75c5\u7076\u5207\u9664\u6216\u80f0\u817a\u5207\u9664\u3002 <p>\u56e0\u9157\u9152\u6216\u996e\u9152\u8fc7\u91cf\u6240\u81f4\u7684\u80f0\u817a\u708e\u4ee5\u53ca\u8179\u8154\u955c\u624b\u672f\u4e0d\u5728\u4fdd\u969c\u8303\u56f4\u5185\u3002 <p>(\u4e8c\u5341\u4e5d)\u808c\u8425\u517b\u4e0d\u826f\u75c7 <p>\u6307\u4e00\u7ec4\u9057\u4f20\u6027\u808c\u8089\u53d8\u6027\u6027\u75c5\u53d8,\u4e34\u5e8a\u7279\u5f81\u4e3a\u4e0e\u795e\u7ecf\u7cfb\u7edf\u65e0\u5173\u7684\u808c\u8089\u65e0\u529b\u548c\u808c\u8089\u840e\u7f29\u3002\u987b\u6ee1\u8db3\u81ea\u4e3b\u751f\u6d3b\u80fd \u529b\u5b8c\u5168\u4e27\u5931,\u65e0\u6cd5\u72ec\u7acb\u5b8c\u6210\u516d\u9879\u57fa\u672c\u65e5\u5e38\u751f\u6d3b\u6d3b\u52a8\u4e2d\u7684\u4e09\u9879\u6216\u4e09\u9879\u4ee5\u4e0a\u3002 <p>\u672c\u516c\u53f8\u627f\u62c5\u672c\u9879\u75be\u75c5\u4fdd\u9669\u8d23\u4efb\u4e0d\u53d7\u672c\u6761\u6b3e\u7b2c\u516d\u6761\u8d23\u4efb\u514d\u9664\u4e2d\u201c\u9057\u4f20\u6027\u75be\u75c5,\u5148\u5929\u6027\u7578\u5f62\u3001\u53d8\u5f62\u6216\u67d3\u8272\u4f53\u5f02 \u5e38\u201d\u7684\u9650\u5236\u3002 <p>(\u4e09\u5341)\u7cfb\u7edf\u6027\u7ea2\u6591\u72fc\u75ae-III\u578b\u6216\u4ee5\u4e0a\u72fc\u75ae\u6027\u80be\u708e <p>\u7cfb\u7edf\u6027\u7ea2\u6591\u72fc\u75ae\u662f\u4e00\u79cd\u8868\u73b0\u6709\u591a\u7cfb\u7edf\u635f\u5bb3\u7684\u6162\u6027\u7cfb\u7edf\u6027\u81ea\u8eab\u514d\u75ab\u75c5,\u5176\u7279\u70b9\u662f\u8840\u6e05\u5177\u6709\u4ee5\u6297\u6838\u6297\u4f53\u4e3a \u4ee3\u8868\u7684\u591a\u79cd\u81ea\u8eab\u6297\u4f53\u3002 <p>\u672c\u5408\u540c\u6240\u6307\u7684\u7cfb\u7edf\u6027\u7ea2\u6591\u72fc\u75ae\u4ec5\u9650\u4e8e\u7d2f\u53ca\u80be\u810f(\u7ecf\u80be\u810f\u6d3b\u68c0\u786e\u8ba4\u7684,\u7b26\u5408WHO\u8bca\u65ad\u6807\u51c6\u5b9a\u4e49III\u578b\u6216III\u578b \u4ee5\u4e0a\u72fc\u75ae\u6027\u80be\u708e)\u7684\u7cfb\u7edf\u6027\u7ea2\u6591\u72fc\u75ae\u3002\u5176\u4ed6\u7c7b\u578b\u7684\u7ea2\u6591\u6027\u72fc\u75ae,\u5982\u76d8\u72b6\u72fc\u75ae\u3001\u4ec5\u7d2f\u53ca\u8840\u6db2\u53ca\u5173\u8282\u7684\u72fc\u75ae\u4e0d\u5728 \u4fdd\u969c\u8303\u56f4\u5167\u3002 \u4e16\u754c\u536b\u751f\u7ec4\u7ec7(WHO)\u72fc\u75ae\u6027\u80be\u708e\u5206\u578b: <table border = 1 cellspacing=0 cellpadding=2> <tr><td>I\u578b</td><td>\u5fae\u5c0f\u75c5\u53d8\u578b</td></tr> <tr><td>II\u578b</td><td>\u7cfb\u819c\u75c5\u53d8\u578b</td></tr> <tr><td>III\u578b</td><td>\u5c40\u7076\u53ca\u8282\u6bb5\u589e\u751f\u578b</td></tr> <tr><td>IV\u578b</td><td>\u5f25\u6f2b\u589e\u751f\u578b</td></tr> <tr><td>V\u578b</td><td>\u819c\u578b</td></tr> <tr><td>VI\u578b</td><td>\u80be\u5c0f\u7403\u786c\u5316\u578b</td></tr> </table> <p>(\u4e09\u5341\u4e00)\u6162\u6027\u547c\u5438\u529f\u80fd\u8870\u7aed <p>\u6307\u6162\u6027\u80ba\u90e8\u75be\u75c5\u5bfc\u81f4\u6c38\u4e45\u4e0d\u53ef\u9006\u6027\u7684\u6162\u6027\u547c\u5438\u529f\u80fd\u8870\u7aed\u3002\u6162\u6027\u547c\u5438\u529f\u80fd\u8870\u7aed\u5fc5\u987b\u660e\u786e\u8bca\u65ad\u5e76\u6ee1\u8db3\u4e0b\u5217\u5168\u90e8\u6761\u4ef6: <p>1.\u4f11\u606f\u65f6\u51fa\u73b0\u547c\u5438\u56f0\u96be; <p>2.\u52a8\u8109\u8840\u6c27\u5206\u538b(PaO2)< 50mmHg; <p>3.\u52a8\u8109\u8840\u6c27\u9971\u548c\u5ea6(SaO2)< 80%; <p>4.\u56e0\u7f3a\u6c27\u5fc5\u987b\u63a5\u53d7\u8f93\u6c27\u6cbb\u7597\u3002 <p>(\u4e09\u5341\u4e8c)1\u578b\u7cd6\u5c3f\u75c5 <p>1\u578b\u7cd6\u5c3f\u75c5\u7684\u7279\u5f81\u4e3a\u7531\u4e8e\u80f0\u5c9b\u7d20\u5206\u6ccc\u7edd\u5bf9\u4e0d\u8db3\u5f15\u8d77\u4e25\u91cd\u80f0\u5c9b\u7d20\u7f3a\u4e4f\u5bfc\u81f4\u6162\u6027\u8840\u7cd6\u5347\u9ad8,\u9700\u8981\u4f9d\u8d56\u5916\u6e90\u6027\u80f0 \u5c9b\u7d20\u8fdb\u884c\u673a\u4f53\u7684\u8461\u8404\u7cd6\u4ee3\u8c22\u548c\u7ef4\u6301\u751f\u547d\u3002\u88ab\u4fdd\u9669\u4eba\u76841\u578b\u7cd6\u5c3f\u75c5\u5fc5\u987b\u660e\u786e\u8bca\u65ad,\u800c\u4e14\u6709\u8840\u80f0\u5c9b\u7d20\u6d4b\u5b9a\u53ca\u8840C\u80bd \u6216\u5c3fC\u80bd\u6d4b\u5b9a\u7ed3\u679c\u652f\u6301\u8bca\u65ad,\u5e76\u4e14\u6ee1\u8db3\u4e0b\u5217\u5168\u90e8\u6761\u4ef6: <p>1.\u5df2\u7ecf\u6301\u7eed\u6027\u5730\u63a5\u53d7\u5916\u6e90\u6027\u80f0\u5c9b\u7d20\u6ce8\u5c04\u6cbb\u7597\u8fde\u7eed180\u5929\u4ee5\u4e0a; <p>2.\u56e0\u9700\u8981\u5df2\u7ecf\u63a5\u53d7\u4e86\u4e0b\u5217\u6cbb\u7597: <p>\u56e0\u4e25\u91cd\u5fc3\u5f8b\u5931\u5e38\u690d\u5165\u4e86\u5fc3\u810f\u8d77\u640f\u5668,\u6216\u56e0\u574f\u75bd\u81ea\u8dd6\u8dbe\u5173\u8282\u6216\u4ee5\u4e0a\u5207\u9664\u4e86\u4e00\u8dbe\u6216\u591a\u8dbe\u3002 <p>(\u4e09\u5341\u4e09)\u4e25\u91cd\u7c7b\u98ce\u6e7f\u6027\u5173\u8282\u708e <p>\u6307\u5e7f\u6cdb\u5206\u5e03\u7684\u6162\u6027\u8fdb\u884c\u6027\u591a\u5173\u8282\u75c5\u53d8,\u8868\u73b0\u4e3a\u5173\u8282\u4e25\u91cd\u53d8\u5f62,\u4fb5\u72af\u81f3\u5c11\u4e09\u4e2a\u4e3b\u8981\u56db\u80a2\u5173\u8282\u6216\u5173\u8282\u7ec4\u3002\u7c7b \u98ce\u6e7f\u6027\u5173\u8282\u708e\u5fc5\u987b\u660e\u786e\u8bca\u65ad\u5e76\u4e14\u5df2\u7ecf\u8fbe\u5230\u7c7b\u98ce\u6e7f\u6027\u5173\u8282\u708e\u529f\u80fd\u5206\u7c7bIV\u7ea7\u7684\u6c38\u4e45\u4e0d\u53ef\u9006\u6027\u5173\u8282\u529f\u80fd\u969c\u788d(\u751f\u6d3b \u4e0d\u80fd\u81ea\u7406,\u4e14\u4e27\u5931\u5de5\u4f5c\u80fd\u529b),\u5e76\u4e14\u6ee1\u8db3\u4e0b\u5217\u5168\u90e8\u6761\u4ef6: <p>1.\u6668\u50f5; <p>2.\u5bf9\u79f0\u6027\u5173\u8282\u708e; <p>3.\u7c7b\u98ce\u6e7f\u6027\u76ae\u4e0b\u7ed3\u8282; <p>4.\u7c7b\u98ce\u6e7f\u56e0\u5b50\u6ef4\u5ea6\u5347\u9ad8; <p>5.X\u7ebf\u663e\u793a\u4e25\u91cd\u7684\u5173\u8282(\u8f6f\u9aa8\u548c\u9aa8)\u7834\u574f\u548c\u5173\u8282\u7578\u5f62\u3002 <p>\u4e3b\u8981\u56db\u80a2\u5173\u8282\u6216\u5173\u8282\u7ec4,\u6307\u53cc\u624b(\u591a\u624b\u6307)\u5173\u8282\u3001\u53cc\u8155\u5173\u8282\u3001\u53cc\u8098\u5173\u8282\u3001\u53cc\u80a9\u5173\u8282\u3001\u53cc\u8db3(\u591a\u8db3\u8dbe)\u5173 \u8282\u3001\u53cc\u8e1d\u5173\u8282\u3001\u53cc\u819d\u5173\u8282\u548c\u53cc\u9acb\u5173\u8282\u3002 <p>(\u4e09\u5341\u56db)\u4e25\u91cd\u514b\u9686\u75c5 <p>\u6307\u4e00\u79cd\u6162\u6027\u8089\u82bd\u80bf\u6027\u80a0\u708e,\u5177\u6709\u7279\u5f81\u6027\u7684\u514b\u9686\u75c5\u75c5\u7406\u7ec4\u7ec7\u5b66\u53d8\u5316\u3002\u8bca\u65ad\u5fc5\u987b\u7531\u75c5\u7406\u68c0\u67e5\u7ed3\u679c\u8bc1\u5b9e\u3002\u88ab\u4fdd \u9669\u4eba\u6240\u60a3\u7684\u514b\u9686\u75c5\u5fc5\u987b\u5df2\u7ecf\u9020\u6210\u7618\u7ba1\u5f62\u6210\u5e76\u4f34\u6709\u80a0\u6897\u963b\u6216\u80a0\u7a7f\u5b54\u3002 <p>(\u4e09\u5341\u4e94)\u56e0\u8f93\u8840\u5bfc\u81f4\u7684\u4eba\u7c7b\u514d\u75ab\u7f3a\u9677\u75c5\u6bd2(HIV)\u611f\u67d3 <p>\u6307\u88ab\u4fdd\u9669\u4eba\u611f\u67d3\u4e0a\u4eba\u7c7b\u514d\u75ab\u7f3a\u9677\u75c5\u6bd2(HIV)\u5e76\u4e14\u6ee1\u8db3\u4e0b\u5217\u5168\u90e8\u6761\u4ef6: <p>1.\u88ab\u4fdd\u9669\u4eba\u56e0\u6cbb\u7597\u5fc5\u987b\u63a5\u53d7\u8f93\u8840,\u5e76\u56e0\u6b64\u800c\u611f\u67d3HIV; <p>2.\u63d0\u4f9b\u8f93\u8840\u6cbb\u7597\u7684\u8f93\u8840\u4e2d\u5fc3\u6216\u533b\u9662\u5fc5\u987b\u4e3a\u6b63\u89c4\u533b\u7597\u673a\u6784,\u5e76\u51fa\u5177\u8be5\u9879\u8f93\u8840\u611f\u67d3\u5c5e\u533b\u7597\u8d23\u4efb\u4e8b\u6545\u7684\u62a5\u544a, \u6216\u7531\u5df2\u751f\u6548\u7684\u6cd5\u9662\u5224\u51b3\u6216\u88c1\u5b9a\u8ba4\u5b9a\u4e3a\u533b\u7597\u8d23\u4efb; <p>3.\u53d7\u611f\u67d3\u7684\u88ab\u4fdd\u9669\u4eba\u4e0d\u662f\u8840\u53cb\u75c5\u60a3\u8005\u3002 <p>\u4efb\u4f55\u56e0\u5176\u4ed6\u4f20\u64ad\u65b9\u5f0f(\u5305\u62ec\u4f46\u4e0d\u9650\u4e8e:\u6027\u4f20\u64ad\u6216\u9759\u8109\u6ce8\u5c04\u6bd2\u54c1)\u5bfc\u81f4\u7684HIV\u611f\u67d3\u4e0d\u5728\u4fdd\u969c\u8303\u56f4\u5185\u3002<p>\u672c\u516c \u53f8\u62e5\u6709\u83b7\u5f97\u4f7f\u7528\u88ab\u4fdd\u9669\u4eba\u7684\u6240\u6709\u8840\u6db2\u6837\u672c\u7684\u6743\u5229\u548c\u80fd\u591f\u5bf9\u8fd9\u4e9b\u6837\u672c\u8fdb\u884c\u72ec\u7acb\u68c0\u9a8c\u7684\u6743\u5229\u3002 \u672c\u516c\u53f8\u627f\u62c5\u672c\u9879\u75be\u75c5\u4fdd\u9669\u8d23\u4efb\u4e0d\u53d7\u672c\u6761\u6b3e\u7b2c\u516b\u6761\u8d23\u4efb\u514d\u9664\u4e2d\u201c\u88ab\u4fdd\u9669\u4eba\u611f\u67d3\u827e\u6ecb\u75c5\u75c5\u6bd2\u6216\u60a3\u827e\u6ecb\u75c5\u201d\u7684\u9650 \u5236\u3002 <p>(\u4e09\u5341\u516d)\u4e25\u91cd\u51a0\u5fc3\u75c5 <p>\u6307\u7ecf\u51a0\u72b6\u52a8\u8109\u9020\u5f71\u68c0\u67e5\u660e\u786e\u8bca\u65ad\u4e3a\u4e3b\u8981\u8840\u7ba1\u4e25\u91cd\u72ed\u7a84\u6027\u75c5\u53d8,\u987b\u6ee1\u8db3\u4e0b\u5217\u81f3\u5c11\u4e00\u9879\u6761\u4ef6: <p>1.\u5de6\u51a0\u72b6\u52a8\u8109\u4e3b\u5e72\u548c\u53f3\u51a0\u72b6\u52a8\u8109\u4e2d,\u4e00\u652f\u8840\u7ba1\u7ba1\u8154\u5835\u585e75%\u4ee5\u4e0a,\u53e6\u4e00\u652f\u8840\u7ba1\u7ba1\u8154\u5835\u585e60%\u4ee5\u4e0a; <p>2.\u5de6\u524d\u964d\u652f\u3001\u5de6\u65cb\u652f\u548c\u53f3\u51a0\u72b6\u52a8\u8109\u4e2d,\u81f3\u5c11\u4e00\u652f\u8840\u7ba1\u7ba1\u8154\u5835\u585e75%\u4ee5\u4e0a,\u5176\u4ed6\u4e24\u652f\u8840\u7ba1\u7ba1\u8154\u5835\u585e60%\u4ee5 \u4e0a\u3002 <p>\u5de6\u524d\u964d\u652f\u7684\u5206\u652f\u8840\u7ba1\u3001\u5de6\u65cb\u652f\u7684\u5206\u652f\u8840\u7ba1\u53ca\u53f3\u51a0\u72b6\u52a8\u8109\u7684\u5206\u652f\u8840\u7ba1\u7684\u72ed\u7a84\u4e0d\u4f5c\u4e3a\u672c\u4fdd\u969c\u7684\u8861\u91cf\u6307\u6807\u3002 <p>(\u4e09\u5341\u4e03)\u4e25\u91cd\u539f\u53d1\u6027\u5fc3\u808c\u75c5 <p> \u6307\u7ecf\u672c\u516c\u53f8\u8ba4\u53ef\u533b\u9662\u7684\u5fc3\u810f\u4e13\u79d1\u533b\u5e08\u786e\u8bca\u88ab\u4fdd\u9669\u4eba\u56e0\u539f\u53d1\u6027\u5fc3\u808c\u75c5\u800c\u51fa\u73b0\u7684\u5fc3\u5ba4\u529f\u80fd\u969c\u788d\u800c\u4f7f\u5176\u51fa\u73b0\u660e \u663e\u7684\u5fc3\u529f\u80fd\u8870\u7aed(\u81f3\u5c11\u8fbe\u5230\u7f8e\u56fd\u7ebd\u7ea6\u5fc3\u810f\u75c5\u5b66\u4f1a\u5fc3\u529f\u80fd\u72b6\u6001\u5206\u7ea7IV\u7ea7(\u6ce8))\u3002<p>\u672c\u4fdd\u969c\u8303\u56f4\u5185\u7684\u5fc3\u808c\u75c5\u4ec5\u5305\u62ec \u6269\u5f20\u578b\u5fc3\u808c\u75c5\u3001\u80a5\u539a\u578b\u5fc3\u808c\u75c5\u53ca\u9650\u5236\u578b\u5fc3\u808c\u75c5\u3002\u4e14\u6709\u76f8\u5173\u4f4f\u9662\u533b\u7597\u8bb0\u5f55\u663e\u793a\u56db\u7ea7\u5fc3\u529f\u80fd\u8870\u7aed\u72b6\u6001\u6301\u7eed\u81f3\u5c11180 \u5929\u3002 <p>\u7ee7\u53d1\u4e8e\u9152\u7cbe\u6ee5\u7528\u6027\u7684\u5fc3\u808c\u75c5\u4e0d\u5728\u4fdd\u969c\u8303\u56f4\u5185\u3002 <p>\u6ce8:\u7f8e\u56fd\u7ebd\u7ea6\u5fc3\u810f\u75c5\u5b66\u4f1a\u5fc3\u529f\u80fd\u72b6\u6001\u5206\u7ea7IV\u7ea7\u662f\u6307\u4e0d\u80fd\u4ece\u4e8b\u4efb\u4f55\u4f53\u529b\u6d3b\u52a8,\u4f11\u606f\u65f6\u4ea6\u6709\u75c7\u72b6\u3002 <p>(\u4e09\u5341\u516b)\u975e\u963f\u5c14\u8328\u6d77\u9ed8\u75c5\u6240\u81f4\u4e25\u91cd\u75f4\u5446 <p>\u6307\u56e0\u963f\u5c14\u8328\u6d77\u9ed8\u75c5\u4ee5\u5916\u7684\u8111\u7684\u5668\u8d28\u6027\u75be\u75c5\u9020\u6210\u8111\u529f\u80fd\u8870\u7aed\u5bfc\u81f4\u6c38\u4e45\u4e0d\u53ef\u9006\u6027\u7684\u4e25\u91cd\u75f4\u5446,\u4e34\u5e8a\u8868\u73b0\u4e3a\u660e \u663e\u7684\u8ba4\u77e5\u80fd\u529b\u969c\u788d\u3001\u884c\u4e3a\u5f02\u5e38\u548c\u793e\u4ea4\u80fd\u529b\u51cf\u9000\u3002\u88ab\u4fdd\u9669\u4eba\u81ea\u4e3b\u751f\u6d3b\u80fd\u529b\u5b8c\u5168\u4e27\u5931,\u65e0\u6cd5\u72ec\u7acb\u5b8c\u6210\u516d\u9879\u57fa\u672c\u65e5 \u5e38\u751f\u6d3b\u6d3b\u52a8\u4e2d\u7684\u4e09\u9879\u6216\u4e09\u9879\u4ee5\u4e0a,\u65e5\u5e38\u751f\u6d3b\u5fc5\u987b\u6301\u7eed\u53d7\u5230\u4ed6\u4eba\u76d1\u62a4\u3002\u5bfc\u81f4\u75f4\u5446\u7684\u75be\u75c5\u5fc5\u987b\u660e\u786e\u8bca\u65ad,\u5e76\u4e14\u7531 \u5b8c\u6574\u7684\u4e34\u5e8a\u3001\u5b9e\u9a8c\u5ba4\u548c\u5f71\u50cf\u5b66\u68c0\u67e5\u7ed3\u679c\u8bc1\u5b9e\u3002 \u795e\u7ecf\u5b98\u80fd\u75c7\u3001\u7cbe\u795e\u75be\u75c5\u53ca\u9152\u7cbe\u4e2d\u6bd2\u6240\u81f4\u8111\u635f\u5bb3\u4e0d\u5728\u4fdd\u969c\u8303\u56f4\u5185\u3002 <p>\u672c\u9879\u75be\u75c5\u9700\u7531\u672c\u516c\u53f8\u8ba4\u53ef\u533b\u9662\u4e2d\u4e09\u7ea7\u53ca\u4ee5\u4e0a\u975e\u76c8\u5229\u6027\u533b\u9662\u6216\u4e09\u7ea7\u53ca\u4ee5\u4e0a\u793e\u4fdd\u5b9a\u70b9\u533b\u9662\u7684\u4e13\u79d1\u533b\u751f\u786e\u8bca\u3002 <p>(\u4e09\u5341\u4e5d)\u690d\u7269\u4eba\u72b6\u6001 <p>\u6307\u88ab\u4fdd\u9669\u4eba\u5df2\u4e27\u5931\u5927\u8111\u76ae\u5c42\u529f\u80fd,\u5bf9\u5916\u754c\u523a\u6fc0\u6216\u4f53\u5185\u9700\u6c42\u7686\u65e0\u53cd\u5e94,\u4eba\u5448\u65e0\u610f\u8bc6\u72b6\u6001,\u4f46\u8111\u5e72\u529f\u80fd\u4ecd\u7136 \u4fdd\u7559,\u5e76\u6301\u7eed\u4f9d\u8d56\u5916\u754c\u751f\u547d\u652f\u6301\u7cfb\u7edf\u81f3\u5c1130\u5929\u4ee5\u4e0a,\u8be5\u75c5\u987b\u7531\u672c\u516c\u53f8\u8ba4\u53ef\u533b\u9662\u7684\u795e\u7ecf\u79d1\u4e13\u5bb6\u786e\u8bca\u5e76\u8bc1\u660e\u6709\u6c38 \u4e45\u6027\u795e\u7ecf\u7cfb\u7edf\u635f\u5bb3\u3002 <p>\u672c\u9879\u75be\u75c5\u9700\u7531\u672c\u516c\u53f8\u8ba4\u53ef\u533b\u9662\u4e2d\u4e09\u7ea7\u53ca\u4ee5\u4e0a\u975e\u76c8\u5229\u6027\u533b\u9662\u6216\u4e09\u7ea7\u53ca\u4ee5\u4e0a\u793e\u4fdd\u5b9a\u70b9\u533b\u9662\u7684\u4e13\u79d1\u533b\u751f\u786e\u8bca\u3002</p> <p>(\u56db\u5341)\u91cd\u75c7\u808c\u65e0\u529b</p> <p>\u662f\u4e00\u79cd\u795e\u7ecf\u808c\u8089\u63a5\u5934\u4f20\u9012\u969c\u788d\u6240\u81f4\u7684\u75be\u75c5,\u8868\u73b0\u4e3a\u5c40\u90e8\u6216\u5168\u8eab\u9aa8\u9abc\u808c(\u7279\u522b\u662f\u773c\u5916\u808c)\u6781\u6613\u75b2\u52b3\u3002\u75be\u75c5 \u53ef\u4ee5\u7d2f\u53ca\u547c\u5438\u808c\u3001\u4e0a\u80a2\u6216\u4e0b\u80a2\u7684\u8fd1\u7aef\u808c\u7fa4\u6216\u5168\u8eab\u808c\u8089,\u5fc5\u987b\u6ee1\u8db3\u4e0b\u5217\u5168\u90e8\u6761\u4ef6:</p> <p>1.\u7ecf\u836f\u7269\u6cbb\u7597\u548c\u80f8\u817a\u5207\u9664\u6cbb\u7597\u4e00\u5e74\u4ee5\u4e0a\u4ecd\u65e0\u6cd5\u63a7\u5236\u75c5\u60c5;</p><p>2.\u81ea\u4e3b\u751f\u6d3b\u80fd\u529b\u5b8c\u5168\u4e27\u5931,\u65e0\u6cd5\u72ec\u7acb\u5b8c\u6210\u516d\u9879\u57fa\u672c\u65e5\u5e38\u751f\u6d3b\u6d3b\u52a8\u4e2d\u7684\u4e09\u9879\u6216\u4e09\u9879\u4ee5\u4e0a\u3002</p><p>(\u56db\u5341\u4e00)\u6e83\u75a1\u6027\u7ed3\u80a0\u708e</p> <p>\u6307\u4f34\u6709\u81f4\u547d\u6027\u7535\u89e3\u8d28\u7d0a\u4e71\u7684\u6025\u6027\u66b4\u53d1\u6027\u6e83\u75a1\u6027\u7ed3\u80a0\u708e,\u75c5\u53d8\u7d2f\u53ca\u5168\u7ed3\u80a0,\u8868\u73b0\u4e3a\u4e25\u91cd\u7684\u8840\u4fbf\u548c\u7cfb\u7edf\u6027\u75c7 \u72b6\u4f53\u5f81\u3002\u6e83\u75a1\u6027\u7ed3\u80a0\u708e\u5fc5\u987b\u6839\u636e\u7ec4\u7ec7\u75c5\u7406\u5b66\u7279\u70b9\u8bca\u65ad,\u5e76\u4e14\u88ab\u4fdd\u9669\u4eba\u5df2\u7ecf\u63a5\u53d7\u4e86\u7ed3\u80a0\u5207\u9664\u548c/\u6216\u56de\u80a0\u9020\u7618\u672f\u3002</p> <p>(\u56db\u5341\u4e8c)\u80be\u9ad3\u8d28\u56ca\u6027\u75c5</p> <p>\u80be\u9ad3\u8d28\u56ca\u6027\u75c5\u7684\u8bca\u65ad\u987b\u540c\u65f6\u7b26\u5408\u4e0b\u5217\u8981\u6c42:</p> <p>(1)\u80be\u9ad3\u8d28\u6709\u56ca\u80bf\u3001\u80be\u5c0f\u7ba1\u840e\u7f29\u53ca\u95f4\u8d28\u7ea4\u7ef4\u5316\u7b49\u75c5\u7406\u6539\u53d8;</p> <p>(2)\u8bca\u65ad\u987b\u7531\u80be\u7ec4\u7ec7\u6d3b\u68c0\u786e\u5b9a;</p> <p>(3)\u5df2\u8bca\u65ad\u4e3a\u80be\u529f\u80fd\u8870\u7aed\u3002</p> <p>\u672c\u516c\u53f8\u627f\u62c5\u672c\u9879\u75be\u75c5\u4fdd\u9669\u8d23\u4efb\u4e0d\u53d7\u672c\u6761\u6b3e\u7b2c\u516d\u6761\u8d23\u4efb\u514d\u9664\u4e2d\u201c\u9057\u4f20\u6027\u75be\u75c5,\u5148\u5929\u6027\u7578\u5f62\u3001\u53d8\u5f62\u6216\u67d3\u8272\u4f53\u5f02 \u5e38\u201d\u7684\u9650\u5236\u3002</p> <p>(\u56db\u5341\u4e09)\u5168\u8eab\u6027\u786c\u76ae\u75c5 </p><p>\u6307\u4e00\u79cd\u5168\u8eab\u6027\u7684\u80f6\u539f\u8840\u7ba1\u6027\u75be\u75c5,\u53ef\u4ee5\u5bfc\u81f4\u76ae\u80a4\u3001\u8840\u7ba1\u53ca\u5185\u810f\u5668\u5b98\u8fdb\u884c\u6027\u5f25\u6f2b\u6027\u7ea4\u7ef4\u5316\u3002\u8bca\u65ad\u5fc5\u987b\u7ecf\u6d3b \u68c0\u53ca\u8840\u6e05\u5b66\u68c0\u67e5\u8bc1\u5b9e,\u75be\u75c5\u5fc5\u987b\u662f\u5168\u8eab\u6027\u7684\u5e76\u7d2f\u53ca\u5fc3\u810f\u3001\u80ba\u6216\u80be\u810f\u3002</p> <p>\u4ee5\u4e0b\u60c5\u51b5\u4e0d\u5728\u4fdd\u969c\u8303\u56f4\u5185:</p> <p>1.\u5c40\u9650\u6027\u786c\u76ae\u75c5(\u5e26\u72b6\u786c\u76ae\u75c5\u6216\u6591\u72b6\u635f\u5bb3);</p> <p>2.\u55dc\u9178\u6027\u7b4b\u819c\u708e;</p> <p>3.CREST\u7efc\u5408\u5f81\u3002</p> <p>(\u56db\u5341\u56db)\u80ba\u6e90\u6027\u5fc3\u810f\u75c5</p> <p>\u6307\u88ab\u4fdd\u9669\u4eba\u56e0\u6162\u6027\u80ba\u90e8\u75be\u75c5\u5bfc\u81f4\u6162\u6027\u5fc3\u529f\u80fd\u635f\u5bb3\u9020\u6210\u6c38\u4e45\u4e0d\u53ef\u9006\u6027\u7684\u5fc3\u529f\u80fd\u8870\u7aed\u3002\u5fc3\u529f\u80fd\u8870\u7aed\u7a0b\u5ea6\u81f3\u5c11 \u8fbe\u5230\u7f8e\u56fd\u7ebd\u7ea6\u5fc3\u810f\u75c5\u5b66\u4f1a\u5fc3\u529f\u80fd\u72b6\u6001\u5206\u7ea7IV\u7ea7(\u6ce8)\u3002\u88ab\u4fdd\u9669\u4eba\u6c38\u4e45\u4e0d\u53ef\u9006\u6027\u7684\u4f53\u529b\u6d3b\u52a8\u80fd\u529b\u53d7\u9650,\u4e0d\u80fd\u4ece\u4e8b \u4efb\u4f55\u4f53\u529b\u6d3b\u52a8\u3002</p> <p>\u6ce8:\u7f8e\u56fd\u7ebd\u7ea6\u5fc3\u810f\u75c5\u5b66\u4f1a\u5fc3\u529f\u80fd\u72b6\u6001\u5206\u7ea7IV\u7ea7\u662f\u6307\u4e0d\u80fd\u4ece\u4e8b\u4efb\u4f55\u4f53\u529b\u6d3b\u52a8,\u4f11\u606f\u65f6\u4ea6\u6709\u75c7\u72b6\u3002</p> <p>(\u56db\u5341\u4e94)\u6162\u6027\u80be\u4e0a\u817a\u529f\u80fd\u4e0d\u5168</p> <p>\u6307\u539f\u53d1\u6027\u81ea\u8eab\u514d\u75ab\u6027\u80be\u4e0a\u817a\u708e,\u5bfc\u81f4\u80be\u4e0a\u817a\u840e\u7f29\u548c\u6162\u6027\u80be\u4e0a\u817a\u76ae\u8d28\u529f\u80fd\u51cf\u9000\u3002\u5fc5\u987b\u6ee1\u8db3\u6240\u6709\u4ee5\u4e0b\u6761\u4ef6: 1.\u660e\u786e\u8bca\u65ad,\u7b26\u5408\u6240\u6709\u4ee5\u4e0b\u8bca\u65ad\u6807\u51c6;</p> <p>(1)\u8840\u6d46\u4fc3\u80be\u4e0a\u817a\u76ae\u8d28\u6fc0\u7d20(ACTH)\u6c34\u5e73\u6d4b\u5b9a\u5927\u4e8e100pg/ml; </p><p>(2)\u8840\u6d46\u548c\u5c3f\u6e38\u79bb\u76ae\u8d28\u9187\u53ca\u5c3f17\u7f9f\u76ae\u8d28\u7c7b\u56fa\u9187\u300117\u916e\u76ae\u8d28\u7c7b\u56fa\u9187\u6d4b\u5b9a\u3001\u8840\u6d46\u80be\u7d20\u6d3b\u6027\u3001\u8840\u7ba1\u7d27\u5f20\u7d20II\u548c \u919b\u56fa\u916e\u6d4b\u5b9a,\u663e\u793a\u4e3a\u539f\u53d1\u6027\u80be\u4e0a\u817a\u76ae\u8d28\u529f\u80fd\u51cf\u9000\u75c7;</p> <p>(3)\u4fc3\u80be\u4e0a\u817a\u76ae\u8d28\u6fc0\u7d20(ACTH)\u523a\u6fc0\u8bd5\u9a8c\u663e\u793a\u4e3a\u539f\u53d1\u6027\u80be\u4e0a\u817a\u76ae\u8d28\u529f\u80fd\u51cf\u9000\u75c7\u3002</p> <p>2.\u5df2\u7ecf\u91c7\u7528\u76ae\u8d28\u7c7b\u56fa\u9187\u66ff\u4ee3\u6cbb\u7597180 \u5929\u4ee5\u4e0a\u3002</p> <p>\u672c\u4fdd\u969c\u4ec5\u5305\u62ec\u7531\u81ea\u8eab\u514d\u75ab\u529f\u80fd\u7d0a\u4e71\u6240\u5bfc\u81f4\u7684\u6162\u6027\u80be\u4e0a\u817a\u529f\u80fd\u4e0d\u5168,\u5176\u4ed6\u6210\u56e0(\u5305\u62ec\u4f46\u4e0d\u9650\u4e8e:\u80be\u4e0a\u817a\u7ed3 \u6838\u3001HIV\u611f\u67d3\u6216\u827e\u6ecb\u75c5\u3001\u611f\u67d3\u3001\u80bf\u7624)\u6240\u81f4\u7684\u539f\u53d1\u6027\u80be\u4e0a\u817a\u76ae\u8d28\u529f\u80fd\u51cf\u9000\u548c\u7ee7\u53d1\u6027\u80be\u4e0a\u817a\u76ae\u8d28\u529f\u80fd\u51cf\u9000\u5747\u4e0d \u5728\u4fdd\u969c\u8303\u56f4\u5185\u3002</p> <p>\u4ee5\u4e0a\u7b2c(\u4e00)\u79cd\u81f3\u7b2c(\u4e8c\u5341\u4e94)\u79cd\u75be\u75c5\u7684\u540d\u79f0\u548c\u91ca\u4e49\u4e3a\u4e2d\u56fd\u4fdd\u9669\u884c\u4e1a\u534f\u4f1a\u5236\u5b9a\u7684\u300a\u91cd\u5927\u75be\u75c5\u4fdd\u9669\u7684\u75be\u75c5 \u5b9a\u4e49\u4f7f\u7528\u89c4\u8303\u300b\u4e2d\u7684\u75be\u75c5\u540d\u79f0\u548c\u91ca\u4e49\u3002\u7b2c(\u4e8c\u5341\u516d)\u79cd\u81f3\u7b2c(\u56db\u5341\u4e94)\u79cd\u75be\u75c5\u4e3a\u672c\u516c\u53f8\u589e\u52a0\u7684\u75be\u75c5\u7c7b\u578b\u3002</p> <p>\u4e0a\u8ff0\u91cd\u5927\u75be\u75c5\u4e2d\u6240\u6307\u7684\u6c38\u4e45\u4e0d\u53ef\u9006,\u6307\u81ea\u75be\u75c5\u786e\u8bca\u6216\u610f\u5916\u4f24\u5bb3\u53d1\u751f\u4e4b\u65e5\u8d77,\u7ecf\u8fc7\u79ef\u6781\u6cbb\u7597180\u5929\u540e,\u4ecd\u65e0 \u6cd5\u901a\u8fc7\u73b0\u6709\u533b\u7597\u624b\u6bb5\u6062\u590d\u3002</p> <p>\u4e0a\u8ff0\u91cd\u5927\u75be\u75c5\u4e2d\u6240\u6307\u7684\u516d\u9879\u57fa\u672c\u65e5\u5e38\u751f\u6d3b\u6d3b\u52a8\u662f\u6307:</p> <p>(1)\u7a7f\u8863:\u81ea\u5df1\u80fd\u591f\u7a7f\u8863\u53ca\u8131\u8863;</p> <p>(2)\u79fb\u52a8:\u81ea\u5df1\u4ece\u4e00\u4e2a\u623f\u95f4\u5230\u53e6\u4e00\u4e2a\u623f\u95f4;</p> <p>(3)\u884c\u52a8:\u81ea\u5df1\u4e0a\u4e0b\u5e8a\u6216\u4e0a\u4e0b\u8f6e\u6905;</p> <p>(4)\u5982\u5395:\u81ea\u5df1\u63a7\u5236\u8fdb\u884c\u5927\u5c0f\u4fbf;</p> <p>(5)\u8fdb\u98df:\u81ea\u5df1\u4ece\u5df2\u51c6\u5907\u597d\u7684\u7897\u6216\u789f\u4e2d\u53d6\u98df\u7269\u653e\u5165\u53e3\u4e2d;</p> <p>(6)\u6d17\u6fa1:\u81ea\u5df1\u8fdb\u884c\u6dcb\u6d74\u6216\u76c6\u6d74\u3002</p> <p>21.9\u3010\u6bd2\u54c1\u3011\u6307\u4e2d\u534e\u4eba\u6c11\u5171\u548c\u56fd\u5211\u6cd5\u89c4\u5b9a\u7684\u9e26\u7247\u3001\u6d77\u6d1b\u56e0\u3001\u7532\u57fa\u82ef\u4e19\u80fa(\u51b0\u6bd2)\u3001\u5417\u5561\u3001\u5927\u9ebb\u3001\u53ef\u5361\u56e0\u4ee5 \u53ca\u56fd\u5bb6\u89c4\u5b9a\u7ba1\u5236\u7684\u5176\u5b83\u80fd\u591f\u4f7f\u4eba\u5f62\u6210\u763e\u7656\u7684\u9ebb\u9189\u836f\u54c1\u548c\u7cbe\u795e\u836f\u54c1,\u4f46\u4e0d\u5305\u62ec\u7531\u533b\u751f\u5f00\u5177\u5e76\u9075\u533b\u5631\u4f7f\u7528\u7684\u7528\u4e8e \u6cbb\u7597\u75be\u75c5\u4f46\u542b\u6709\u6bd2\u54c1\u6210\u5206\u7684\u5904\u65b9\u836f\u54c1\u3002</p> <p>21.10\u3010\u9152\u540e\u9a7e\u9a76\u3011\u6307\u7ecf\u68c0\u6d4b\u6216\u9274\u5b9a,\u53d1\u751f\u4e8b\u6545\u65f6\u8f66\u8f86\u9a7e\u9a76\u4eba\u5458\u6bcf\u767e\u6beb\u5347\u8840\u6db2\u4e2d\u7684\u9152\u7cbe\u542b\u91cf\u8fbe\u5230\u6216\u8d85\u8fc7\u4e00 \u5b9a\u7684\u6807\u51c6,\u88ab\u516c\u5b89\u673a\u5173\u4ea4\u901a\u7ba1\u7406\u90e8\u95e8\u4f9d\u6cd5\u8ba4\u5b9a\u4e3a\u996e\u9152\u540e\u9a7e\u9a76\u6216\u9189\u9152\u540e\u9a7e\u9a76\u3002</p> <p>21.11\u3010\u65e0\u5408\u6cd5\u6709\u6548\u9a7e\u9a76\u8bc1\u9a7e\u9a76\u3011\u6307\u4e0b\u5217\u60c5\u5f62\u4e4b\u4e00:</p> <p>(1)\u6ca1\u6709\u53d6\u5f97\u9a7e\u9a76\u8d44\u683c;</p> <p>(2)\u9a7e\u9a76\u4e0e\u9a7e\u9a76\u8bc1\u51c6\u9a7e\u8f66\u578b\u4e0d\u76f8\u7b26\u5408\u7684\u8f66\u8f86;</p> <p>(3)\u6301\u5ba1\u9a8c\u4e0d\u5408\u683c\u7684\u9a7e\u9a76\u8bc1\u9a7e\u9a76;</p> <p>(4)\u6301\u5b66\u4e60\u9a7e\u9a76\u8bc1\u5b66\u4e60\u9a7e\u8f66\u65f6,\u65e0\u6559\u7ec3\u5458\u968f\u8f66\u6307\u5bfc,\u6216\u4e0d\u6309\u6307\u5b9a\u65f6\u95f4\u3001\u8def\u7ebf\u5b66\u4e60\u9a7e\u8f66\u3002</p> <p>21.12\u3010\u65e0\u6709\u6548\u884c\u9a76\u8bc1\u3011\u6307\u4e0b\u5217\u60c5\u5f62\u4e4b\u4e00:</p> <p>(1)\u672a\u53d6\u5f97\u6709\u6548\u884c\u9a76\u8bc1;</p> <p>(2)\u673a\u52a8\u8f66\u88ab\u4f9d\u6cd5\u6ce8\u9500\u767b\u8bb0\u7684;</p> <p>(3)\u672a\u4f9d\u6cd5\u6309\u65f6\u8fdb\u884c\u6216\u901a\u8fc7\u673a\u52a8\u8f66\u5b89\u5168\u6280\u672f\u68c0\u9a8c\u3002</p> 21.13\u3010\u673a\u52a8\u8f66\u3011\u6307\u4ee5\u52a8\u529b\u88c5\u7f6e\u9a71\u52a8\u6216\u8005\u7275\u5f15,\u4e0a\u9053\u8def\u884c\u9a76\u7684\u4f9b\u4eba\u5458\u4e58\u7528\u6216\u8005\u7528\u4e8e\u8fd0\u9001\u7269\u54c1\u4ee5\u53ca\u8fdb\u884c\u5de5\u7a0b \u4e13\u9879\u4f5c\u4e1a\u7684\u8f6e\u5f0f\u8f66\u8f86\u3002</p> <p>21.14\u3010\u827e\u6ecb\u75c5\u75c5\u6bd2\u3011\u6307\u540e\u5929\u6027\u514d\u75ab\u529b\u7f3a\u4e4f\u7efc\u5408\u75c7\u75c5\u6bd2\u3002\u540e\u5929\u6027\u514d\u75ab\u529b\u7f3a\u4e4f\u7efc\u5408\u75c7\u7684\u5b9a\u4e49\u5e94\u6309\u4e16\u754c\u536b\u751f\u7ec4 \u7ec7\u5236\u5b9a\u7684\u5b9a\u4e49\u4e3a\u51c6,\u5982\u5728\u8840\u6db2\u6837\u672c\u4e2d\u53d1\u73b0\u540e\u5929\u6027\u514d\u75ab\u529b\u7f3a\u4e4f\u7efc\u5408\u75c7\u75c5\u6bd2\u6216\u5176\u6297\u4f53,\u5219\u53ef\u8ba4\u5b9a\u4e3a\u611f\u67d3\u827e\u6ecb\u75c5\u6216 \u827e\u6ecb\u75c5\u75c5\u6bd2\u3002</p> <p>21.15\u3010\u827e\u6ecb\u75c5\u3011\u6307\u540e\u5929\u6027\u514d\u75ab\u529b\u7f3a\u4e4f\u7efc\u5408\u75c7\u3002</p> <p>21.16\u3010\u9057\u4f20\u6027\u75be\u75c5\u3011\u6307\u56e0\u4e3a\u751f\u6b96\u7ec6\u80de\u6216\u53d7\u7cbe\u5375\u7684\u9057\u4f20\u7269\u8d28(\u67d3\u8272\u4f53\u548c\u57fa\u56e0)\u53d1\u751f\u7a81\u53d8\u6216\u7578\u53d8\u6240\u5f15\u8d77\u7684\u75be \u75c5,\u901a\u5e38\u5177\u6709\u7531\u4eb2\u4ee3\u4f20\u81f3\u540e\u4ee3\u7684\u5782\u76f4\u4f20\u9012\u7684\u7279\u5f81\u3002</p> <p>21.17\u3010\u5148\u5929\u6027\u7578\u5f62\u3001\u53d8\u5f62\u548c\u67d3\u8272\u4f53\u5f02\u5e38\u3011\u6307\u88ab\u4fdd\u9669\u4eba\u51fa\u751f\u65f6\u5c31\u5177\u6709\u7684\u7578\u5f62\u3001\u53d8\u5f62\u6216\u8005\u67d3\u8272\u4f53\u5f02\u5e38\u3002\u5148\u5929 \u6027\u7578\u5f62\u3001\u53d8\u5f62\u548c\u67d3\u8272\u4f53\u5f02\u5e38\u4f9d\u7167\u4e16\u754c\u536b\u751f\u7ec4\u7ec7\u300a\u75be\u75c5\u548c\u6709\u5173\u5065\u5eb7\u95ee\u9898\u7684\u56fd\u9645\u7edf\u8ba1\u5206\u7c7b\u300b(ICD-10)\u786e\u5b9a\u3002</p> <p>21.18\u3010\u6709\u6548\u8eab\u4efd\u8bc1\u4ef6\u3011\u6307\u7531\u653f\u5e9c\u4e3b\u7ba1\u90e8\u95e8\u89c4\u5b9a\u7684\u8bc1\u660e\u5176\u8eab\u4efd\u7684\u8bc1\u4ef6,\u5982:\u5c45\u6c11\u8eab\u4efd\u8bc1\u3001\u6309\u89c4\u5b9a\u53ef\u4f7f\u7528\u7684 \u6709\u6548\u62a4\u7167\u3001\u8b66\u5b98\u8bc1\u3001\u6237\u53e3\u7c3f\u7b49\u8bc1\u4ef6\u3002</p> <p>\u4e2d\u56fd\u5185\u5730\u5c45\u6c11\u63d0\u51fa\u6295\u4fdd\u7533\u8bf7\u65f6,\u5fc5\u987b\u63d0\u4f9b\u4e8c\u4ee3\u768418\u4f4d\u4e2d\u534e\u4eba\u6c11\u5171\u548c\u56fd\u5c45\u6c11\u8eab\u4efd\u8bc1\u53ca\u4fe1\u606f;\u4e2d\u56fd\u6e2f\u6fb3\u5c45\u6c11 \u63d0\u51fa\u6295\u4fdd\u7533\u8bf7\u65f6,\u5fc5\u987b\u63d0\u4f9b\u6e2f\u6fb3\u5c45\u6c11\u6765\u5f80\u5185\u5730\u901a\u884c\u8bc1\u53ca\u4fe1\u606f;\u4e2d\u56fd\u53f0\u6e7e\u5c45\u6c11\u63d0\u51fa\u6295\u4fdd\u7533\u8bf7\u65f6,\u5fc5\u987b\u63d0\u4f9b\u53f0\u6e7e \u5c45\u6c11\u6765\u5f80\u5927\u9646\u901a\u884c\u8bc1\u53ca\u4fe1\u606f;\u5916\u7c4d\u4eba\u5458\u63d0\u51fa\u6295\u4fdd\u7533\u8bf7\u65f6,\u5fc5\u987b\u63d0\u4f9b\u672c\u56fd\u62a4\u7167\u53ca\u4fe1\u606f\u3002</p> <p>\u82e5\u65e0\u6cd5\u63d0\u4f9b\u4ee5\u4e0a\u8eab\u4efd\u8bc1\u4ef6\u7c7b\u578b\u7684,\u88ab\u4fdd\u9669\u4eba\u987b\u5411\u672c\u516c\u53f8\u63d0\u4f9b\u80fd\u591f\u8bc1\u660e\u5176\u8eab\u4efd\u7684\u5408\u7406\u552f\u4e00\u7684\u5176\u4ed6\u6709\u6548\u8eab\u4efd\u8bc1\u4ef6\u3002</p> <p>21.19\u3010\u672a\u6ee1\u671f\u51c0\u4fdd\u9669\u8d39\u3011\u672a\u6ee1\u671f\u51c0\u4fdd\u9669\u8d39=\u51c0\u4fdd\u9669\u8d39\xd7(1-\u4fdd\u9669\u7ecf\u8fc7\u65e5\u6570 / \u4fdd\u9669\u671f\u95f4\u7684\u65e5\u6570),\u7ecf\u8fc7\u65e5 \u6570\u4e0d\u8db31\u65e5\u7684\u63091\u65e5\u8ba1\u7b97\u3002</p> <p>\u51c0\u4fdd\u9669\u8d39\u6307\u6295\u4fdd\u4eba\u6240\u4ea4\u7eb3\u7684\u4fdd\u9669\u8d39\u6263\u9664\u6bcf\u5f20\u4fdd\u9669\u5355\u5e73\u5747\u627f\u62c5\u7684\u672c\u516c\u53f8\u5404\u9879\u8d39\u7528(\u542b\u8425\u4e1a\u8d39\u7528\u3001\u4ee3\u7406\u8d39\u3001 \u5404\u9879\u7a0e\u91d1\u3001\u4fdd\u9669\u4fdd\u969c\u57fa\u91d1\u7b49)\u540e\u7684\u4f59\u989d,\u6263\u9664\u90e8\u5206\u5360\u6240\u4ea4\u4fdd\u9669\u8d39\u7684 20%\u3002</p> </div> </section>');

},{"template":80}],54:[function(require,module,exports){
/*TMODJS:{"version":1,"md5":"0347af4d3564bf59deb8db2eb5e5f0a9"}*/
var template=require("template");module.exports=template("insurance/insurancePage/view/template/faceRecognition.tpl",function(a){"use strict";var b=this,c=(b.$helpers,a.isApp),d="";return d+='<section id="scanningBox"> <div class="scanningArea"> <span> <img src="assets/css/image/faceScanningArear.png"/ class="faceArea"> </span> ',c||(d+=' <input type="file" capture="camera" accept="image/*" id="cameraInput" name="cameraInput" class="sign_file" value=" "/> '),d+=" <p>\u521b\u5efa\u65f6\u8bf7\u6c90\u6d74\u5728\u67d4\u548c\u7684\u5149\u7ebf\u4e0b\u5e76\u4fdd\u6301\u6b63\u8138\u9762\u5bf9\u5c4f\u5e55</p> <p>\u70b9\u51fb\u56fe\u50cf\u62cd\u7167</p> </div> </section>",new String(d)});
},{"template":80}],55:[function(require,module,exports){
/*TMODJS:{"version":1,"md5":"c7468177d6fe0cfc644e5f93a3087aba"}*/
var template=require("template");module.exports=template("insurance/insurancePage/view/template/healthInform.tpl",function(a){"use strict";var b=this,c=(b.$helpers,b.$escape),d=a.healthList,e=a.i,f=a.healthNotice,g=a.vals,h=a.val,i=a.subList,j=a.j,k=a.isSubSpe,l=a.hasContent,m=a.contentList,n=a.isSpe,o=a.t,p="";p+=' <section id="healthInform"> <div class="informContent"> <h1>\u8bf7\u8f93\u5165\u60a8\u7684\u8eab\u9ad8\u4f53\u91cd</h1> <span class="height"><em></em>\u8eab\u9ad8\uff1a<input class="bmi" id="height" type="number" value="',p+=c(d.height),p+='" placeholder=\'\u8eab\u9ad8\'/>CM</span> <span class=\'weight\'><em></em>\u4f53\u91cd\uff1a<input class="bmi" id="weight" type="number" value="',p+=c(d.weight),p+='" placeholder=\'\u4f53\u91cd\'/>KG</span> </div> <p class="line"></p> ';for(var e=0;e<f.length;e++){p+=' <div class="informContent"> <h1>',p+=c(e+1),p+="\u3001 ",p+=c(f[e].healthNoticeDes),p+="</h1> ";var h,g=d[e]||[];if(f[e].subQuestionList)for(var i=f[e].subQuestionList,j=0;j<i.length;j++){h=g[j];var k=""==i[j].healthNoticeType?"needCheck":"";p+=" <p><em></em>",p+=c(j+1),p+="\uff09 ",p+=c(i[j].healthNoticeDes),p+='</p> <div class="healthSelectBox"> <span class="sm_borderBtn ',p+=c(k),p+=" right ",p+=c("N"==h?"active":""),p+='" qid="',p+=c(e),p+='" isSub="Y" value="N">\u5426</span> <span class="sm_borderBtn ',p+=c(k),p+=" ",p+=c("Y"==h?"active":""),p+='" qid="',p+=c(e),p+='" isSub="Y" value="Y">\u662f</span> <div style="clear: both;"></div> </div> '}else{h=g[0];var l=""!=f[e].healthInformedContext?!0:!1,m=f[e].healthInformedContext.split("#"),n=""==f[e].healthNoticeType?"needCheck":"";if(p+=' <div class="healthSelectBox" > <span class="sm_borderBtn right ',p+=c("N"==h?"active":""),p+=" ",p+=c(n),p+='" qid="',p+=c(e),p+='" value="N">\u5426</span> <span class="sm_borderBtn ',p+=c("Y"==h?"active":""),p+=" ",p+=c(n),p+='" qid="',p+=c(e),p+='" value="Y">\u662f</span> <div style="clear: both;"></div> </div> ',l)for(var o=0;o<m.length;o++)p+=" <p><em></em>",p+=c(o+1),p+="\uff09 ",p+=c(m[o]),p+="</p> "}p+=' </div> <p class="line"></p> '}return p+=' </section> <div class="fixedFoot"> <div class="nextStepBtn"> \u4e0b\u4e00\u6b65 </div> </div>',new String(p)});
},{"template":80}],56:[function(require,module,exports){
/*TMODJS:{"version":1,"md5":"b8cbc10781ea0a12a29d197ccd318da8"}*/
var template=require("template");module.exports=template("insurance/insurancePage/view/template/idRecognition.tpl",function(a){"use strict";var b=this,c=(b.$helpers,b.$escape),d=a.verifiedCount,e="";return e+='<section id="idRecognition"> <div class="idRecBox"> <span>\u5df2\u6709<em>',e+=c(d),e+='</em>\u4eba\u5b8c\u6210\u8eab\u4efd\u9a8c\u8bc1</span> <p>\u60a8\u8d2d\u4e70\u7684\u4e3a\u533b\u4fdd\u4ea7\u54c1\uff0c\u9700\u8981\u8fdb\u884c\u8eab\u4efd\u9a8c\u8bc1\u624d\u80fd\u8d2d\u4e70</p> <ul class="recStyle"> <li class="faceRec"></li> <li class="bankCardRec"></li> </ul> </div> </section>',new String(e)});
},{"template":80}],57:[function(require,module,exports){
/*TMODJS:{"version":1,"md5":"ecbd8548c89a0b5dfba0c9dc81836195"}*/
var template=require("template");module.exports=template("insurance/insurancePage/view/template/inhospitalProvision.tpl",'<section id="detailsInstruction"> <div class="informContent border-line"> <p style="text-align: center">\u5e73\u5b89\u4e0a\u6d77\u533b\u4fdd\u8d26\u6237\u4f4f\u9662\u81ea\u8d39\u533b\u7597\u4fdd\u9669\u6761\u6b3e</p> <p>\u63d0\u793a:</p> <p>\u6761\u6b3e\u6b63\u6587\u4e2d\u52a0\u7c97\u663e\u793a\u7684\u6587\u5b57\u5185\u5bb9\u4e3a\u514d\u9664\u672c\u516c\u53f8\u4fdd\u9669\u8d23\u4efb\u7684\u6761\u6b3e,\u8bf7\u6ce8\u610f\u4ed4\u7ec6\u9605\u8bfb\u3002 <p>\u7b2c\u4e00\u6761 \u4fdd\u9669\u5408\u540c\u6784\u6210 <p>\u672c\u4fdd\u9669\u5408\u540c(\u4ee5\u4e0b\u7b80\u79f0\u201c\u672c\u5408\u540c\u201d)\u7531\u4fdd\u9669\u5355\u6216\u5176\u5b83\u4fdd\u9669\u51ed\u8bc1\u53ca\u6240\u9644\u6761\u6b3e\u3001\u6295\u4fdd\u5355\u7b49\u4e0e\u672c\u5408\u540c\u6709\u5173\u7684\u6295\u4fdd\u6587 \u4ef6\u3001\u5408\u6cd5\u6709\u6548\u7684\u58f0\u660e\u3001\u6279\u6ce8\u3001\u6279\u5355\u3001\u5176\u5b83\u4e66\u9762\u534f\u8bae\u6784\u6210\u3002 <p>\u7b2c\u4e8c\u6761 \u4fdd\u9669\u5408\u540c\u6210\u7acb\u4e0e\u751f\u6548 <p>\u6295\u4fdd\u4eba\u63d0\u51fa\u4fdd\u9669\u7533\u8bf7\u3001\u672c\u516c\u53f8(\u89c1 21.1)\u540c\u610f\u627f\u4fdd,\u672c\u5408\u540c\u6210\u7acb\u3002 <p>\u9664\u53e6\u6709\u7ea6\u5b9a\u5916,\u672c\u5408\u540c\u81ea\u672c\u516c\u53f8\u540c\u610f\u627f\u4fdd\u3001\u6536\u53d6\u4fdd\u9669\u8d39\u5e76\u7b7e\u53d1\u4fdd\u9669\u5355\u5f00\u59cb\u751f\u6548,\u5177\u4f53\u751f\u6548\u65e5\u4ee5\u4fdd\u9669\u5355\u6240 \u8f7d\u7684\u65e5\u671f\u4e3a\u51c6\u3002 <p>\u7b2c\u4e09\u6761 \u6295\u4fdd\u5bf9\u8c61 <p>(\u4e00)\u6295\u4fdd\u4eba\u8303\u56f4: <p>\u9664\u53e6\u6709\u7ea6\u5b9a\u5916,\u672c\u4fdd\u9669\u6295\u4fdd\u4eba\u4e3a\u88ab\u4fdd\u9669\u4eba\u672c\u4eba\u3002 <p>(\u4e8c)\u88ab\u4fdd\u9669\u4eba\u8303\u56f4: \u9664\u53e6\u6709\u7ea6\u5b9a\u5916,\u6295\u4fdd\u65f6\u5df2\u53c2\u52a0\u4e0a\u6d77\u5e02\u57ce\u9547\u804c\u5de5\u57fa\u672c\u533b\u7597\u4fdd\u9669\u4e14\u4e2a\u4eba\u5386\u5e74\u533b\u4fdd\u8d26\u6237\u4f59\u989d\u7b26\u5408\u8868 1 \u7ea6\u5b9a\u6761\u4ef6\u3001 \u8eab\u4f53\u5065\u5eb7\u7684\u3001\u7b26\u5408\u672c\u516c\u53f8\u627f\u4fdd\u6761\u4ef6\u8005\u5747\u53ef\u4f5c\u4e3a\u88ab\u4fdd\u9669\u4eba\u53c2\u52a0\u672c\u4fdd\u9669\u3002 <p>\u9996\u6b21\u6295\u4fdd(\u89c1 21.2)\u5e74\u9f84\u8303\u56f4\u4e3a 16(\u542b)\u81f3 65 \u5468\u5c81(\u542b)(\u89c1 21.3)\u3002\u4f46\u5bf9\u4e8e\u653f\u7b56\u5b9e\u65bd\u4e4b\u65e5(\u89c1 21.4)\u5df2 \u6ee1 66 \u5468\u5c81(\u542b)\u7684\u4eba\u7fa4,\u9700\u5728\u653f\u7b56\u5b9e\u65bd\u4e4b\u65e5\u8d77\u4e00\u5e74\u4e4b\u5185\u6295\u4fdd,\u53ef\u4ee5\u4e0d\u53d7\u524d\u8ff0\u9996\u6b21\u6295\u4fdd\u5e74\u9f84\u8303\u56f4\u9650\u5236\u3002 <p>\u88681</p> <table border = 1 cellspacing=0 cellpadding=2> <tr><td>\u5e74\u9f84\u8303\u56f4</td><td>\u4e2a\u4eba\u5386\u5e74\u533b\u4fdd\u8d26\u6237\u4f59\u989d\u7ea6\u5b9a\u6761\u4ef6</td></tr> <tr><td>16\u5468\u5c81\uff08\u542b\uff09\u81f365\u5468\u5c81\uff08\u542b\uff09</td><td>\u4e2a\u4eba\u5386\u5e74\u533b\u4fdd\u8d26\u6237\u4f59\u989d\u2265\u9996\u671f\u4fdd\u8d39</td></tr> <tr><td>\u5df2\u6ee166\u5468\u5c81\uff08\u542b\uff09\u81f375\u5468\u5c81\uff08\u542b\uff09</td><td>\u4e2a\u4eba\u5386\u5e74\u533b\u4fdd\u8d26\u6237\u4f59\u989d\u22651500\u5143</td></tr> </table> <p>\u7b2c\u56db\u6761 \u7eed\u4fdd <p>(\u4e00)\u7eed\u4fdd\u6761\u4ef6: <p>\u88ab\u4fdd\u9669\u4eba\u9996\u6b21\u6295\u4fdd\u5e74\u9f84\u5c0f\u4e8e 55 \u5468\u5c81(\u4e0d\u542b),\u5e76\u81ea\u5e74\u6ee1 55 \u5468\u5c81(\u542b)\u8d77\u4ecd\u8fde\u7eed\u6295\u4fdd(\u89c1 21.5)\u672c\u4fdd\u9669\u7684, \u7eed\u4fdd\u65e0\u6700\u9ad8\u5e74\u9f84\u9650\u5236;\u88ab\u4fdd\u9669\u4eba\u9996\u6b21\u6295\u4fdd\u5e74\u9f84\u5927\u4e8e 55 \u5468\u5c81(\u542b),\u5e76\u8fde\u7eed\u6295\u4fdd\u672c\u4fdd\u9669\u7684,\u7eed\u4fdd\u65e0\u6700\u9ad8\u5e74\u9f84\u9650 \u5236;\u9664\u4e0a\u8ff0\u4e24\u79cd\u60c5\u5f62\u5916,\u7eed\u4fdd\u6700\u9ad8\u6295\u4fdd\u5e74\u9f84\u4e3a 65 \u5468\u5c81(\u542b)\u3002 <p>\u5728\u672c\u516c\u53f8\u6295\u4fdd\u672c\u4fdd\u9669\u6240\u6709\u4fdd\u5355\u7684\u4fdd\u9669\u671f\u95f4\u5185,\u88ab\u4fdd\u9669\u4eba\u7d2f\u79ef\u5df2\u4ece\u672c\u4fdd\u9669\u83b7\u5f97\u6216\u5e94\u5f53\u83b7\u5f97\u7684\u8d54\u4ed8\u91d1\u989d\u5df2\u5230 \u8fbe\u4eba\u6c11\u5e01 20 \u4e07\u5143\u7684\u4e0d\u518d\u5177\u6709\u7eed\u4fdd\u8d44\u683c\u3002 <p>(\u4e8c)\u6295\u4fdd\u4eba\u53ef\u4ee5\u5728\u9996\u6b21\u6295\u4fdd\u65f6\u540c\u610f\u81ea\u52a8\u7533\u8bf7\u7eed\u4fdd,\u4e5f\u53ef\u4ee5\u5728\u5f53\u671f\u4fdd\u9669\u671f\u95f4\u5c4a\u6ee1\u524d\u4e66\u9762\u63d0\u51fa\u7eed\u4fdd\u7533\u8bf7\u3002 <p>\u672c\u516c\u53f8\u6709\u6743\u5bf9\u6295\u4fdd\u4eba\u7684\u7eed\u4fdd\u7533\u8bf7\u8fdb\u884c\u5ba1\u6838\u3002\u7ecf\u672c\u516c\u53f8\u540c\u610f\u7eed\u4fdd,\u6536\u53d6\u7eed\u4fdd\u4fdd\u9669\u8d39\u5e76\u7b7e\u53d1\u4fdd\u5355\u7684,\u7eed\u4fdd\u5408\u540c\u751f\u6548;\u5982\u672c\u516c\u53f8\u4e0d\u540c\u610f\u7eed\u4fdd\u7684,\u4e66\u9762\u901a\u77e5\u6295\u4fdd\u4eba,\u672c\u5408\u540c\u4fdd\u9669\u671f\u95f4\u5c4a\u6ee1\u540e,\u672c\u5408\u540c\u7ec8\u6b62\u3002<p>\u7b2c\u4e94\u6761 \u4fdd\u9669\u8d23\u4efb <p>\u6295\u4fdd\u4eba\u4e3a\u88ab\u4fdd\u9669\u4eba\u9996\u6b21\u6295\u4fdd\u672c\u4fdd\u9669\u6216\u975e\u8fde\u7eed\u6295\u4fdd\u672c\u4fdd\u9669\u65f6,\u81ea\u672c\u5408\u540c\u751f\u6548\u65e5\u8d77 90 \u65e5\u4e3a\u7b49\u5f85\u671f,\u6295\u4fdd\u4eba\u4e3a \u88ab\u4fdd\u9669\u4eba\u8fde\u7eed\u6295\u4fdd\u672c\u4fdd\u9669\u7684\u6216\u88ab\u4fdd\u9669\u4eba\u56e0\u906d\u53d7\u610f\u5916\u4e8b\u6545(\u89c1 21.6)\u8fdb\u884c\u6cbb\u7597\u7684\u65e0\u7b49\u5f85\u671f\u3002 <p>\u88ab\u4fdd\u9669\u4eba\u5728\u7b49\u5f85\u671f\u5185\u5165\u9662\u7684,\u7531\u6b64\u800c\u5bfc\u81f4\u7684\u5f53\u6b21\u4f4f\u9662\u6cbb\u7597,\u672c\u516c\u53f8\u4e0d\u627f\u62c5\u7ed9\u4ed8\u4fdd\u9669\u91d1\u7684\u8d23\u4efb\u3002 <p>\u5728\u672c\u5408\u540c\u6709\u6548\u671f\u5185,\u9664\u7b49\u5f85\u671f\u671f\u95f4\u4f9d\u524d\u6b3e\u7ea6\u5b9a\u5916,\u672c\u516c\u53f8\u6839\u636e\u6295\u4fdd\u4eba\u4e0e\u672c\u516c\u53f8\u7684\u7ea6\u5b9a\u627f\u62c5\u4ee5\u4e0b\u4fdd\u9669\u8d23\u4efb: <p>\u88ab\u4fdd\u9669\u4eba\u56e0\u906d\u53d7\u610f\u5916\u4e8b\u6545\u6216\u75be\u75c5,\u7ecf\u533b\u9662\u786e\u8bca\u5fc5\u987b\u4f4f\u9662(\u89c121.7)\u6cbb\u7597\u7684,\u672c\u516c\u53f8\u5c31\u5176\u5728\u6307\u5b9a\u533b\u9662\u666e\u901a \u75c5\u623f(\u89c121.8)\u53ca\u8d28\u5b50\u91cd\u79bb\u5b50\u533b\u9662\u8fdb\u884c\u4f4f\u9662\u6cbb\u7597\u671f\u95f4,\u88ab\u4fdd\u9669\u4eba\u5b9e\u9645\u652f\u51fa\u7684\u5408\u7406\u4e14\u5fc5\u8981(\u89c121.9)\u7684\u81ea\u8d39\u533b \u7597\u8d39\u7528(21.10)(\u4e0d\u5305\u62ec\u88ab\u4fdd\u9669\u4eba\u81ea\u8d1f\u7684\u533b\u7597\u8d39\u7528(\u89c121.11)\u548c\u5206\u7c7b\u81ea\u8d1f\u90e8\u5206\u7684\u533b\u7597\u8d39\u7528(\u89c121.12)),\u6309 \u4ee5\u4e0b\u516c\u5f0f\u8ba1\u7b97\u5e76\u7ed9\u4ed8\u4f4f\u9662\u81ea\u8d39\u533b\u7597\u8d39\u7528\u4fdd\u9669\u91d1,\u4f46\u6700\u9ad8\u4ee5\u672c\u5408\u540c\u7ea6\u5b9a\u7684\u4fdd\u9669\u91d1\u989d\u4e3a\u9650,\u5176\u4e2d\u5e8a\u4f4d\u8d39\u6bcf\u65e5\u8d54\u4ed8 \u9650\u989d\u4e3a\u4eba\u6c11\u5e01250\u5143: \u4f4f\u9662\u81ea\u8d39\u533b\u7597\u8d39\u7528\u4fdd\u9669\u91d1=\u88ab\u4fdd\u9669\u4eba\u5b9e\u9645\u652f\u51fa\u7684\u5408\u7406\u4e14\u5fc5\u8981\u7684\u81ea\u8d39\u533b\u7597\u8d39\u7528(\u4e0d\u5305\u62ec\u88ab\u4fdd\u9669\u4eba\u81ea\u8d1f\u7684\u533b\u7597 \u8d39\u7528\u548c\u5206\u7c7b\u81ea\u8d1f\u90e8\u5206\u7684\u533b\u7597\u8d39\u7528)\u603b\u548c\xd750%\u3002 <p>\u88ab\u4fdd\u9669\u4eba\u4e0d\u8bba\u4e00\u6b21\u6216\u591a\u6b21\u4f4f\u9662\u6cbb\u7597,\u672c\u516c\u53f8\u5747\u6309\u4e0a\u8ff0\u7ea6\u5b9a\u7ed9\u4ed8\u4f4f\u9662\u81ea\u8d39\u533b\u7597\u8d39\u7528\u4fdd\u9669\u91d1,\u4f46\u7d2f\u8ba1\u7ed9\u4ed8\u91d1 \u989d\u4ee5\u672c\u5408\u540c\u7ea6\u5b9a\u7684\u4fdd\u9669\u91d1\u989d\u4e3a\u9650,\u7d2f\u8ba1\u7ed9\u4ed8\u91d1\u989d\u8fbe\u5230\u672c\u5408\u540c\u7ea6\u5b9a\u7684\u4fdd\u9669\u91d1\u989d\u65f6,\u5bf9\u88ab\u4fdd\u9669\u4eba\u7684\u4fdd\u9669\u8d23\u4efb\u7ec8\u6b62\u3002 <p>\u88ab\u4fdd\u9669\u4eba\u5728\u4fdd\u9669\u671f\u95f4\u5185\u4f4f\u9662\u4e14\u5f53\u4fdd\u9669\u671f\u95f4\u5c4a\u6ee1\u65f6\u4ecd\u672a\u51fa\u9662,\u7ecf\u672c\u516c\u53f8\u540c\u610f\u7eed\u4fdd\u7684,\u5176\u4f4f\u9662\u81ea\u8d39\u533b\u7597\u8d39\u7528 \u6839\u636e\u4f4f\u9662\u5929\u6570\u5728\u4e24\u4e2a\u4fdd\u9669\u671f\u95f4\u7684\u5206\u914d\u5206\u522b\u627f\u62c5\u4fdd\u9669\u8d23\u4efb;\u672c\u5408\u540c\u4e0d\u518d\u7eed\u4fdd\u7684,\u672c\u516c\u53f8\u5bf9\u5176\u4fdd\u9669\u671f\u95f4\u5c4a\u6ee1\u540e30 \u65e5\u5185\u6240\u53d1\u751f\u7684\u4f4f\u9662\u81ea\u8d39\u533b\u7597\u8d39\u7528,\u4ecd\u6309\u672c\u5408\u540c\u4e0a\u8ff0\u89c4\u5b9a\u652f\u4ed8\u8303\u56f4\u548c\u652f\u4ed8\u6bd4\u4f8b\u7ed9\u4ed8\u4fdd\u9669\u91d1\u3002 <p>\u672c\u516c\u53f8\u5728\u672c\u5408\u540c\u4fdd\u9669\u8d23\u4efb\u8303\u56f4\u5185\u7ed9\u4ed8\u4fdd\u9669\u91d1,\u4f46\u82e5\u88ab\u4fdd\u9669\u4eba\u5df2\u4ece\u5176\u5b83\u9014\u5f84(\u5305\u62ec\u4f46\u4e0d\u9650\u4e8e\u793e\u4f1a\u57fa\u672c\u533b\u7597 \u4fdd\u9669(\u89c121.13)\u6216\u516c\u8d39\u533b\u7597\u4fdd\u969c\u3001\u5de5\u4f5c\u5355\u4f4d\u3001\u4fb5\u6743\u4eba\u6216\u4fb5\u6743\u8d23\u4efb\u627f\u62c5\u65b9\u3001\u672c\u516c\u53f8\u5728\u5185\u7684\u4efb\u4f55\u4fdd\u9669\u673a\u6784)\u83b7\u5f97 \u8865\u507f,\u672c\u516c\u53f8\u6309\u7167\u4f4f\u9662\u81ea\u8d39\u533b\u7597\u8d39\u7528\u8865\u507f\u539f\u5219\u8fdb\u884c\u7ed9\u4ed8\u3002 \u3010\u4f4f\u9662\u81ea\u8d39\u533b\u7597\u8d39\u7528\u8865\u507f\u539f\u5219\u3011:\u5c06\u4f4f\u9662\u81ea\u8d39\u533b\u7597\u8d39\u7528\u51cf\u53bb\u5176\u5b83\u9014\u5f84\u7ed9\u4ed8\u7684\u4f4f\u9662\u81ea\u8d39\u533b\u7597\u8d39\u7528\u540e\u5f97\u51faA \u503c,\u540c\u65f6\u5c06\u4f4f\u9662\u81ea\u8d39\u533b\u7597\u8d39\u7528(\u4e0d\u6263\u9664\u5176\u5b83\u9014\u5f84\u652f\u4ed8\u8d39\u7528)<p>\u6309\u4e0a\u8ff0\u4f4f\u9662\u81ea\u8d39\u533b\u7597\u8d39\u7528\u4fdd\u9669\u91d1\u8ba1\u7b97\u516c\u5f0f\u8ba1\u7b97\u540e \u5f97\u5230B\u503c,\u6309\u7167A\u3001B\u4e24\u4e2a\u503c\u4e2d\u8f83\u5c0f\u7684\u503c\u7ed9\u4ed8\u3002 <p>\u7b2c\u516d\u6761 \u8d23\u4efb\u514d\u9664 <p>\u56e0\u4e0b\u5217\u60c5\u5f62\u4e4b\u4e00\u9020\u6210\u88ab\u4fdd\u9669\u4eba\u4f4f\u9662\u81ea\u8d39\u533b\u7597\u8d39\u7528\u652f\u51fa\u7684,\u672c\u516c\u53f8\u4e0d\u627f\u62c5\u7ed9\u4ed8\u4fdd\u9669\u91d1\u7684\u8d23\u4efb: <p>(\u4e00)\u88ab\u4fdd\u9669\u4eba\u5728\u9999\u6e2f\u7279\u522b\u884c\u653f\u533a\u3001\u6fb3\u95e8\u7279\u522b\u884c\u653f\u533a\u3001\u53f0\u6e7e\u5730\u533a\u6216\u4e2d\u56fd\u5883\u5916\u7684\u8bca\u7597; <p>(\u4e8c)\u60a3\u5148\u5929\u6027\u7578\u5f62\u3001\u53d8\u5f62\u548c\u67d3\u8272\u4f53\u5f02\u5e38(\u89c1 21.14)(\u4ee5\u4e16\u754c\u536b\u751f\u7ec4\u7ec7\u9881\u5e03\u7684\u300a\u75be\u75c5\u548c\u6709\u5173\u5065\u5eb7\u95ee\u9898\u7684 \u56fd\u9645\u7edf\u8ba1\u5206\u7c7b(ICD-10)\u300b\u4e3a\u51c6); <p>(\u4e09)\u6295\u4fdd\u4eba\u5bf9\u88ab\u4fdd\u9669\u4eba\u7684\u6545\u610f\u6740\u5bb3\u3001\u6545\u610f\u4f24\u5bb3; <p>(\u56db)\u88ab\u4fdd\u9669\u4eba\u6545\u610f\u72af\u7f6a\u6216\u6297\u62d2\u4f9d\u6cd5\u91c7\u53d6\u7684\u5211\u4e8b\u5f3a\u5236\u63aa\u65bd; <p>(\u4e94)\u88ab\u4fdd\u9669\u4eba\u81ea\u6740\u6216\u6545\u610f\u81ea\u4f24,\u4f46\u88ab\u4fdd\u9669\u4eba\u81ea\u6740\u6216\u6545\u610f\u81ea\u4f24\u65f6\u4e3a\u65e0\u6c11\u4e8b\u884c\u4e3a\u80fd\u529b\u4eba\u7684\u9664\u5916; <p>(\u516d)\u88ab\u4fdd\u9669\u4eba\u6597\u6bb4(\u89c1 21.15)\u3001\u9189\u9152(\u89c1 21.16),\u4e3b\u52a8\u5438\u98df\u6216\u6ce8\u5c04\u6bd2\u54c1(\u89c1 21.17); <p>(\u4e03)\u88ab\u4fdd\u9669\u4eba\u672a\u9075\u533b\u5631,\u79c1\u81ea\u670d\u7528\u3001\u6d82\u7528\u6216\u6ce8\u5c04\u836f\u7269(\u4f46\u6309\u4f7f\u7528\u8bf4\u660e\u7684\u89c4\u5b9a\u4f7f\u7528\u975e\u5904\u65b9\u836f\u4e0d\u5728\u6b64\u9650); <p>(\u516b)\u88ab\u4fdd\u9669\u4eba\u9152\u540e\u9a7e\u9a76(\u89c1 21.18)\u3001\u65e0\u5408\u6cd5\u6709\u6548\u9a7e\u9a76\u8bc1\u9a7e\u9a76(\u89c1 21.19)\u6216\u9a7e\u9a76\u65e0\u6709\u6548\u884c\u9a76\u8bc1(\u89c1 21.20) \u7684\u673a\u52a8\u8f66(\u89c1 21.21); <p>(\u4e5d)\u88ab\u4fdd\u9669\u4eba\u53c2\u52a0\u6f5c\u6c34(\u89c1 21.22)\u3001\u8df3\u4f1e\u6216\u5176\u4ed6\u7a7a\u4e2d\u8fd0\u52a8\u3001\u767b\u5c71\u3001\u6500\u5ca9(\u89c1 21.23)\u6216\u6500\u722c\u5efa\u7b51\u7269\u3001\u63a2 \u9669(\u89c1 21.24)\u3001\u6b66\u672f\u6bd4\u8d5b(\u89c1 21.25)\u3001\u6454\u8de4\u6bd4\u8d5b\u3001\u7279\u6280\u8868\u6f14(\u89c1 21.26)\u3001\u8d5b\u9a6c\u3001\u8d5b\u8f66\u7b49\u9ad8\u98ce\u9669\u8fd0\u52a8; <p>(\u5341)\u88ab\u4fdd\u9669\u4eba\u6212\u9152\u6216\u6212\u6bd2\u6cbb\u7597\u3001\u5fc3\u7406\u6cbb\u7597\u3001\u89c6\u529b\u77eb\u6b63\u624b\u672f\u3001\u53d8\u6027\u624b\u672f\u3001\u6574\u5bb9\u6574\u5f62\u6216\u77eb\u5f62\u624b\u672f; <p>(\u5341\u4e00)\u7597\u517b\u3001\u5eb7\u590d\u6cbb\u7597(\u89c1 21.27)\u3001\u5305\u76ae\u73af\u5207\u3001\u975e\u533b\u5b66\u5fc5\u9700\u7684\u6fc0\u7d20\u6cbb\u7597\u3001\u8131\u53d1\u6cbb\u7597\u3001\u7f8e\u5bb9\u3001\u51cf\u80a5\u3001\u4e30 \u80f8\u6216\u8005\u7f29\u80f8\u624b\u672f\u3001\u7761\u7720\u6709\u5173\u7684\u7814\u7a76\u6216\u8005\u6cbb\u7597\u3001\u6212\u70df\u3001\u77eb\u5f62\u3001\u89c6\u529b\u77eb\u6b63\u624b\u672f\u3001\u975e\u610f\u5916\u4e8b\u6545\u6240\u81f4\u7684\u6574\u5bb9\u624b\u672f; <p>(\u5341\u4e8c)\u4f7f\u7528\u5047\u4f53\u88c5\u7f6e\u3001\u5404\u79cd\u77eb\u6b63\u5668(\u5305\u62ec\u4e49\u80a2\u3001\u4e49\u773c,\u53ca\u975e\u6025\u6551\u4e2d\u4f7f\u7528\u7684\u9888\u6258\u3001\u5939\u677f)\u3001\u8f6e\u6905\u53ca\u5404\u79cd\u7535 \u52a8\u52a9\u884c\u5668\u68b0\u3001\u52a9\u542c\u5668;\u5e38\u89c4\u89c6\u529b\u68c0\u67e5\u3001\u914d\u5236\u773c\u955c\u6216\u9690\u5f62\u773c\u955c\u3001\u89c6\u529b\u6cbb\u7597\u6216\u89c6\u529b\u8bad\u7ec3; <p>(\u5341\u4e09)\u56e0\u533b\u7597\u4e8b\u6545(\u89c1 21.28)\u5bfc\u81f4\u7684\u533b\u7597\u8d39\u7528; <p>(\u5341\u56db)\u88ab\u4fdd\u9669\u4eba\u7684\u7cbe\u795e\u548c\u884c\u4e3a\u969c\u788d(\u4ee5\u4e16\u754c\u536b\u751f\u7ec4\u7ec7\u9881\u5e03\u7684\u300a\u75be\u75c5\u548c\u6709\u5173\u5065\u5eb7\u95ee\u9898\u7684\u56fd\u9645\u7edf\u8ba1\u5206\u7c7b (ICD-10)\u300b\u4e3a\u51c6); <p>(\u5341\u4e94)\u6218\u4e89\u3001\u519b\u4e8b\u51b2\u7a81\u3001\u66b4\u4e71\u6216\u6b66\u88c5\u53db\u4e71\u3001\u6838\u7206\u70b8\u3001\u6838\u8f90\u5c04\u6216\u6838\u6c61\u67d3\u3001\u6050\u6016\u4e3b\u4e49\u884c\u4e3a; <p>(\u5341\u516d)\u88ab\u4fdd\u9669\u4eba\u4f5c\u4e3a\u6350\u8d60\u4eba\u800c\u8fdb\u884c\u7684\u5668\u5b98\u6216\u7ec4\u7ec7\u6458\u9664,\u5668\u5b98\u4f9b\u4f53\u5bfb\u627e\u3001\u83b7\u53d6\u4ee5\u53ca\u4ece\u4f9b\u4f53\u5207\u9664\u3001\u50a8\u85cf\u3001 \u8fd0\u9001\u5668\u5b98; <p>(\u5341\u4e03)\u672a\u7ecf\u79d1\u5b66\u6216\u8005\u533b\u5b66\u8ba4\u53ef\u7684\u8bd5\u9a8c\u6027\u6216\u8005\u7814\u7a76\u6027\u6cbb\u7597\u53ca\u5176\u4ea7\u751f\u7684\u540e\u679c\u6240\u4ea7\u751f\u7684\u8d39\u7528; <p>(\u5341\u516b)\u9057\u4f20\u6027\u75be\u75c5(\u89c1 21.29)\u3001\u5148\u5929\u6027\u75be\u75c5\u3001\u6027\u75c5; <p>(\u5341\u4e5d)\u88ab\u4fdd\u9669\u4eba\u63a5\u53d7\u6240\u6709\u7259\u79d1\u6cbb\u7597\u3001\u7259\u9f7f\u77eb\u6b63\u3001\u5b89\u88c5\u4e49\u9f7f\u3001\u7259\u6258; <p>(\u4e8c\u5341)\u907f\u5b55\u3001\u8282\u80b2(\u542b\u7edd\u80b2\u4ee5\u53ca\u7edd\u80b2\u6062\u590d\u624b\u672f)\u3001\u6cbb\u7597\u4e0d\u5b55\u4e0d\u80b2\u75c7\u3001\u4eba\u5de5\u53d7\u5b55\u3001\u6000\u5b55\u3001\u5206\u5a29(\u542b\u96be\u4ea7)\u3001 \u6d41\u4ea7\u3001\u5815\u80ce\u3001\u4ea7\u524d\u4ea7\u540e\u68c0\u67e5\u3001\u6027\u529f\u80fd\u76f8\u5173\u533b\u7597,\u6216\u7531\u524d\u8ff0\u60c5\u5f62\u5bfc\u81f4\u7684\u5e76\u53d1\u75c7\u7684\u6cbb\u7597; <p>(\u4e8c\u5341\u4e00)\u56e0\u5de5\u8d1f\u4f24\u3001\u804c\u4e1a\u75c5(\u89c1 21.30)\u5f15\u8d77\u7684\u533b\u7597\u8d39\u7528; <p>(\u4e8c\u5341\u4e8c)\u611f\u67d3\u827e\u6ecb\u75c5\u75c5\u6bd2(\u89c1 21.31)\u6216\u60a3\u827e\u6ecb\u75c5(\u89c1 21.32)\u671f\u95f4\u53d1\u751f\u7684\u6240\u6709\u533b\u7597\u8d39\u7528; <p>(\u4e8c\u5341\u4e09)\u88ab\u4fdd\u9669\u4eba\u9996\u6b21\u6295\u4fdd\u524d\u6240\u60a3\u6076\u6027\u80bf\u7624(\u89c121.33)\u3001\u5fc3\u810f\u75c5(\u5fc3\u529f\u80fd\u4e0d\u5168 II \u7ea7\u53ca II \u7ea7\u4ee5\u4e0a)\u3001\u5fc3 \u808c\u6897\u585e\u3001\u767d\u8840\u75c5\u3001\u9ad8\u8840\u538b(II \u7ea7\u53ca II \u7ea7\u4ee5\u4e0a)\u3001\u809d\u786c\u5316\u3001\u6162\u6027\u963b\u585e\u6027\u652f\u6c14\u7ba1\u75be\u75c5\u3001\u8111\u8840\u7ba1\u75be\u75c5\u3001\u6162\u6027\u80be\u810f\u75be\u75c5\u3001 \u7cd6\u5c3f\u75c5(\u4f34\u86cb\u767d\u5c3f)\u3001\u518d\u751f\u969c\u788d\u6027\u8d2b\u8840\u3001\u766b\u75eb\u75c5\u3001\u300a\u4e2d\u534e\u4eba\u6c11\u5171\u548c\u56fd\u4f20\u67d3\u75c5\u9632\u6cbb\u6cd5\u300b\u89c4\u5b9a\u7684\u7532\u7c7b\u548c\u4e59\u7c7b\u4f20\u67d3\u75c5\u3001 \u5df2\u6709\u4f24\u6b8b\u7684\u6cbb\u7597\u548c\u5eb7\u590d\u6240\u53d1\u751f\u7684\u533b\u7597\u8d39\u7528\u652f\u51fa; <p>(\u4e8c\u5341\u56db)\u672a\u7ecf\u533b\u4fdd\u7ed3\u7b97\u7684\u533b\u7597\u8d39\u7528(\u4e0a\u6d77\u5e02\u8d28\u5b50\u91cd\u79bb\u5b50\u533b\u9662\u9664\u5916); <p>(\u4e8c\u5341\u4e94)\u5916\u914d\u836f\u3001\u4ee3\u914d\u836f(\u89c1 21.34)\u3001\u4ee3\u8bca; <p>(\u4e8c\u5341\u516d)\u6cd5\u5f8b\u89c4\u5b9a\u7684\u5176\u4ed6\u60c5\u5f62\u3002 <p>\u7b2c\u4e03\u6761 \u4fdd\u9669\u91d1\u989d\u548c\u4fdd\u9669\u8d39 <p>\u672c\u5408\u540c\u7684\u4fdd\u9669\u91d1\u989d\u4e0a\u9650\u4e3a\u4eba\u6c11\u5e01 10 \u4e07\u5143\u3002 <p>\u5bf9\u4e8e\u5728\u672c\u516c\u53f8\u591a\u6b21\u6295\u4fdd\u672c\u4fdd\u9669\u7684,\u6240\u6709\u4fdd\u5355\u7684\u4fdd\u9669\u671f\u95f4\u5185\u7d2f\u79ef\u4ece\u672c\u4fdd\u9669\u83b7\u5f97\u6216\u5e94\u5f53\u83b7\u5f97\u7684\u8d54\u4ed8\u91d1\u989d\u4ee5\u4eba \u6c11\u5e01 20 \u4e07\u5143\u4e3a\u9650\u3002 <p>\u6295\u4fdd\u4eba\u5e94\u4e8e\u6295\u4fdd\u65f6\u4e00\u6b21\u6027\u652f\u4ed8\u4fdd\u9669\u8d39\u3002 <p>\u7b2c\u516b\u6761 \u4fdd\u9669\u671f\u95f4 <p>\u672c\u5408\u540c\u7684\u4fdd\u9669\u671f\u95f4\u4e3a 1 \u5e74\u3002 <p>\u7b2c\u4e5d\u6761 \u660e\u786e\u8bf4\u660e\u4e0e\u5982\u5b9e\u544a\u77e5 <p>\u8ba2\u7acb\u672c\u5408\u540c\u65f6,\u672c\u516c\u53f8\u4f1a\u5411\u6295\u4fdd\u4eba\u8bf4\u660e\u672c\u5408\u540c\u7684\u5185\u5bb9\u3002\u5bf9\u672c\u5408\u540c\u4e2d\u514d\u9664\u672c\u516c\u53f8\u8d23\u4efb\u7684\u6761\u6b3e,\u672c\u516c\u53f8\u5728\u8ba2 \u7acb\u5408\u540c\u65f6\u4f1a\u5728\u6295\u4fdd\u5355\u3001\u4fdd\u9669\u5355\u6216\u8005\u5176\u5b83\u4fdd\u9669\u51ed\u8bc1\u4e0a\u4f5c\u51fa\u8db3\u4ee5\u5f15\u8d77\u6295\u4fdd\u4eba\u6ce8\u610f\u7684\u63d0\u793a,\u5e76\u5bf9\u8be5\u6761\u6b3e\u7684\u5185\u5bb9\u4ee5\u4e66 \u9762\u6216\u8005\u53e3\u5934\u5f62\u5f0f\u5411\u6295\u4fdd\u4eba\u4f5c\u51fa\u660e\u786e\u8bf4\u660e,\u672a\u4f5c\u63d0\u793a\u6216\u8005\u660e\u786e\u8bf4\u660e\u7684,\u8be5\u6761\u6b3e\u4e0d\u4ea7\u751f\u6548\u529b\u3002 <p>\u672c\u516c\u53f8\u5c31\u6295\u4fdd\u4eba\u548c\u88ab\u4fdd\u9669\u4eba\u7684\u6709\u5173\u60c5\u51b5\u63d0\u51fa\u8be2\u95ee,\u6295\u4fdd\u4eba\u5e94\u5f53\u5982\u5b9e\u544a\u77e5\u3002 <p>\u5982\u679c\u6295\u4fdd\u4eba\u6545\u610f\u6216\u8005\u56e0\u91cd\u5927\u8fc7\u5931\u672a\u5c65\u884c\u524d\u6b3e\u89c4\u5b9a\u7684\u5982\u5b9e\u544a\u77e5\u4e49\u52a1,\u8db3\u4ee5\u5f71\u54cd\u672c\u516c\u53f8\u51b3\u5b9a\u662f\u5426\u540c\u610f\u627f\u4fdd\u6216 \u8005\u63d0\u9ad8\u4fdd\u9669\u8d39\u7387\u7684,\u672c\u516c\u53f8\u6709\u6743\u89e3\u9664\u672c\u5408\u540c\u3002 <p>\u5982\u679c\u6295\u4fdd\u4eba\u6545\u610f\u4e0d\u5c65\u884c\u5982\u5b9e\u544a\u77e5\u4e49\u52a1,\u5bf9\u4e8e\u89e3\u9664\u672c\u5408\u540c\u524d\u53d1\u751f\u7684\u4fdd\u9669\u4e8b\u6545,\u672c\u516c\u53f8\u4e0d\u627f\u62c5\u7ed9\u4ed8\u4fdd\u9669\u91d1 \u7684\u8d23\u4efb,\u5e76\u4e0d\u9000\u8fd8\u4fdd\u9669\u8d39\u3002 <p>\u5982\u679c\u6295\u4fdd\u4eba\u56e0\u91cd\u5927\u8fc7\u5931\u672a\u5c65\u884c\u5982\u5b9e\u544a\u77e5\u4e49\u52a1,\u5bf9\u4fdd\u9669\u4e8b\u6545\u7684\u53d1\u751f\u6709\u4e25\u91cd\u5f71\u54cd\u7684,\u5bf9\u4e8e\u89e3\u9664\u672c\u5408\u540c\u524d\u53d1\u751f \u7684\u4fdd\u9669\u4e8b\u6545,\u672c\u516c\u53f8\u4e0d\u627f\u62c5\u7ed9\u4ed8\u4fdd\u9669\u91d1\u7684\u8d23\u4efb,\u4f46\u5e94\u5f53\u9000\u8fd8\u4fdd\u9669\u8d39\u3002 <p>\u672c\u516c\u53f8\u5728\u5408\u540c\u8ba2\u7acb\u65f6\u5df2\u7ecf\u77e5\u9053\u6295\u4fdd\u4eba\u672a\u5982\u5b9e\u544a\u77e5\u7684\u60c5\u51b5\u7684,\u672c\u516c\u53f8\u4e0d\u5f97\u89e3\u9664\u672c\u5408\u540c;\u53d1\u751f\u4fdd\u9669\u4e8b\u6545\u7684, \u672c\u516c\u53f8\u627f\u62c5\u7ed9\u4ed8\u4fdd\u9669\u91d1\u7684\u8d23\u4efb\u3002 <p>\u7b2c\u5341\u6761 \u672c\u516c\u53f8\u5408\u540c\u89e3\u9664\u6743\u7684\u9650\u5236 <p>\u524d\u6761\u89c4\u5b9a\u7684\u5408\u540c\u89e3\u9664\u6743,\u81ea\u672c\u516c\u53f8\u77e5\u9053\u6709\u89e3\u9664\u4e8b\u7531\u4e4b\u65e5\u8d77,\u8d85\u8fc7 30 \u65e5\u4e0d\u884c\u4f7f\u800c\u6d88\u706d\u3002 <p>\u7b2c\u5341\u4e00\u6761 \u53d7\u76ca\u4eba \u9664\u4f9d\u6cd5\u53e6\u884c\u6307\u5b9a\u5916,\u672c\u5408\u540c\u4fdd\u9669\u91d1\u53d7\u76ca\u4eba\u4e3a\u88ab\u4fdd\u9669\u4eba\u672c\u4eba\u3002 <p>\u7b2c\u5341\u4e8c\u6761 \u4fdd\u9669\u4e8b\u6545\u901a\u77e5 <p>\u6295\u4fdd\u4eba\u6216\u53d7\u76ca\u4eba\u5e94\u5f53\u5728\u77e5\u9053\u4fdd\u9669\u4e8b\u6545\u540e 10 \u65e5\u5185\u901a\u77e5\u672c\u516c\u53f8\u3002 <p>\u5982\u679c\u6295\u4fdd\u4eba\u6216\u53d7\u76ca\u4eba\u6545\u610f\u6216\u8005\u56e0\u91cd\u5927\u8fc7\u5931\u672a\u53ca\u65f6\u901a\u77e5,\u81f4\u4f7f\u4fdd\u9669\u4e8b\u6545\u7684\u6027\u8d28\u3001\u539f\u56e0\u3001\u635f\u5931\u7a0b\u5ea6\u7b49\u96be\u4ee5\u786e \u5b9a\u7684,\u672c\u516c\u53f8\u5bf9\u65e0\u6cd5\u786e\u5b9a\u7684\u90e8\u5206,\u4e0d\u627f\u62c5\u7ed9\u4ed8\u4fdd\u9669\u91d1\u7684\u8d23\u4efb,\u4f46\u672c\u516c\u53f8\u901a\u8fc7\u5176\u5b83\u9014\u5f84\u5df2\u7ecf\u53ca\u65f6\u77e5\u9053\u6216\u8005\u5e94\u5f53 \u53ca\u65f6\u77e5\u9053\u4fdd\u9669\u4e8b\u6545\u53d1\u751f\u6216\u8005\u867d\u672a\u53ca\u65f6\u901a\u77e5\u4f46\u4e0d\u5f71\u54cd\u672c\u516c\u53f8\u786e\u5b9a\u4fdd\u9669\u4e8b\u6545\u7684\u6027\u8d28\u3001\u539f\u56e0\u3001\u635f\u5931\u7a0b\u5ea6\u7684\u9664\u5916\u3002 <p>\u88ab\u4fdd\u9669\u4eba\u5e94\u5728\u6295\u4fdd\u4eba\u4e0e\u672c\u516c\u53f8\u7ea6\u5b9a\u7684\u533b\u9662\u4f4f\u9662,\u82e5\u56e0\u6025\u8bca\u672a\u5728\u7ea6\u5b9a\u533b\u9662\u4f4f\u9662\u7684,\u5e94\u5728\u4f4f\u9662\u540e 3 \u65e5\u5185\u901a\u77e5 \u672c\u516c\u53f8,\u5e76\u6839\u636e\u75c5\u60c5\u597d\u8f6c\u60c5\u51b5\u53ca\u65f6\u8f6c\u5165\u7ea6\u5b9a\u7684\u533b\u9662\u3002\u82e5\u786e\u9700\u5728\u975e\u7ea6\u5b9a\u7684\u533b\u9662\u4f4f\u9662\u7684,\u5e94\u5411\u672c\u516c\u53f8\u63d0\u51fa\u4e66\u9762\u7533 \u8bf7,\u672c\u516c\u53f8\u5728\u63a5\u5230\u7533\u8bf7\u540e 3 \u65e5\u5185\u7ed9\u4e88\u7b54\u590d,\u5bf9\u4e8e\u672c\u516c\u53f8\u540c\u610f\u5728\u975e\u7ea6\u5b9a\u7684\u533b\u9662\u4f4f\u9662\u7684,\u672c\u516c\u53f8\u6309\u7ea6\u5b9a\u627f\u62c5\u7ed9\u4ed8 \u4fdd\u9669\u91d1\u7684\u8d23\u4efb\u3002 <p>\u7b2c\u5341\u4e09\u6761 \u4fdd\u9669\u91d1\u7533\u8bf7 <p>\u7531\u4fdd\u9669\u91d1\u7533\u8bf7\u4eba\u586b\u5199\u4fdd\u9669\u91d1\u7ed9\u4ed8\u7533\u8bf7\u4e66,\u5e76\u63d0\u4f9b\u4e0b\u5217\u8bc1\u660e\u548c\u8d44\u6599: <p>(\u4e00)\u53d7\u76ca\u4eba\u7684\u6709\u6548\u8eab\u4efd\u8bc1\u4ef6(\u89c1 21.35); <p>(\u4e8c)\u4f4f\u9662\u533b\u7597\u8d39\u7528\u539f\u59cb\u53d1\u7968\u3001\u8d39\u7528\u660e\u7ec6\u6e05\u5355\u3001\u95e8\u6025\u8bca\u75c5\u5386\u590d\u5370\u4ef6\u3001\u51fa\u9662\u5c0f\u7ed3\u6216\u4f4f\u9662\u75c5\u5386\u590d\u5370\u4ef6; <p>(\u4e09)\u6240\u80fd\u63d0\u4f9b\u7684\u4e0e\u786e\u8ba4\u4fdd\u9669\u4e8b\u6545\u7684\u6027\u8d28\u3001\u539f\u56e0\u7b49\u6709\u5173\u7684\u5176\u4ed6\u8bc1\u660e\u548c\u8d44\u6599; <p>(\u56db)\u4e0d\u53d7\u7406\u5916\u914d\u836f\u53d1\u7968\u53ca\u5230\u836f\u623f\u81ea\u884c\u8d2d\u4e70\u7684\u836f\u8d39\u53d1\u7968\u3002 <p>\u7533\u8bf7\u4eba\u7533\u8bf7\u4fdd\u9669\u91d1\u65f6,\u5982\u63d0\u4f9b\u7684\u4ee5\u4e0a\u8bc1\u660e\u548c\u8d44\u6599\u4e0d\u5b8c\u6574,\u672c\u516c\u53f8\u5c06\u53ca\u65f6\u4e00\u6b21\u6027\u901a\u77e5\u7533\u8bf7\u4eba\u8865\u5145\u63d0\u4f9b\u6709\u5173 \u8bc1\u660e\u548c\u8d44\u6599\u3002 <p>\u7b2c\u5341\u56db\u6761 \u4fdd\u9669\u91d1\u7ed9\u4ed8 <p>\u672c\u516c\u53f8\u5728\u6536\u5230\u4fdd\u9669\u91d1\u7ed9\u4ed8\u7533\u8bf7\u4e66\u53ca\u4e0a\u8ff0\u6709\u5173\u8bc1\u660e\u548c\u8d44\u6599\u540e,\u5c06\u5728 30 \u65e5\u5185(\u4f46\u6295\u4fdd\u4eba\u3001\u88ab\u4fdd\u9669\u4eba\u6216\u8005\u53d7\u76ca \u4eba\u8865\u5145\u63d0\u4f9b\u6709\u5173\u8bc1\u660e\u548c\u8d44\u6599\u7684\u671f\u95f4\u4e0d\u8ba1\u7b97\u5728\u5185)\u4f5c\u51fa\u6838\u5b9a\u3002\u53e6\u6709\u7ea6\u5b9a\u7684\u6309\u7ea6\u5b9a\u5185\u5bb9\u6267\u884c\u3002 <p>\u5bf9\u5c5e\u4e8e\u4fdd\u9669\u8d23\u4efb\u7684,\u672c\u516c\u53f8\u5728\u4e0e\u53d7\u76ca\u4eba\u8fbe\u6210\u7ed9\u4ed8\u4fdd\u9669\u91d1\u7684\u534f\u8bae\u540e 10 \u65e5\u5185,\u5c65\u884c\u7ed9\u4ed8\u4fdd\u9669\u91d1\u4e49\u52a1\u3002 <p>\u672c\u516c\u53f8\u672a\u53ca\u65f6\u5c65\u884c\u524d\u6b3e\u89c4\u5b9a\u4e49\u52a1\u7684,\u9664\u652f\u4ed8\u4fdd\u9669\u91d1\u5916,\u4f1a\u8d54\u507f\u53d7\u76ca\u4eba\u56e0\u6b64\u53d7\u5230\u7684\u635f\u5931\u3002\u201c\u635f\u5931\u201d\u662f\u6307\u6839\u636e\u4e2d \u56fd\u4eba\u6c11\u94f6\u884c\u516c\u5e03\u7684\u540c\u65f6\u671f\u7684\u4eba\u6c11\u5e01\u6d3b\u671f\u5b58\u6b3e\u57fa\u51c6\u5229\u7387\u6309\u5355\u5229\u8ba1\u7b97\u7684\u5229\u606f\u635f\u5931\u3002 \u5bf9\u4e0d\u5c5e\u4e8e\u4fdd\u9669\u8d23\u4efb\u7684,\u672c\u516c\u53f8\u81ea\u4f5c\u51fa\u6838\u5b9a\u4e4b\u65e5\u8d77 3 \u65e5\u5185\u5411\u53d7\u76ca\u4eba\u53d1\u51fa\u62d2\u7edd\u7ed9\u4ed8\u4fdd\u9669\u91d1\u901a\u77e5\u4e66\u5e76\u8bf4\u660e\u7406\u7531\u3002 <p>\u672c\u516c\u53f8\u5728\u6536\u5230\u4fdd\u9669\u91d1\u7ed9\u4ed8\u7533\u8bf7\u4e66\u53ca\u6709\u5173\u8bc1\u660e\u548c\u8d44\u6599\u4e4b\u65e5\u8d77 60 \u65e5\u5185,\u5bf9\u7ed9\u4ed8\u4fdd\u9669\u91d1\u7684\u6570\u989d\u4e0d\u80fd\u786e\u5b9a\u7684,\u6839 \u636e\u5df2\u6709\u8bc1\u660e\u548c\u8d44\u6599\u53ef\u4ee5\u786e\u5b9a\u7684\u6570\u989d\u5148\u4e88\u652f\u4ed8;\u672c\u516c\u53f8\u6700\u7ec8\u786e\u5b9a\u7ed9\u4ed8\u4fdd\u9669\u91d1\u7684\u6570\u989d\u540e,\u5c06\u652f\u4ed8\u76f8\u5e94\u7684\u5dee\u989d\u3002 <p>\u7b2c\u5341\u4e94\u6761 \u8bc9\u8bbc\u65f6\u6548 <p>\u53d7\u76ca\u4eba\u5411\u672c\u516c\u53f8\u8bf7\u6c42\u7ed9\u4ed8\u4fdd\u9669\u91d1\u7684\u8bc9\u8bbc\u65f6\u6548\u671f\u95f4\u4e3a 2 \u5e74,\u81ea\u5176\u77e5\u9053\u6216\u8005\u5e94\u5f53\u77e5\u9053\u4fdd\u9669\u4e8b\u6545\u53d1\u751f\u4e4b\u65e5\u8d77\u8ba1 \u7b97\u3002 <p>\u7b2c\u5341\u516d\u6761 \u5e74\u9f84\u786e\u5b9a\u4e0e\u9519\u8bef\u5904\u7406 <p>(\u4e00)\u88ab\u4fdd\u9669\u4eba\u7684\u5e74\u9f84\u4ee5\u5468\u5c81\u8ba1\u7b97\u3002 <p>(\u4e8c)\u6295\u4fdd\u4eba\u5728\u7533\u8bf7\u6295\u4fdd\u65f6,\u5e94\u5c06\u4e0e\u6709\u6548\u8eab\u4efd\u8bc1\u4ef6\u76f8\u7b26\u7684\u88ab\u4fdd\u9669\u4eba\u7684\u51fa\u751f\u65e5\u671f\u5728\u6295\u4fdd\u5355\u4e0a\u586b\u660e,\u5982\u679c\u53d1 \u751f\u9519\u8bef\u6309\u7167\u4e0b\u5217\u65b9\u5f0f\u529e\u7406: <p>1.\u6295\u4fdd\u4eba\u7533\u62a5\u7684\u88ab\u4fdd\u9669\u4eba\u5e74\u9f84\u4e0d\u771f\u5b9e,\u5e76\u4e14\u5176\u771f\u5b9e\u5e74\u9f84\u4e0d\u7b26\u5408\u672c\u5408\u540c\u7ea6\u5b9a\u6295\u4fdd\u5e74\u9f84\u9650\u5236\u7684,\u672c\u516c\u53f8\u6709\u6743 \u89e3\u9664\u5408\u540c,\u5e76\u5411\u6295\u4fdd\u4eba\u9000\u8fd8\u672c\u5408\u540c\u7684\u672a\u6ee1\u671f\u51c0\u4fdd\u9669\u8d39(21.36)\u3002\u672c\u516c\u53f8\u884c\u4f7f\u5408\u540c\u89e3\u9664\u6743\u9002\u7528\u201c\u7b2c\u5341\u6761 \u672c\u516c\u53f8\u5408 \u540c\u89e3\u9664\u6743\u7684\u9650\u5236\u201d\u7684\u89c4\u5b9a\u3002 <p>2.\u6295\u4fdd\u4eba\u7533\u62a5\u7684\u88ab\u4fdd\u9669\u4eba\u5e74\u9f84\u4e0d\u771f\u5b9e,\u81f4\u4f7f\u6295\u4fdd\u4eba\u5b9e\u4ed8\u4fdd\u9669\u8d39\u5c11\u4e8e\u5e94\u4ed8\u4fdd\u9669\u8d39\u7684,\u672c\u516c\u53f8\u6709\u6743\u66f4\u6b63\u5e76\u8981 \u6c42\u6295\u4fdd\u4eba\u8865\u4ea4\u4fdd\u9669\u8d39\u3002\u82e5\u5df2\u7ecf\u53d1\u751f\u4fdd\u9669\u4e8b\u6545,\u5728\u7ed9\u4ed8\u4fdd\u9669\u91d1\u65f6\u6309\u5b9e\u4ed8\u4fdd\u9669\u8d39\u548c\u5e94\u4ed8\u4fdd\u9669\u8d39\u7684\u6bd4\u4f8b\u7ed9\u4ed8\u3002 <p>3.\u6295\u4fdd\u4eba\u7533\u62a5\u7684\u88ab\u4fdd\u9669\u4eba\u5e74\u9f84\u4e0d\u771f\u5b9e,\u81f4\u4f7f\u6295\u4fdd\u4eba\u5b9e\u4ed8\u4fdd\u9669\u8d39\u591a\u4e8e\u5e94\u4ed8\u4fdd\u9669\u8d39\u7684,\u672c\u516c\u53f8\u4f1a\u5c06\u591a\u6536 \u7684\u4fdd\u9669\u8d39\u9000\u8fd8\u7ed9\u6295\u4fdd\u4eba\u3002 <p>\u7b2c\u5341\u4e03\u6761 \u8054\u7cfb\u65b9\u5f0f\u53d8\u66f4 <p>\u6295\u4fdd\u4eba\u7684\u4f4f\u6240\u3001\u901a\u8baf\u5730\u5740\u6216\u8005\u7535\u8bdd\u7b49\u8054\u7cfb\u65b9\u5f0f\u53d8\u66f4\u65f6,\u5e94\u53ca\u65f6\u4ee5\u4e66\u9762\u5f62\u5f0f\u6216\u8005\u53cc\u65b9\u8ba4\u53ef\u7684\u5176\u4ed6\u5f62\u5f0f\u901a\u77e5 \u672c\u516c\u53f8\u3002<p>\u5982\u679c\u6295\u4fdd\u4eba\u672a\u4ee5\u4e66\u9762\u5f62\u5f0f\u6216\u8005\u53cc\u65b9\u8ba4\u53ef\u7684\u5176\u4ed6\u5f62\u5f0f\u901a\u77e5\u672c\u516c\u53f8,\u672c\u516c\u53f8\u6309\u672c\u5408\u540c\u8f7d\u660e\u7684\u6700\u540e\u4f4f\u6240\u6216 \u8005\u901a\u8baf\u5730\u5740\u53d1\u9001\u7684\u6709\u5173\u901a\u77e5,\u5747\u89c6\u4e3a\u5df2\u9001\u8fbe\u7ed9\u6295\u4fdd\u4eba\u3002 <p>\u7b2c\u5341\u516b\u6761 \u5408\u540c\u5185\u5bb9\u53d8\u66f4 <p>\u5728\u672c\u5408\u540c\u6709\u6548\u671f\u5185,\u7ecf\u6295\u4fdd\u4eba\u548c\u672c\u516c\u53f8\u534f\u5546\u4e00\u81f4,\u53ef\u4ee5\u53d8\u66f4\u672c\u5408\u540c\u7684\u6709\u5173\u5185\u5bb9\u3002\u53d8\u66f4\u672c\u5408\u540c\u7684,\u5e94\u5f53\u7531 \u672c\u516c\u53f8\u5728\u539f\u4fdd\u9669\u5355\u6216\u8005\u5176\u5b83\u4fdd\u9669\u51ed\u8bc1\u4e0a\u6279\u6ce8\u6216\u8005\u9644\u8d34\u6279\u5355,\u6216\u8005\u7531\u6295\u4fdd\u4eba\u548c\u672c\u516c\u53f8\u8ba2\u7acb\u4e66\u9762\u7684\u53d8\u66f4\u534f\u8bae\u3002 <p>\u7b2c\u5341\u4e5d\u6761 \u6295\u4fdd\u4eba\u89e3\u9664\u5408\u540c\u7684\u624b\u7eed \u5982\u6295\u4fdd\u4eba\u7533\u8bf7\u89e3\u9664\u672c\u5408\u540c,\u987b\u586b\u5199\u89e3\u9664\u5408\u540c\u7533\u8bf7\u4e66\u5e76\u5411\u672c\u516c\u53f8\u63d0\u4f9b\u4e0b\u5217\u8d44\u6599: <p>(\u4e00)\u4fdd\u9669\u5408\u540c; <p>(\u4e8c)\u6295\u4fdd\u4eba\u7684\u6709\u6548\u8eab\u4efd\u8bc1\u4ef6\u3002 <p>\u81ea\u672c\u516c\u53f8\u6536\u5230\u89e3\u9664\u5408\u540c\u7533\u8bf7\u4e66\u65f6\u8d77,\u672c\u5408\u540c\u7ec8\u6b62\u3002<p>\u672c\u516c\u53f8\u81ea\u6536\u5230\u89e3\u9664\u5408\u540c\u7533\u8bf7\u4e66\u4e4b\u65e5\u8d77 30 \u65e5\u5185\u5411\u6295\u4fdd\u4eba \u9000\u8fd8\u672c\u5408\u540c\u7684\u672a\u6ee1\u671f\u51c0\u4fdd\u9669\u8d39\u3002 <p>\u7b2c\u4e8c\u5341\u6761 \u4e89\u8bae\u5904\u7406 <p>\u672c\u5408\u540c\u5c65\u884c\u8fc7\u7a0b\u4e2d,\u53cc\u65b9\u53d1\u751f\u4e89\u8bae\u4e0d\u80fd\u534f\u5546\u89e3\u51b3\u7684,\u53ef\u4ee5\u8fbe\u6210\u4ef2\u88c1\u534f\u8bae\u901a\u8fc7\u4ef2\u88c1\u89e3\u51b3,\u4e5f\u53ef\u4f9d\u6cd5\u76f4\u63a5\u5411 \u6cd5\u9662\u63d0\u8d77\u8bc9\u8bbc\u3002 <p>\u7b2c\u4e8c\u5341\u4e00\u6761 \u91ca\u4e49 <p>21.1\u3010\u672c\u516c\u53f8\u3011\u6307\u5e73\u5b89\u517b\u8001\u4fdd\u9669\u80a1\u4efd\u6709\u9650\u516c\u53f8\u3002 <p>21.2\u3010\u9996\u6b21\u6295\u4fdd\u3011\u4ee5\u4e0b\u4e24\u79cd\u60c5\u5f62\u5747\u89c6\u4e3a\u9996\u6b21\u6295\u4fdd <p>(1)\u6295\u4fdd\u4eba\u4e3a\u88ab\u4fdd\u9669\u4eba\u5728\u672c\u516c\u53f8\u7b2c\u4e00\u6b21\u6295\u4fdd\u672c\u4fdd\u9669\u7684 <p>(2)\u6295\u4fdd\u4eba\u66fe\u7ecf\u4e3a\u88ab\u4fdd\u9669\u4eba\u5728\u672c\u516c\u53f8\u6295\u4fdd\u672c\u4fdd\u9669,\u4f46\u672c\u6b21\u6295\u4fdd\u4fdd\u5355\u7684\u751f\u6548\u65e5\u665a\u4e8e\u539f\u4fdd\u5355\u5230\u671f\u65e5\u7684\u6b21\u65e5\u3002 <p>21.3\u3010\u5468\u5c81\u3011\u4ee5\u6cd5\u5b9a\u8eab\u4efd\u8bc1\u660e\u6587\u4ef6\u4e2d\u8bb0\u8f7d\u7684\u51fa\u751f\u65e5\u671f\u8ba1\u7b97\u3002 <p>21.4\u3010\u653f\u7b56\u5b9e\u65bd\u4e4b\u65e5\u3011\u6307\u4e0a\u6d77\u5e02\u653f\u5e9c\u4e0b\u53d1\u5173\u4e8e\u4e2a\u4eba\u533b\u4fdd\u8d26\u6237\u8d2d\u4e70\u5546\u4e1a\u4fdd\u9669\u7684\u6b63\u5f0f\u6587\u4ef6\u4e2d\u8f7d\u660e\u7684\u653f\u7b56\u5b9e\u65bd\u4e4b \u65e5\u3002 <p>21.5\u3010\u8fde\u7eed\u6295\u4fdd\u3011\u6307\u6295\u4fdd\u4eba\u4e3a\u88ab\u4fdd\u9669\u4eba\u5728\u672c\u516c\u53f8\u7eed\u4fdd\u540c\u4e00\u9669\u79cd,\u4e14\u7eed\u4fdd\u4fdd\u5355\u7684\u751f\u6548\u65e5\u4e3a\u539f\u4fdd\u5355\u5230\u671f\u65e5\u7684\u6b21 \u65e5\u3002 <p>21.6\u3010\u610f\u5916\u4e8b\u6545\u3011\u6307\u5916\u6765\u7684\u3001\u7a81\u53d1\u7684\u3001\u975e\u672c\u610f\u7684\u3001\u975e\u75be\u75c5\u7684\u4f7f\u8eab\u4f53\u53d7\u5230\u4f24\u5bb3\u7684\u5ba2\u89c2\u4e8b\u4ef6\u3002 <p>21.7\u3010\u4f4f\u9662\u3011\u6307\u88ab\u4fdd\u9669\u4eba\u786e\u56e0\u4e34\u5e8a\u9700\u8981\u5165\u4f4f\u533b\u7597\u673a\u6784\u4e4b\u6b63\u5f0f\u75c5\u623f\u8fdb\u884c\u6cbb\u7597,\u5e76\u6b63\u5f0f\u529e\u7406\u5165\u51fa\u9662\u624b\u7eed,\u4e0d\u5305 \u62ec\u5165\u4f4f\u95e8\u8bca\u89c2\u5bdf\u5ba4\u3001\u5bb6\u5ead\u75c5\u5e8a\u3001\u6302\u5e8a\u4f4f\u9662\u53ca\u4ee5\u53ca\u4f11\u517b\u3001\u7597\u517b\u3001\u8eab\u4f53\u68c0\u67e5\u548c\u5065\u5eb7\u62a4\u7406\u7b49\u975e\u6cbb\u7597\u6027\u884c\u4e3a\u5bfc\u81f4\u7684\u4f4f \u9662\u3002\u5176\u4e2d\u6302\u5e8a\u4f4f\u9662\u6307\u88ab\u4fdd\u9669\u4eba\u975e\u6cbb\u7597\u9700\u8981,\u79bb\u5f00\u533b\u7597\u673a\u678412\u5c0f\u65f6\u4ee5\u4e0a,\u89c6\u4e3a\u81ea\u52a8\u79bb\u5f00\u533b\u7597\u673a\u6784,\u672c\u516c\u53f8\u4ec5\u5bf9 \u79bb\u5f00\u65e5\u53ca\u4ee5\u524d\u5c5e\u4e8e\u4fdd\u9669\u8d23\u4efb\u8303\u56f4\u5185\u7684\u4f4f\u9662\u6cbb\u7597\u627f\u62c5\u4fdd\u9669\u91d1\u7ed9\u4ed8\u8d23\u4efb\u3002 <p>21.8\u3010\u6307\u5b9a\u533b\u9662\u666e\u901a\u75c5\u623f\u3011\u6307\u4e0a\u6d77\u5e02\u8f96\u533a\u5185\u5404\u533b\u4fdd\u5b9a\u70b9\u516c\u7acb\u533b\u9662\u666e\u901a\u75c5\u623f(\u4e0d\u5305\u62ec\u5982\u7279\u9700\u533b\u7597\u3001\u56fd\u9645\u533b\u7597 \u7b49\u7684\u75c5\u623f)\u3002 <p>21.9\u3010\u5408\u7406\u4e14\u5fc5\u8981\u3011\u6307\u88ab\u4fdd\u9669\u4eba\u53d1\u751f\u7684\u5404\u9879\u533b\u7597\u8d39\u7528\u5e94\u7b26\u5408\u4e0b\u5217\u6240\u6709\u6761\u4ef6: <p>(1)\u6cbb\u7597\u75be\u75c5\u6240\u5fc5\u9700\u7684\u9879\u76ee; <p>(2)\u4e0d\u8d85\u8fc7\u5b89\u5168\u3001\u8db3\u91cf\u6cbb\u7597\u539f\u5219\u7684\u9879\u76ee; <p>(3)\u7531\u533b\u5e08\u5f00\u5177\u7684\u5904\u65b9\u836f\u6216\u533b\u5631; <p>(4)\u975e\u8bd5\u9a8c\u6027\u7684\u3001\u7814\u7a76\u6027\u7684\u9879\u76ee; <p>(5)\u4e0e\u63a5\u53d7\u6cbb\u7597\u5f53\u5730\u666e\u904d\u63a5\u53d7\u7684\u533b\u7597\u4e13\u4e1a\u5b9e\u8df5\u6807\u51c6\u4e00\u81f4\u7684\u9879\u76ee\u3002 <p>\u5bf9\u662f\u5426\u5408\u7406\u4e14\u5fc5\u8981\u7531\u672c\u516c\u53f8\u6839\u636e\u5ba2\u89c2\u3001\u5ba1\u614e\u3001\u5408\u7406\u7684\u539f\u5219\u8fdb\u884c\u6838\u5b9a,\u82e5\u88ab\u4fdd\u9669\u4eba\u5bf9\u6838\u5b9a\u7ed3\u679c\u6709\u4e0d\u540c\u610f\u89c1, \u53ef\u59d4\u6258\u53cc\u65b9\u8ba4\u53ef\u7684\u6743\u5a01\u533b\u5b66\u673a\u6784\u6216\u8005\u6743\u5a01\u533b\u5b66\u4e13\u5bb6\u8fdb\u884c\u5ba1\u6838\u9274\u5b9a\u3002 <p>21.10\u3010\u81ea\u8d39\u533b\u7597\u8d39\u7528\u3011\u6307\u88ab\u4fdd\u9669\u4eba\u5728\u4f4f\u9662\u671f\u95f4\u5b9e\u9645\u53d1\u751f\u7684\u3001\u5728\u5f53\u5730\u793e\u4f1a\u57fa\u672c\u533b\u7597\u4fdd\u9669\u652f\u4ed8\u8303\u56f4\u5916\u7684\u836f\u54c1 \u8d39\u3001\u4f4f\u9662\u624b\u672f\u8d39\u3001\u5e8a\u4f4d\u8d39\u548c\u5176\u4ed6\u8d39\u7528(\u4e0d\u5305\u62ec\u88ab\u4fdd\u9669\u4eba\u81ea\u8d1f\u7684\u533b\u7597\u8d39\u7528\u548c\u5206\u7c7b\u81ea\u8d1f\u90e8\u5206\u7684\u533b\u7597\u8d39\u7528): <p>(1)\u836f\u54c1\u8d39 <p>\u662f\u6307\u6839\u636e\u533b\u751f\u5904\u65b9\u4f7f\u7528\u7684\u5177\u6709\u56fd\u5bb6\u836f\u54c1\u76d1\u7763\u7ba1\u7406\u90e8\u95e8\u6838\u53d1\u7684\u836f\u54c1\u6279\u51c6\u6587\u53f7\u6216\u8005\u8fdb\u53e3\u836f\u54c1\u6ce8\u518c\u8bc1\u4e66\u3001\u533b\u836f \u4ea7\u54c1\u6ce8\u518c\u8bc1\u4e66\u7684\u56fd\u4ea7\u836f\u54c1,\u5305\u62ec\u897f\u836f\u3001\u4e2d\u6210\u836f\u548c\u4e2d\u8349\u836f\u3002 <p>(2)\u4f4f\u9662\u624b\u672f\u8d39 <p>\u6307\u5f53\u5730\u536b\u751f\u884c\u653f\u90e8\u95e8\u89c4\u5b9a\u7684\u624b\u672f\u9879\u76ee\u7684\u8d39\u7528,\u5305\u62ec\u624b\u672f\u8d39\u3001\u9ebb\u9189\u8d39\u3001\u624b\u672f\u76d1\u6d4b\u8d39\u3001\u624b\u672f\u6750\u6599\u8d39\u3001\u672f\u4e2d\u7528\u836f \u8d39\u3001\u624b\u672f\u8bbe\u5907\u8d39\u7b49;\u82e5\u56e0\u5668\u5b98\u79fb\u690d\u800c\u53d1\u751f\u7684\u624b\u672f\u8d39\u7528,\u4e0d\u5305\u62ec\u5668\u5b98\u672c\u8eab\u7684\u8d39\u7528\u548c\u83b7\u53d6\u5668\u5b98\u8fc7\u7a0b\u4e2d\u7684\u8d39\u7528\u3002 <p>(3)\u5e8a\u4f4d\u8d39 <p>\u6307\u88ab\u4fdd\u9669\u4eba\u5728\u4f4f\u9662\u671f\u95f4\u53d1\u751f\u7684\u533b\u7597\u673a\u6784\u5e8a\u4f4d\u7684\u8d39\u7528,\u4e0d\u5305\u62ec\u966a\u4eba\u5e8a\u3001\u89c2\u5bdf\u75c5\u623f\u5e8a\u4f4d\u548c\u5bb6\u5ead\u75c5\u5e8a\u7684\u8d39\u7528\u3002 (4)\u5176\u4ed6\u8d39\u7528 <p>\u6307\u88ab\u4fdd\u9669\u4eba\u5728\u4f4f\u9662\u671f\u95f4\u53d1\u751f\u7684\u9664\u836f\u54c1\u8d39\u3001\u624b\u672f\u8d39\u53ca\u5e8a\u4f4d\u8d39\u53ca\u81b3\u98df\u8d39\u4ee5\u5916\u7684\u4ee5\u4e0b\u8d39\u7528: <p>\u5316\u9a8c\u8d39\u3001\u68c0\u67e5\u8d39; <p>\u8f93\u6c27\u8d39; <p>\u75c5\u5ba4\u6cbb\u7597\u8d39\u3001\u8bca\u7597\u8d39\u3001\u51b7\u6696\u6c14\u8d39\u7528\u3001\u533b\u751f\u8bca\u67e5\u8d39\u3001\u62a4\u7406\u8d39; <p>\u672c\u5730\u6551\u62a4\u8f66\u8d39; <p>\u6ce8\u5c04\u8d39; <p>\u7269\u7406\u6cbb\u7597\u8d39; <p>\u5305\u624e\u79d1\u3001\u666e\u901a\u5916\u79d1\u5939\u677f\u53ca\u77f3\u818f\u6574\u5f62\u8d39\u7528; <p>\u6750\u6599\u8d39:\u6307\u5728\u4f4f\u9662\u671f\u95f4\u533b\u751f\u6216\u8005\u62a4\u58eb\u5728\u4e3a\u88ab\u4fdd\u9669\u4eba\u8fdb\u884c\u7684\u5404\u79cd\u6cbb\u7597\u4e2d\u6240\u4f7f\u7528\u7684\u533b\u7597\u5668\u6750\u548c\u533b\u7528\u6750\u6599\u3002 <p>21.11\u3010\u81ea\u8d1f\u7684\u533b\u7597\u8d39\u7528\u3011<p>\u6307\u88ab\u4fdd\u9669\u4eba\u5728\u4f7f\u7528\u7b26\u5408\u793e\u4f1a\u57fa\u672c\u533b\u7597\u4fdd\u9669\u652f\u4ed8\u8303\u56f4\u7684\u8bca\u7597\u9879\u76ee\u3001\u6750\u6599\u548c\u836f\u54c1\u7b49 \u65f6,\u6309\u57fa\u672c\u533b\u7597\u4fdd\u9669\u89c4\u5b9a\u5fc5\u987b\u4e2a\u4eba\u8d1f\u62c5\u7684\u8d39\u7528,\u4e00\u822c\u662f\u8d77\u4ed8\u7ebf\u52a0\u8d77\u4ed8\u7ebf\u4ee5\u4e0a\u8d39\u7528\u7684\u4e00\u5b9a\u6bd4\u4f8b\u3002 <p>21.12\u3010\u5206\u7c7b\u81ea\u8d1f\u90e8\u5206\u7684\u533b\u7597\u8d39\u7528\u3011<p>\u6307\u88ab\u4fdd\u9669\u4eba\u5728\u4f7f\u7528\u793e\u4f1a\u57fa\u672c\u533b\u7597\u4fdd\u9669\u652f\u4ed8\u90e8\u5206\u8d39\u7528\u7684\u8bca\u7597\u9879\u76ee\u3001\u6750\u6599 \u548c\u836f\u54c1\u65f6,\u6309\u57fa\u672c\u533b\u7597\u4fdd\u9669\u89c4\u5b9a\u7531\u88ab\u4fdd\u9669\u4eba\u81ea\u8d1f\u90e8\u5206\u7684\u533b\u7597\u8d39\u7528\u3002 <p>21.13\u3010\u793e\u4f1a\u57fa\u672c\u533b\u7597\u4fdd\u9669\u3011<p>\u6307\u57ce\u9547\u804c\u5de5\u57fa\u672c\u533b\u7597\u4fdd\u9669\u3001\u57ce\u9547\u5c45\u6c11\u57fa\u672c\u533b\u7597\u4fdd\u9669\u3001\u65b0\u578b\u519c\u6751\u5408\u4f5c\u533b\u7597\u3001\u533b \u7597\u6551\u52a9\u7b49\u57fa\u672c\u533b\u7597\u4fdd\u9669\u4fdd\u969c\u9879\u76ee,\u4ee5\u53ca\u57ce\u4e61\u5c45\u6c11\u5927\u75c5\u4fdd\u9669\u7b49\u4fdd\u969c\u9879\u76ee\u3002 <p>21.14\u3010\u5148\u5929\u6027\u7578\u5f62\u3001\u53d8\u5f62\u548c\u67d3\u8272\u4f53\u5f02\u5e38\u3011<p>\u6307\u88ab\u4fdd\u9669\u4eba\u51fa\u751f\u65f6\u5c31\u5177\u6709\u7684\u7578\u5f62\u3001\u53d8\u5f62\u6216\u8005\u67d3\u8272\u4f53\u5f02\u5e38\u3002\u5148\u5929 \u6027\u7578\u5f62\u3001\u53d8\u5f62\u548c\u67d3\u8272\u4f53\u5f02\u5e38\u4f9d\u7167\u4e16\u754c\u536b\u751f\u7ec4\u7ec7\u300a\u75be\u75c5\u548c\u6709\u5173\u5065\u5eb7\u95ee\u9898\u7684\u56fd\u9645\u7edf\u8ba1\u5206\u7c7b\u300b(ICD-10)\u786e\u5b9a\u3002 <p>21.15\u3010\u6597\u6bb4\u3011<p>\u6307\u56e0\u88ab\u4fdd\u9669\u4eba\u6311\u8845\u6216\u6545\u610f\u884c\u4e3a\u800c\u5bfc\u81f4\u7684\u6253\u6597\u3002 <p>21.16\u3010\u9189\u9152\u3011<p>\u6307\u6bcf\u767e\u6beb\u5347\u8840\u6db2\u7684\u9152\u7cbe\u542b\u91cf\u5927\u4e8e\u6216\u7b49\u4e8e100\u6beb\u514b\u3002 <p>21.17\u3010\u6bd2\u54c1\u3011<p>\u6307\u4e2d\u534e\u4eba\u6c11\u5171\u548c\u56fd\u5211\u6cd5\u89c4\u5b9a\u7684\u9e26\u7247\u3001\u6d77\u6d1b\u56e0\u3001\u7532\u57fa\u82ef\u4e19\u80fa(\u51b0\u6bd2)\u3001\u5417\u5561\u3001\u5927\u9ebb\u3001\u53ef\u5361\u56e0\u4ee5 \u53ca\u56fd\u5bb6\u89c4\u5b9a\u7ba1\u5236\u7684\u5176\u5b83\u80fd\u591f\u4f7f\u4eba\u5f62\u6210\u763e\u7656\u7684\u9ebb\u9189\u836f\u54c1\u548c\u7cbe\u795e\u836f\u54c1,\u4f46\u4e0d\u5305\u62ec\u7531\u533b\u751f\u5f00\u5177\u5e76\u9075\u533b\u5631\u4f7f\u7528\u7684\u7528\u4e8e \u6cbb\u7597\u75be\u75c5\u4f46\u542b\u6709\u6bd2\u54c1\u6210\u5206\u7684\u5904\u65b9\u836f\u54c1\u3002 <p>21.18\u3010\u9152\u540e\u9a7e\u9a76\u3011<p>\u6307\u7ecf\u68c0\u6d4b\u6216\u9274\u5b9a,\u53d1\u751f\u4e8b\u6545\u65f6\u8f66\u8f86\u9a7e\u9a76\u4eba\u5458\u6bcf\u767e\u6beb\u5347\u8840\u6db2\u4e2d\u7684\u9152\u7cbe\u542b\u91cf\u8fbe\u5230\u6216\u8d85\u8fc7\u4e00 \u5b9a\u7684\u6807\u51c6,\u88ab\u516c\u5b89\u673a\u5173\u4ea4\u901a\u7ba1\u7406\u90e8\u95e8\u4f9d\u6cd5\u8ba4\u5b9a\u4e3a\u996e\u9152\u540e\u9a7e\u9a76\u6216\u9189\u9152\u540e\u9a7e\u9a76\u3002 <p>21.19\u3010\u65e0\u5408\u6cd5\u6709\u6548\u9a7e\u9a76\u8bc1\u9a7e\u9a76\u3011<p>\u6307\u4e0b\u5217\u60c5\u5f62\u4e4b\u4e00: <p>(1)\u6ca1\u6709\u53d6\u5f97\u9a7e\u9a76\u8d44\u683c; <p>(2)\u9a7e\u9a76\u4e0e\u9a7e\u9a76\u8bc1\u51c6\u9a7e\u8f66\u578b\u4e0d\u76f8\u7b26\u5408\u7684\u8f66\u8f86; <p>(3)\u6301\u5ba1\u9a8c\u4e0d\u5408\u683c\u7684\u9a7e\u9a76\u8bc1\u9a7e\u9a76; (4)\u6301\u5b66\u4e60\u9a7e\u9a76\u8bc1\u5b66\u4e60\u9a7e\u8f66\u65f6,\u65e0\u6559\u7ec3\u5458\u968f\u8f66\u6307\u5bfc,\u6216\u4e0d\u6309\u6307\u5b9a\u65f6\u95f4\u3001\u8def\u7ebf\u5b66\u4e60\u9a7e\u8f66\u3002 <p>21.20\u3010\u65e0\u6709\u6548\u884c\u9a76\u8bc1\u3011\u6307\u4e0b\u5217\u60c5\u5f62\u4e4b\u4e00: <p>(1)\u672a\u53d6\u5f97\u884c\u9a76\u8bc1; <p>(2)\u673a\u52a8\u8f66\u88ab\u4f9d\u6cd5\u6ce8\u9500\u767b\u8bb0\u7684; <p>(3)\u672a\u4f9d\u6cd5\u6309\u65f6\u8fdb\u884c\u6216\u901a\u8fc7\u673a\u52a8\u8f66\u5b89\u5168\u6280\u672f\u68c0\u9a8c\u3002 <p>21.21\u3010\u673a\u52a8\u8f66\u3011<p>\u6307\u4ee5\u52a8\u529b\u88c5\u7f6e\u9a71\u52a8\u6216\u8005\u7275\u5f15,\u4e0a\u9053\u8def\u884c\u9a76\u7684\u4f9b\u4eba\u5458\u4e58\u7528\u6216\u8005\u7528\u4e8e\u8fd0\u9001\u7269\u54c1\u4ee5\u53ca\u8fdb\u884c\u5de5\u7a0b \u4e13\u9879\u4f5c\u4e1a\u7684\u8f6e\u5f0f\u8f66\u8f86\u3002 <p>21.22\u3010\u6f5c\u6c34\u3011<p>\u6307\u4f7f\u7528\u8f85\u52a9\u547c\u5438\u5668\u6750\u5728\u6c5f\u3001\u6cb3\u3001\u6e56\u3001\u6d77\u3001\u6c34\u5e93\u3001\u8fd0\u6cb3\u7b49\u6c34\u57df\u8fdb\u884c\u7684\u6c34\u4e0b\u8fd0\u52a8\u3002 <p>21.23\u3010\u6500\u5ca9\u3011<p>\u6307\u6500\u767b\u60ac\u5d16\u3001\u697c\u5b87\u5916\u5899\u3001\u4eba\u9020\u60ac\u5d16\u3001\u51b0\u5d16\u3001\u51b0\u5c71\u7b49\u8fd0\u52a8\u3002 <p>21.24\u3010\u63a2\u9669\u3011<p>\u6307\u660e\u77e5\u5728\u67d0\u79cd\u7279\u5b9a\u7684\u81ea\u7136\u6761\u4ef6\u4e0b\u6709\u5931\u53bb\u751f\u547d\u6216\u8005\u4f7f\u8eab\u4f53\u53d7\u5230\u4f24\u5bb3\u7684\u5371\u9669,\u800c\u6545\u610f\u4f7f\u81ea\u5df1\u7f6e \u8eab\u4e8e\u5176\u4e2d\u7684\u884c\u4e3a,\u5982:\u6c5f\u6cb3\u6f02\u6d41\u3001\u767b\u5c71\u3001\u5f92\u6b65\u7a7f\u8d8a\u6c99\u6f20\u6216\u8005\u4eba\u8ff9\u7f55\u81f3\u7684\u539f\u59cb\u68ee\u6797\u7b49\u6d3b\u52a8\u3002 <p>21.25\u3010\u6b66\u672f\u6bd4\u8d5b\u3011<p>\u6307\u4e24\u4eba\u6216\u8005\u4e24\u4eba\u4ee5\u4e0a\u5bf9\u6297\u6027\u67d4\u9053\u3001\u7a7a\u624b\u9053\u3001\u8dc6\u62f3\u9053\u3001\u6563\u6253\u3001\u62f3\u51fb\u7b49\u5404\u79cd\u62f3\u672f\u53ca\u4f7f\u7528\u5668 \u68b0\u7684\u5bf9\u6297\u6027\u6bd4\u8d5b\u3002 <p>21.26\u3010\u7279\u6280\u8868\u6f14\u3011<p>\u6307\u8fdb\u884c\u9a6c\u672f\u3001\u6742\u6280\u3001\u9a6f\u517d\u7b49\u8868\u6f14\u3002 <p>21.27\u3010\u5eb7\u590d\u6cbb\u7597\u3011<p>\u6307\u5728\u5eb7\u590d\u533b\u7597\u673a\u6784\u3001\u5eb7\u590d\u79d1\u8bca\u6cbb\u6216\u8005\u63a5\u53d7\u4ee5\u4fc3\u8fdb\u673a\u4f53\u5404\u9879\u529f\u80fd\u6062\u590d\u4e3a\u76ee\u7684\u7684\u533b\u7597\u65b9\u6cd5, \u5982\u7406\u7597\u3001\u6309\u6469\u3001\u63a8\u62ff\u3001\u751f\u7269\u53cd\u9988\u7597\u6cd5\u3001\u5eb7\u590d\u8425\u517b\u3001\u5eb7\u590d\u62a4\u7406\u7b49\u3002 <p>21.28\u3010\u533b\u7597\u4e8b\u6545\u3011<p>\u6307\u533b\u7597\u673a\u6784\u53ca\u5176\u533b\u52a1\u4eba\u5458\u5728\u533b\u7597\u6d3b\u52a8\u4e2d,\u8fdd\u53cd\u533b\u7597\u536b\u751f\u7ba1\u7406\u6cd5\u5f8b\u3001\u884c\u653f\u6cd5\u89c4\u3001\u90e8\u95e8\u89c4 \u7ae0\u548c\u8bca\u7597\u62a4\u7406\u89c4\u8303\u3001\u5e38\u89c4,\u8fc7\u5931\u9020\u6210\u60a3\u8005\u4eba\u8eab\u635f\u5bb3\u7684\u4e8b\u6545\u3002 <p>21.29\u3010\u9057\u4f20\u6027\u75be\u75c5\u3011<p>\u6307\u56e0\u4e3a\u751f\u6b96\u7ec6\u80de\u6216\u53d7\u7cbe\u5375\u7684\u9057\u4f20\u7269\u8d28(\u67d3\u8272\u4f53\u548c\u57fa\u56e0)\u53d1\u751f\u7a81\u53d8\u6216\u7578\u53d8\u6240\u5f15\u8d77\u7684\u75be \u75c5,\u901a\u5e38\u5177\u6709\u7531\u4eb2\u4ee3\u4f20\u81f3\u540e\u4ee3\u7684\u5782\u76f4\u4f20\u9012\u7684\u7279\u5f81\u3002 <p>21.30\u3010\u804c\u4e1a\u75c5\u3011<p>\u6307\u4f01\u4e1a\u3001\u4e8b\u4e1a\u5355\u4f4d\u548c\u4e2a\u4f53\u7ecf\u6d4e\u7ec4\u7ec7\u7b49\u7528\u4eba\u5355\u4f4d\u7684\u52b3\u52a8\u8005\u5728\u804c\u4e1a\u6d3b\u52a8\u4e2d,\u56e0\u63a5\u89e6\u7c89\u5c18\u3001\u653e \u5c04\u6027\u7269\u8d28\u548c\u5176\u4ed6\u6709\u6bd2\u3001\u6709\u5bb3\u7269\u8d28\u7b49\u56e0\u7d20\u800c\u5f15\u8d77\u7684\u75be\u75c5\u3002\u804c\u4e1a\u75c5\u7684\u8ba4\u5b9a\u9700\u9075\u5faa\u300a\u4e2d\u534e\u4eba\u6c11\u5171\u548c\u56fd\u804c\u4e1a\u75c5\u9632\u6cbb\u6cd5\u300b \u4e2d\u7684\u76f8\u5173\u89c4\u5b9a\u53ca\u9274\u5b9a\u7a0b\u5e8f\u3002 <p>21.31\u3010\u827e\u6ecb\u75c5\u75c5\u6bd2\u3011<p>\u6307\u540e\u5929\u6027\u514d\u75ab\u529b\u7f3a\u4e4f\u7efc\u5408\u75c7\u75c5\u6bd2\u3002\u540e\u5929\u6027\u514d\u75ab\u529b\u7f3a\u4e4f\u7efc\u5408\u75c7\u7684\u5b9a\u4e49\u5e94\u6309\u4e16\u754c\u536b\u751f\u7ec4 \u7ec7\u5236\u5b9a\u7684\u5b9a\u4e49\u4e3a\u51c6,\u5982\u5728\u8840\u6db2\u6837\u672c\u4e2d\u53d1\u73b0\u540e\u5929\u6027\u514d\u75ab\u529b\u7f3a\u4e4f\u7efc\u5408\u75c7\u75c5\u6bd2\u6216\u5176\u6297\u4f53,\u5219\u53ef\u8ba4\u5b9a\u4e3a\u611f\u67d3\u827e\u6ecb\u75c5\u6216 \u827e\u6ecb\u75c5\u75c5\u6bd2\u3002 <p>21.32\u3010\u827e\u6ecb\u75c5\u3011<p>\u6307\u540e\u5929\u6027\u514d\u75ab\u529b\u7f3a\u4e4f\u7efc\u5408\u75c7\u3002 <p>21.33\u3010\u6076\u6027\u80bf\u7624\u3011<p>\u6307\u6076\u6027\u7ec6\u80de\u4e0d\u53d7\u63a7\u5236\u7684\u8fdb\u884c\u6027\u589e\u957f\u548c\u6269\u6563,\u6d78\u6da6\u548c\u7834\u574f\u5468\u56f4\u6b63\u5e38\u7ec4\u7ec7,\u53ef\u4ee5\u7ecf\u8840\u7ba1\u3001 \u6dcb\u5df4\u7ba1\u548c\u4f53\u8154\u6269\u6563\u8f6c\u79fb\u5230\u8eab\u4f53\u5176\u4ed6\u90e8\u4f4d\u7684\u75be\u75c5\u3002\u7ecf\u75c5\u7406\u5b66\u68c0\u67e5\u7ed3\u679c\u660e\u786e\u8bca\u65ad,\u4e34\u5e8a\u8bca\u65ad\u5c5e\u4e8e\u4e16\u754c\u536b\u751f\u7ec4\u7ec7\u300a\u75be \u75c5\u548c\u6709\u5173\u5065\u5eb7\u95ee\u9898\u7684\u56fd\u9645\u7edf\u8ba1\u5206\u7c7b\u300b(ICD-10)\u7684\u6076\u6027\u80bf\u7624\u8303\u7574\u3002 <p>\u4e0b\u5217\u75be\u75c5\u4e0d\u5c5e\u4e8e\u672c\u5408\u540c\u7ea6\u5b9a\u7684\u6076\u6027\u80bf\u7624: <p>(1)\u539f\u4f4d\u764c; <p>(2)\u76f8\u5f53\u4e8eBinet\u5206\u671f\u65b9\u6848A\u671f\u7a0b\u5ea6\u7684\u6162\u6027\u6dcb\u5df4\u7ec6\u80de\u767d\u8840\u75c5; <p>(3)\u76f8\u5f53\u4e8eAnn Arbor\u5206\u671f\u65b9\u6848I\u671f\u7a0b\u5ea6\u7684\u4f55\u6770\u91d1\u6c0f\u75c5; <p>(4)\u76ae\u80a4\u764c(\u4e0d\u5305\u62ec\u6076\u6027\u9ed1\u8272\u7d20\u7624\u53ca\u5df2\u53d1\u751f\u8f6c\u79fb\u7684\u76ae\u80a4\u764c); <p>(5)TNM\u5206\u671f\u4e3aT1N0M0\u671f\u6216\u66f4\u8f7b\u5206\u671f\u7684\u524d\u5217\u817a\u764c\u3002 <p>21.34\u3010\u5916\u914d\u836f\u3001\u4ee3\u914d\u836f\u3011 <p>\u5916\u914d\u836f\u6307\u60a3\u8005\u5728\u5c31\u8bca\u533b\u7597\u673a\u6784\u4e4b\u5916\u7684\u5730\u65b9\u8fdb\u884c\u914d\u836f\u7684\u884c\u4e3a\u3002 <p>\u4ee3\u914d\u836f\u6307\u60a3\u8005\u5728\u672a\u5c31\u8bca\u60c5\u51b5\u4e0b\u59d4\u6258\u4ed6\u4eba\u53bb\u533b\u7597\u673a\u6784\u4ee3\u4e3a\u914d\u836f\u7684\u884c\u4e3a\u3002 <p>21.35\u3010\u6709\u6548\u8eab\u4efd\u8bc1\u4ef6\u3011<p>\u6307\u7531\u653f\u5e9c\u4e3b\u7ba1\u90e8\u95e8\u89c4\u5b9a\u7684\u8bc1\u660e\u5176\u8eab\u4efd\u7684\u8bc1\u4ef6,\u5982:\u5c45\u6c11\u8eab\u4efd\u8bc1\u3001\u6309\u89c4\u5b9a\u53ef\u4f7f\u7528\u7684 \u6709\u6548\u62a4\u7167\u3001\u8b66\u5b98\u8bc1\u3001\u6237\u53e3\u7c3f\u7b49\u8bc1\u4ef6\u3002 <p>\u4e2d\u56fd\u5185\u5730\u5c45\u6c11\u63d0\u51fa\u6295\u4fdd\u7533\u8bf7\u65f6,\u5fc5\u987b\u63d0\u4f9b\u4e8c\u4ee3\u768418\u4f4d\u4e2d\u534e\u4eba\u6c11\u5171\u548c\u56fd\u5c45\u6c11\u8eab\u4efd\u8bc1\u53ca\u4fe1\u606f;\u4e2d\u56fd\u6e2f\u6fb3\u5c45\u6c11 \u63d0\u51fa\u6295\u4fdd\u7533\u8bf7\u65f6,\u5fc5\u987b\u63d0\u4f9b\u6e2f\u6fb3\u5c45\u6c11\u6765\u5f80\u5185\u5730\u901a\u884c\u8bc1\u53ca\u4fe1\u606f;\u4e2d\u56fd\u53f0\u6e7e\u5c45\u6c11\u63d0\u51fa\u6295\u4fdd\u7533\u8bf7\u65f6,\u5fc5\u987b\u63d0\u4f9b\u53f0\u6e7e \u5c45\u6c11\u6765\u5f80\u5927\u9646\u901a\u884c\u8bc1\u53ca\u4fe1\u606f;\u5916\u7c4d\u4eba\u5458\u63d0\u51fa\u6295\u4fdd\u7533\u8bf7\u65f6,\u5fc5\u987b\u63d0\u4f9b\u672c\u56fd\u62a4\u7167\u53ca\u4fe1\u606f\u3002 <p>\u82e5\u65e0\u6cd5\u63d0\u4f9b\u4ee5\u4e0a\u8eab\u4efd\u8bc1\u4ef6\u7c7b\u578b\u7684,\u88ab\u4fdd\u9669\u4eba\u987b\u5411\u672c\u516c\u53f8\u63d0\u4f9b\u80fd\u591f\u8bc1\u660e\u5176\u8eab\u4efd\u7684\u5408\u7406\u552f\u4e00\u7684\u5176\u4ed6\u6709\u6548\u8eab\u4efd \u8bc1\u4ef6\u3002 <p>21.36\u3010\u672a\u6ee1\u671f\u51c0\u4fdd\u9669\u8d39\u3011<p>\u672a\u6ee1\u671f\u51c0\u4fdd\u9669\u8d39=\u51c0\u4fdd\u9669\u8d39\xd7(1-\u4fdd\u9669\u7ecf\u8fc7\u65e5\u6570/ \u4fdd\u9669\u671f\u95f4\u7684\u65e5\u6570),\u7ecf\u8fc7\u65e5\u6570 \u4e0d\u8db31\u65e5\u7684\u63091\u65e5\u8ba1\u7b97\u3002 <p>\u51c0\u4fdd\u9669\u8d39\u6307\u6295\u4fdd\u4eba\u6240\u4ea4\u7eb3\u7684\u4fdd\u9669\u8d39\u6263\u9664\u6bcf\u5f20\u4fdd\u9669\u5355\u5e73\u5747\u627f\u62c5\u7684\u672c\u516c\u53f8\u5404\u9879\u8d39\u7528(\u542b\u8425\u4e1a\u8d39\u7528\u3001\u4ee3\u7406\u8d39\u3001 \u5404\u9879\u7a0e\u91d1\u3001\u4fdd\u9669\u4fdd\u969c\u57fa\u91d1\u7b49)\u540e\u7684\u4f59\u989d,\u6263\u9664\u90e8\u5206\u5360\u6240\u4ea4\u4fdd\u9669\u8d39\u768420%\u3002 </div> </section> ');

},{"template":80}],58:[function(require,module,exports){
/*TMODJS:{"version":1,"md5":"d8d95710dce121b52c84dda9ae62d6ee"}*/
var template=require("template");module.exports=template("insurance/insurancePage/view/template/insuranceDetails.tpl",function(a){"use strict";var b=this,c=(b.$helpers,b.$escape),d=a.prdMinpicLink,e=a.isApp,f=a.proName,g=a.productName,h=a.productDesc,i=a.birthDay,j=a.birthDate,k=a.sex,l=a.combinedPlanCodeOfM,m=a.directionMap,n=a.combinedPlanCodeOfF,o=a.insuranceSex,p=a.codeNo,q=a.selectData,r=a.i,s=a.itemList,t=a.item,u=a.t,v=a.opt,w=a.scmsProductId,x=a.flag,y=a.notices,z=a.prdDetailLink,A=a.picArr,B=a.solvencyInfo,C=a.insurancePrice,D="";D+="<div class='container_index'> <section id=\"insurance\"> <div class=\"proPicBox\"> <section style='position: relative;'> <img src=",D+=c(d),D+=' width="100%"/> <div class=\'share_icon ',D+=c(e?"":"hide"),D+="' id='share_icon'> <i class='iconfont icon-share wchart_share'></i> <span class='share_name'>\u5206\u4eab</span> </div> </section> <div class=\"proTitBox\"> ";var f=g.split("\u2014\u2014");D+=" <h1>",D+=c(f[0]),D+="</h1> <h2>\u2014\u2014",D+=c(f[1]),D+="</h2> <p>",D+=c(h),D+='</p> <em class="joinArrow">\u8be6\u60c5<b class="arr-d del"></b></em> </div> </div> <div class="selectInfoBox"> <ul> <li class=\'birthdayFa\'> <label for="birthDay">\u51fa\u751f\u65e5\u671f<br/></label> <input type="date" name=\'date\' id="birthDay" placeholder="\u8bf7\u9009\u62e9\u51fa\u751f\u65e5\u671f" value="',D+=c(i?i:j),D+='"> </li> <li> <label for="sex-sel">\u6027\u522b</label> <br/> <select id="sex-sel"> ',k.length>1?(l=m[k[1]][0].combinedPlanCode,n=m[k[0]][0].combinedPlanCode):l=n=m[k[0]][0].combinedPlanCode,D+=' <option value="M" ',D+=c("M"==o?"selected":""),D+=' combinedPlanCode="',D+=c(l),D+='">\u7537</option> <option value="F" ',D+=c("F"==o?"selected":""),D+=' combinedPlanCode="',D+=c(n),D+='">\u5973</option> </select> <b class="arr-d sex"></b> </li> <li> <label for="price-sel">\u6295\u4fdd\u91d1\u989d</label> <br/> <select id=\'price-sel\'> ';for(var p=q?q.itemCode:"",r=0;r<s.length;r++)for(var t=s[r],u=0;u<t.optionList.length;u++){var v=t.optionList[u];D+=' <option planCode="',D+=c(t.planCode),D+='" ',D+=c(p==v.idInsurItemOption?"selected":""),D+=' combinedPlanCode="',D+=c(t.combinedPlanCode),D+='" combinedId="',D+=c(t.insurPrdCombinedId),D+='" value="',D+=c(v.idInsurItemOption),D+='" itemId="',D+=c(v.insurPrdItemId),D+='"> ',D+=c(v.coverageAmount/1e4),D+="\u4e07\u5143 </option> "}if(D+=' </select> <b class="arr-d sex"></b> </li> </ul> </div> <div class="proInfoBox"> <ul> ',"PI000002"==w)var x=[0,1];else var x=[2,3];for(var r=0;r<x.length;r++){var t=y[x[r]];D+=' <li><div class="tips">',D+=c(t.id),D+="</div> ",D+=c(t.name),D+=" </li> "}D+=" </ul> <div class='tipInfo'>\u4e0a\u62c9\u67e5\u770b\u66f4\u591a</div> </div> </section> <section id='informContent' class=\"pageDown\"> <!-- <img class='subBox_two' style='width: 100%' src=\"",D+=c(z),D+='" alt=""> --> ';for(var A=z.split(";"),r=0;r<A.length;r++)D+=" <img src=",D+=c(A[r]),D+=" class='subBox_two'> ";return D+=" <div class='solvencyInfo'>",D+=c(B),D+="</div> <div class='temp' style='height: 3em;'></div> </section> </div> <div class=\"proButtonBox\"> <div class=\"loading spin ",D+=c(C?"hide":""),D+='"></div> <div class="proPrice"> <em>\xa5</em><span id="priceReulst">',D+=c(C),D+='</span> </div> <span class="insureBtn">\u7acb\u5373\u6295\u4fdd</span> </div> ',new String(D)});
},{"template":80}],59:[function(require,module,exports){
/*TMODJS:{"version":1,"md5":"b9f4ddd21d11f2b63778048eccee5fba"}*/
var template=require("template");module.exports=template("insurance/insurancePage/view/template/insuranceNotice.tpl","<section id=\"detailsInstruction\"> <div class=\"informContent border-line\"> <h3>\u533b\u4fdd\u8d26\u6237\u4f4f\u9662\u81ea\u8d39\u533b\u7597\u4ea7\u54c1-\u6295\u4fdd\u987b\u77e5</h3> <p>1\u3001\u672c\u6295\u4fdd\u4eba\u5179\u7533\u660e\u5404\u9879\u5185\u5bb9\u586b\u5199\u5c5e\u5b9e\uff0c\u5df2\u5f81\u5f97\u88ab\u4fdd\u9669\u4eba\u540c\u610f\uff0c\u5e76\u8ba4\u53ef\u4fdd\u9669\u91d1\u989d\u548c\u6295\u4fdd\u95ee\u5377\u5185\u5bb9\u3002</p> <p>2\u3001\u672c\u6295\u4fdd\u4eba\u5df2\u9605\u8bfb\u5e76\u6b63\u786e\u7406\u89e3 <a>\u300a<span class=\"underline\" id=\"indent\">\u5e73\u5b89\u4e0a\u6d77\u533b\u4fdd\u8d26\u6237\u4f4f\u9662\u81ea\u8d39\u533b\u7597\u4fdd\u9669\u6761\u6b3e</span>\u300b(\u70b9\u51fb\u53ef\u67e5\u770b\u5177\u4f53\u6761\u6b3e\u7ec6\u5219)</a>\u6240\u9002\u7528\u7684\u4fdd\u9669\u6761\u6b3e\u548c\u6295\u4fdd\u987b\u77e5\u7684\u5404\u9879\u5185\u5bb9\uff0c\u5e76\u7279\u522b\u5c31\u6761\u6b3e\u4e2d<a>\u6709\u5173\u8d23\u4efb\u514d\u9664</a>\u548c\u6295\u4fdd\u4eba\u3001\u88ab\u4fdd\u9669\u4eba\u4e49\u52a1\u7684\u5185\u5bb9\u8fdb\u884c\u9605\u8bfb\u3002\u672c\u6295\u4fdd\u4eba\u7279\u6b64\u540c\u610f\u63a5\u53d7\u6761\u6b3e\u5168\u90e8\u5185\u5bb9\uff0c\u4ee5\u53ca\u6295\u4fdd\u987b\u77e5\u8be6\u60c5\u3002</p> <p>3\u3001\u6295\u4fdd\u987b\u77e5\u5185\u5bb9\u5982\u4e0b\uff1a<br> <span class='indent'>\u672c\u4ea7\u54c1\u6240\u7528\u6761\u6b3e\uff1a\u300a\u5e73\u5b89\u4e0a\u6d77\u533b\u4fdd\u8d26\u6237\u4f4f\u9662\u81ea\u8d39\u533b\u7597\u4fdd\u9669\u6761\u6b3e\u300b\uff0c\u672a\u5c3d\u4e8b\u5b9c\uff0c\u4ee5\u6761\u6b3e\u4e3a\u51c6\u3002\u82e5\u672c\u6295\u4fdd\u987b\u77e5\u5185\u5bb9\u4e0e\u6761\u6b3e\u4e0d\u4e00\u81f4\u7684\uff0c\u4ee5\u6761\u6b3e\u4e3a\u51c6\u3002</span> </p> </div> <div class=\"informContent border-line\"> <h3>\u4ea7\u54c1\u8bf4\u660e</h3> <p>1\u3001\u6295\u4fdd\u4eba\u8303\u56f4\uff1a\u672c\u4fdd\u9669\u6295\u4fdd\u4eba\u4e3a\u88ab\u4fdd\u9669\u4eba\u672c\u4eba\u3002</p> <p>2\u3001\u88ab\u4fdd\u9669\u4eba\u8303\u56f4 <br> <p>\u6295\u4fdd\u65f6\u5df2\u53c2\u52a0\u4e0a\u6d77\u5e02\u57ce\u9547\u804c\u5de5\u57fa\u672c\u533b\u7597\u4fdd\u9669\u4e14\u4e2a\u4eba\u5386\u5e74\u533b\u4fdd\u8d26\u6237\u4f59\u989d\u7b26\u5408\u88681\u7ea6\u5b9a\u6761\u4ef6\u3001\u8eab\u4f53\u5065\u5eb7\u7684\u3001\u7b26\u5408\u672c\u516c\u53f8\u627f\u4fdd\u6761\u4ef6\u8005\u5747\u53ef\u4f5c\u4e3a\u88ab\u4fdd\u9669\u4eba\u53c2\u52a0\u672c\u4fdd\u9669\u3002 <br> <span class='indent'>\u9996\u6b21\u6295\u4fdd\uff08\u89c1\u91ca\u4e49\uff09\u5e74\u9f84\u8303\u56f4\u4e3a16\uff08\u542b\uff09\u81f365\u5468\u5c81\uff08\u542b\uff09\u3002\u4f46\u5bf9\u4e8e\u653f\u7b56\u5b9e\u65bd\u4e4b\u65e5\uff08\u89c1\u91ca\u4e49\uff09\u5df2\u6ee166\u5468\u5c81\uff08\u542b\uff09\u7684\u4eba\u7fa4\uff0c\u9700\u5728\u653f\u7b56\u5b9e\u65bd\u4e4b\u65e5\u8d77\u4e00\u5e74\u4e4b\u5185\u6295\u4fdd\uff0c\u53ef\u4ee5\u4e0d\u53d7\u524d\u8ff0\u9996\u6b21\u6295\u4fdd\u5e74\u9f84\u8303\u56f4\u9650\u5236\u3002</span> <br> <span class='indent'>\u88681\uff1a</span><br> <table border = 1 cellspacing=0 cellpadding=2> <tr><td>\u5e74\u9f84\u8303\u56f4</td><td>\u4e2a\u4eba\u5386\u5e74\u533b\u4fdd\u8d26\u6237\u4f59\u989d\u7ea6\u5b9a\u6761\u4ef6</td></tr> <tr><td>16\u5468\u5c81\uff08\u542b\uff09\u81f365\u5468\u5c81\uff08\u542b\uff09</td><td>\u4e2a\u4eba\u5386\u5e74\u533b\u4fdd\u8d26\u6237\u4f59\u989d\u2265\u9996\u671f\u4fdd\u8d39</td></tr> <tr><td>\u5df2\u6ee166\u5468\u5c81\uff08\u542b\uff09\u81f375\u5468\u5c81\uff08\u542b\uff09</td><td>\u4e2a\u4eba\u5386\u5e74\u533b\u4fdd\u8d26\u6237\u4f59\u989d\u22651500\u5143</td></tr> </table> </p> <p>3\u3001\u7eed\u4fdd\uff1a<br> <span class='indent'>\uff08\u4e00\uff09\u7eed\u4fdd\u6761\u4ef6\uff1a</span><br> <span class='indent'>\u88ab\u4fdd\u9669\u4eba\u9996\u6b21\u6295\u4fdd\u5e74\u9f84\u5c0f\u4e8e55\u5468\u5c81\uff08\u4e0d\u542b\uff09\uff0c\u5e76\u81ea\u5e74\u6ee155\u5468\u5c81\uff08\u542b\uff09\u8d77\u4ecd\u8fde\u7eed\u6295\u4fdd\uff08\u89c1\u91ca\u4e49\uff09\u672c\u4fdd\u9669\u7684\uff0c\u7eed\u4fdd\u6700\u9ad8\u5e74\u9f84\u4e3a75\u5468\u5c81\uff1b\u88ab\u4fdd\u9669\u4eba\u9996\u6b21\u6295\u4fdd\u5e74\u9f84\u5927\u4e8e55\u5468\u5c81\uff08\u542b\uff09\uff0c\u5e76\u8fde\u7eed\u6295\u4fdd\u672c\u4fdd\u9669\u7684\uff0c\u7eed\u4fdd\u6700\u9ad8\u5e74\u9f84\u4e3a75\u5468\u5c81\uff1b\u9664\u4e0a\u8ff0\u4e24\u79cd\u60c5\u5f62\u5916\uff0c\u7eed\u4fdd\u6700\u9ad8\u6295\u4fdd\u5e74\u9f84\u4e3a65\u5468\u5c81\uff08\u542b\uff09\u3002<br></span> <span class='indent'>\u5728\u672c\u516c\u53f8\u6295\u4fdd\u672c\u4fdd\u9669\u6240\u6709\u4fdd\u5355\u7684\u4fdd\u9669\u671f\u95f4\u5185\uff0c\u88ab\u4fdd\u9669\u4eba\u7d2f\u79ef\u5df2\u4ece\u672c\u4fdd\u9669\u83b7\u5f97\u6216\u5e94\u5f53\u83b7\u5f97\u7684\u8d54\u4ed8\u91d1\u989d\u5df2\u5230\u8fbe\u4eba\u6c11\u5e0120\u4e07\u5143\u7684\u4e0d\u518d\u5177\u6709\u7eed\u4fdd\u8d44\u683c\u3002<br></span> <span class='indent'>\uff08\u4e8c\uff09\u6295\u4fdd\u4eba\u53ef\u4ee5\u5728\u9996\u6b21\u6295\u4fdd\u65f6\u540c\u610f\u81ea\u52a8\u7533\u8bf7\u7eed\u4fdd\uff0c\u4e5f\u53ef\u4ee5\u5728\u5f53\u671f\u4fdd\u9669\u671f\u95f4\u5c4a\u6ee1\u524d\u4e66\u9762\u63d0\u51fa\u7eed\u4fdd\u7533\u8bf7\u3002<br></span> <span class='indent'>\u672c\u516c\u53f8\u6709\u6743\u5bf9\u6295\u4fdd\u4eba\u7684\u7eed\u4fdd\u7533\u8bf7\u8fdb\u884c\u5ba1\u6838\u3002\u7ecf\u672c\u516c\u53f8\u540c\u610f\u7eed\u4fdd\uff0c\u6536\u53d6\u7eed\u4fdd\u4fdd\u9669\u8d39\u5e76\u7b7e\u53d1\u4fdd\u5355\u7684\uff0c\u7eed\u4fdd\u5408\u540c\u751f\u6548\uff1b\u5982\u672c\u516c\u53f8\u4e0d\u540c\u610f\u7eed\u4fdd\u7684\uff0c\u4e66\u9762\u901a\u77e5\u6295\u4fdd\u4eba\uff0c\u672c\u5408\u540c\u4fdd\u9669\u671f\u95f4\u5c4a\u6ee1\u540e\uff0c\u672c\u5408\u540c\u7ec8\u6b62\u3002<br></span> </p> <p>4\u3001\u4fdd\u9669\u671f\u95f4\uff1a\u672c\u4fdd\u969c\u8ba1\u5212\u7684<a>\u4fdd\u9669\u671f\u95f4\u4e3a1\u5e74</a>\u3002\u6295\u4fdd\u4eba\u63d0\u51fa\u4fdd\u9669\u7533\u8bf7\u3001\u672c\u516c\u53f8\u540c\u610f\u627f\u4fdd\uff0c\u672c\u5408\u540c\u6210\u7acb\u3002\u9664\u53e6\u6709\u7ea6\u5b9a\u5916\uff0c\u672c\u5408\u540c\u81ea\u672c\u516c\u53f8\u540c\u610f\u627f\u4fdd\u3001\u6536\u53d6\u4fdd\u9669\u8d39\u5e76\u7b7e\u53d1\u4fdd\u9669\u5355\u5f00\u59cb\u751f\u6548\uff0c\u5177\u4f53\u751f\u6548\u65e5\u4ee5\u4fdd\u9669\u5355\u6240\u8f7d\u7684\u65e5\u671f\u4e3a\u51c6\u3002</p> <p>5\u3001\u4fdd\u9669\u91d1\u989d\uff1a\u672c\u5408\u540c\u7684\u4fdd\u9669\u91d1\u989d\u4e0a\u9650\u4e3a\u4eba\u6c11\u5e0110\u4e07\u5143\u3002\u5bf9\u4e8e\u5728\u672c\u516c\u53f8\u591a\u6b21\u6295\u4fdd\u672c\u4fdd\u9669\u7684\uff0c\u6240\u6709\u4fdd\u5355\u7684\u4fdd\u9669\u671f\u95f4\u5185\u7d2f\u79ef\u4ece\u672c\u4fdd\u9669\u83b7\u5f97\u6216\u5e94\u5f53\u83b7\u5f97\u7684\u8d54\u4ed8\u91d1\u989d\u4ee5\u4eba\u6c11\u5e0120\u4e07\u5143\u4e3a\u9650\u3002</p> <p>6\u3001\u53d7\u76ca\u4eba\uff1a\u672c\u4fdd\u969c\u8ba1\u5212\u7684\u53d7\u76ca\u4eba\u4e3a\u6cd5\u5b9a\u3002</p> <p>7\u3001\u672c\u4ea7\u54c1\u4ec5\u63d0\u4f9b\u7535\u5b50\u4fdd\u5355\u3002\u6295\u4fdd\u4eba\u6216\u88ab\u4fdd\u9669\u4eba\u53ef\u5728\u533b\u8d26\u901aAPP\u67e5\u8be2\u4fdd\u5355\u4fe1\u606f\uff0c\u5e76\u4e0b\u8f7d\u7535\u5b50\u4fdd\u5355\uff1b</p> <p>8\u3001\u7279\u522b\u7ea6\u5b9a\uff1a\u65e0</p> </div> <div class=\"informContent border-line\"> <h3>\u4fdd\u9669\u8d23\u4efb</h3> <p><span class = 'indent'>\u6295\u4fdd\u4eba\u4e3a\u88ab\u4fdd\u9669\u4eba\u9996\u6b21\u6295\u4fdd\u672c\u4fdd\u9669\u6216\u975e\u8fde\u7eed\u6295\u4fdd\u672c\u4fdd\u9669\u65f6\uff0c\u81ea\u672c\u5408\u540c\u751f\u6548\u65e5\u8d7790\u65e5\u4e3a\u7b49\u5f85\u671f\uff0c\u6295\u4fdd\u4eba\u4e3a\u88ab\u4fdd\u9669\u4eba\u8fde\u7eed\u6295\u4fdd\u672c\u4fdd\u9669\u7684\u6216\u88ab\u4fdd\u9669\u4eba\u56e0\u906d\u53d7\u610f\u5916\u4e8b\u6545\u8fdb\u884c\u6cbb\u7597\u7684\u65e0\u7b49\u5f85\u671f\u3002</span></p> <p><span class = 'indent'>\u88ab\u4fdd\u9669\u4eba\u5728\u7b49\u5f85\u671f\u5185\u5165\u9662\u7684\uff0c\u7531\u6b64\u800c\u5bfc\u81f4\u7684\u5f53\u6b21\u4f4f\u9662\u6cbb\u7597\uff0c\u672c\u516c\u53f8\u4e0d\u627f\u62c5\u7ed9\u4ed8\u4fdd\u9669\u91d1\u7684\u8d23\u4efb\u3002</span></p> <p><span class = 'indent'>\u5728\u672c\u5408\u540c\u6709\u6548\u671f\u5185\uff0c\u9664\u7b49\u5f85\u671f\u671f\u95f4\u4f9d\u524d\u6b3e\u7ea6\u5b9a\u5916\uff0c\u672c\u516c\u53f8\u6839\u636e\u6295\u4fdd\u4eba\u4e0e\u672c\u516c\u53f8\u7684\u7ea6\u5b9a\u627f\u62c5\u4ee5\u4e0b\u4fdd\u9669\u8d23\u4efb\uff1a</span></p> <p><span class = 'indent'>\u88ab\u4fdd\u9669\u4eba\u56e0\u906d\u53d7\u610f\u5916\u4e8b\u6545\u6216\u75be\u75c5\uff0c\u7ecf\u533b\u9662\u786e\u8bca\u5fc5\u987b\u4f4f\u9662\u6cbb\u7597\u7684\uff0c\u672c\u516c\u53f8\u5c31\u5176\u5728\u6307\u5b9a\u533b\u9662\u666e\u901a\u75c5\u623f\uff08\u89c1\u91ca\u4e49\uff09\u53ca\u8d28\u5b50\u91cd\u79bb\u5b50\u533b\u9662\u8fdb\u884c\u4f4f\u9662\u6cbb\u7597\u671f\u95f4\uff0c\u88ab\u4fdd\u9669\u4eba\u5b9e\u9645\u652f\u51fa\u7684\u5408\u7406\u4e14\u5fc5\u8981\u7684\u81ea\u8d39\u533b\u7597\u8d39\u7528\uff08\u4e0d\u5305\u62ec\u88ab\u4fdd\u9669\u4eba\u81ea\u8d1f\u7684\u533b\u7597\u8d39\u7528\u548c\u5206\u7c7b\u81ea\u8d1f\u90e8\u5206\u7684\u533b\u7597\u8d39\u7528\uff09\uff0c\u6309\u4ee5\u4e0b\u516c\u5f0f\u8ba1\u7b97\u5e76\u7ed9\u4ed8\u4f4f\u9662\u81ea\u8d39\u533b\u7597\u8d39\u7528\u4fdd\u9669\u91d1\uff0c\u4f46\u6700\u9ad8\u4ee5\u672c\u5408\u540c\u7ea6\u5b9a\u7684\u4fdd\u9669\u91d1\u989d\u4e3a\u9650\uff0c\u5176\u4e2d\u5e8a\u4f4d\u8d39\u6bcf\u65e5\u8d54\u4ed8\u9650\u989d\u4e3a\u4eba\u6c11\u5e01250\u5143\uff08\u6ce8\uff1a\u524d\u8ff0\u5408\u7406\u4e14\u5fc5\u8981\u7684\u81ea\u8d39\u533b\u7597\u8d39\u7528\u4e0d\u5305\u62ec\u672a\u7ecf\u533b\u4fdd\u7ed3\u7b97\u7684\u533b\u7597\u8d39\u7528\uff09\uff1a</span></p> <p><span class = 'indent'>\u4f4f\u9662\u81ea\u8d39\u533b\u7597\u8d39\u7528\u4fdd\u9669\u91d1=\u88ab\u4fdd\u9669\u4eba\u5b9e\u9645\u652f\u51fa\u7684\u5408\u7406\u4e14\u5fc5\u8981\u7684\u81ea\u8d39\u533b\u7597\u8d39\u7528\uff08\u4e0d\u5305\u62ec\u88ab\u4fdd\u9669\u4eba\u81ea\u8d1f\u7684\u533b\u7597\u8d39\u7528\u548c\u5206\u7c7b\u81ea\u8d1f\u90e8\u5206\u7684\u533b\u7597\u8d39\u7528\uff09\u603b\u548c\xd750%\u3002</span></p> <p><span class = 'indent'>\u88ab\u4fdd\u9669\u4eba\u4e0d\u8bba\u4e00\u6b21\u6216\u591a\u6b21\u4f4f\u9662\u6cbb\u7597\uff0c\u672c\u516c\u53f8\u5747\u6309\u4e0a\u8ff0\u7ea6\u5b9a\u7ed9\u4ed8\u4f4f\u9662\u81ea\u8d39\u533b\u7597\u8d39\u7528\u4fdd\u9669\u91d1\uff0c\u4f46\u7d2f\u8ba1\u7ed9\u4ed8\u91d1\u989d\u4ee5\u672c\u5408\u540c\u7ea6\u5b9a\u7684\u4fdd\u9669\u91d1\u989d\u4e3a\u9650\uff0c\u7d2f\u8ba1\u7ed9\u4ed8\u91d1\u989d\u8fbe\u5230\u672c\u5408\u540c\u7ea6\u5b9a\u7684\u4fdd\u9669\u91d1\u989d\u65f6\uff0c\u5bf9\u88ab\u4fdd\u9669\u4eba\u7684\u4fdd\u9669\u8d23\u4efb\u7ec8\u6b62\u3002</span></p> <p><span class = 'indent'>\u88ab\u4fdd\u9669\u4eba\u5728\u4fdd\u9669\u671f\u95f4\u5185\u4f4f\u9662\u4e14\u5f53\u4fdd\u9669\u671f\u95f4\u5c4a\u6ee1\u65f6\u4ecd\u672a\u51fa\u9662\uff0c\u7ecf\u672c\u516c\u53f8\u540c\u610f\u7eed\u4fdd\u7684\uff0c\u5176\u4f4f\u9662\u81ea\u8d39\u533b\u7597\u8d39\u7528\u6839\u636e\u4f4f\u9662\u5929\u6570\u5728\u4e24\u4e2a\u4fdd\u9669\u671f\u95f4\u7684\u5206\u914d\u5206\u522b\u627f\u62c5\u4fdd\u9669\u8d23\u4efb\uff1b\u672c\u5408\u540c\u4e0d\u518d\u7eed\u4fdd\u7684\uff0c\u672c\u516c\u53f8\u5bf9\u5176\u4fdd\u9669\u671f\u95f4\u5c4a\u6ee1\u540e30\u65e5\u5185\u6240\u53d1\u751f\u7684\u4f4f\u9662\u81ea\u8d39\u533b\u7597\u8d39\u7528\uff0c\u4ecd\u6309\u672c\u5408\u540c\u4e0a\u8ff0\u89c4\u5b9a\u652f\u4ed8\u8303\u56f4\u548c\u652f\u4ed8\u6bd4\u4f8b\u7ed9\u4ed8\u4fdd\u9669\u91d1\u3002</span></p> <p><span class = 'indent'>\u672c\u516c\u53f8\u5728\u672c\u5408\u540c\u4fdd\u9669\u8d23\u4efb\u8303\u56f4\u5185\u7ed9\u4ed8\u4fdd\u9669\u91d1\uff0c\u4f46\u82e5\u88ab\u4fdd\u9669\u4eba\u5df2\u4ece\u5176\u5b83\u9014\u5f84\uff08\u5305\u62ec\u4f46\u4e0d\u9650\u4e8e\u793e\u4f1a\u57fa\u672c\u533b\u7597\u4fdd\u9669\u6216\u516c\u8d39\u533b\u7597\u4fdd\u969c\u3001\u5de5\u4f5c\u5355\u4f4d\u3001\u4fb5\u6743\u4eba\u6216\u4fb5\u6743\u8d23\u4efb\u627f\u62c5\u65b9\u3001\u672c\u516c\u53f8\u5728\u5185\u7684\u4efb\u4f55\u4fdd\u9669\u673a\u6784\uff09\u83b7\u5f97\u8865\u507f\uff0c\u672c\u516c\u53f8\u6309\u7167\u4f4f\u9662\u81ea\u8d39\u533b\u7597\u8d39\u7528\u8865\u507f\u539f\u5219\u8fdb\u884c\u7ed9\u4ed8\u3002</span></p> <p><span class = 'indent'>\u3010\u4f4f\u9662\u81ea\u8d39\u533b\u7597\u8d39\u7528\u8865\u507f\u539f\u5219\u3011\uff1a\u5c06\u4f4f\u9662\u81ea\u8d39\u533b\u7597\u8d39\u7528\u51cf\u53bb\u5176\u5b83\u9014\u5f84\u7ed9\u4ed8\u7684\u4f4f\u9662\u81ea\u8d39\u533b\u7597\u8d39\u7528\u540e\u5f97\u51faA\u503c\uff0c\u540c\u65f6\u5c06\u4f4f\u9662\u81ea\u8d39\u533b\u7597\u8d39\u7528\uff08\u4e0d\u6263\u9664\u5176\u5b83\u9014\u5f84\u652f\u4ed8\u8d39\u7528\uff09\u6309\u4e0a\u8ff0\u4f4f\u9662\u81ea\u8d39\u533b\u7597\u8d39\u7528\u4fdd\u9669\u91d1\u8ba1\u7b97\u516c\u5f0f\u8ba1\u7b97\u540e\u5f97\u5230B\u503c\uff0c\u6309\u7167A\u3001B\u4e24\u4e2a\u503c\u4e2d\u8f83\u5c0f\u7684\u503c\u7ed9\u4ed8\u3002</span></p> </div> <div class=\"informContent border-line\"> <h3>\u8d23\u4efb\u514d\u9664</h3> <p><span class = 'indent'>\u56e0\u4e0b\u5217\u60c5\u5f62\u4e4b\u4e00\u5bfc\u81f4\u88ab\u4fdd\u9669\u4eba\u53d1\u751f\u672c\u5408\u540c\u6240\u6307\u91cd\u5927\u75be\u75c5\u7684\uff0c\u672c\u516c\u53f8\u4e0d\u627f\u62c5\u7ed9\u4ed8\u4fdd\u9669\u91d1\u7684\u8d23\u4efb\uff1a</span></p> <p><span class = 'indent'>\uff08\u4e00\uff09\u88ab\u4fdd\u9669\u4eba\u5728\u9999\u6e2f\u7279\u522b\u884c\u653f\u533a\u3001\u6fb3\u95e8\u7279\u522b\u884c\u653f\u533a\u3001\u53f0\u6e7e\u5730\u533a\u6216\u4e2d\u56fd\u5883\u5916\u7684\u8bca\u7597\uff1b</span></p> <p><span class = 'indent'>\uff08\u4e8c\uff09\u60a3\u5148\u5929\u6027\u7578\u5f62\u3001\u53d8\u5f62\u548c\u67d3\u8272\u4f53\u5f02\u5e38\uff08\u4ee5\u4e16\u754c\u536b\u751f\u7ec4\u7ec7\u9881\u5e03\u7684\u300a\u75be\u75c5\u548c\u6709\u5173\u5065\u5eb7\u95ee\u9898\u7684\u56fd\u9645\u7edf\u8ba1\u5206\u7c7b\uff08ICD-10\uff09\u300b\u4e3a\u51c6\uff09\uff1b</span></p> <p><span class = 'indent'>\uff08\u4e09\uff09\u6295\u4fdd\u4eba\u5bf9\u88ab\u4fdd\u9669\u4eba\u7684\u6545\u610f\u6740\u5bb3\u3001\u6545\u610f\u4f24\u5bb3\uff1b</span></p> <p><span class = 'indent'>\uff08\u56db\uff09\u88ab\u4fdd\u9669\u4eba\u6545\u610f\u72af\u7f6a\u6216\u6297\u62d2\u4f9d\u6cd5\u91c7\u53d6\u7684\u5211\u4e8b\u5f3a\u5236\u63aa\u65bd\uff1b</span></p> <p><span class = 'indent'>\uff08\u4e94\uff09\u88ab\u4fdd\u9669\u4eba\u81ea\u6740\u6216\u6545\u610f\u81ea\u4f24\uff0c\u4f46\u88ab\u4fdd\u9669\u4eba\u81ea\u6740\u6216\u6545\u610f\u81ea\u4f24\u65f6\u4e3a\u65e0\u6c11\u4e8b\u884c\u4e3a\u80fd\u529b\u4eba\u7684\u9664\u5916\uff1b</span></p> <p><span class = 'indent'>\uff08\u516d\uff09\u88ab\u4fdd\u9669\u4eba\u6597\u6bb4\u3001\u9189\u9152\uff0c\u4e3b\u52a8\u5438\u98df\u6216\u6ce8\u5c04\u6bd2\u54c1\uff1b</span></p> <p><span class = 'indent'>\uff08\u4e03\uff09\u88ab\u4fdd\u9669\u4eba\u672a\u9075\u533b\u5631\uff0c\u79c1\u81ea\u670d\u7528\u3001\u6d82\u7528\u6216\u6ce8\u5c04\u836f\u7269\uff08\u4f46\u6309\u4f7f\u7528\u8bf4\u660e\u7684\u89c4\u5b9a\u4f7f\u7528\u975e\u5904\u65b9\u836f\u4e0d\u5728\u6b64\u9650\uff09\uff1b</span></p> <p><span class = 'indent'>\uff08\u516b\uff09\u88ab\u4fdd\u9669\u4eba\u9152\u540e\u9a7e\u9a76\u3001\u65e0\u5408\u6cd5\u6709\u6548\u9a7e\u9a76\u8bc1\u9a7e\u9a76\u6216\u9a7e\u9a76\u65e0\u6709\u6548\u884c\u9a76\u8bc1\u7684\u673a\u52a8\u8f66\uff1b</span></p> <p><span class = 'indent'>\uff08\u4e5d\uff09\u88ab\u4fdd\u9669\u4eba\u53c2\u52a0\u6f5c\u6c34\u3001\u8df3\u4f1e\u6216\u5176\u4ed6\u7a7a\u4e2d\u8fd0\u52a8\u3001\u767b\u5c71\u3001\u6500\u5ca9\u6216\u6500\u722c\u5efa\u7b51\u7269\u3001\u63a2\u9669\u3001\u6b66\u672f\u6bd4\u8d5b\u3001\u6454\u8de4\u6bd4\u8d5b\u3001\u7279\u6280\u8868\u6f14\u3001\u8d5b\u9a6c\u3001\u8d5b\u8f66\u7b49\u9ad8\u98ce\u9669\u8fd0\u52a8\uff1b</span></p> <p><span class = 'indent'>\uff08\u5341\uff09\u88ab\u4fdd\u9669\u4eba\u6212\u9152\u6216\u6212\u6bd2\u6cbb\u7597\u3001\u5fc3\u7406\u6cbb\u7597\u3001\u89c6\u529b\u77eb\u6b63\u624b\u672f\u3001\u53d8\u6027\u624b\u672f\u3001\u6574\u5bb9\u6574\u5f62\u6216\u77eb\u5f62\u624b\u672f\uff1b</span></p> <p><span class = 'indent'>\uff08\u5341\u4e00\uff09\u7597\u517b\u3001\u5eb7\u590d\u6cbb\u7597\u3001\u5305\u76ae\u73af\u5207\u3001\u975e\u533b\u5b66\u5fc5\u9700\u7684\u6fc0\u7d20\u6cbb\u7597\u3001\u8131\u53d1\u6cbb\u7597\u3001\u7f8e\u5bb9\u3001\u51cf\u80a5\u3001\u4e30\u80f8\u6216\u8005\u7f29\u80f8\u624b\u672f\u3001\u7761\u7720\u6709\u5173\u7684\u7814\u7a76\u6216\u8005\u6cbb\u7597\u3001\u6212\u70df\u3001\u77eb\u5f62\u3001\u89c6\u529b\u77eb\u6b63\u624b\u672f\u3001\u975e\u610f\u5916\u4e8b\u6545\u6240\u81f4\u7684\u6574\u5bb9\u624b\u672f\uff1b</span></p> <p><span class = 'indent'>\uff08\u5341\u4e8c\uff09\u4f7f\u7528\u5047\u4f53\u88c5\u7f6e\u3001\u5404\u79cd\u77eb\u6b63\u5668\uff08\u5305\u62ec\u4e49\u80a2\u3001\u4e49\u773c\uff0c\u53ca\u975e\u6025\u6551\u4e2d\u4f7f\u7528\u7684\u9888\u6258\u3001\u5939\u677f\uff09\u3001\u8f6e\u6905\u53ca\u5404\u79cd\u7535\u52a8\u52a9\u884c\u5668\u68b0\u3001\u52a9\u542c\u5668\uff1b\u5e38\u89c4\u89c6\u529b\u68c0\u67e5\u3001\u914d\u5236\u773c\u955c\u6216\u9690\u5f62\u773c\u955c\u3001\u89c6\u529b\u6cbb\u7597\u6216\u89c6\u529b\u8bad\u7ec3\uff1b</span></p> <p><span class = 'indent'>\uff08\u5341\u4e09\uff09\u56e0\u533b\u7597\u4e8b\u6545\u5bfc\u81f4\u7684\u533b\u7597\u8d39\u7528\uff1b</span></p> <p><span class = 'indent'>\uff08\u5341\u56db\uff09\u88ab\u4fdd\u9669\u4eba\u7684\u7cbe\u795e\u548c\u884c\u4e3a\u969c\u788d\uff08\u4ee5\u4e16\u754c\u536b\u751f\u7ec4\u7ec7\u9881\u5e03\u7684\u300a\u75be\u75c5\u548c\u6709\u5173\u5065\u5eb7\u95ee\u9898\u7684\u56fd\u9645\u7edf\u8ba1\u5206\u7c7b\uff08ICD-10\uff09\u300b\u4e3a\u51c6\uff09\uff1b</span></p> <p><span class = 'indent'>\uff08\u5341\u4e94\uff09\u6218\u4e89\u3001\u519b\u4e8b\u51b2\u7a81\u3001\u66b4\u4e71\u6216\u6b66\u88c5\u53db\u4e71\u3001\u6838\u7206\u70b8\u3001\u6838\u8f90\u5c04\u6216\u6838\u6c61\u67d3\u3001\u6050\u6016\u4e3b\u4e49\u884c\u4e3a\uff1b</span></p> <p><span class = 'indent'>\uff08\u5341\u516d\uff09\u88ab\u4fdd\u9669\u4eba\u4f5c\u4e3a\u6350\u8d60\u4eba\u800c\u8fdb\u884c\u7684\u5668\u5b98\u6216\u7ec4\u7ec7\u6458\u9664\uff0c\u5668\u5b98\u4f9b\u4f53\u5bfb\u627e\u3001\u83b7\u53d6\u4ee5\u53ca\u4ece\u4f9b\u4f53\u5207\u9664\u3001\u50a8\u85cf\u3001\u8fd0\u9001\u5668\u5b98\uff1b</span></p> <p><span class = 'indent'>\uff08\u5341\u4e03\uff09\u672a\u7ecf\u79d1\u5b66\u6216\u8005\u533b\u5b66\u8ba4\u53ef\u7684\u8bd5\u9a8c\u6027\u6216\u8005\u7814\u7a76\u6027\u6cbb\u7597\u53ca\u5176\u4ea7\u751f\u7684\u540e\u679c\u6240\u4ea7\u751f\u7684\u8d39\u7528\uff1b</span></p> <p><span class = 'indent'>\uff08\u5341\u516b\uff09\u9057\u4f20\u6027\u75be\u75c5\u3001\u5148\u5929\u6027\u75be\u75c5\u3001\u6027\u75c5\uff1b</span></p> <p><span class = 'indent'>\uff08\u5341\u4e5d\uff09\u88ab\u4fdd\u9669\u4eba\u63a5\u53d7\u6240\u6709\u7259\u79d1\u6cbb\u7597\u3001\u7259\u9f7f\u77eb\u6b63\u3001\u5b89\u88c5\u4e49\u9f7f\u3001\u7259\u6258\uff1b</span></p> <p><span class = 'indent'>\uff08\u4e8c\u5341\uff09\u907f\u5b55\u3001\u8282\u80b2\uff08\u542b\u7edd\u80b2\u4ee5\u53ca\u7edd\u80b2\u6062\u590d\u624b\u672f\uff09\u3001\u6cbb\u7597\u4e0d\u5b55\u4e0d\u80b2\u75c7\u3001\u4eba\u5de5\u53d7\u5b55\u3001\u6000\u5b55\u3001\u5206\u5a29\uff08\u542b\u96be\u4ea7\uff09\u3001\u6d41\u4ea7\u3001\u5815\u80ce\u3001\u4ea7\u524d\u4ea7\u540e\u68c0\u67e5\u3001\u6027\u529f\u80fd\u76f8\u5173\u533b\u7597\uff0c\u6216\u7531\u524d\u8ff0\u60c5\u5f62\u5bfc\u81f4\u7684\u5e76\u53d1\u75c7\u7684\u6cbb\u7597\uff1b</span></p> <p><span class = 'indent'>\uff08\u4e8c\u5341\u4e00\uff09\u56e0\u5de5\u8d1f\u4f24\u3001\u804c\u4e1a\u75c5\u5f15\u8d77\u7684\u533b\u7597\u8d39\u7528\uff1b</span></p> <p><span class = 'indent'>\uff08\u4e8c\u5341\u4e8c\uff09\u611f\u67d3\u827e\u6ecb\u75c5\u75c5\u6bd2\u6216\u60a3\u827e\u6ecb\u75c5\u671f\u95f4\u53d1\u751f\u7684\u6240\u6709\u533b\u7597\u8d39\u7528\uff1b</span></p> <p><span class = 'indent'>\uff08\u4e8c\u5341\u4e09\uff09\u88ab\u4fdd\u9669\u4eba\u9996\u6b21\u6295\u4fdd\u524d\u6240\u60a3\u6076\u6027\u80bf\u7624\u3001\u5fc3\u810f\u75c5\uff08\u5fc3\u529f\u80fd\u4e0d\u5168II\u7ea7\u53caII\u7ea7\u4ee5\u4e0a\uff09\u3001\u5fc3\u808c\u6897\u585e\u3001\u767d\u8840\u75c5\u3001\u9ad8\u8840\u538b\uff08II\u7ea7\u53caII\u7ea7\u4ee5\u4e0a\uff09\u3001\u809d\u786c\u5316\u3001\u6162\u6027\u963b\u585e\u6027\u652f\u6c14\u7ba1\u75be\u75c5\u3001\u8111\u8840\u7ba1\u75be\u75c5\u3001\u6162\u6027\u80be\u810f\u75be\u75c5\u3001\u7cd6\u5c3f\u75c5\uff08\u4f34\u86cb\u767d\u5c3f\uff09\u3001\u518d\u751f\u969c\u788d\u6027\u8d2b\u8840\u3001\u766b\u75eb\u75c5\u3001\u300a\u4e2d\u534e\u4eba\u6c11\u5171\u548c\u56fd\u4f20\u67d3\u75c5\u9632\u6cbb\u6cd5\u300b\u89c4\u5b9a\u7684\u7532\u7c7b\u548c\u4e59\u7c7b\u4f20\u67d3\u75c5\u3001\u5df2\u6709\u4f24\u6b8b\u7684\u6cbb\u7597\u548c\u5eb7\u590d\u6240\u53d1\u751f\u7684\u533b\u7597\u8d39\u7528\u652f\u51fa\uff1b</span></p> <p><span class = 'indent'>\uff08\u4e8c\u5341\u56db\uff09\u672a\u7ecf\u533b\u4fdd\u7ed3\u7b97\u7684\u533b\u7597\u8d39\u7528\uff08\u4e0a\u6d77\u5e02\u8d28\u5b50\u91cd\u79bb\u5b50\u533b\u9662\u9664\u5916\uff09\uff1b</span></p> <p><span class = 'indent'>\uff08\u4e8c\u5341\u4e94\uff09\u5916\u914d\u836f\u3001\u4ee3\u914d\u836f\u3001\u4ee3\u8bca\uff1b</span></p> <p><span class = 'indent'>\uff08\u4e8c\u5341\u516d\uff09\u6cd5\u5f8b\u89c4\u5b9a\u7684\u5176\u4ed6\u60c5\u5f62\u3002</span></p> </div> <div class=\"informContent p-padding\"> <h3>\u7406\u8d54\u6d41\u7a0b</h3> <p>1\u3001\u7406\u8d54\u62a5\u6848\u7535\u8bdd\uff1a95511\u6309\u201c#\u201d\u8f6c6\u8f6c1\u8f6c9\u3002 </p> <p>2\u3001\u643a\u76f8\u5173\u7406\u8d54\u8d44\u6599\u81f3\u5e73\u5b89\u95e8\u5e97\u7533\u8bf7\u7406\u8d54\u3002 </p> <p>3\u3001\u786e\u5c5e\u4fdd\u9669\u8d23\u4efb\u8303\u56f4\uff0c\u5728\u8d54\u4ed8\u534f\u8bae\u8fbe\u6210\u540e\u5341\u4e2a\u5de5\u4f5c\u65e5\u5185\u8d54\u4ed8;\u4e0d\u5c5e\u4fdd\u9669\u8d23\u4efb\u7684\uff0c\u81ea\u4f5c\u51fa\u62d2\u4ed8\u7ed3\u8bba\u540e\u4e09\u4e2a\u5de5\u4f5c\u65e5\u5185\u4e0b\u53d1\u62d2\u4ed8\u901a\u77e5\u4e66\u3002</p> <p>4\u3001\u4fdd\u9669\u91d1\u7533\u8bf7 <br> <span class='indent'>\u7531\u4fdd\u9669\u91d1\u7533\u8bf7\u4eba\u586b\u5199\u4fdd\u9669\u91d1\u7ed9\u4ed8\u7533\u8bf7\u4e66\uff0c\u5e76\u63d0\u4f9b\u4e0b\u5217\u8bc1\u660e\u548c\u8d44\u6599\uff1a<br></span> <span class='indent'>\uff08\u4e00\uff09\u53d7\u76ca\u4eba\u7684\u6709\u6548\u8eab\u4efd\u8bc1\u4ef6\uff1b<br></span> <span class='indent'>\uff08\u4e8c\uff09\u4f4f\u9662\u533b\u7597\u8d39\u7528\u539f\u59cb\u53d1\u7968\u3001\u8d39\u7528\u660e\u7ec6\u6e05\u5355\u3001\u95e8\u6025\u8bca\u75c5\u5386\u590d\u5370\u4ef6\u3001\u51fa\u9662\u5c0f\u7ed3\u6216\u4f4f\u9662\u75c5\u5386\u590d\u5370\u4ef6\uff1b<br></span> <span class='indent'>\uff08\u4e09\uff09\u6240\u80fd\u63d0\u4f9b\u7684\u4e0e\u786e\u8ba4\u4fdd\u9669\u4e8b\u6545\u7684\u6027\u8d28\u3001\u539f\u56e0\u7b49\u6709\u5173\u7684\u5176\u4ed6\u8bc1\u660e\u548c\u8d44\u6599\uff1b<br></span> <span class='indent'>\uff08\u56db\uff09\u4e0d\u53d7\u7406\u5916\u914d\u836f\u53d1\u7968\u53ca\u5230\u836f\u623f\u81ea\u884c\u8d2d\u4e70\u7684\u836f\u8d39\u53d1\u7968\u3002<br></span> \u7533\u8bf7\u4eba\u7533\u8bf7\u4fdd\u9669\u91d1\u65f6\uff0c\u5982\u63d0\u4f9b\u7684\u4ee5\u4e0a\u8bc1\u660e\u548c\u8d44\u6599\u4e0d\u5b8c\u6574\uff0c\u672c\u516c\u53f8\u5c06\u53ca\u65f6\u4e00\u6b21\u6027\u901a\u77e5\u7533\u8bf7\u4eba\u8865\u5145\u63d0\u4f9b\u6709\u5173\u8bc1\u660e\u548c\u8d44\u6599\u3002 </p> </div> <div class=\"informContent border-line\"> <h3>\u4fdd\u5168</h3> <p>\u82e5\u9700\u4fdd\u5355\u9000\u4fdd\u7b49\u4fdd\u5168\u670d\u52a1\u64cd\u4f5c\uff0c\u53ef\u6ce8\u518c\u5e76\u767b\u9646\u533b\u8d26\u901aAPP\uff0c\u9009\u53d6\u9700\u53d8\u66f4\u7684\u4fdd\u5355\uff0c\u6839\u636e\u9875\u9762\u63d0\u793a\u8fdb\u884c\u76f8\u5173\u64cd\u4f5c\uff0c\u64cd\u4f5c\u8fc7\u7a0b\u4e2d\u5982\u9047\u5230\u4efb\u4f55\u95ee\u9898\uff0c\u53ef\u54a8\u8be295511\u6309\u201c#\u201d\u8f6c6\u8f6c5.</p> </div> <div class=\"informContent border-line\"> <h3>\u91ca\u4e49</h3> <p>\u3010\u9996\u6b21\u6295\u4fdd\u3011\u4ee5\u4e0b\u4e24\u79cd\u60c5\u5f62\u5747\u89c6\u4e3a\u9996\u6b21\u6295\u4fdd\uff1a</p> <p>\uff081\uff09\u6295\u4fdd\u4eba\u4e3a\u88ab\u4fdd\u9669\u4eba\u5728\u672c\u516c\u53f8\u7b2c\u4e00\u6b21\u6295\u4fdd\u672c\u4fdd\u9669\u7684\uff1b</p> <p>\uff082\uff09\u6295\u4fdd\u4eba\u66fe\u7ecf\u4e3a\u88ab\u4fdd\u9669\u4eba\u5728\u672c\u516c\u53f8\u6295\u4fdd\u672c\u4fdd\u9669\uff0c\u4f46\u672c\u6b21\u6295\u4fdd\u4fdd\u5355\u7684\u751f\u6548\u65e5\u665a\u4e8e\u539f\u4fdd\u5355\u5230\u671f\u65e5\u7684\u6b21\u65e5\u3002</p> <p>\u3010\u653f\u7b56\u5b9e\u65bd\u4e4b\u65e5\u3011\u6307\u4e0a\u6d77\u5e02\u653f\u5e9c\u4e0b\u53d1\u5173\u4e8e\u4e2a\u4eba\u533b\u4fdd\u8d26\u6237\u8d2d\u4e70\u5546\u4e1a\u4fdd\u9669\u7684\u6b63\u5f0f\u6587\u4ef6\u4e2d\u8f7d\u660e\u7684\u653f\u7b56\u5b9e\u65bd\u4e4b\u65e5</p> <p>\u3010\u8fde\u7eed\u6295\u4fdd\u3011\u6307\u6295\u4fdd\u4eba\u4e3a\u88ab\u4fdd\u9669\u4eba\u5728\u672c\u516c\u53f8\u7eed\u4fdd\u540c\u4e00\u9669\u79cd\uff0c\u4e14\u7eed\u4fdd\u4fdd\u5355\u7684\u751f\u6548\u65e5\u4e3a\u539f\u4fdd\u5355\u5230\u671f\u65e5\u7684\u6b21\u65e5\u3002</p> <p>\u3010\u6307\u5b9a\u533b\u9662\u666e\u901a\u75c5\u623f\u3011\u6307\u4e0a\u6d77\u5e02\u8f96\u533a\u5185\u5404\u533b\u4fdd\u5b9a\u70b9\u516c\u7acb\u533b\u9662\u666e\u901a\u75c5\u623f\uff08\u4e0d\u5305\u62ec\u5982\u7279\u9700\u533b\u7597\u3001\u56fd\u9645\u533b\u7597\u7b49\u7684\u75c5\u623f\uff09</p> </div> <div class=\"informContent border-line\"> <h3>\u516c\u5171\u670d\u52a1\u5185\u5bb9\u53ca\u5176\u4ed6</h3> <p>1\u3001\u6295\u4fdd\u8fc7\u7a0b\u4e2d\u5982\u6709\u4efb\u4f55\u7591\u95ee\u53ef\u8054\u7cfb\u6211\u53f8\u670d\u52a1\u4eba\u5458\u6216\u62e8\u625395511\u6309\u201c#\u201d\u8f6c6\u8f6c5\u54a8\u8be2\uff1b</p> <p>2\u3001\u5206\u652f\u673a\u6784\u670d\u52a1\u67dc\u9762\u5730\u5740\uff1a</p><p>http://annuity.pingan.com/xinxipilu_more.shtml\u3002</p> <p>3\u3001\u6839\u636e\u300a\u4e2d\u534e\u4eba\u6c11\u5171\u548c\u56fd\u5408\u540c\u6cd5\u300b\u7b2c\u5341\u4e00\u6761\u89c4\u5b9a\uff0c\u6570\u636e\u7535\u6587\u662f\u5408\u6cd5\u7684\u5408\u540c\u8868\u73b0\u5f62\u5f0f\u3002\u672c\u4eba\u63a5\u53d7\u4ee5\u5e73\u5b89\u517b\u8001\u4fdd\u9669\u80a1\u4efd\u6709\u9650\u516c\u53f8\u63d0\u4f9b\u7684\u7535\u5b50\u4fdd\u5355\u4f5c\u4e3a\u672c\u6295\u4fdd\u4e66\u6210\u7acb\u7684\u5408\u6cd5\u6709\u6548\u51ed\u8bc1\uff0c\u5177\u6709\u5b8c\u5168\u8bc1\u636e\u6548\u529b\u3002</p> <p>4\u3001\u975e\u5e38\u611f\u8c22\u60a8\u9009\u62e9\u4e86\u5e73\u5b89\u96c6\u56e2\uff0c\u5e73\u5b89\u7684\u53d1\u5c55\u79bb\u4e0d\u5f00\u60a8\u7684\u652f\u6301\u548c\u4fe1\u4efb\uff0c\u6211\u4eec\u59cb\u7ec8\u81f4\u529b\u4e8e\u4e3a\u5ba2\u6237\u63d0\u4f9b\u4f18\u8d28\u7684\u4fdd\u9669\u3001\u94f6\u884c\u3001\u8d44\u4ea7\u7ba1\u7406\u548c\u4e92\u8054\u7f51\u91d1\u878d\u4ea7\u54c1\u53ca\u670d\u52a1\u3002\u5728\u4e3a\u60a8\u63d0\u4f9b\u670d\u52a1\u3001\u63a8\u8350\u4ea7\u54c1\u3001\u5f00\u5c55\u5e02\u573a\u8c03\u67e5\u4e0e\u4fe1\u606f\u6570\u636e\u5206\u6790\u8fc7\u7a0b\u4e2d\uff0c\u5e73\u5b89\u96c6\u56e2\u53ca\u5176\u5408\u4f5c\u4f19\u4f34\u5c06\u4f7f\u7528\u5230\u60a8\u7684\u4fe1\u606f\uff0c\u5305\u62ec\u4f46\u4e0d\u9650\u4e8e\uff1a\u60a8\u63d0\u4f9b\u7684\u4fe1\u606f\u3001\u4eab\u53d7\u670d\u52a1\u4ea7\u751f\u7684\u4fe1\u606f\uff0c\u4ee5\u53ca\u6839\u636e\u672c\u6761\u7ea6\u5b9a\u67e5\u8be2\u3001\u6536\u96c6\u7684\u4fe1\u606f\u3002\u5728\u6b64\u8fc7\u7a0b\u4e2d\uff0c\u5e73\u5b89\u96c6\u56e2\u627f\u8bfa\u4e25\u683c\u9075\u884c\u76f8\u5173\u6cd5\u5f8b\u548c\u6cd5\u89c4\uff0c\u5e76\u91c7\u53d6\u76f8\u5e94\u5b89\u5168\u63aa\u65bd\u4ee5\u4fdd\u62a4\u60a8\u7684\u4fe1\u606f\u4e0d\u88ab\u6cc4\u9732\u3002\u5982\u60a8\u8d2d\u4e70\u6216\u4f7f\u7528\u4e86\u5e73\u5b89\u96c6\u56e2\u7684\u4ea7\u54c1\u6216\u670d\u52a1\uff0c\u5373\u89c6\u4e3a\u60a8\u540c\u610f\u6388\u6743\u5e73\u5b89\u96c6\u56e2\u6309\u7167\u4ee5\u4e0a\u5185\u5bb9\u53ca\u65b9\u5f0f\u4f7f\u7528\u76f8\u5173\u4fe1\u606f\u3002</p> <p>\u82e5\u60a8\u5b58\u5728\u7591\u95ee\uff0c\u53ef\u3014\u81f4\u7535\uff0895511\uff09\u3015\u54a8\u8be2\u5e76\u53d6\u6d88\u6216\u53d8\u66f4\u3002</p> <p>\u672c\u6761\u6b3e\u81ea\u672c\u5408\u540c\u7b7e\u7f72\u65f6\u751f\u6548\uff0c\u5177\u6709\u72ec\u7acb\u6cd5\u5f8b\u6548\u529b\uff0c\u4e0d\u53d7\u5408\u540c\u6210\u7acb\u4e0e\u5426\u53ca\u6548\u529b\u72b6\u6001\u53d8\u5316\u5f71\u54cd\u3002\u672c\u6761\u6240\u79f0\u201c\u5e73\u5b89\u96c6\u56e2\u201d\u662f\u6307\u4e2d\u56fd\u5e73\u5b89\u4fdd\u9669\uff08\u96c6\u56e2\uff09\u80a1\u4efd\u6709\u9650\u516c\u53f8\u53ca\u5176\u76f4\u63a5\u6216\u95f4\u63a5\u63a7\u80a1\u7684\u516c\u53f8\uff0c\u4ee5\u53ca\u4e2d\u56fd\u5e73\u5b89\u4fdd\u9669\uff08\u96c6\u56e2\uff09\u80a1\u4efd\u6709\u9650\u516c\u53f8\u76f4\u63a5\u6216\u95f4\u63a5\u4f5c\u4e3a\u5176\u5355\u4e00\u6700\u5927\u80a1\u4e1c\u7684\u516c\u53f8\u3002</p> </div> </section>");
},{"template":80}],60:[function(require,module,exports){
/*TMODJS:{"version":1,"md5":"f12aa52205828cadf00f9777e5aaac59"}*/
var template=require("template");module.exports=template("insurance/insurancePage/view/template/insureInfo.tpl",function(a){"use strict";var b=this,c=(b.$helpers,b.$escape),d=a.modifiable,e=a.userName,f=a.idNo,g=a.idType,h=a.gender,i=a.birthDateStr,j=a.isApp,k=a.mobile,l=a.medicalCardNo,m=a.shareType,n=a.agentNo,o=a.agentName,p=a.showChecked,q=a.address,r=a.isAgree,s="";return s+='<section id="InsureInfo"> <div class="insurePeopleInfo iscroll no-mg"> <div class="insureInfoTit">\u672c\u4ea7\u54c1\u6295\u4fdd\u4eba\u548c\u88ab\u4fdd\u4eba\u90fd\u9700\u5747\u4e3a\u672c\u4eba</div> <h1>\u88ab\u4fdd\u4eba\u4fe1\u606f</h1> <ul class="orderInfoList"> <li class="',s+=c(d?"placeholder":""),s+='"> <label class="itemName">\u59d3\u540d:</label> <input ',s+=c(d?"disabled":""),s+=' eint="true" id="insurerName" type="text" validate_type="1" placeholder="\u8bf7\u8f93\u5165\u59d3\u540d" value="',s+=c(e),s+='"> </li> <li class="',s+=c(d?"placeholder":""),s+='"> <label class="itemName">\u8bc1\u4ef6\u7c7b\u578b:</label> <select disabled eint="true" id="insurerIdType" validate_type="12"> <option value="1" selected>\u8eab\u4efd\u8bc1</option> <option value="2">\u62a4\u7167</option> <option value="5">\u6e2f\u6fb3\u53f0\u80de\u8bc1</option> <option value="6">\u6e2f\u6fb3\u53f0\u901a\u884c\u8bc1</option> </select> </li> <li class="',s+=c(d?"placeholder":""),s+='"> <label class="itemName">\u8bc1\u4ef6\u53f7\u7801:</label> <input ',s+=c(d?"disabled":""),s+=' validate_type="2" eint="true" type="text" placeholder="\u8bf7\u8f93\u5165\u8bc1\u4ef6\u53f7" id="insurerIdCard" value="',s+=c(f),s+='"> </li> <li class="',s+=c("1"==g?"placeholder":""),s+='"> <label class="itemName">\u6027\u522b:</label> <select eint="true" id="insurerSex" validate_type="10"> <option value="">\u8bf7\u9009\u62e9\u6027\u522b</option> <option value="M" ',s+=c("M"==h?"selected":""),s+='>\u7537</option> <option value="F" ',s+=c("F"==h?"selected":""),s+='>\u5973</option> </select> </li> <li class="',s+=c("1"==g?"placeholder":""),s+='"> <label class="itemName">\u51fa\u751f\u65e5\u671f:</label> <input disabled eint="true" id="insurerBirthday" type="" validate_type="11" value="',s+=c(i),s+='" placeholder="\u8bf7\u8f93\u5165\u51fa\u751f\u65e5\u671f"/> </li> <li class="',s+=c(j?"placeholder":""),s+='"> <label class="itemName">\u624b\u673a\u53f7\u7801:</label> <input ',s+=c(j?"disabled":""),s+=' eint="true" validate_type="9" id="mobile" placeholder="\u8bf7\u8f93\u5165\u624b\u673a\u53f7" value="',s+=c(k),s+='"> </li> <li> <label class="itemName">\u533b\u4fdd\u5361\u53f7:</label> <input eint="true" id="insurerHealthCard" validate_type=\'13\' type="text" placeholder="\u8bf7\u8f93\u5165\u533b\u4fdd\u5361\u53f7" value=\'',s+=c(l),s+="'> </li> <li class=\"",s+=c("2"==m?"placeholder":""),s+='"> <label class="itemName ">\u4e1a\u52a1\u4eba\u5458:</label> <div class="InputBoxs"> <input ',s+=c(j?"":"disabled"),s+=' type="text" id=\'servicersCode\' placeholder="\u8bf7\u8f93\u5165\u4e1a\u52a1\u5458\u4ee3\u7801" value = "',s+=c(n&&"G020202000"!=n?n:""),s+='" class="servicers"/> <button class="confirmation ',s+=c("true"==j?"":"2"==m?"hide":""),s+='" id="Confirmation">\u786e\u8ba4</button> </div> </li> ',j?(s+=" <li class='placeholder agentName ",s+=c(o&&"G020202000"!=n?"":"hide"),s+="'> <label class=\"itemName\">\u4e1a\u52a1\u4eba\u5458\u59d3\u540d:</label> <input disabled class='agentName' type=\"text\" value='",s+=c(o?o:""),s+="'/> </li> "):(s+=" <li class='placeholder agentName ",s+=c("Y"==p?"":"hide"),s+="'> <label class=\"itemName\">\u4e1a\u52a1\u4eba\u5458\u59d3\u540d:</label> <input disabled class='agentName' type=\"text\" value='",s+=c(o?o:""),s+="' /> </li> "),s+=' <li > <label class="itemName">\u8be6\u7ec6\u5730\u5740:</label> <textarea class="inputAddress" id="detailAddress" type="string" col="8" placeholder="\u8bf7\u8f93\u5165\u8be6\u7ec6\u5730\u5740">',s+=c(q?q:""),s+='</textarea> </li> </ul> <div class="temp"> <label for="checkboxs"><input ',s+=c(r?"checked":""),s+=' class="mui-checkbox" type="checkbox" name="" id="checkboxs">\u6211\u5df2\u4ed4\u7ec6\u9605\u8bfb <a id="linkTo">\u300a\u6295\u4fdd\u987b\u77e5\u300b</a></label> </div> </div> <div class="fixedFoot"> <div class="nextStepBtn"> \u4e0b\u4e00\u6b65 </div> </div> </section>',new String(s)});
},{"template":80}],61:[function(require,module,exports){
/*TMODJS:{"version":1,"md5":"5d627ad53a376e8b8fb17874e0486794"}*/
var template=require("template");module.exports=template("insurance/insurancePage/view/template/materialSupplement.tpl",'<section id="healthInform"> <div class="casePicBox"> <h1>\u75c5\u7406\u5f71\u50cf</h1> <p>\u4e0a\u4f20\u5f71\u50cf\u6a21\u7cca\uff0c\u8bf7\u91cd\u65b0\u4e0a\u4f20</p> <ul class="casePicList"> <li><img src="assets/css/image/bg@2x.png"/></li> <li><img src="assets/css/image/bg@2x.png"/></li> <li><img src="assets/css/image/bg@2x.png"/></li> <li><img src="assets/css/image/bg@2x.png"/></li> <li><img src="assets/css/image/bg@2x.png"/></li> <li><img src="assets/css/image/bg@2x.png"/></li> <li class="addCasePic"></li> </ul> </div> <div class="casePicBox"> <h1>CT\u5f71\u50cf</h1> <ul class="casePicList"> <li class="addCasePic"></li> </ul> </div> </section>');
},{"template":80}],62:[function(require,module,exports){
/*TMODJS:{"version":1,"md5":"6fbca7484fe75581f4bdcf1d975f660f"}*/
var template=require("template");module.exports=template("insurance/insurancePage/view/template/orderDetails.tpl",function(a){"use strict";var b=this,c=(b.$helpers,a.sexs),d=a.cards,e=b.$escape,f=a.productName,g=a.itemList,h=a.coverageAmount,i=a.startTime,j=a.endTime,k=a.insurerData,l=a.insurancePrice,m="",c={M:"\u7537",F:"\u5973"},d={1:"\u8eab\u4efd\u8bc1",2:"\u62a4\u7167",5:"\u6e2f\u6fb3\u53f0\u80de\u8bc1",6:"\u6e2f\u6fb3\u53f0\u901a\u884c\u8bc1"};return m+=' <section id="insurance"> <div class="orderInfo"> <h1>',m+=e(f),m+='</h1> <div class="insureOrderCon"> <p class="insureRange"> \u4fdd\u969c\u8303\u56f4 <span>',m+=e(g[0].itemName),m+='</span></p> <p class="insureSum">\u4fdd\u989d <span>',m+=e(h/1e4),m+='\u4e07\u5143</idInsurItemOption></span></p> </div> <ul class="orderInfoList"> <li><span class="itemName">\u751f\u6548\u65e5\u671f:</span>',m+=e(i),m+=' \u96f6\u70b9\u8d77</li> <li><span class="itemName">\u6ee1\u671f\u65e5\u671f:</span>',m+=e(j),m+=' \u4e8c\u5341\u56db\u65f6\u6b62</li> <li style="height:2.5rem;line-height:2.5rem"><span class="itemName">\u53d7\u76ca\u4eba:</span> \u6cd5\u5b9a\u53d7\u76ca\u4eba</li> </ul> </div> <div class="insurePeopleInfo border-line"> <h1>\u6295\u4fdd\u4eba\u4fe1\u606f</h1> <ul class="insurePeopleInfoList"> <li><span class="itemName">\u59d3\u540d:</span>',m+=e(k.userName),m+='</li> <li><span class="itemName">\u6027\u522b:</span>',m+=e(c[k.gender]),m+='</li> <li><span class="itemName">\u8bc1\u4ef6\u7c7b\u578b:</span>',m+=e(d[k.idType]),m+='</li> <li><span class="itemName">\u8bc1\u4ef6\u53f7\u7801:</span>',m+=e(k.idNo),m+='</li> <li><span class="itemName">\u51fa\u751f\u65e5\u671f:</span>',m+=e(k.birthDate),m+='</li> <li><span class="itemName">\u624b\u673a\u53f7\u7801:</span>',m+=e(k.mobile),m+='</li> <li><span class="itemName">\u533b\u4fdd\u5361\u53f7:</span>',m+=e(k.medicalCardNo),m+='</li> </ul> </div> <div class="insurePeopleInfo"> <h1>\u88ab\u4fdd\u4eba\u4fe1\u606f</h1> <ul class="insurePeopleInfoList"> <li><span class="itemName">\u4e0e\u6295\u4fdd\u4eba\u5173\u7cfb:</span> \u672c\u4eba</li> <li><span class="itemName">\u59d3\u540d:</span>',m+=e(k.userName),m+='</li> <li><span class="itemName">\u6027\u522b:</span>',m+=e(c[k.gender]),m+='</li> <li><span class="itemName">\u8bc1\u4ef6\u7c7b\u578b:</span>',m+=e(d[k.idType]),m+='</li> <li><span class="itemName">\u8bc1\u4ef6\u53f7\u7801:</span>',m+=e(k.idNo),m+='</li> </ul> </div> </section> <div class="proButtonBox"> <span class="proPrice"><em>\xa5</em> <span>',m+=e(l),m+='</span> </span> <span class="insureBtn"> \u7acb\u5373\u652f\u4ed8 </span> </div> ',new String(m)});
},{"template":80}],63:[function(require,module,exports){
/*TMODJS:{"version":1,"md5":"d3d98c66eb70351cebc6daf8b7bacaac"}*/
var template=require("template");module.exports=template("insurance/insurancePage/view/template/orderPay.tpl",function(a){"use strict";var b=this,c=(b.$helpers,b.$escape),d=a.productName,e=a.insurancePrice,f=a.payChannel,g=a.insurerData,h=a.isSupportPay,i=a.isInheritCard,j=a.isRenewal,k=a.isAgree_2,l="";return l+='<section id="insurance" class="no-mg"> <div class="orderPay border-line"> <ul class="orderPayList"> <li>',l+=c(d),l+='</li> <li><span class="itemName">\u603b\u4ef7:</span> <span class="priceAumout">',l+=c(e),l+='</span></li> <li class="bankcardinfo hasBottom ',l+=c("03"==f?"spe":""),l+=' selected payChannel"> <span class="itemStyle medicalCard" for="check-1">\u4f18\u5148\u4ece\u533b\u4fdd\u5361\u652f\u4ed8</span> <span data-key="',l+=c(g.bankCardNo?"show":"hide"),l+='" class="showLi paySelectBox P_UnSelectBg ',l+=c("03"==f?"P_SelectedBg":""),l+='" id="check-1" name="check-pay" key = "03"></span> </li> <li class=\'message ',l+=c("03"==f?"":"hide"),l+='\'>\u5f53\u60a8\u7684\u533b\u4fdd\u5361\u4f59\u989d\u4e0d\u8db3\u4ee5\u652f\u4ed8\u4fdd\u8d39\uff0c\u6211\u4eec\u5c06\u4ece\u60a8\u6388\u6743\u7684\u94f6\u884c\u5361\u4e2d\u8fdb\u884c\u6263\u6b3e\u652f\u4ed8\u3002</li> <li class="payChannel"><span class="itemStyle medicalCard" for="check-3">\u4ec5\u4ece\u533b\u4fdd\u5361\u652f\u4ed8</span> <span data-key="hide" class="paySelectBox P_UnSelectBg ',l+=c("01"==f?"P_SelectedBg":""),l+='" id="check-3" name="check-pay" key = "01"></span></li> <li class="bankcardinfo payChannel"><span class="itemStyle bankCard" for="check-2">\u4ec5\u4ece\u94f6\u884c\u5361\u652f\u4ed8</span> <span data-key="',l+=c(g.bankCardNo?"show":"hide"),l+='" class="showLi paySelectBox P_UnSelectBg ',l+=c("02"==f?"P_SelectedBg":""),l+='" id="check-2" name="check-pay" key = "02"></span></li> </ul> </div> <div class="orderPay no-mg"> <ul class="orderPayList"> <li class="bankCardPick ',l+=c("01"==f||"Y"!=h?"hide":""),l+='"><em></em><span id="useInherit" class="itemName p_checkBoxDefault ',l+=c("Y"==i?"active":""),l+='">\u94f6\u884c\u5361\u4fe1\u606f\u4f7f\u7528\u9a8c\u8bc1\u7684\u94f6\u884c\u5361</span></li> <li class="',l+=c("N"==i?"hide":""),l+=" \" id='bankCardTips'> ",""!=g.bankCardNo?(l+=" <span class='fl'>",l+=c(g.bankName),l+="</span><span class='fr'>",l+=c(g.bankCardNo),l+="</span> "):l+=" <span>\u60a8\u6ca1\u6709\u5df2\u9a8c\u8bc1\u7684\u94f6\u884c\u5361</span> ",l+=' </li> <li class="isRenewal"> \u4e0b\u4e00\u5e74\u81ea\u52a8\u7eed\u4fdd <div class=\'toRenewal\'>?</div> <div class="btngroup"> <button type="button" class="left ',l+=c("Y"==j?"active":""),l+='" key=\'Y\'>\u662f</button><button type="button" class="right ',l+=c("N"==j?"active":""),l+='" key="N">\u5426</button> </div> </li> <li class="isRenewalTips ',l+=c("Y"==j?"active":""),l+='">\u8bf7\u6ce8\u610f,\u6b21\u5e74\u652f\u4ed8\u65b9\u5f0f\u548c\u672c\u6b21\u9009\u62e9\u652f\u4ed8\u65b9\u5f0f\u4e00\u81f4</li> <li class="isAgree"><em></em><span id="authorization" class="itemName p_checkBoxDefault ',l+=c("Y"==k?"active":""),l+='">\u6211\u5df2\u4ed4\u7ec6\u9605\u8bfb<a id=\'toLink\'>\u300a\u59d4\u6258\u652f\u4ed8\u6263\u6b3e\u534f\u8bae\u300b</a>\u5e76\u540c\u610f\u6388\u6743\u652f\u4ed8</span></li> </ul> </div> </section> <div class="proButtonBox"> <span class="proPrice"><em>\xa5</em> <span>',l+=c(e),l+='</span> </span> <span class="insureBtn"> \u6295\u4fdd\u63d0\u4ea4 </span> </div> ',new String(l)});
},{"template":80}],64:[function(require,module,exports){
/*TMODJS:{"version":1,"md5":"734e055d609d39dfbe21e30031a7e054"}*/
var template=require("template");module.exports=template("insurance/insurancePage/view/template/payFailure.tpl",'<section id="idRecognition"> <div class="container"> <div class="images"></div> <span class="paysuccess">\u7533\u8bf7\u5931\u8d25</span> </div> </section>');
},{"template":80}],65:[function(require,module,exports){
/*TMODJS:{"version":1,"md5":"53c14548efbf25868ad82fbab269660e"}*/
var template=require("template");module.exports=template("insurance/insurancePage/view/template/paySuccess.tpl",' <section id="idRecognition"> <div class="container"> <div class="image"></div> <span class="paysuccess">\u7533\u8bf7\u6210\u529f</span> </div> </section>');
},{"template":80}],66:[function(require,module,exports){
/*TMODJS:{"version":1,"md5":"3c310b1225b46cc0175658b832595bf9"}*/
var template=require("template");module.exports=template("insurance/insurancePage/view/template/protocol.tpl","<section class='protocol'> <p>\u672c\u4eba\u786e\u8ba4\uff0c\u5728\u672c\u4eba\u6388\u6743\u5e73\u5b89\u517b\u8001\u4fdd\u9669\u80a1\u4efd\u6709\u9650\u516c\u53f8\uff08\u4ee5\u4e0b\u79f0\u5e73\u5b89\u517b\u8001\u9669\uff09\uff0c\u4f9d\u636e\u672c\u4eba\u5728\u672c\u7b7e\u7ea6\u9875\u9762\u5411\u5e73\u5b89\u517b\u8001\u9669\u53d1\u9001\u7684\uff0c\u5411\u5e73\u5b89\u517b\u8001\u9669\u6307\u5b9a\u7684\u94f6\u884c\u8d26\u6237\u652f\u4ed8\u7279\u5b9a\u6b3e\u9879\u7684\u6307\u4ee4\u4e4b\u524d\uff0c\u672c\u4eba\u5df2\u8be6\u7ec6\u9605\u8bfb\u672c\u534f\u8bae\u5185\u5bb9\uff0c\u4e00\u65e6\u672c\u4eba\u70b9\u51fb\u786e\u8ba4\u6388\u6743\u4ed8\u6b3e\u6309\u94ae\uff0c\u8868\u793a\u672c\u4eba\u5df2\u9605\u8bfb\u672c\u534f\u8bae\u5e76\u5145\u5206\u7406\u89e3\u3001\u540c\u610f\u63a5\u53d7\u672c\u534f\u8bae\u6240\u6709\u5185\u5bb9\uff0c\u672c\u534f\u8bae\u5373\u5bf9\u672c\u4eba\u548c\u5e73\u5b89\u517b\u8001\u9669\u4ea7\u751f\u6cd5\u5f8b\u7ea6\u675f\u529b\u3002 </p> <p>\u672c\u4eba\u4e0d\u53ef\u64a4\u9500\u7684\u6388\u6743\u5e73\u5b89\u517b\u8001\u9669\u6309\u7167\u672c\u4eba\u5728\u9875\u9762\u4e0a\u64cd\u4f5c\u7684\u6307\u4ee4\uff1a</p> <p>1. \u4ece\u672c\u4eba\u5728\u9875\u9762\u4e0a\u63d0\u4f9b\u7684\u94f6\u884c\u8d26\u6237\u4e2d\u652f\u4ed8\u8be5\u6307\u4ee4\u4e2d\u8981\u6c42\u7684\u6b3e\u9879\u7ed9\u8be5\u6307\u4ee4\u8981\u6c42\u7684\u5bf9\u8c61\uff0c\u6216\u5411\u672c\u4eba\u6307\u5b9a\u7684\u94f6\u884c\u5361\u529f\u80fd\u7684\u94f6\u884c\u8d26\u6237\u6240\u5c5e\u94f6\u884c\u8f6c\u53d1\u5e76\u534f\u52a9\u5b8c\u6210\u8be5\u652f\u4ed8\u6307\u4ee4\u3002</p> <p>2. \u4ece\u672c\u4eba\u5728\u9875\u9762\u4e0a\u63d0\u4f9b\u7684\u533b\u4fdd\u8d26\u6237\u4e2d\u652f\u4ed8\u8be5\u6307\u4ee4\u4e2d\u8981\u6c42\u7684\u6b3e\u9879\u7ed9\u8be5\u6307\u4ee4\u8981\u6c42\u7684\u5bf9\u8c61\uff0c\u6216\u5411\u672c\u4eba\u6307\u5b9a\u7684\u533b\u4fdd\u8d26\u6237\u6240\u5c5e\u7684\u533b\u7597\u4fdd\u9669\u4e8b\u52a1\u7ba1\u7406\u4e2d\u5fc3\u8f6c\u53d1\u5e76\u534f\u52a9\u5b8c\u6210\u8be5\u652f\u4ed8\u6307\u4ee4\u672c\u6388\u6743\u4ec5\u5f97\u5728\u672c\u4eba\u5411\u5e73\u5b89\u517b\u8001\u9669\u53d1\u51fa\u4e66\u9762\u7ec8\u6b62\u6388\u6743\u7684\u6307\u4ee4\u6216\u5e73\u5b89\u517b\u8001\u9669\u7ec8\u6b62\u5411\u672c\u4eba\u63d0\u4f9b\u76f8\u5173\u670d\u52a1\u65f6\u7ec8\u6b62\u3002\u672c\u4eba\u627f\u8bfa\uff0c\u5e73\u5b89\u517b\u8001\u9669\u4f9d\u7167\u672c\u4eba\u7684\u6388\u6743\u8fdb\u884c\u64cd\u4f5c\u7684\u4e00\u5207\u98ce\u9669\u7531\u672c\u4eba\u627f\u62c5\u3002</p> <p>\u672c\u4eba\u5145\u5206\u7406\u89e3\u5e76\u660e\u786e\u540c\u610f\uff0c\u672c\u534f\u8bae\u4e4b\u7b7e\u8ba2\u662f\u7531\u672c\u4eba\u53d1\u51fa\u8d2d\u4e70\u4ea7\u54c1\u9700\u6c42\u5411\u5e73\u5b89\u517b\u8001\u9669\u53d1\u751f\u7684\uff0c\u9664\u975e\u5e73\u5b89\u517b\u8001\u9669\u672a\u6309\u7167\u672c\u4eba\u7684\u6388\u6743\u6307\u4ee4\u64cd\u4f5c\u6216\u6267\u884c\u6307\u4ee4\u9519\u8bef\uff0c\u5e73\u5b89\u517b\u8001\u9669\u5c06\u4e0d\u5bf9\u4efb\u4f55\u56e0\u672c\u534f\u8bae\u4e4b\u5c65\u884c\u627f\u62c5\u4efb\u4f55\u6cd5\u5f8b\u8d23\u4efb\u3002</p> <p>\u53cc\u65b9\u540c\u610f\uff0c\u56e0\u672a\u6309\u7167\u672c\u4eba\u7684\u6388\u6743\u53ca\u672c\u4eba\u6307\u5b9a\u7684\u6307\u4ee4\u64cd\u4f5c\u6216\u6267\u884c\u6307\u4ee4\u9519\u8bef\u800c\u4ea7\u751f\u7684\u4e89\u8bae\uff0c\u5e94\u534f\u5546\u89e3\u51b3\u3002</p> </section>");
},{"template":80}],67:[function(require,module,exports){
/*TMODJS:{"version":1,"md5":"f32d9a0fff65ab4f526db071033200c4"}*/
var template=require("template");module.exports=template("insurance/insurancePage/view/template/recognizeeInfo.tpl",'<section id="insurance"> <div class="insurePeopleInfo"> <ul class="orderInfoList"> <li><span class="itemName">\u59d3\u540d:</span> \u674e\u56db</li> <li><span class="itemName">\u6027\u522b:</span> \u7537</li> <li><span class="itemName">\u8bc1\u4ef6\u7c7b\u578b:</span> \u8eab\u4efd\u8bc1</li> <li><span class="itemName">\u8bc1\u4ef6\u53f7\u7801:</span> 333333333333333333</li> <li><span class="itemName">\u51fa\u751f\u65e5\u671f:</span> 2000-08-09</li> <li><span class="itemName">\u624b\u673a\u53f7\u7801:</span> 13425252525</li> <li><span class="itemName">\u533b\u4fdd\u5361\u53f7:</span> 333333333333</li> </ul> </div> </section>');
},{"template":80}],68:[function(require,module,exports){
/*TMODJS:{"version":1,"md5":"269a5a22e3afdbe2e5910c7aa209197e"}*/
var template=require("template");module.exports=template("insurance/insurancePage/view/template/renewalPrice.tpl",function(a){"use strict";var b=this,c=(b.$helpers,a.list),d=a.idCsspProduct,e=a.renewalList,f=a.insurerData,g=b.$escape,h=a.tableList,i=a.i,j="";j+="<section class='renewalPrice'> ";var c;c="PI000001"==d?e.medical:"M"==f.gender?e.severeIllnessM:e.severeIllnessF,j+=" <h1>",j+=g(c.h1),j+="</h1> <p>",j+=g(c.p),j+="</p> <table width='100%' border='1' cellspacing=\"0\"> ";for(var h=c.table,i=0;i<h.length;i++)j+=" <tr> <td>",j+=g(h[i].age),j+="</td> <td>",j+=g(h[i].price),j+="</td> </tr> ";return j+=" </table> <div class='tips'> <span>",j+=g(e.tips),j+="</span> </div> </section>",new String(j)});
},{"template":80}],69:[function(require,module,exports){
"use strict"

var productUpperTpl = require("./template/productUpper.tpl"),
    stylesTpl = require("./template/tpl.styles"),
    productUpperModel = require("./productUpper.model"),
    toast = new (require('../../../gum.ui/toast/toast'))(),
    platformUtil = require('../../../gum.ui/utils/platformUtil'),
    CommonTool= require('../../../gum.ui/validate/common.tool');
var $,
    commonTool=new CommonTool();

/*初始化对象*/
var ProductUpper = function () {

}

/**
 * 保险头部通用页面
 * @param data
 * @returns {*}
 */
ProductUpper.prototype.getProductUpTempl = function (data) {

    return stylesTpl() + productUpperTpl(data);

}

/***
 * 初始化事件（分享按钮点击事件， 详情伸缩， 微信端分享链接重写）
 * @param model
 */
ProductUpper.prototype.initProductUpEvent = function (model) {
    this.model = model;
    this.$ = window.GUM.$;
    productUpperModel.setRequest(model.ajax);
    productUpperModel.dataModel = model.dataModel;

    //初始化分享事件
    this.initShare();

    if (!isApp) {
        productUpperModel.shareToWeixin(model.data);
    }
}


ProductUpper.prototype.initShare = function () {
    var _this = this;

    var shareType = document.getElementById("shareType");
    var emptyMask = document.getElementById("emptyMask");

    _this.$("#share_icon").tap(function () {
        shareType.classList.remove("hide");
        emptyMask.style.display = "block";
    });

    _this.$("input").tap(function () {
        var target = this;
        setTimeout(function () {
            target.scrollIntoView(true)
        },100)
    });

    /**
     * 普通分享
     */
    _this.$("#shareType .right").tap(function () {
        _this.model.dataModel.sharePattern = '1';
        shareType.classList.add("hide");
        var handleObj = {};
        share(handleObj)
    });

    /**
     * 业务员分享
     */
    _this.$("#shareType .left").tap(function () {
        _this.model.dataModel.sharePattern = '2';
        shareType.classList.add("hide");
        _this.$("#businessShare").removeClass('hide');
        businessshare()
    });

    function businessshare() {
        var businessShareDiv = document.getElementById("businessShare");
        var handleObj = {};
        var btnCancel = document.getElementById("btnCancel");
        var agentNo = document.getElementById("agentNo");
        var agentNameDiv = document.getElementById("agentNameDiv");
        var agentName = document.getElementById("agentName");
        var showBtn = document.getElementById("showBtn");
        businessShareDiv.classList.remove("hide");
        var emptyMask = document.getElementById("emptyMask");

        //业务员分享取消按钮
        _this.$("#btnCancel").tap(function () {
            btnCancelFun()
        });

        //业务员分享确认按钮
        _this.$("#share_btnOK").tap(function () {
            btnOkfun()
        });

        //取消事件
        var btnCancelFun = function () {
            setTimeout(function () {
                emptyMask.style.display = "none";
            },100);
            agentNameDiv.classList.add("hide");
            agentNo.value = "";
            agentName.innerText = "";
            _this.$("#businessShare").addClass('hide');
            agentNo.removeAttribute("readonly");
            _this.$('.alert-message-one').removeClass('placeholder')
        };

        //确认事件
        var btnOkfun = function () {
            if (agentNo.value == "") {
                window.GUM.toast.showToast("请输入业务员代码!", 2000);
                return;
            }
            if (!handleObj.agentNo) {
                productUpperModel.queryAgentInfoByGCode(agentNo.value.trim().toUpperCase(), function (res) {
                    if (res.data.agentNo) {
                        agentName.innerText = res.data.agentName;
                        handleObj = {};
                        handleObj.agentNo = res.data.agentNo;
                        handleObj.agentName = res.data.agentName;
                        agentNameDiv.classList.remove("hide");
                        agentNo.setAttribute("readonly", "readonly");
                        _this.$('.alert-message-one').addClass('placeholder')
                    }
                });
            } else {
                share(handleObj)
            }
        };
    }

    function share(handleObj) {
        var showName = document.getElementById("showName");
        var agentNameDiv = document.getElementById("agentNameDiv");
        handleObj.showChecked = showName.checked == true ?"Y" :"N";
        var urls = window.location.href;
        var preUrl = urls.substr(0, urls.lastIndexOf("client.html"));
        var lastUrl = "#" + urls.split("#")[1];
        if(_this && _this.model && _this.model.data){
            lastUrl= _this.model.data.hash;
        }
        handleObj.hash = lastUrl;
        handleObj.scmsOrgId = '';
        handleObj.scmsProductId = _this.model.data.idCsspProduct;
        handleObj.shareType = _this.model.dataModel.sharePattern;
        var param = '';
        productUpperModel.saveShareNote(handleObj,function (res) {
            param = res.idScmsShare;
            param = "?shareId=" + param;
            var shareUrl = preUrl + "index.html" + param;
            if (isApp) {
                window.GUM.bridge.js_send_wechat({
                    title:_this.model.data.productName,
                    description: _this.model.data.productDesc,
                    shareUrl:shareUrl,
                    imageUrl: preUrl + "assets/css/image/medicalCardBg.png"
                });
                setTimeout(function () {
                    emptyMask.style.display = "none";
                },100);
                agentNameDiv.classList.add("hide");
                agentNo.value = "";
                agentName.innerText = "";
                _this.$("#businessShare").addClass('hide');
                agentNo.removeAttribute("readonly");
                _this.$('.alert-message-one').removeClass('placeholder')
            } else {
                //微信二次分享
                productUpperModel.shareToWeixin(_this.mode.data,res.idScmsShare);

            }
        });
    }
};

module.exports = new ProductUpper();

},{"../../../gum.ui/toast/toast":9,"../../../gum.ui/utils/platformUtil":14,"../../../gum.ui/validate/common.tool":23,"./productUpper.model":70,"./template/productUpper.tpl":71,"./template/tpl.styles":72}],70:[function(require,module,exports){
"use strict"

var weChatHelper=new (require('../../../gum.ui/wechatSDK/wechat.helper'))(),
    Q    = require('q');


var urls = {
    getAgentInfoByGCode:"/egis-scms-app/app/policy/queryAgentInfoByGCode.dox",        //检查业务员G码
    saveShareNote:"/egis-scms-app/app/policy/saveShareNotes.dox",              //保存分享配置
    queryShareNoteById:"/egis-scms-app/app/policy/queryShareNoteById.dox"      //获取分享配置
};
/*初始化对象*/
var ProductUpperModel = function(){
    this.dataModel = {};
}

ProductUpperModel.prototype.setRequest = function(ajax){
    this.ajax = ajax;
}

ProductUpperModel.prototype.getDataModel = function(){
    return this.dataModel;
};

ProductUpperModel.prototype.saveShareNote=function(notesData,success,error){
        this.ajax({
            url     : urls.saveShareNote,
            data    : notesData,
            noMask  : true
        },function(res){
            success(res);
        },function(e){
            error(e);
        });
    };

ProductUpperModel.prototype.queryAgentInfoByGCode=function(agentNo,success){
    var thiso=this;
    this.ajax({
        url     : urls.getAgentInfoByGCode,
        data    : {"agentNo":agentNo},
        noMask  : true
    },function(res){
        success(res);
    });
};

ProductUpperModel.prototype.queryShareNoteById=function(shareId,succ,error){
    this.ajax({
        url     : urls.queryShareNoteById,
        data    : {id:shareId}
    },function(res){
        succ(res);
    },function(e){
        error(e);
    });
};

/*微信端二次分享需要调用的方法*/

ProductUpperModel.prototype.shareToWeixin=function(dataInfo,nShareId){
    Q(weChatHelper.getToken()).then(function(data){
        weChatHelper.setConfig(data,[
            'onMenuShareTimeline',
            'onMenuShareAppMessage',
            'onMenuShareQQ',
            'onMenuShareWeibo',
            'startRecord',
            'stopRecord',
            'onVoiceRecordEnd',
            'playVoice',
            'pauseVoice',
            'stopVoice',
            'onVoicePlayEnd',
            'uploadVoice',
            'downloadVoice',
            'chooseImage',
            'previewImage',
            'uploadImage',
            'downloadImage',
            'translateVoice',
            'getNetworkType',
            'openLocation',
            'getLocation',
            'hideOptionMenu',
            'showOptionMenu',
            'hideMenuItems',
            'showMenuItems',
            'hideAllNonBaseMenuItem',
            'showAllNonBaseMenuItem',
            'closeWindow',
            'scanQRCode',
            //'chooseWXPay',
            'openProductSpecificView',
            'addCard',
            'chooseCard',
            'openCard']);
        wx.ready(function(){
            var shareId;
            var shareParams=window.location.search.slice(1).split("&");
            for(var i=0;i<shareParams.length;i++){
                var item=shareParams[i];
                var items=item.split("=");
                if(items.length==2 && items[0]=="shareId"){
                    shareId=items[1];
                    break;
                }
            }
            if(nShareId){
                shareId=nShareId;
            }
            var urls=window.location.href;
            var preUrl=urls.substr(0,urls.lastIndexOf("index.html"));
            var shareUrl = preUrl+"index.html"+"?shareId=" + shareId;
            var title = dataInfo.productName;
            var content = dataInfo.productDesc;
            var imgUrl = preUrl + "assets/css/image/medicalCardBg.png";
            // 重写分享好友
            weChatHelper.share(title, content, shareUrl, imgUrl);
        });

    })
};

module.exports =new ProductUpperModel();
},{"../../../gum.ui/wechatSDK/wechat.helper":24,"q":83}],71:[function(require,module,exports){
/*TMODJS:{"version":15,"md5":"df66d4e8195dbe26485be5ac0bc43456"}*/
var template=require("template");module.exports=template("insurance/productUpper/template/productUpper.tpl",'<div id="emptyMask" style="width: 100%; height: 100%;z-index: 9999;background: #000; opacity: 0.6;position: fixed;display: none"> </div> <div class="alert hide alert-share" id="shareType"> <div class="alert-title short-line-right shareType"> \u9009\u62e9\u5206\u4eab\u7c7b\u578b </div> <div class="table-view-alert-choose grid shareType-detail" > <div class="grid-cell col-xs-6 left rightlineSvg"> <button>\u4e1a\u52a1\u5458\u5206\u4eab</button> </div> <div class="grid-cell col-xs-6 right"> <button>\u7528\u6237\u5206\u4eab</button> </div> </div> </div> <div> <div class="alert hide alert-share alert-share-bus" id="businessShare" > <div class="alert-title" >\u4e1a\u52a1\u5458\u5206\u4eab </div> <div class="alert-message alert-message-one"> <input type="text" placeholder="\u8bf7\u8f93\u5165\u4e1a\u52a1\u5458\u4ee3\u7801" id="agentNo" /> </div> <div class="alert-message hide alert-message-two" id="agentNameDiv"> <div style="">\u4e1a\u52a1\u5458\u59d3\u540d:<span id="agentName">\u738b\u4e50\u4e50</span></div> <div class="grid"> <div class="grid-cell col-xs-2 checkbox" style="width: 35px;"> <label class="topcoat-checkbox" id="showBtn" style="display: block"> <input type="checkbox" id="showName" class="rmh" style="margin-left:9px;"> <div class="topcoat-checkbox__checkmark" style="display: block;height: 0"></div> </label> </div> <div class="grid-cell col-xs-10 checkbox span-999" style="left: -15px;font-size: 14px;top: -3px;"> \u59d3\u540d\u662f\u5426\u663e\u793a\u5728\u5185\u5bb9\u6295\u4fdd\u9875\u9762 </div> </div> </div> <div class="alert-message hide" id="agentTelDiv" style=""> </div> <div class="table-view-alert-choose grid" style="padding-top: 30px;"> <div class="grid-cell col-xs-6 left"> <a id="btnCancel" class="btn btn-block btn-alert btn-alert-outlined btn-outlined-padding needsclick">\u53d6\u6d88</a> </div> <div class="grid-cell col-xs-6 right"> <a id="share_btnOK" class="btn btn-negative btn-block needsclick">\u786e\u5b9a</a> </div> </div> </div> </div> ');
},{"template":80}],72:[function(require,module,exports){
/*TMODJS:{"version":26,"md5":"a9369cb590bf3f9ecc17e198b1b9440e"}*/
var template=require("template");module.exports=template("insurance/productUpper/template/tpl.styles","<style> .productUpper { width:100%; } .productUpper li{ position:relative; width:100%; height:10.55555556rem; padding:0; margin:0; } .productUpper li>div{ position:absolute; } .productUpper .im-img>img{ width:100%; display:none; height:10.55555556rem; -webkit-backface-visibility: hidden; } .productUpper .im-img, .productUpper .im-mask{ width:100%; height:100%; overflow: hidden; -webkit-transform: translateZ(0); } .productUpper .im-mask{ background:linear-gradient(rgba(0,0,0,0), rgba(0,0,0,0.3)); background:-webkit-linear-gradient(rgba(0,0,0,0), rgba(0,0,0,0.3)); } .productUpper .im-hdbt{ bottom:0; color:#fff; } .productUpper .im-hdbt>div{ padding:0 0 0.83333333rem 0.83333333rem; } .productUpper .im-hdbt .im-title{ font-size:1.05263158rem; } .productUpper .im-rmk{ font-size: .625em; line-height: 1.15em; } .productUpper .im-order{ right:0; top:0.88888889rem; background:no-repeat left top url(\"data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 131.48199 38'><path fill-opacity='0.3' fill='#fff' d='m130.48199,36.002l-110,0c-11.04599,0 -20,-8.059 -20,-18c0,-9.941 8.95401,-18 20,-18l110,0l0,36z'/></svg>\"); background-size:cover; font-size:0.55555556rem; width:3.6666667rem; line-height:1.05555556rem; color:#fff; text-align:center; } .productUpper .icon { color: #fff; font-size: 26px; } .productUpper .share-icon { float: right; width: 60px; text-align: center; border-left: 1px solid #999; background-image: url(\"data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='1' height='100%'><rect fill='#dcdcdc' x='0' y='15%' width='0.5' height='73%'/></svg>\"); background-position-x: 0; background-position-y: 0; background-repeat: no-repeat; border-left: 0; } .productUpper .grid { display: table; width: 100%; table-layout: fixed; } .productUpper .grid-cell { position: relative; display: table-cell; } .productUpper .col-xs-9 { width: 75%; } .productUpper .col-xs-3 { width: 25%; } .wechatImg{ display: table; text-align: center; width:80%; padding-bottom: 10px; padding-top: 10px; margin:0 auto } .gum .wechatImg{ box-sizing: content-box; } .wechatImg> div{ display: table-cell; } .wechatImg img{ width:50%; padding-bottom: 5px; } #wechatshowbg{display: none; position: fixed; left: 0; height: 100%; background-color:black; z-index:1001; opacity: 0.5; bottom: 0;width: 100%;} #wechatshow{display: none; position: fixed; left: 0; background-color:white; z-index:3002; bottom: 0;width: 100%} .gum .alert-share{ background-color: white; text-align: center; position: fixed; top: 50%; overflow: hidden; z-index: 9999; width: auto; margin-left: 0; margin-right: 0; left: 25px; right: 25px; padding: 0; transform: translateY(-50%); -webkit-transform: translateY(-50%); border-radius: 5px; -webkit-border-radius: 5px; border:transparent; } .gum .alert-share-bus{ padding: 17px 17px 0px; } .gum .shareType{ font-size: .8em; padding: 15px 20px; border-bottom:0; text-align: center; background-image: url(\"data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='100%' height='1'><rect fill='#dcdcdc' x='0' y='0.5' width='100%' height='0.5'/></svg>\"); background-position: bottom; background-repeat: no-repeat; background-color: white; } .gum .shareType-detail{ font-size: 17px;color: #f66b6b; } .gum .shareType-detail div{ padding:20px; } .gum .shareType-detail button { padding: 0 10px; color: #666; border: 2px solid #dfb762; border-radius: 5px; -webkit-border-radius: 5px; width:7.2em; } .gum .alert-share-bus .alert-title{ font-size: .8em; color: #666; padding-bottom: 10px; background-image: url(\"data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='100%' height='1'><rect fill='#dcdcdc' x='0' y='0.5' width='100%' height='0.5'/></svg>\"); background-position: bottom; background-repeat: no-repeat; background-color: white; } .gum .alert-message{ padding-left: 15px;padding-right: 15px;margin-bottom: 0; text-align: left; } .gum .alert-message-one{ font-size: 15px; color: #333333; margin-top: 25px; padding: 1px 15px; background-image: url(\"data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='100%' height='100%'><rect fill='none' stroke='#dcdcdc' stroke-width='1px' x='0' y='0' width='100%' height='100%' rx='3px' ry='3px'/></svg>\"); background-position: bottom; background-repeat: no-repeat; background-color: white; } .gum .alert-message-one input{ border-radius: 0; border-color: #dfdfe1; margin-bottom: 0; width: 100%; } .gum .alert-message-two{ margin-top:15px;text-align: left; } .gum .alert-message-two div:first-child{ color: #666; font-size: 15px; margin-bottom: 10px; } .gum .gum-alert-message { font-size: .789473em; line-height: 1.533333em; color: #333333; margin-top: 1.666666em; margin-bottom: 2em; padding: 0 .666666em; } .gum .table-view-alert-choose { height: 55px; } .gum .table-view-alert-choose .left, .gum .table-view-choose .left { padding-right: 7.5px; } .gum .table-view-alert-choose .right, .gum .table-view-choose .right { padding-left: 7.5px; } .gum .checkbox input[type=\"checkbox\"] { opacity: 0; overflow: hidden; display: inline-block; position: relative; vertical-align: middle; } .gum .topcoat-checkbox { position: relative; display: inline-block; line-height: 2rem; -webkit-user-select: none; -moz-user-select: none; -ms-user-select: none; user-select: none; padding-top: 2px; } .gum .topcoat-checkbox__checkmark { display: inline-block; vertical-align: top; width: 16px; height: 16px; -webkit-user-select: none; -moz-user-select: none; -ms-user-select: none; user-select: none; } .gum .topcoat-checkbox__checkmark:before { content: ''; position: absolute; box-sizing: border-box; width: 16px; height: 16px; border: 1px solid #c1c1c1; cursor: pointer; top: 10px; } .gum .topcoat-checkbox__checkmark:after { opacity: 0; content: ''; position: absolute; /* Length of check tail */ width: 10px; /* Lenght of check foot */ height: 4px; background: transparent; border: 2px solid #fff; border-top: none; border-right: none; top: 14px; margin-left: 2px; -webkit-transform: rotate(-50deg); -moz-transform: rotate(-50deg); -o-transform: rotate(-50deg); -ms-transform: rotate(-50deg); transform: rotate(-50deg); } .gum :checked + .topcoat-checkbox__checkmark:before { border: 1px solid #ed7242; background-color: #ed7242; } .gum :checked + .topcoat-checkbox__checkmark:after { opacity: 1; } .gum .grid a { padding: 10px 20px; background-color: #ccc; } .gum .grid a#share_btnOK { background-color: #deb968; color: #fff; } .gum span#agentName { float: right; } </style>");
},{"template":80}],73:[function(require,module,exports){
/*
 弹出native日期选择框
 */
module.exports = function (succ, err, param) {
    if (window.cordova) {
        //支持默认参数
        param || (param = {});
        param.startDate || (param.startDate = '1900-01-01');
        param.endDate || (param.endDate = '2100-01-01');
        param.currentDate || (param.currentDate = new Date());

        //支持传入类型为Date
        param.startDate = transDate(param.startDate);
        param.endDate = transDate(param.endDate);
        param.currentDate = transDate(param.currentDate);

        //调用native
        cordova.exec(function (ret) {
            //不是点取消
            if (ret !== "1") {
                succ(ret.currentDate);
            }
            //取消时啥也不做
            //else{}
        }, err, "PAJsBridge", 'js_calendar', [param])
    }


    //Date转string类型
    function transDate(d) {
        return d.getMonth ? formatDate(d) : d;
    }

    //格式化日期
    function formatDate(d) {
        return d.getFullYear().toString() + '-' + (d.getMonth() + 1) + '-' + d.getDate();
    }
}


},{}],74:[function(require,module,exports){
/*
 从native获取用户信息
 */
module.exports = function (succ, err) {
    if (window.cordova) {
        cordova.exec(succ, err, "PAJsBridge", 'js_get_userinfo', [{}])
    }
    else {
        //供开发时调试用,先进行OTP登陆. OTP登录之后会设置localStorage.loginInfo
        try {
            var loginInfo = window.localStorage.loginInfo;
            if (loginInfo) {
                loginInfo = eval('(' + loginInfo + ')');
                return succ(loginInfo)
            }else{
                console.error('Need loginInfo')
            }
        }
        catch (e) {
        }
        err && err();
    }
}
},{}],75:[function(require,module,exports){
module.exports = function (eventID, eventLable) {
    if (window.cordova) {
        var obj = {eventID: eventID, eventLable: eventLable};
        cordova.exec(null, null, "PAJsBridge", "js_talking_data", [obj]);
    }
}
},{}],76:[function(require,module,exports){
"use strict";
var router = new (require('../../gum.ui/router/router'));
var $ = require("../../gum.ui/utils/$");
var aop = require("../../gum.ui/utils/aop");
var platformUtil = require("../../gum.ui/utils/platformUtil.js");
var gumHistory = $.gumHistory;

var EX_HISTORY_KEY = 'pama_history';

if (!gumHistory) {
    gumHistory = $.gumHistory = {
        list: [],
        goBack: function () {
            if (list.length > 0) {
                var prehash = list[list.length - 1];
                list.splice(-1);
                if (prehash == location.hash) {
                    return gumHistory.goBack();
                }
                if (gumHistory.isSameMod(prehash, location.hash)) {
                    //相同模块内部跳转
                    var path = prehash.split('/').slice(2).join('/');
                    router.navigate(path);
                }
                else {
                    //跨模块跳转
                    if (/^[\w\/]+\.html#.+/i.test(prehash)) {
                        //跨html页面跳转,直接设置location.href
                        return location.href = prehash;
                    } else
                        PAWA.Router.navigate(prehash, true);
                }
            }
            else {
                native_quit && native_quit(null, platformUtil.ios);
            }
        },
        goBackTo: function (hash) {
            gumHistory.popTo(hash);
            gumHistory.goBack();
        },
        //获取当前模块
        getMod: function (hash) {
            return hash.split('/').slice(0, 2).join('/')
        },
        /*
         判断是否是同一个模块
         */
        isSameMod: function (hash1, hash2) {
            return gumHistory.getMod(hash1) == gumHistory.getMod(hash2)
        },
        push: function (hash) {
            list.push(hash);
        },
        pop: function (count) {
            //count === undefined && (count = 1);
            count = count || 1;
            var leng = list.length;
            var last = list[leng - count];
            list.splice(-count);
            return last;
        },
        clear: function () {
            list.splice(0);
        },
        /*
         循环弹出,直到当前为hash
         @param hash 弹出到这个hash为止
         @popThisToo hash本身也pop出去.可选.默认不弹出
         */
        popTo: function (hash, popThisToo) {
            var i = list.indexOf(hash), i0 = i;
            if (!popThisToo) i++;
            i0 > -1 ? list.splice(i) : console.error('None poped');
        }
    };

    var history = localStorage.getItem(EX_HISTORY_KEY);
    if (history) {
        JSON.parse(history).forEach(function (i) {
            gumHistory.list.push(i);
        });
        localStorage.removeItem(EX_HISTORY_KEY);
    }

    //绑定事件（只绑定一次,不要在其他页面中off这些事件!）
    aop.on('page_out', function (e, noHistory) {
        if (!noHistory) gumHistory.push(location.hash);
    }, 1)
    .on('module_out', function (e, obj) {
        gumHistory.push(location.hash);
    }, 1)
    .on('native_back', function () {
        gumHistory.goBack();
    }, 1)
    .on('native_quit', function () {
        gumHistory.clear();
    }, 1);
}
//历史列表
var list = gumHistory.list;

window.gumHistory = gumHistory;

module.exports = gumHistory;

},{"../../gum.ui/router/router":8,"../../gum.ui/utils/$":10,"../../gum.ui/utils/aop":11,"../../gum.ui/utils/platformUtil.js":14}],77:[function(require,module,exports){
var $ = require("../../gum.ui/utils/$");
var aop = require("../../gum.ui/utils/aop");
function showNativeBar(title) {
    var param = {
        hasbar: "yes",
        title: title || "",
        leftBtn: "&#xe614;",       //如果使用字体就使用unicode
        rightBtn: "&#xe60e;",
        onLeftButtonClicked: "native_back",
        onRightButtonClicked: "native_quit"
    };
    window.cordova
        ? cordova.exec(null, null, "PAJsBridge", "js_h5_toolbar", [param])
        : document.title = title;
    $.useNewBar = 1;
};

window.native_back = function () {
    //触发事件,各模块按需要来处理
    if ($.useNewBar) {
        aop.fire('native_back');
    } else {
        window.back && back();
    }
};
window.native_quit = function (e, isIosBack) {
    //触发事件,各模块按需要来处理
    aop.fire('native_quit');

    if (isIosBack === true) {
        //由返回按钮最后一步而来,而且是ios环境
        window.cordova && cordova.exec(null, null, "PAJsBridge", "js_native_last", [{}]);
    } else {
        window.cordova && cordova.exec(null, null, "PAJsBridge", "js_close_webview", [{}]);
    }
};

module.exports = showNativeBar;
},{"../../gum.ui/utils/$":10,"../../gum.ui/utils/aop":11}],78:[function(require,module,exports){
var router = new (require('../../gum.ui/router/router'));
var showNativeBar = require('./nativeBar');
var gumHistory = require("./gumHistory");
var aop = require("../../gum.ui/utils/aop");
var talking = require("../cordova/js_talking_data.js");

/*
 控制页面跳转和显示,实现工具栏返回和关闭,触发aop事件
 */
var util = {
    aop: aop,
    gumHistory: gumHistory,
    /*
     跳转,并记录hash
     @param isBack 是否为操作完成之后跳回.需要清除步骤的历史
     */
    navigate: function (hash, noHistory) {
        //注意noHistory是指不记录当前的location.hash,而不是参数hash
        aop.fire('page_out', noHistory);
        router.navigate(hash, true);
        //aop.fire('page_in');
    },

    across: function (hash, noHistory) {
        aop.fire('page_out', noHistory);
        router.across(hash, noHistory);
    },

    show: function (html, title, eventLabel) {
        this.title = title || this.title;
        //Controller的构造器中赋值到util.controller
        this.controller.show({
            html: html,
            noToolBar: 1
        });
        //aop.fire('page_show');
        showNativeBar(this.title);

        this.trace('', eventLabel || this.title);
    },
    /*
     埋点
     */
    trace: function (eventId, eventLabel) {
        eventId = eventId || this.controller && this.controller.name;
        talking(eventId, eventLabel);
        //console.error(eventId + '--' + eventLabel)
    },

    /*
     跨模块跳转:跳出.如果按照一般的历史回退,则只需要第一个参数
     @param url 跳转目标.完整的hash,以#开头
     @param saveKey 保存的键名称（sessionStorage）
     @param saveVal 保存的值.一般是模块跳回的地址,供跳出后的模块使用.例如A模块经过hash1,hash2,hash3三步之后,设置此参数为hash1,跳转到B模块,B模块中获取这个值,用于完成后跳回A模块hash1
     @param popHisTo 跳出时,历史中需要清除到的hash.例如,上述情景就需要清除历史记录中的hash2和hash3.可选,默认和saveVal参数一样
     */
    jump: function (url, saveKey, saveVal, popHisTo) {
        //保存数据,供外部模块跳回使用
        if (saveKey) {
            sessionStorage.setItem(saveKey, saveVal);
        }

        //触发模块跳出事件
        aop.fire('module_out', {now: location.hash, next: url});
        PAWA.Router.navigate(url, true);

        //清空部分url历史,防止跳转到中间步骤,出问题
        if (saveVal) gumHistory.popTo(popHisTo || saveVal);
    },
    getSessionVal: function (key, remove) {
        var v = sessionStorage.getItem(key);
        //从基金宝购买跳转而来
        if (v && remove) {
            sessionStorage.removeItem(key)
        }
        return v;
    }
};

module.exports = util;
},{"../../gum.ui/router/router":8,"../../gum.ui/utils/aop":11,"../cordova/js_talking_data.js":75,"./gumHistory":76,"./nativeBar":77}],79:[function(require,module,exports){
//主账户相关公共类
"use strict";
var $ = require("../../gum.ui/utils/$");
var alerts = new (require("../../gum.ui/alerts/alerts"));
var tipq = new (require('../../gum.ui/toast/toast'));
var getUserInfo = require("../cordova/js_get_user_info_to_h5");
var pageUtil = require('./pageUtil');
require('../../gum.ui/utils/inputScroll');

/*
 主账户相关的工具类.继承自pageUtil
 */
var util = {
    __proto__: pageUtil,
    /*
     有输入内容时,使下一步可用,否则不可用
     */
    bindEnableButton: function (button, checkTextBox) {
        $(checkTextBox).on('keyup,change', enaButton);
        //第一次进入时检查一下
        enaButton.call($(checkTextBox));

        function enaButton() {
            $(button).attr('disabled', $(this).val().length == 0);
        }
    },
    /*
     绑定按钮事件,检查disabled
     */
    onButtonTap: function (button, fn) {
        $(button).tap(function () {
            if (this.disabled) {
                return
            }
            fn.apply(this, arguments);
        });
    },
    /*
     检查银行卡号
     */
    checkCardNo: function (tx) {
        var ret = tx != '';
        if (!ret) {
            tipq.showToast("请输入卡号.");
        }
        ret = /^\d+$/.test(tx);
        if (!ret && tx.length) {
            tipq.showToast("卡号只能输入数字.")
        }
        return ret;
    },
    /*
     隐藏卡号详情
     */
    fakeCardNo: function (cardNo) {
        var fakeNo = cardNo;
        if (fakeNo.length > 8) {
            fakeNo = cardNo.substr(0, 4) + new Array(cardNo.length - 8 + 1).join('*') + cardNo.substr(-4);
        }
        return fakeNo;
    },
    /*
     是否借记卡
     */
    isDebitCard: function (cardType) {
        return /1|借记卡|储蓄卡/.test(cardType)
    },
    /*
     检查输入金额
     */
    checkAmount: function (v, minv, maxv, isSell) {
        if (!/^\d+\.?\d*$/.test(v)) return '输入有误哦，请输入正确金额';

        if (minv !== undefined && parseFloat(v) < minv) return '输入金额过小,不能小于' + minv;
        if (maxv !== undefined && parseFloat(v) > maxv)
            return (isSell ? '输入金额超出可用额度' : '土豪我们做朋友吧，金额太大了') + '(不能大于' + maxv + ')';

        if (/^\d+\.(\d{3,}|)$/.test(v)) return '请输入正确金额（最多2位小数）';
    },
    /*
     获取用户信息,如果已获取则直接返回
     */
    initUserInfo: function (inputData, callback) {
        if (!inputData.name) {
            getUserInfo(function (r) {
                //设置用户信息
                inputData.name = r.userName;
                inputData.pamaAccountNo = r.pamaAccountNo;
                if (callback) {
                    if (inputData.name !== undefined) {
                        callback();
                    } else {
                        alerts.alert("获取用户信息失败");
                    }
                }
            }, function () {
                alerts.alert("没有登录用户信息");
            });
        }
        else {
            callback && callback();
        }
    }
};
module.exports = util;



},{"../../gum.ui/alerts/alerts":2,"../../gum.ui/toast/toast":9,"../../gum.ui/utils/$":10,"../../gum.ui/utils/inputScroll":13,"../cordova/js_get_user_info_to_h5":74,"./pageUtil":78}],80:[function(require,module,exports){
/*TMODJS:{}*/
!function(){function a(a,b){return(/string|function/.test(typeof b)?h:g)(a,b)}function b(a,c){return"string"!=typeof a&&(c=typeof a,"number"===c?a+="":a="function"===c?b(a.call(a)):""),a}function c(a){return l[a]}function d(a){return b(a).replace(/&(?![\w#]+;)|[<>"']/g,c)}function e(a,b){if(m(a))for(var c=0,d=a.length;d>c;c++)b.call(a,a[c],c,a);else for(c in a)b.call(a,a[c],c)}function f(a,b){var c=/(\/)[^\/]+\1\.\.\1/,d=("./"+a).replace(/[^\/]+$/,""),e=d+b;for(e=e.replace(/\/\.\//g,"/");e.match(c);)e=e.replace(c,"/");return e}function g(b,c){var d=a.get(b)||i({filename:b,name:"Render Error",message:"Template not found"});return c?d(c):d}function h(a,b){if("string"==typeof b){var c=b;b=function(){return new k(c)}}var d=j[a]=function(c){try{return new b(c,a)+""}catch(d){return i(d)()}};return d.prototype=b.prototype=n,d.toString=function(){return b+""},d}function i(a){var b="{Template Error}",c=a.stack||"";if(c)c=c.split("\n").slice(0,2).join("\n");else for(var d in a)c+="<"+d+">\n"+a[d]+"\n\n";return function(){return"object"==typeof console&&console.error(b+"\n\n"+c),b}}var j=a.cache={},k=this.String,l={"<":"&#60;",">":"&#62;",'"':"&#34;","'":"&#39;","&":"&#38;"},m=Array.isArray||function(a){return"[object Array]"==={}.toString.call(a)},n=a.utils={$helpers:{},$include:function(a,b,c){return a=f(c,a),g(a,b)},$string:b,$escape:d,$each:e},o=a.helpers=n.$helpers;a.get=function(a){return j[a.replace(/^\.\//,"")]},a.helper=function(a,b){o[a]=b},module.exports=a}();
},{}],81:[function(require,module,exports){
// shim for using process in browser
var process = module.exports = {};

// cached from whatever global is present so that test runners that stub it
// don't break things.  But we need to wrap it in a try catch in case it is
// wrapped in strict mode code which doesn't define any globals.  It's inside a
// function because try/catches deoptimize in certain engines.

var cachedSetTimeout;
var cachedClearTimeout;

function defaultSetTimout() {
    throw new Error('setTimeout has not been defined');
}
function defaultClearTimeout () {
    throw new Error('clearTimeout has not been defined');
}
(function () {
    try {
        if (typeof setTimeout === 'function') {
            cachedSetTimeout = setTimeout;
        } else {
            cachedSetTimeout = defaultSetTimout;
        }
    } catch (e) {
        cachedSetTimeout = defaultSetTimout;
    }
    try {
        if (typeof clearTimeout === 'function') {
            cachedClearTimeout = clearTimeout;
        } else {
            cachedClearTimeout = defaultClearTimeout;
        }
    } catch (e) {
        cachedClearTimeout = defaultClearTimeout;
    }
} ())
function runTimeout(fun) {
    if (cachedSetTimeout === setTimeout) {
        //normal enviroments in sane situations
        return setTimeout(fun, 0);
    }
    // if setTimeout wasn't available but was latter defined
    if ((cachedSetTimeout === defaultSetTimout || !cachedSetTimeout) && setTimeout) {
        cachedSetTimeout = setTimeout;
        return setTimeout(fun, 0);
    }
    try {
        // when when somebody has screwed with setTimeout but no I.E. maddness
        return cachedSetTimeout(fun, 0);
    } catch(e){
        try {
            // When we are in I.E. but the script has been evaled so I.E. doesn't trust the global object when called normally
            return cachedSetTimeout.call(null, fun, 0);
        } catch(e){
            // same as above but when it's a version of I.E. that must have the global object for 'this', hopfully our context correct otherwise it will throw a global error
            return cachedSetTimeout.call(this, fun, 0);
        }
    }


}
function runClearTimeout(marker) {
    if (cachedClearTimeout === clearTimeout) {
        //normal enviroments in sane situations
        return clearTimeout(marker);
    }
    // if clearTimeout wasn't available but was latter defined
    if ((cachedClearTimeout === defaultClearTimeout || !cachedClearTimeout) && clearTimeout) {
        cachedClearTimeout = clearTimeout;
        return clearTimeout(marker);
    }
    try {
        // when when somebody has screwed with setTimeout but no I.E. maddness
        return cachedClearTimeout(marker);
    } catch (e){
        try {
            // When we are in I.E. but the script has been evaled so I.E. doesn't  trust the global object when called normally
            return cachedClearTimeout.call(null, marker);
        } catch (e){
            // same as above but when it's a version of I.E. that must have the global object for 'this', hopfully our context correct otherwise it will throw a global error.
            // Some versions of I.E. have different rules for clearTimeout vs setTimeout
            return cachedClearTimeout.call(this, marker);
        }
    }



}
var queue = [];
var draining = false;
var currentQueue;
var queueIndex = -1;

function cleanUpNextTick() {
    if (!draining || !currentQueue) {
        return;
    }
    draining = false;
    if (currentQueue.length) {
        queue = currentQueue.concat(queue);
    } else {
        queueIndex = -1;
    }
    if (queue.length) {
        drainQueue();
    }
}

function drainQueue() {
    if (draining) {
        return;
    }
    var timeout = runTimeout(cleanUpNextTick);
    draining = true;

    var len = queue.length;
    while(len) {
        currentQueue = queue;
        queue = [];
        while (++queueIndex < len) {
            if (currentQueue) {
                currentQueue[queueIndex].run();
            }
        }
        queueIndex = -1;
        len = queue.length;
    }
    currentQueue = null;
    draining = false;
    runClearTimeout(timeout);
}

process.nextTick = function (fun) {
    var args = new Array(arguments.length - 1);
    if (arguments.length > 1) {
        for (var i = 1; i < arguments.length; i++) {
            args[i - 1] = arguments[i];
        }
    }
    queue.push(new Item(fun, args));
    if (queue.length === 1 && !draining) {
        runTimeout(drainQueue);
    }
};

// v8 likes predictible objects
function Item(fun, array) {
    this.fun = fun;
    this.array = array;
}
Item.prototype.run = function () {
    this.fun.apply(null, this.array);
};
process.title = 'browser';
process.browser = true;
process.env = {};
process.argv = [];
process.version = ''; // empty string to avoid regexp issues
process.versions = {};

function noop() {}

process.on = noop;
process.addListener = noop;
process.once = noop;
process.off = noop;
process.removeListener = noop;
process.removeAllListeners = noop;
process.emit = noop;

process.binding = function (name) {
    throw new Error('process.binding is not supported');
};

process.cwd = function () { return '/' };
process.chdir = function (dir) {
    throw new Error('process.chdir is not supported');
};
process.umask = function() { return 0; };

},{}],82:[function(require,module,exports){
/*!
  * Reqwest! A general purpose XHR connection manager
  * license MIT (c) Dustin Diaz 2014
  * https://github.com/ded/reqwest
  */

!function (name, context, definition) {
  if (typeof module != 'undefined' && module.exports) module.exports = definition()
  else if (typeof define == 'function' && define.amd) define(definition)
  else context[name] = definition()
}('reqwest', this, function () {

  var win = window
    , doc = document
    , httpsRe = /^http/
    , protocolRe = /(^\w+):\/\//
    , twoHundo = /^(20\d|1223)$/ //http://stackoverflow.com/questions/10046972/msie-returns-status-code-of-1223-for-ajax-request
    , byTag = 'getElementsByTagName'
    , readyState = 'readyState'
    , contentType = 'Content-Type'
    , requestedWith = 'X-Requested-With'
    , head = doc[byTag]('head')[0]
    , uniqid = 0
    , callbackPrefix = 'reqwest_' + (+new Date())
    , lastValue // data stored by the most recent JSONP callback
    , xmlHttpRequest = 'XMLHttpRequest'
    , xDomainRequest = 'XDomainRequest'
    , noop = function () {}

    , isArray = typeof Array.isArray == 'function'
        ? Array.isArray
        : function (a) {
            return a instanceof Array
          }

    , defaultHeaders = {
          'contentType': 'application/x-www-form-urlencoded'
        , 'requestedWith': xmlHttpRequest
        , 'accept': {
              '*':  'text/javascript, text/html, application/xml, text/xml, */*'
            , 'xml':  'application/xml, text/xml'
            , 'html': 'text/html'
            , 'text': 'text/plain'
            , 'json': 'application/json, text/javascript'
            , 'js':   'application/javascript, text/javascript'
          }
      }

    , xhr = function(o) {
        // is it x-domain
        if (o['crossOrigin'] === true) {
          var xhr = win[xmlHttpRequest] ? new XMLHttpRequest() : null
          if (xhr && 'withCredentials' in xhr) {
            return xhr
          } else if (win[xDomainRequest]) {
            return new XDomainRequest()
          } else {
            throw new Error('Browser does not support cross-origin requests')
          }
        } else if (win[xmlHttpRequest]) {
          return new XMLHttpRequest()
        } else {
          return new ActiveXObject('Microsoft.XMLHTTP')
        }
      }
    , globalSetupOptions = {
        dataFilter: function (data) {
          return data
        }
      }

  function succeed(r) {
    var protocol = protocolRe.exec(r.url);
    protocol = (protocol && protocol[1]) || window.location.protocol;
    return httpsRe.test(protocol) ? twoHundo.test(r.request.status) : !!r.request.response;
  }

  function handleReadyState(r, success, error) {
    return function () {
      // use _aborted to mitigate against IE err c00c023f
      // (can't read props on aborted request objects)
      if (r._aborted) return error(r.request)
      if (r._timedOut) return error(r.request, 'Request is aborted: timeout')
      if (r.request && r.request[readyState] == 4) {
        r.request.onreadystatechange = noop
        if (succeed(r)) success(r.request)
        else
          error(r.request)
      }
    }
  }

  function setHeaders(http, o) {
    var headers = o['headers'] || {}
      , h

    headers['Accept'] = headers['Accept']
      || defaultHeaders['accept'][o['type']]
      || defaultHeaders['accept']['*']

    var isAFormData = typeof FormData === 'function' && (o['data'] instanceof FormData);
    // breaks cross-origin requests with legacy browsers
    if (!o['crossOrigin'] && !headers[requestedWith]) headers[requestedWith] = defaultHeaders['requestedWith']
    if (!headers[contentType] && !isAFormData) headers[contentType] = o['contentType'] || defaultHeaders['contentType']
    for (h in headers)
      headers.hasOwnProperty(h) && 'setRequestHeader' in http && http.setRequestHeader(h, headers[h])
  }

  function setCredentials(http, o) {
    if (typeof o['withCredentials'] !== 'undefined' && typeof http.withCredentials !== 'undefined') {
      http.withCredentials = !!o['withCredentials']
    }
  }

  function generalCallback(data) {
    lastValue = data
  }

  function urlappend (url, s) {
    return url + (/\?/.test(url) ? '&' : '?') + s
  }

  function handleJsonp(o, fn, err, url) {
    var reqId = uniqid++
      , cbkey = o['jsonpCallback'] || 'callback' // the 'callback' key
      , cbval = o['jsonpCallbackName'] || reqwest.getcallbackPrefix(reqId)
      , cbreg = new RegExp('((^|\\?|&)' + cbkey + ')=([^&]+)')
      , match = url.match(cbreg)
      , script = doc.createElement('script')
      , loaded = 0
      , isIE10 = navigator.userAgent.indexOf('MSIE 10.0') !== -1

    if (match) {
      if (match[3] === '?') {
        url = url.replace(cbreg, '$1=' + cbval) // wildcard callback func name
      } else {
        cbval = match[3] // provided callback func name
      }
    } else {
      url = urlappend(url, cbkey + '=' + cbval) // no callback details, add 'em
    }

    win[cbval] = generalCallback

    script.type = 'text/javascript'
    script.src = url
    script.async = true
    if (typeof script.onreadystatechange !== 'undefined' && !isIE10) {
      // need this for IE due to out-of-order onreadystatechange(), binding script
      // execution to an event listener gives us control over when the script
      // is executed. See http://jaubourg.net/2010/07/loading-script-as-onclick-handler-of.html
      script.htmlFor = script.id = '_reqwest_' + reqId
    }

    script.onload = script.onreadystatechange = function () {
      if ((script[readyState] && script[readyState] !== 'complete' && script[readyState] !== 'loaded') || loaded) {
        return false
      }
      script.onload = script.onreadystatechange = null
      script.onclick && script.onclick()
      // Call the user callback with the last value stored and clean up values and scripts.
      fn(lastValue)
      lastValue = undefined
      head.removeChild(script)
      loaded = 1
    }

    // Add the script to the DOM head
    head.appendChild(script)

    // Enable JSONP timeout
    return {
      abort: function () {
        script.onload = script.onreadystatechange = null
        err({}, 'Request is aborted: timeout', {})
        lastValue = undefined
        head.removeChild(script)
        loaded = 1
      }
    }
  }

  function getRequest(fn, err) {
    var o = this.o
      , method = (o['method'] || 'GET').toUpperCase()
      , url = typeof o === 'string' ? o : o['url']
      // convert non-string objects to query-string form unless o['processData'] is false
      , data = (o['processData'] !== false && o['data'] && typeof o['data'] !== 'string')
        ? reqwest.toQueryString(o['data'])
        : (o['data'] || null)
      , http
      , sendWait = false

    // if we're working on a GET request and we have data then we should append
    // query string to end of URL and not post data
    if ((o['type'] == 'jsonp' || method == 'GET') && data) {
      url = urlappend(url, data)
      data = null
    }

    if (o['type'] == 'jsonp') return handleJsonp(o, fn, err, url)

    // get the xhr from the factory if passed
    // if the factory returns null, fall-back to ours
    http = (o.xhr && o.xhr(o)) || xhr(o)

    http.open(method, url, o['async'] === false ? false : true)
    setHeaders(http, o)
    setCredentials(http, o)
    if (win[xDomainRequest] && http instanceof win[xDomainRequest]) {
        http.onload = fn
        http.onerror = err
        // NOTE: see
        // http://social.msdn.microsoft.com/Forums/en-US/iewebdevelopment/thread/30ef3add-767c-4436-b8a9-f1ca19b4812e
        http.onprogress = function() {}
        sendWait = true
    } else {
      http.onreadystatechange = handleReadyState(this, fn, err)
    }
    o['before'] && o['before'](http)
    if (sendWait) {
      setTimeout(function () {
        http.send(data)
      }, 200)
    } else {
      http.send(data)
    }
    return http
  }

  function Reqwest(o, fn) {
    this.o = o
    this.fn = fn

    init.apply(this, arguments)
  }

  function setType(header) {
    // json, javascript, text/plain, text/html, xml
    if (header.match('json')) return 'json'
    if (header.match('javascript')) return 'js'
    if (header.match('text')) return 'html'
    if (header.match('xml')) return 'xml'
  }

  function init(o, fn) {

    this.url = typeof o == 'string' ? o : o['url']
    this.timeout = null

    // whether request has been fulfilled for purpose
    // of tracking the Promises
    this._fulfilled = false
    // success handlers
    this._successHandler = function(){}
    this._fulfillmentHandlers = []
    // error handlers
    this._errorHandlers = []
    // complete (both success and fail) handlers
    this._completeHandlers = []
    this._erred = false
    this._responseArgs = {}

    var self = this

    fn = fn || function () {}

    if (o['timeout']) {
      this.timeout = setTimeout(function () {
        timedOut()
      }, o['timeout'])
    }

    if (o['success']) {
      this._successHandler = function () {
        o['success'].apply(o, arguments)
      }
    }

    if (o['error']) {
      this._errorHandlers.push(function () {
        o['error'].apply(o, arguments)
      })
    }

    if (o['complete']) {
      this._completeHandlers.push(function () {
        o['complete'].apply(o, arguments)
      })
    }

    function complete (resp) {
      o['timeout'] && clearTimeout(self.timeout)
      self.timeout = null
      while (self._completeHandlers.length > 0) {
        self._completeHandlers.shift()(resp)
      }
    }

    function success (resp) {
      var type = o['type'] || resp && setType(resp.getResponseHeader('Content-Type')) // resp can be undefined in IE
      resp = (type !== 'jsonp') ? self.request : resp
      // use global data filter on response text
      var filteredResponse = globalSetupOptions.dataFilter(resp.responseText, type)
        , r = filteredResponse
      try {
        resp.responseText = r
      } catch (e) {
        // can't assign this in IE<=8, just ignore
      }
      if (r) {
        switch (type) {
        case 'json':
          try {
            resp = win.JSON ? win.JSON.parse(r) : eval('(' + r + ')')
          } catch (err) {
            return error(resp, 'Could not parse JSON in response', err)
          }
          break
        case 'js':
          resp = eval(r)
          break
        case 'html':
          resp = r
          break
        case 'xml':
          resp = resp.responseXML
              && resp.responseXML.parseError // IE trololo
              && resp.responseXML.parseError.errorCode
              && resp.responseXML.parseError.reason
            ? null
            : resp.responseXML
          break
        }
      }

      self._responseArgs.resp = resp
      self._fulfilled = true
      fn(resp)
      self._successHandler(resp)
      while (self._fulfillmentHandlers.length > 0) {
        resp = self._fulfillmentHandlers.shift()(resp)
      }

      complete(resp)
    }

    function timedOut() {
      self._timedOut = true
      self.request.abort()      
    }

    function error(resp, msg, t) {
      resp = self.request
      self._responseArgs.resp = resp
      self._responseArgs.msg = msg
      self._responseArgs.t = t
      self._erred = true
      while (self._errorHandlers.length > 0) {
        self._errorHandlers.shift()(resp, msg, t)
      }
      complete(resp)
    }

    this.request = getRequest.call(this, success, error)
  }

  Reqwest.prototype = {
    abort: function () {
      this._aborted = true
      this.request.abort()
    }

  , retry: function () {
      init.call(this, this.o, this.fn)
    }

    /**
     * Small deviation from the Promises A CommonJs specification
     * http://wiki.commonjs.org/wiki/Promises/A
     */

    /**
     * `then` will execute upon successful requests
     */
  , then: function (success, fail) {
      success = success || function () {}
      fail = fail || function () {}
      if (this._fulfilled) {
        this._responseArgs.resp = success(this._responseArgs.resp)
      } else if (this._erred) {
        fail(this._responseArgs.resp, this._responseArgs.msg, this._responseArgs.t)
      } else {
        this._fulfillmentHandlers.push(success)
        this._errorHandlers.push(fail)
      }
      return this
    }

    /**
     * `always` will execute whether the request succeeds or fails
     */
  , always: function (fn) {
      if (this._fulfilled || this._erred) {
        fn(this._responseArgs.resp)
      } else {
        this._completeHandlers.push(fn)
      }
      return this
    }

    /**
     * `fail` will execute when the request fails
     */
  , fail: function (fn) {
      if (this._erred) {
        fn(this._responseArgs.resp, this._responseArgs.msg, this._responseArgs.t)
      } else {
        this._errorHandlers.push(fn)
      }
      return this
    }
  , 'catch': function (fn) {
      return this.fail(fn)
    }
  }

  function reqwest(o, fn) {
    return new Reqwest(o, fn)
  }

  // normalize newline variants according to spec -> CRLF
  function normalize(s) {
    return s ? s.replace(/\r?\n/g, '\r\n') : ''
  }

  function serial(el, cb) {
    var n = el.name
      , t = el.tagName.toLowerCase()
      , optCb = function (o) {
          // IE gives value="" even where there is no value attribute
          // 'specified' ref: http://www.w3.org/TR/DOM-Level-3-Core/core.html#ID-862529273
          if (o && !o['disabled'])
            cb(n, normalize(o['attributes']['value'] && o['attributes']['value']['specified'] ? o['value'] : o['text']))
        }
      , ch, ra, val, i

    // don't serialize elements that are disabled or without a name
    if (el.disabled || !n) return

    switch (t) {
    case 'input':
      if (!/reset|button|image|file/i.test(el.type)) {
        ch = /checkbox/i.test(el.type)
        ra = /radio/i.test(el.type)
        val = el.value
        // WebKit gives us "" instead of "on" if a checkbox has no value, so correct it here
        ;(!(ch || ra) || el.checked) && cb(n, normalize(ch && val === '' ? 'on' : val))
      }
      break
    case 'textarea':
      cb(n, normalize(el.value))
      break
    case 'select':
      if (el.type.toLowerCase() === 'select-one') {
        optCb(el.selectedIndex >= 0 ? el.options[el.selectedIndex] : null)
      } else {
        for (i = 0; el.length && i < el.length; i++) {
          el.options[i].selected && optCb(el.options[i])
        }
      }
      break
    }
  }

  // collect up all form elements found from the passed argument elements all
  // the way down to child elements; pass a '<form>' or form fields.
  // called with 'this'=callback to use for serial() on each element
  function eachFormElement() {
    var cb = this
      , e, i
      , serializeSubtags = function (e, tags) {
          var i, j, fa
          for (i = 0; i < tags.length; i++) {
            fa = e[byTag](tags[i])
            for (j = 0; j < fa.length; j++) serial(fa[j], cb)
          }
        }

    for (i = 0; i < arguments.length; i++) {
      e = arguments[i]
      if (/input|select|textarea/i.test(e.tagName)) serial(e, cb)
      serializeSubtags(e, [ 'input', 'select', 'textarea' ])
    }
  }

  // standard query string style serialization
  function serializeQueryString() {
    return reqwest.toQueryString(reqwest.serializeArray.apply(null, arguments))
  }

  // { 'name': 'value', ... } style serialization
  function serializeHash() {
    var hash = {}
    eachFormElement.apply(function (name, value) {
      if (name in hash) {
        hash[name] && !isArray(hash[name]) && (hash[name] = [hash[name]])
        hash[name].push(value)
      } else hash[name] = value
    }, arguments)
    return hash
  }

  // [ { name: 'name', value: 'value' }, ... ] style serialization
  reqwest.serializeArray = function () {
    var arr = []
    eachFormElement.apply(function (name, value) {
      arr.push({name: name, value: value})
    }, arguments)
    return arr
  }

  reqwest.serialize = function () {
    if (arguments.length === 0) return ''
    var opt, fn
      , args = Array.prototype.slice.call(arguments, 0)

    opt = args.pop()
    opt && opt.nodeType && args.push(opt) && (opt = null)
    opt && (opt = opt.type)

    if (opt == 'map') fn = serializeHash
    else if (opt == 'array') fn = reqwest.serializeArray
    else fn = serializeQueryString

    return fn.apply(null, args)
  }

  reqwest.toQueryString = function (o, trad) {
    var prefix, i
      , traditional = trad || false
      , s = []
      , enc = encodeURIComponent
      , add = function (key, value) {
          // If value is a function, invoke it and return its value
          value = ('function' === typeof value) ? value() : (value == null ? '' : value)
          s[s.length] = enc(key) + '=' + enc(value)
        }
    // If an array was passed in, assume that it is an array of form elements.
    if (isArray(o)) {
      for (i = 0; o && i < o.length; i++) add(o[i]['name'], o[i]['value'])
    } else {
      // If traditional, encode the "old" way (the way 1.3.2 or older
      // did it), otherwise encode params recursively.
      for (prefix in o) {
        if (o.hasOwnProperty(prefix)) buildParams(prefix, o[prefix], traditional, add)
      }
    }

    // spaces should be + according to spec
    return s.join('&').replace(/%20/g, '+')
  }

  function buildParams(prefix, obj, traditional, add) {
    var name, i, v
      , rbracket = /\[\]$/

    if (isArray(obj)) {
      // Serialize array item.
      for (i = 0; obj && i < obj.length; i++) {
        v = obj[i]
        if (traditional || rbracket.test(prefix)) {
          // Treat each array item as a scalar.
          add(prefix, v)
        } else {
          buildParams(prefix + '[' + (typeof v === 'object' ? i : '') + ']', v, traditional, add)
        }
      }
    } else if (obj && obj.toString() === '[object Object]') {
      // Serialize object item.
      for (name in obj) {
        buildParams(prefix + '[' + name + ']', obj[name], traditional, add)
      }

    } else {
      // Serialize scalar item.
      add(prefix, obj)
    }
  }

  reqwest.getcallbackPrefix = function () {
    return callbackPrefix
  }

  // jQuery and Zepto compatibility, differences can be remapped here so you can call
  // .ajax.compat(options, callback)
  reqwest.compat = function (o, fn) {
    if (o) {
      o['type'] && (o['method'] = o['type']) && delete o['type']
      o['dataType'] && (o['type'] = o['dataType'])
      o['jsonpCallback'] && (o['jsonpCallbackName'] = o['jsonpCallback']) && delete o['jsonpCallback']
      o['jsonp'] && (o['jsonpCallback'] = o['jsonp'])
    }
    return new Reqwest(o, fn)
  }

  reqwest.ajaxSetup = function (options) {
    options = options || {}
    for (var k in options) {
      globalSetupOptions[k] = options[k]
    }
  }

  return reqwest
});

},{}],83:[function(require,module,exports){
(function (process){
// vim:ts=4:sts=4:sw=4:
/*!
 *
 * Copyright 2009-2012 Kris Kowal under the terms of the MIT
 * license found at http://github.com/kriskowal/q/raw/master/LICENSE
 *
 * With parts by Tyler Close
 * Copyright 2007-2009 Tyler Close under the terms of the MIT X license found
 * at http://www.opensource.org/licenses/mit-license.html
 * Forked at ref_send.js version: 2009-05-11
 *
 * With parts by Mark Miller
 * Copyright (C) 2011 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

(function (definition) {
    "use strict";

    // This file will function properly as a <script> tag, or a module
    // using CommonJS and NodeJS or RequireJS module formats.  In
    // Common/Node/RequireJS, the module exports the Q API and when
    // executed as a simple <script>, it creates a Q global instead.

    // Montage Require
    if (typeof bootstrap === "function") {
        bootstrap("promise", definition);

    // CommonJS
    } else if (typeof exports === "object" && typeof module === "object") {
        module.exports = definition();

    // RequireJS
    } else if (typeof define === "function" && define.amd) {
        define(definition);

    // SES (Secure EcmaScript)
    } else if (typeof ses !== "undefined") {
        if (!ses.ok()) {
            return;
        } else {
            ses.makeQ = definition;
        }

    // <script>
    } else if (typeof window !== "undefined" || typeof self !== "undefined") {
        // Prefer window over self for add-on scripts. Use self for
        // non-windowed contexts.
        var global = typeof window !== "undefined" ? window : self;

        // Get the `window` object, save the previous Q global
        // and initialize Q as a global.
        var previousQ = global.Q;
        global.Q = definition();

        // Add a noConflict function so Q can be removed from the
        // global namespace.
        global.Q.noConflict = function () {
            global.Q = previousQ;
            return this;
        };

    } else {
        throw new Error("This environment was not anticipated by Q. Please file a bug.");
    }

})(function () {
"use strict";

var hasStacks = false;
try {
    throw new Error();
} catch (e) {
    hasStacks = !!e.stack;
}

// All code after this point will be filtered from stack traces reported
// by Q.
var qStartingLine = captureLine();
var qFileName;

// shims

// used for fallback in "allResolved"
var noop = function () {};

// Use the fastest possible means to execute a task in a future turn
// of the event loop.
var nextTick =(function () {
    // linked list of tasks (single, with head node)
    var head = {task: void 0, next: null};
    var tail = head;
    var flushing = false;
    var requestTick = void 0;
    var isNodeJS = false;
    // queue for late tasks, used by unhandled rejection tracking
    var laterQueue = [];

    function flush() {
        /* jshint loopfunc: true */
        var task, domain;

        while (head.next) {
            head = head.next;
            task = head.task;
            head.task = void 0;
            domain = head.domain;

            if (domain) {
                head.domain = void 0;
                domain.enter();
            }
            runSingle(task, domain);

        }
        while (laterQueue.length) {
            task = laterQueue.pop();
            runSingle(task);
        }
        flushing = false;
    }
    // runs a single function in the async queue
    function runSingle(task, domain) {
        try {
            task();

        } catch (e) {
            if (isNodeJS) {
                // In node, uncaught exceptions are considered fatal errors.
                // Re-throw them synchronously to interrupt flushing!

                // Ensure continuation if the uncaught exception is suppressed
                // listening "uncaughtException" events (as domains does).
                // Continue in next event to avoid tick recursion.
                if (domain) {
                    domain.exit();
                }
                setTimeout(flush, 0);
                if (domain) {
                    domain.enter();
                }

                throw e;

            } else {
                // In browsers, uncaught exceptions are not fatal.
                // Re-throw them asynchronously to avoid slow-downs.
                setTimeout(function () {
                    throw e;
                }, 0);
            }
        }

        if (domain) {
            domain.exit();
        }
    }

    nextTick = function (task) {
        tail = tail.next = {
            task: task,
            domain: isNodeJS && process.domain,
            next: null
        };

        if (!flushing) {
            flushing = true;
            requestTick();
        }
    };

    if (typeof process === "object" &&
        process.toString() === "[object process]" && process.nextTick) {
        // Ensure Q is in a real Node environment, with a `process.nextTick`.
        // To see through fake Node environments:
        // * Mocha test runner - exposes a `process` global without a `nextTick`
        // * Browserify - exposes a `process.nexTick` function that uses
        //   `setTimeout`. In this case `setImmediate` is preferred because
        //    it is faster. Browserify's `process.toString()` yields
        //   "[object Object]", while in a real Node environment
        //   `process.nextTick()` yields "[object process]".
        isNodeJS = true;

        requestTick = function () {
            process.nextTick(flush);
        };

    } else if (typeof setImmediate === "function") {
        // In IE10, Node.js 0.9+, or https://github.com/NobleJS/setImmediate
        if (typeof window !== "undefined") {
            requestTick = setImmediate.bind(window, flush);
        } else {
            requestTick = function () {
                setImmediate(flush);
            };
        }

    } else if (typeof MessageChannel !== "undefined") {
        // modern browsers
        // http://www.nonblocking.io/2011/06/windownexttick.html
        var channel = new MessageChannel();
        // At least Safari Version 6.0.5 (8536.30.1) intermittently cannot create
        // working message ports the first time a page loads.
        channel.port1.onmessage = function () {
            requestTick = requestPortTick;
            channel.port1.onmessage = flush;
            flush();
        };
        var requestPortTick = function () {
            // Opera requires us to provide a message payload, regardless of
            // whether we use it.
            channel.port2.postMessage(0);
        };
        requestTick = function () {
            setTimeout(flush, 0);
            requestPortTick();
        };

    } else {
        // old browsers
        requestTick = function () {
            setTimeout(flush, 0);
        };
    }
    // runs a task after all other tasks have been run
    // this is useful for unhandled rejection tracking that needs to happen
    // after all `then`d tasks have been run.
    nextTick.runAfter = function (task) {
        laterQueue.push(task);
        if (!flushing) {
            flushing = true;
            requestTick();
        }
    };
    return nextTick;
})();

// Attempt to make generics safe in the face of downstream
// modifications.
// There is no situation where this is necessary.
// If you need a security guarantee, these primordials need to be
// deeply frozen anyway, and if you don’t need a security guarantee,
// this is just plain paranoid.
// However, this **might** have the nice side-effect of reducing the size of
// the minified code by reducing x.call() to merely x()
// See Mark Miller’s explanation of what this does.
// http://wiki.ecmascript.org/doku.php?id=conventions:safe_meta_programming
var call = Function.call;
function uncurryThis(f) {
    return function () {
        return call.apply(f, arguments);
    };
}
// This is equivalent, but slower:
// uncurryThis = Function_bind.bind(Function_bind.call);
// http://jsperf.com/uncurrythis

var array_slice = uncurryThis(Array.prototype.slice);

var array_reduce = uncurryThis(
    Array.prototype.reduce || function (callback, basis) {
        var index = 0,
            length = this.length;
        // concerning the initial value, if one is not provided
        if (arguments.length === 1) {
            // seek to the first value in the array, accounting
            // for the possibility that is is a sparse array
            do {
                if (index in this) {
                    basis = this[index++];
                    break;
                }
                if (++index >= length) {
                    throw new TypeError();
                }
            } while (1);
        }
        // reduce
        for (; index < length; index++) {
            // account for the possibility that the array is sparse
            if (index in this) {
                basis = callback(basis, this[index], index);
            }
        }
        return basis;
    }
);

var array_indexOf = uncurryThis(
    Array.prototype.indexOf || function (value) {
        // not a very good shim, but good enough for our one use of it
        for (var i = 0; i < this.length; i++) {
            if (this[i] === value) {
                return i;
            }
        }
        return -1;
    }
);

var array_map = uncurryThis(
    Array.prototype.map || function (callback, thisp) {
        var self = this;
        var collect = [];
        array_reduce(self, function (undefined, value, index) {
            collect.push(callback.call(thisp, value, index, self));
        }, void 0);
        return collect;
    }
);

var object_create = Object.create || function (prototype) {
    function Type() { }
    Type.prototype = prototype;
    return new Type();
};

var object_hasOwnProperty = uncurryThis(Object.prototype.hasOwnProperty);

var object_keys = Object.keys || function (object) {
    var keys = [];
    for (var key in object) {
        if (object_hasOwnProperty(object, key)) {
            keys.push(key);
        }
    }
    return keys;
};

var object_toString = uncurryThis(Object.prototype.toString);

function isObject(value) {
    return value === Object(value);
}

// generator related shims

// FIXME: Remove this function once ES6 generators are in SpiderMonkey.
function isStopIteration(exception) {
    return (
        object_toString(exception) === "[object StopIteration]" ||
        exception instanceof QReturnValue
    );
}

// FIXME: Remove this helper and Q.return once ES6 generators are in
// SpiderMonkey.
var QReturnValue;
if (typeof ReturnValue !== "undefined") {
    QReturnValue = ReturnValue;
} else {
    QReturnValue = function (value) {
        this.value = value;
    };
}

// long stack traces

var STACK_JUMP_SEPARATOR = "From previous event:";

function makeStackTraceLong(error, promise) {
    // If possible, transform the error stack trace by removing Node and Q
    // cruft, then concatenating with the stack trace of `promise`. See #57.
    if (hasStacks &&
        promise.stack &&
        typeof error === "object" &&
        error !== null &&
        error.stack &&
        error.stack.indexOf(STACK_JUMP_SEPARATOR) === -1
    ) {
        var stacks = [];
        for (var p = promise; !!p; p = p.source) {
            if (p.stack) {
                stacks.unshift(p.stack);
            }
        }
        stacks.unshift(error.stack);

        var concatedStacks = stacks.join("\n" + STACK_JUMP_SEPARATOR + "\n");
        error.stack = filterStackString(concatedStacks);
    }
}

function filterStackString(stackString) {
    var lines = stackString.split("\n");
    var desiredLines = [];
    for (var i = 0; i < lines.length; ++i) {
        var line = lines[i];

        if (!isInternalFrame(line) && !isNodeFrame(line) && line) {
            desiredLines.push(line);
        }
    }
    return desiredLines.join("\n");
}

function isNodeFrame(stackLine) {
    return stackLine.indexOf("(module.js:") !== -1 ||
           stackLine.indexOf("(node.js:") !== -1;
}

function getFileNameAndLineNumber(stackLine) {
    // Named functions: "at functionName (filename:lineNumber:columnNumber)"
    // In IE10 function name can have spaces ("Anonymous function") O_o
    var attempt1 = /at .+ \((.+):(\d+):(?:\d+)\)$/.exec(stackLine);
    if (attempt1) {
        return [attempt1[1], Number(attempt1[2])];
    }

    // Anonymous functions: "at filename:lineNumber:columnNumber"
    var attempt2 = /at ([^ ]+):(\d+):(?:\d+)$/.exec(stackLine);
    if (attempt2) {
        return [attempt2[1], Number(attempt2[2])];
    }

    // Firefox style: "function@filename:lineNumber or @filename:lineNumber"
    var attempt3 = /.*@(.+):(\d+)$/.exec(stackLine);
    if (attempt3) {
        return [attempt3[1], Number(attempt3[2])];
    }
}

function isInternalFrame(stackLine) {
    var fileNameAndLineNumber = getFileNameAndLineNumber(stackLine);

    if (!fileNameAndLineNumber) {
        return false;
    }

    var fileName = fileNameAndLineNumber[0];
    var lineNumber = fileNameAndLineNumber[1];

    return fileName === qFileName &&
        lineNumber >= qStartingLine &&
        lineNumber <= qEndingLine;
}

// discover own file name and line number range for filtering stack
// traces
function captureLine() {
    if (!hasStacks) {
        return;
    }

    try {
        throw new Error();
    } catch (e) {
        var lines = e.stack.split("\n");
        var firstLine = lines[0].indexOf("@") > 0 ? lines[1] : lines[2];
        var fileNameAndLineNumber = getFileNameAndLineNumber(firstLine);
        if (!fileNameAndLineNumber) {
            return;
        }

        qFileName = fileNameAndLineNumber[0];
        return fileNameAndLineNumber[1];
    }
}

function deprecate(callback, name, alternative) {
    return function () {
        if (typeof console !== "undefined" &&
            typeof console.warn === "function") {
            console.warn(name + " is deprecated, use " + alternative +
                         " instead.", new Error("").stack);
        }
        return callback.apply(callback, arguments);
    };
}

// end of shims
// beginning of real work

/**
 * Constructs a promise for an immediate reference, passes promises through, or
 * coerces promises from different systems.
 * @param value immediate reference or promise
 */
function Q(value) {
    // If the object is already a Promise, return it directly.  This enables
    // the resolve function to both be used to created references from objects,
    // but to tolerably coerce non-promises to promises.
    if (value instanceof Promise) {
        return value;
    }

    // assimilate thenables
    if (isPromiseAlike(value)) {
        return coerce(value);
    } else {
        return fulfill(value);
    }
}
Q.resolve = Q;

/**
 * Performs a task in a future turn of the event loop.
 * @param {Function} task
 */
Q.nextTick = nextTick;

/**
 * Controls whether or not long stack traces will be on
 */
Q.longStackSupport = false;

// enable long stacks if Q_DEBUG is set
if (typeof process === "object" && process && process.env && process.env.Q_DEBUG) {
    Q.longStackSupport = true;
}

/**
 * Constructs a {promise, resolve, reject} object.
 *
 * `resolve` is a callback to invoke with a more resolved value for the
 * promise. To fulfill the promise, invoke `resolve` with any value that is
 * not a thenable. To reject the promise, invoke `resolve` with a rejected
 * thenable, or invoke `reject` with the reason directly. To resolve the
 * promise to another thenable, thus putting it in the same state, invoke
 * `resolve` with that other thenable.
 */
Q.defer = defer;
function defer() {
    // if "messages" is an "Array", that indicates that the promise has not yet
    // been resolved.  If it is "undefined", it has been resolved.  Each
    // element of the messages array is itself an array of complete arguments to
    // forward to the resolved promise.  We coerce the resolution value to a
    // promise using the `resolve` function because it handles both fully
    // non-thenable values and other thenables gracefully.
    var messages = [], progressListeners = [], resolvedPromise;

    var deferred = object_create(defer.prototype);
    var promise = object_create(Promise.prototype);

    promise.promiseDispatch = function (resolve, op, operands) {
        var args = array_slice(arguments);
        if (messages) {
            messages.push(args);
            if (op === "when" && operands[1]) { // progress operand
                progressListeners.push(operands[1]);
            }
        } else {
            Q.nextTick(function () {
                resolvedPromise.promiseDispatch.apply(resolvedPromise, args);
            });
        }
    };

    // XXX deprecated
    promise.valueOf = function () {
        if (messages) {
            return promise;
        }
        var nearerValue = nearer(resolvedPromise);
        if (isPromise(nearerValue)) {
            resolvedPromise = nearerValue; // shorten chain
        }
        return nearerValue;
    };

    promise.inspect = function () {
        if (!resolvedPromise) {
            return { state: "pending" };
        }
        return resolvedPromise.inspect();
    };

    if (Q.longStackSupport && hasStacks) {
        try {
            throw new Error();
        } catch (e) {
            // NOTE: don't try to use `Error.captureStackTrace` or transfer the
            // accessor around; that causes memory leaks as per GH-111. Just
            // reify the stack trace as a string ASAP.
            //
            // At the same time, cut off the first line; it's always just
            // "[object Promise]\n", as per the `toString`.
            promise.stack = e.stack.substring(e.stack.indexOf("\n") + 1);
        }
    }

    // NOTE: we do the checks for `resolvedPromise` in each method, instead of
    // consolidating them into `become`, since otherwise we'd create new
    // promises with the lines `become(whatever(value))`. See e.g. GH-252.

    function become(newPromise) {
        resolvedPromise = newPromise;
        promise.source = newPromise;

        array_reduce(messages, function (undefined, message) {
            Q.nextTick(function () {
                newPromise.promiseDispatch.apply(newPromise, message);
            });
        }, void 0);

        messages = void 0;
        progressListeners = void 0;
    }

    deferred.promise = promise;
    deferred.resolve = function (value) {
        if (resolvedPromise) {
            return;
        }

        become(Q(value));
    };

    deferred.fulfill = function (value) {
        if (resolvedPromise) {
            return;
        }

        become(fulfill(value));
    };
    deferred.reject = function (reason) {
        if (resolvedPromise) {
            return;
        }

        become(reject(reason));
    };
    deferred.notify = function (progress) {
        if (resolvedPromise) {
            return;
        }

        array_reduce(progressListeners, function (undefined, progressListener) {
            Q.nextTick(function () {
                progressListener(progress);
            });
        }, void 0);
    };

    return deferred;
}

/**
 * Creates a Node-style callback that will resolve or reject the deferred
 * promise.
 * @returns a nodeback
 */
defer.prototype.makeNodeResolver = function () {
    var self = this;
    return function (error, value) {
        if (error) {
            self.reject(error);
        } else if (arguments.length > 2) {
            self.resolve(array_slice(arguments, 1));
        } else {
            self.resolve(value);
        }
    };
};

/**
 * @param resolver {Function} a function that returns nothing and accepts
 * the resolve, reject, and notify functions for a deferred.
 * @returns a promise that may be resolved with the given resolve and reject
 * functions, or rejected by a thrown exception in resolver
 */
Q.Promise = promise; // ES6
Q.promise = promise;
function promise(resolver) {
    if (typeof resolver !== "function") {
        throw new TypeError("resolver must be a function.");
    }
    var deferred = defer();
    try {
        resolver(deferred.resolve, deferred.reject, deferred.notify);
    } catch (reason) {
        deferred.reject(reason);
    }
    return deferred.promise;
}

promise.race = race; // ES6
promise.all = all; // ES6
promise.reject = reject; // ES6
promise.resolve = Q; // ES6

// XXX experimental.  This method is a way to denote that a local value is
// serializable and should be immediately dispatched to a remote upon request,
// instead of passing a reference.
Q.passByCopy = function (object) {
    //freeze(object);
    //passByCopies.set(object, true);
    return object;
};

Promise.prototype.passByCopy = function () {
    //freeze(object);
    //passByCopies.set(object, true);
    return this;
};

/**
 * If two promises eventually fulfill to the same value, promises that value,
 * but otherwise rejects.
 * @param x {Any*}
 * @param y {Any*}
 * @returns {Any*} a promise for x and y if they are the same, but a rejection
 * otherwise.
 *
 */
Q.join = function (x, y) {
    return Q(x).join(y);
};

Promise.prototype.join = function (that) {
    return Q([this, that]).spread(function (x, y) {
        if (x === y) {
            // TODO: "===" should be Object.is or equiv
            return x;
        } else {
            throw new Error("Can't join: not the same: " + x + " " + y);
        }
    });
};

/**
 * Returns a promise for the first of an array of promises to become settled.
 * @param answers {Array[Any*]} promises to race
 * @returns {Any*} the first promise to be settled
 */
Q.race = race;
function race(answerPs) {
    return promise(function (resolve, reject) {
        // Switch to this once we can assume at least ES5
        // answerPs.forEach(function (answerP) {
        //     Q(answerP).then(resolve, reject);
        // });
        // Use this in the meantime
        for (var i = 0, len = answerPs.length; i < len; i++) {
            Q(answerPs[i]).then(resolve, reject);
        }
    });
}

Promise.prototype.race = function () {
    return this.then(Q.race);
};

/**
 * Constructs a Promise with a promise descriptor object and optional fallback
 * function.  The descriptor contains methods like when(rejected), get(name),
 * set(name, value), post(name, args), and delete(name), which all
 * return either a value, a promise for a value, or a rejection.  The fallback
 * accepts the operation name, a resolver, and any further arguments that would
 * have been forwarded to the appropriate method above had a method been
 * provided with the proper name.  The API makes no guarantees about the nature
 * of the returned object, apart from that it is usable whereever promises are
 * bought and sold.
 */
Q.makePromise = Promise;
function Promise(descriptor, fallback, inspect) {
    if (fallback === void 0) {
        fallback = function (op) {
            return reject(new Error(
                "Promise does not support operation: " + op
            ));
        };
    }
    if (inspect === void 0) {
        inspect = function () {
            return {state: "unknown"};
        };
    }

    var promise = object_create(Promise.prototype);

    promise.promiseDispatch = function (resolve, op, args) {
        var result;
        try {
            if (descriptor[op]) {
                result = descriptor[op].apply(promise, args);
            } else {
                result = fallback.call(promise, op, args);
            }
        } catch (exception) {
            result = reject(exception);
        }
        if (resolve) {
            resolve(result);
        }
    };

    promise.inspect = inspect;

    // XXX deprecated `valueOf` and `exception` support
    if (inspect) {
        var inspected = inspect();
        if (inspected.state === "rejected") {
            promise.exception = inspected.reason;
        }

        promise.valueOf = function () {
            var inspected = inspect();
            if (inspected.state === "pending" ||
                inspected.state === "rejected") {
                return promise;
            }
            return inspected.value;
        };
    }

    return promise;
}

Promise.prototype.toString = function () {
    return "[object Promise]";
};

Promise.prototype.then = function (fulfilled, rejected, progressed) {
    var self = this;
    var deferred = defer();
    var done = false;   // ensure the untrusted promise makes at most a
                        // single call to one of the callbacks

    function _fulfilled(value) {
        try {
            return typeof fulfilled === "function" ? fulfilled(value) : value;
        } catch (exception) {
            return reject(exception);
        }
    }

    function _rejected(exception) {
        if (typeof rejected === "function") {
            makeStackTraceLong(exception, self);
            try {
                return rejected(exception);
            } catch (newException) {
                return reject(newException);
            }
        }
        return reject(exception);
    }

    function _progressed(value) {
        return typeof progressed === "function" ? progressed(value) : value;
    }

    Q.nextTick(function () {
        self.promiseDispatch(function (value) {
            if (done) {
                return;
            }
            done = true;

            deferred.resolve(_fulfilled(value));
        }, "when", [function (exception) {
            if (done) {
                return;
            }
            done = true;

            deferred.resolve(_rejected(exception));
        }]);
    });

    // Progress propagator need to be attached in the current tick.
    self.promiseDispatch(void 0, "when", [void 0, function (value) {
        var newValue;
        var threw = false;
        try {
            newValue = _progressed(value);
        } catch (e) {
            threw = true;
            if (Q.onerror) {
                Q.onerror(e);
            } else {
                throw e;
            }
        }

        if (!threw) {
            deferred.notify(newValue);
        }
    }]);

    return deferred.promise;
};

Q.tap = function (promise, callback) {
    return Q(promise).tap(callback);
};

/**
 * Works almost like "finally", but not called for rejections.
 * Original resolution value is passed through callback unaffected.
 * Callback may return a promise that will be awaited for.
 * @param {Function} callback
 * @returns {Q.Promise}
 * @example
 * doSomething()
 *   .then(...)
 *   .tap(console.log)
 *   .then(...);
 */
Promise.prototype.tap = function (callback) {
    callback = Q(callback);

    return this.then(function (value) {
        return callback.fcall(value).thenResolve(value);
    });
};

/**
 * Registers an observer on a promise.
 *
 * Guarantees:
 *
 * 1. that fulfilled and rejected will be called only once.
 * 2. that either the fulfilled callback or the rejected callback will be
 *    called, but not both.
 * 3. that fulfilled and rejected will not be called in this turn.
 *
 * @param value      promise or immediate reference to observe
 * @param fulfilled  function to be called with the fulfilled value
 * @param rejected   function to be called with the rejection exception
 * @param progressed function to be called on any progress notifications
 * @return promise for the return value from the invoked callback
 */
Q.when = when;
function when(value, fulfilled, rejected, progressed) {
    return Q(value).then(fulfilled, rejected, progressed);
}

Promise.prototype.thenResolve = function (value) {
    return this.then(function () { return value; });
};

Q.thenResolve = function (promise, value) {
    return Q(promise).thenResolve(value);
};

Promise.prototype.thenReject = function (reason) {
    return this.then(function () { throw reason; });
};

Q.thenReject = function (promise, reason) {
    return Q(promise).thenReject(reason);
};

/**
 * If an object is not a promise, it is as "near" as possible.
 * If a promise is rejected, it is as "near" as possible too.
 * If it’s a fulfilled promise, the fulfillment value is nearer.
 * If it’s a deferred promise and the deferred has been resolved, the
 * resolution is "nearer".
 * @param object
 * @returns most resolved (nearest) form of the object
 */

// XXX should we re-do this?
Q.nearer = nearer;
function nearer(value) {
    if (isPromise(value)) {
        var inspected = value.inspect();
        if (inspected.state === "fulfilled") {
            return inspected.value;
        }
    }
    return value;
}

/**
 * @returns whether the given object is a promise.
 * Otherwise it is a fulfilled value.
 */
Q.isPromise = isPromise;
function isPromise(object) {
    return object instanceof Promise;
}

Q.isPromiseAlike = isPromiseAlike;
function isPromiseAlike(object) {
    return isObject(object) && typeof object.then === "function";
}

/**
 * @returns whether the given object is a pending promise, meaning not
 * fulfilled or rejected.
 */
Q.isPending = isPending;
function isPending(object) {
    return isPromise(object) && object.inspect().state === "pending";
}

Promise.prototype.isPending = function () {
    return this.inspect().state === "pending";
};

/**
 * @returns whether the given object is a value or fulfilled
 * promise.
 */
Q.isFulfilled = isFulfilled;
function isFulfilled(object) {
    return !isPromise(object) || object.inspect().state === "fulfilled";
}

Promise.prototype.isFulfilled = function () {
    return this.inspect().state === "fulfilled";
};

/**
 * @returns whether the given object is a rejected promise.
 */
Q.isRejected = isRejected;
function isRejected(object) {
    return isPromise(object) && object.inspect().state === "rejected";
}

Promise.prototype.isRejected = function () {
    return this.inspect().state === "rejected";
};

//// BEGIN UNHANDLED REJECTION TRACKING

// This promise library consumes exceptions thrown in handlers so they can be
// handled by a subsequent promise.  The exceptions get added to this array when
// they are created, and removed when they are handled.  Note that in ES6 or
// shimmed environments, this would naturally be a `Set`.
var unhandledReasons = [];
var unhandledRejections = [];
var reportedUnhandledRejections = [];
var trackUnhandledRejections = true;

function resetUnhandledRejections() {
    unhandledReasons.length = 0;
    unhandledRejections.length = 0;

    if (!trackUnhandledRejections) {
        trackUnhandledRejections = true;
    }
}

function trackRejection(promise, reason) {
    if (!trackUnhandledRejections) {
        return;
    }
    if (typeof process === "object" && typeof process.emit === "function") {
        Q.nextTick.runAfter(function () {
            if (array_indexOf(unhandledRejections, promise) !== -1) {
                process.emit("unhandledRejection", reason, promise);
                reportedUnhandledRejections.push(promise);
            }
        });
    }

    unhandledRejections.push(promise);
    if (reason && typeof reason.stack !== "undefined") {
        unhandledReasons.push(reason.stack);
    } else {
        unhandledReasons.push("(no stack) " + reason);
    }
}

function untrackRejection(promise) {
    if (!trackUnhandledRejections) {
        return;
    }

    var at = array_indexOf(unhandledRejections, promise);
    if (at !== -1) {
        if (typeof process === "object" && typeof process.emit === "function") {
            Q.nextTick.runAfter(function () {
                var atReport = array_indexOf(reportedUnhandledRejections, promise);
                if (atReport !== -1) {
                    process.emit("rejectionHandled", unhandledReasons[at], promise);
                    reportedUnhandledRejections.splice(atReport, 1);
                }
            });
        }
        unhandledRejections.splice(at, 1);
        unhandledReasons.splice(at, 1);
    }
}

Q.resetUnhandledRejections = resetUnhandledRejections;

Q.getUnhandledReasons = function () {
    // Make a copy so that consumers can't interfere with our internal state.
    return unhandledReasons.slice();
};

Q.stopUnhandledRejectionTracking = function () {
    resetUnhandledRejections();
    trackUnhandledRejections = false;
};

resetUnhandledRejections();

//// END UNHANDLED REJECTION TRACKING

/**
 * Constructs a rejected promise.
 * @param reason value describing the failure
 */
Q.reject = reject;
function reject(reason) {
    var rejection = Promise({
        "when": function (rejected) {
            // note that the error has been handled
            if (rejected) {
                untrackRejection(this);
            }
            return rejected ? rejected(reason) : this;
        }
    }, function fallback() {
        return this;
    }, function inspect() {
        return { state: "rejected", reason: reason };
    });

    // Note that the reason has not been handled.
    trackRejection(rejection, reason);

    return rejection;
}

/**
 * Constructs a fulfilled promise for an immediate reference.
 * @param value immediate reference
 */
Q.fulfill = fulfill;
function fulfill(value) {
    return Promise({
        "when": function () {
            return value;
        },
        "get": function (name) {
            return value[name];
        },
        "set": function (name, rhs) {
            value[name] = rhs;
        },
        "delete": function (name) {
            delete value[name];
        },
        "post": function (name, args) {
            // Mark Miller proposes that post with no name should apply a
            // promised function.
            if (name === null || name === void 0) {
                return value.apply(void 0, args);
            } else {
                return value[name].apply(value, args);
            }
        },
        "apply": function (thisp, args) {
            return value.apply(thisp, args);
        },
        "keys": function () {
            return object_keys(value);
        }
    }, void 0, function inspect() {
        return { state: "fulfilled", value: value };
    });
}

/**
 * Converts thenables to Q promises.
 * @param promise thenable promise
 * @returns a Q promise
 */
function coerce(promise) {
    var deferred = defer();
    Q.nextTick(function () {
        try {
            promise.then(deferred.resolve, deferred.reject, deferred.notify);
        } catch (exception) {
            deferred.reject(exception);
        }
    });
    return deferred.promise;
}

/**
 * Annotates an object such that it will never be
 * transferred away from this process over any promise
 * communication channel.
 * @param object
 * @returns promise a wrapping of that object that
 * additionally responds to the "isDef" message
 * without a rejection.
 */
Q.master = master;
function master(object) {
    return Promise({
        "isDef": function () {}
    }, function fallback(op, args) {
        return dispatch(object, op, args);
    }, function () {
        return Q(object).inspect();
    });
}

/**
 * Spreads the values of a promised array of arguments into the
 * fulfillment callback.
 * @param fulfilled callback that receives variadic arguments from the
 * promised array
 * @param rejected callback that receives the exception if the promise
 * is rejected.
 * @returns a promise for the return value or thrown exception of
 * either callback.
 */
Q.spread = spread;
function spread(value, fulfilled, rejected) {
    return Q(value).spread(fulfilled, rejected);
}

Promise.prototype.spread = function (fulfilled, rejected) {
    return this.all().then(function (array) {
        return fulfilled.apply(void 0, array);
    }, rejected);
};

/**
 * The async function is a decorator for generator functions, turning
 * them into asynchronous generators.  Although generators are only part
 * of the newest ECMAScript 6 drafts, this code does not cause syntax
 * errors in older engines.  This code should continue to work and will
 * in fact improve over time as the language improves.
 *
 * ES6 generators are currently part of V8 version 3.19 with the
 * --harmony-generators runtime flag enabled.  SpiderMonkey has had them
 * for longer, but under an older Python-inspired form.  This function
 * works on both kinds of generators.
 *
 * Decorates a generator function such that:
 *  - it may yield promises
 *  - execution will continue when that promise is fulfilled
 *  - the value of the yield expression will be the fulfilled value
 *  - it returns a promise for the return value (when the generator
 *    stops iterating)
 *  - the decorated function returns a promise for the return value
 *    of the generator or the first rejected promise among those
 *    yielded.
 *  - if an error is thrown in the generator, it propagates through
 *    every following yield until it is caught, or until it escapes
 *    the generator function altogether, and is translated into a
 *    rejection for the promise returned by the decorated generator.
 */
Q.async = async;
function async(makeGenerator) {
    return function () {
        // when verb is "send", arg is a value
        // when verb is "throw", arg is an exception
        function continuer(verb, arg) {
            var result;

            // Until V8 3.19 / Chromium 29 is released, SpiderMonkey is the only
            // engine that has a deployed base of browsers that support generators.
            // However, SM's generators use the Python-inspired semantics of
            // outdated ES6 drafts.  We would like to support ES6, but we'd also
            // like to make it possible to use generators in deployed browsers, so
            // we also support Python-style generators.  At some point we can remove
            // this block.

            if (typeof StopIteration === "undefined") {
                // ES6 Generators
                try {
                    result = generator[verb](arg);
                } catch (exception) {
                    return reject(exception);
                }
                if (result.done) {
                    return Q(result.value);
                } else {
                    return when(result.value, callback, errback);
                }
            } else {
                // SpiderMonkey Generators
                // FIXME: Remove this case when SM does ES6 generators.
                try {
                    result = generator[verb](arg);
                } catch (exception) {
                    if (isStopIteration(exception)) {
                        return Q(exception.value);
                    } else {
                        return reject(exception);
                    }
                }
                return when(result, callback, errback);
            }
        }
        var generator = makeGenerator.apply(this, arguments);
        var callback = continuer.bind(continuer, "next");
        var errback = continuer.bind(continuer, "throw");
        return callback();
    };
}

/**
 * The spawn function is a small wrapper around async that immediately
 * calls the generator and also ends the promise chain, so that any
 * unhandled errors are thrown instead of forwarded to the error
 * handler. This is useful because it's extremely common to run
 * generators at the top-level to work with libraries.
 */
Q.spawn = spawn;
function spawn(makeGenerator) {
    Q.done(Q.async(makeGenerator)());
}

// FIXME: Remove this interface once ES6 generators are in SpiderMonkey.
/**
 * Throws a ReturnValue exception to stop an asynchronous generator.
 *
 * This interface is a stop-gap measure to support generator return
 * values in older Firefox/SpiderMonkey.  In browsers that support ES6
 * generators like Chromium 29, just use "return" in your generator
 * functions.
 *
 * @param value the return value for the surrounding generator
 * @throws ReturnValue exception with the value.
 * @example
 * // ES6 style
 * Q.async(function* () {
 *      var foo = yield getFooPromise();
 *      var bar = yield getBarPromise();
 *      return foo + bar;
 * })
 * // Older SpiderMonkey style
 * Q.async(function () {
 *      var foo = yield getFooPromise();
 *      var bar = yield getBarPromise();
 *      Q.return(foo + bar);
 * })
 */
Q["return"] = _return;
function _return(value) {
    throw new QReturnValue(value);
}

/**
 * The promised function decorator ensures that any promise arguments
 * are settled and passed as values (`this` is also settled and passed
 * as a value).  It will also ensure that the result of a function is
 * always a promise.
 *
 * @example
 * var add = Q.promised(function (a, b) {
 *     return a + b;
 * });
 * add(Q(a), Q(B));
 *
 * @param {function} callback The function to decorate
 * @returns {function} a function that has been decorated.
 */
Q.promised = promised;
function promised(callback) {
    return function () {
        return spread([this, all(arguments)], function (self, args) {
            return callback.apply(self, args);
        });
    };
}

/**
 * sends a message to a value in a future turn
 * @param object* the recipient
 * @param op the name of the message operation, e.g., "when",
 * @param args further arguments to be forwarded to the operation
 * @returns result {Promise} a promise for the result of the operation
 */
Q.dispatch = dispatch;
function dispatch(object, op, args) {
    return Q(object).dispatch(op, args);
}

Promise.prototype.dispatch = function (op, args) {
    var self = this;
    var deferred = defer();
    Q.nextTick(function () {
        self.promiseDispatch(deferred.resolve, op, args);
    });
    return deferred.promise;
};

/**
 * Gets the value of a property in a future turn.
 * @param object    promise or immediate reference for target object
 * @param name      name of property to get
 * @return promise for the property value
 */
Q.get = function (object, key) {
    return Q(object).dispatch("get", [key]);
};

Promise.prototype.get = function (key) {
    return this.dispatch("get", [key]);
};

/**
 * Sets the value of a property in a future turn.
 * @param object    promise or immediate reference for object object
 * @param name      name of property to set
 * @param value     new value of property
 * @return promise for the return value
 */
Q.set = function (object, key, value) {
    return Q(object).dispatch("set", [key, value]);
};

Promise.prototype.set = function (key, value) {
    return this.dispatch("set", [key, value]);
};

/**
 * Deletes a property in a future turn.
 * @param object    promise or immediate reference for target object
 * @param name      name of property to delete
 * @return promise for the return value
 */
Q.del = // XXX legacy
Q["delete"] = function (object, key) {
    return Q(object).dispatch("delete", [key]);
};

Promise.prototype.del = // XXX legacy
Promise.prototype["delete"] = function (key) {
    return this.dispatch("delete", [key]);
};

/**
 * Invokes a method in a future turn.
 * @param object    promise or immediate reference for target object
 * @param name      name of method to invoke
 * @param value     a value to post, typically an array of
 *                  invocation arguments for promises that
 *                  are ultimately backed with `resolve` values,
 *                  as opposed to those backed with URLs
 *                  wherein the posted value can be any
 *                  JSON serializable object.
 * @return promise for the return value
 */
// bound locally because it is used by other methods
Q.mapply = // XXX As proposed by "Redsandro"
Q.post = function (object, name, args) {
    return Q(object).dispatch("post", [name, args]);
};

Promise.prototype.mapply = // XXX As proposed by "Redsandro"
Promise.prototype.post = function (name, args) {
    return this.dispatch("post", [name, args]);
};

/**
 * Invokes a method in a future turn.
 * @param object    promise or immediate reference for target object
 * @param name      name of method to invoke
 * @param ...args   array of invocation arguments
 * @return promise for the return value
 */
Q.send = // XXX Mark Miller's proposed parlance
Q.mcall = // XXX As proposed by "Redsandro"
Q.invoke = function (object, name /*...args*/) {
    return Q(object).dispatch("post", [name, array_slice(arguments, 2)]);
};

Promise.prototype.send = // XXX Mark Miller's proposed parlance
Promise.prototype.mcall = // XXX As proposed by "Redsandro"
Promise.prototype.invoke = function (name /*...args*/) {
    return this.dispatch("post", [name, array_slice(arguments, 1)]);
};

/**
 * Applies the promised function in a future turn.
 * @param object    promise or immediate reference for target function
 * @param args      array of application arguments
 */
Q.fapply = function (object, args) {
    return Q(object).dispatch("apply", [void 0, args]);
};

Promise.prototype.fapply = function (args) {
    return this.dispatch("apply", [void 0, args]);
};

/**
 * Calls the promised function in a future turn.
 * @param object    promise or immediate reference for target function
 * @param ...args   array of application arguments
 */
Q["try"] =
Q.fcall = function (object /* ...args*/) {
    return Q(object).dispatch("apply", [void 0, array_slice(arguments, 1)]);
};

Promise.prototype.fcall = function (/*...args*/) {
    return this.dispatch("apply", [void 0, array_slice(arguments)]);
};

/**
 * Binds the promised function, transforming return values into a fulfilled
 * promise and thrown errors into a rejected one.
 * @param object    promise or immediate reference for target function
 * @param ...args   array of application arguments
 */
Q.fbind = function (object /*...args*/) {
    var promise = Q(object);
    var args = array_slice(arguments, 1);
    return function fbound() {
        return promise.dispatch("apply", [
            this,
            args.concat(array_slice(arguments))
        ]);
    };
};
Promise.prototype.fbind = function (/*...args*/) {
    var promise = this;
    var args = array_slice(arguments);
    return function fbound() {
        return promise.dispatch("apply", [
            this,
            args.concat(array_slice(arguments))
        ]);
    };
};

/**
 * Requests the names of the owned properties of a promised
 * object in a future turn.
 * @param object    promise or immediate reference for target object
 * @return promise for the keys of the eventually settled object
 */
Q.keys = function (object) {
    return Q(object).dispatch("keys", []);
};

Promise.prototype.keys = function () {
    return this.dispatch("keys", []);
};

/**
 * Turns an array of promises into a promise for an array.  If any of
 * the promises gets rejected, the whole array is rejected immediately.
 * @param {Array*} an array (or promise for an array) of values (or
 * promises for values)
 * @returns a promise for an array of the corresponding values
 */
// By Mark Miller
// http://wiki.ecmascript.org/doku.php?id=strawman:concurrency&rev=1308776521#allfulfilled
Q.all = all;
function all(promises) {
    return when(promises, function (promises) {
        var pendingCount = 0;
        var deferred = defer();
        array_reduce(promises, function (undefined, promise, index) {
            var snapshot;
            if (
                isPromise(promise) &&
                (snapshot = promise.inspect()).state === "fulfilled"
            ) {
                promises[index] = snapshot.value;
            } else {
                ++pendingCount;
                when(
                    promise,
                    function (value) {
                        promises[index] = value;
                        if (--pendingCount === 0) {
                            deferred.resolve(promises);
                        }
                    },
                    deferred.reject,
                    function (progress) {
                        deferred.notify({ index: index, value: progress });
                    }
                );
            }
        }, void 0);
        if (pendingCount === 0) {
            deferred.resolve(promises);
        }
        return deferred.promise;
    });
}

Promise.prototype.all = function () {
    return all(this);
};

/**
 * Returns the first resolved promise of an array. Prior rejected promises are
 * ignored.  Rejects only if all promises are rejected.
 * @param {Array*} an array containing values or promises for values
 * @returns a promise fulfilled with the value of the first resolved promise,
 * or a rejected promise if all promises are rejected.
 */
Q.any = any;

function any(promises) {
    if (promises.length === 0) {
        return Q.resolve();
    }

    var deferred = Q.defer();
    var pendingCount = 0;
    array_reduce(promises, function (prev, current, index) {
        var promise = promises[index];

        pendingCount++;

        when(promise, onFulfilled, onRejected, onProgress);
        function onFulfilled(result) {
            deferred.resolve(result);
        }
        function onRejected() {
            pendingCount--;
            if (pendingCount === 0) {
                deferred.reject(new Error(
                    "Can't get fulfillment value from any promise, all " +
                    "promises were rejected."
                ));
            }
        }
        function onProgress(progress) {
            deferred.notify({
                index: index,
                value: progress
            });
        }
    }, undefined);

    return deferred.promise;
}

Promise.prototype.any = function () {
    return any(this);
};

/**
 * Waits for all promises to be settled, either fulfilled or
 * rejected.  This is distinct from `all` since that would stop
 * waiting at the first rejection.  The promise returned by
 * `allResolved` will never be rejected.
 * @param promises a promise for an array (or an array) of promises
 * (or values)
 * @return a promise for an array of promises
 */
Q.allResolved = deprecate(allResolved, "allResolved", "allSettled");
function allResolved(promises) {
    return when(promises, function (promises) {
        promises = array_map(promises, Q);
        return when(all(array_map(promises, function (promise) {
            return when(promise, noop, noop);
        })), function () {
            return promises;
        });
    });
}

Promise.prototype.allResolved = function () {
    return allResolved(this);
};

/**
 * @see Promise#allSettled
 */
Q.allSettled = allSettled;
function allSettled(promises) {
    return Q(promises).allSettled();
}

/**
 * Turns an array of promises into a promise for an array of their states (as
 * returned by `inspect`) when they have all settled.
 * @param {Array[Any*]} values an array (or promise for an array) of values (or
 * promises for values)
 * @returns {Array[State]} an array of states for the respective values.
 */
Promise.prototype.allSettled = function () {
    return this.then(function (promises) {
        return all(array_map(promises, function (promise) {
            promise = Q(promise);
            function regardless() {
                return promise.inspect();
            }
            return promise.then(regardless, regardless);
        }));
    });
};

/**
 * Captures the failure of a promise, giving an oportunity to recover
 * with a callback.  If the given promise is fulfilled, the returned
 * promise is fulfilled.
 * @param {Any*} promise for something
 * @param {Function} callback to fulfill the returned promise if the
 * given promise is rejected
 * @returns a promise for the return value of the callback
 */
Q.fail = // XXX legacy
Q["catch"] = function (object, rejected) {
    return Q(object).then(void 0, rejected);
};

Promise.prototype.fail = // XXX legacy
Promise.prototype["catch"] = function (rejected) {
    return this.then(void 0, rejected);
};

/**
 * Attaches a listener that can respond to progress notifications from a
 * promise's originating deferred. This listener receives the exact arguments
 * passed to ``deferred.notify``.
 * @param {Any*} promise for something
 * @param {Function} callback to receive any progress notifications
 * @returns the given promise, unchanged
 */
Q.progress = progress;
function progress(object, progressed) {
    return Q(object).then(void 0, void 0, progressed);
}

Promise.prototype.progress = function (progressed) {
    return this.then(void 0, void 0, progressed);
};

/**
 * Provides an opportunity to observe the settling of a promise,
 * regardless of whether the promise is fulfilled or rejected.  Forwards
 * the resolution to the returned promise when the callback is done.
 * The callback can return a promise to defer completion.
 * @param {Any*} promise
 * @param {Function} callback to observe the resolution of the given
 * promise, takes no arguments.
 * @returns a promise for the resolution of the given promise when
 * ``fin`` is done.
 */
Q.fin = // XXX legacy
Q["finally"] = function (object, callback) {
    return Q(object)["finally"](callback);
};

Promise.prototype.fin = // XXX legacy
Promise.prototype["finally"] = function (callback) {
    callback = Q(callback);
    return this.then(function (value) {
        return callback.fcall().then(function () {
            return value;
        });
    }, function (reason) {
        // TODO attempt to recycle the rejection with "this".
        return callback.fcall().then(function () {
            throw reason;
        });
    });
};

/**
 * Terminates a chain of promises, forcing rejections to be
 * thrown as exceptions.
 * @param {Any*} promise at the end of a chain of promises
 * @returns nothing
 */
Q.done = function (object, fulfilled, rejected, progress) {
    return Q(object).done(fulfilled, rejected, progress);
};

Promise.prototype.done = function (fulfilled, rejected, progress) {
    var onUnhandledError = function (error) {
        // forward to a future turn so that ``when``
        // does not catch it and turn it into a rejection.
        Q.nextTick(function () {
            makeStackTraceLong(error, promise);
            if (Q.onerror) {
                Q.onerror(error);
            } else {
                throw error;
            }
        });
    };

    // Avoid unnecessary `nextTick`ing via an unnecessary `when`.
    var promise = fulfilled || rejected || progress ?
        this.then(fulfilled, rejected, progress) :
        this;

    if (typeof process === "object" && process && process.domain) {
        onUnhandledError = process.domain.bind(onUnhandledError);
    }

    promise.then(void 0, onUnhandledError);
};

/**
 * Causes a promise to be rejected if it does not get fulfilled before
 * some milliseconds time out.
 * @param {Any*} promise
 * @param {Number} milliseconds timeout
 * @param {Any*} custom error message or Error object (optional)
 * @returns a promise for the resolution of the given promise if it is
 * fulfilled before the timeout, otherwise rejected.
 */
Q.timeout = function (object, ms, error) {
    return Q(object).timeout(ms, error);
};

Promise.prototype.timeout = function (ms, error) {
    var deferred = defer();
    var timeoutId = setTimeout(function () {
        if (!error || "string" === typeof error) {
            error = new Error(error || "Timed out after " + ms + " ms");
            error.code = "ETIMEDOUT";
        }
        deferred.reject(error);
    }, ms);

    this.then(function (value) {
        clearTimeout(timeoutId);
        deferred.resolve(value);
    }, function (exception) {
        clearTimeout(timeoutId);
        deferred.reject(exception);
    }, deferred.notify);

    return deferred.promise;
};

/**
 * Returns a promise for the given value (or promised value), some
 * milliseconds after it resolved. Passes rejections immediately.
 * @param {Any*} promise
 * @param {Number} milliseconds
 * @returns a promise for the resolution of the given promise after milliseconds
 * time has elapsed since the resolution of the given promise.
 * If the given promise rejects, that is passed immediately.
 */
Q.delay = function (object, timeout) {
    if (timeout === void 0) {
        timeout = object;
        object = void 0;
    }
    return Q(object).delay(timeout);
};

Promise.prototype.delay = function (timeout) {
    return this.then(function (value) {
        var deferred = defer();
        setTimeout(function () {
            deferred.resolve(value);
        }, timeout);
        return deferred.promise;
    });
};

/**
 * Passes a continuation to a Node function, which is called with the given
 * arguments provided as an array, and returns a promise.
 *
 *      Q.nfapply(FS.readFile, [__filename])
 *      .then(function (content) {
 *      })
 *
 */
Q.nfapply = function (callback, args) {
    return Q(callback).nfapply(args);
};

Promise.prototype.nfapply = function (args) {
    var deferred = defer();
    var nodeArgs = array_slice(args);
    nodeArgs.push(deferred.makeNodeResolver());
    this.fapply(nodeArgs).fail(deferred.reject);
    return deferred.promise;
};

/**
 * Passes a continuation to a Node function, which is called with the given
 * arguments provided individually, and returns a promise.
 * @example
 * Q.nfcall(FS.readFile, __filename)
 * .then(function (content) {
 * })
 *
 */
Q.nfcall = function (callback /*...args*/) {
    var args = array_slice(arguments, 1);
    return Q(callback).nfapply(args);
};

Promise.prototype.nfcall = function (/*...args*/) {
    var nodeArgs = array_slice(arguments);
    var deferred = defer();
    nodeArgs.push(deferred.makeNodeResolver());
    this.fapply(nodeArgs).fail(deferred.reject);
    return deferred.promise;
};

/**
 * Wraps a NodeJS continuation passing function and returns an equivalent
 * version that returns a promise.
 * @example
 * Q.nfbind(FS.readFile, __filename)("utf-8")
 * .then(console.log)
 * .done()
 */
Q.nfbind =
Q.denodeify = function (callback /*...args*/) {
    var baseArgs = array_slice(arguments, 1);
    return function () {
        var nodeArgs = baseArgs.concat(array_slice(arguments));
        var deferred = defer();
        nodeArgs.push(deferred.makeNodeResolver());
        Q(callback).fapply(nodeArgs).fail(deferred.reject);
        return deferred.promise;
    };
};

Promise.prototype.nfbind =
Promise.prototype.denodeify = function (/*...args*/) {
    var args = array_slice(arguments);
    args.unshift(this);
    return Q.denodeify.apply(void 0, args);
};

Q.nbind = function (callback, thisp /*...args*/) {
    var baseArgs = array_slice(arguments, 2);
    return function () {
        var nodeArgs = baseArgs.concat(array_slice(arguments));
        var deferred = defer();
        nodeArgs.push(deferred.makeNodeResolver());
        function bound() {
            return callback.apply(thisp, arguments);
        }
        Q(bound).fapply(nodeArgs).fail(deferred.reject);
        return deferred.promise;
    };
};

Promise.prototype.nbind = function (/*thisp, ...args*/) {
    var args = array_slice(arguments, 0);
    args.unshift(this);
    return Q.nbind.apply(void 0, args);
};

/**
 * Calls a method of a Node-style object that accepts a Node-style
 * callback with a given array of arguments, plus a provided callback.
 * @param object an object that has the named method
 * @param {String} name name of the method of object
 * @param {Array} args arguments to pass to the method; the callback
 * will be provided by Q and appended to these arguments.
 * @returns a promise for the value or error
 */
Q.nmapply = // XXX As proposed by "Redsandro"
Q.npost = function (object, name, args) {
    return Q(object).npost(name, args);
};

Promise.prototype.nmapply = // XXX As proposed by "Redsandro"
Promise.prototype.npost = function (name, args) {
    var nodeArgs = array_slice(args || []);
    var deferred = defer();
    nodeArgs.push(deferred.makeNodeResolver());
    this.dispatch("post", [name, nodeArgs]).fail(deferred.reject);
    return deferred.promise;
};

/**
 * Calls a method of a Node-style object that accepts a Node-style
 * callback, forwarding the given variadic arguments, plus a provided
 * callback argument.
 * @param object an object that has the named method
 * @param {String} name name of the method of object
 * @param ...args arguments to pass to the method; the callback will
 * be provided by Q and appended to these arguments.
 * @returns a promise for the value or error
 */
Q.nsend = // XXX Based on Mark Miller's proposed "send"
Q.nmcall = // XXX Based on "Redsandro's" proposal
Q.ninvoke = function (object, name /*...args*/) {
    var nodeArgs = array_slice(arguments, 2);
    var deferred = defer();
    nodeArgs.push(deferred.makeNodeResolver());
    Q(object).dispatch("post", [name, nodeArgs]).fail(deferred.reject);
    return deferred.promise;
};

Promise.prototype.nsend = // XXX Based on Mark Miller's proposed "send"
Promise.prototype.nmcall = // XXX Based on "Redsandro's" proposal
Promise.prototype.ninvoke = function (name /*...args*/) {
    var nodeArgs = array_slice(arguments, 1);
    var deferred = defer();
    nodeArgs.push(deferred.makeNodeResolver());
    this.dispatch("post", [name, nodeArgs]).fail(deferred.reject);
    return deferred.promise;
};

/**
 * If a function would like to support both Node continuation-passing-style and
 * promise-returning-style, it can end its internal promise chain with
 * `nodeify(nodeback)`, forwarding the optional nodeback argument.  If the user
 * elects to use a nodeback, the result will be sent there.  If they do not
 * pass a nodeback, they will receive the result promise.
 * @param object a result (or a promise for a result)
 * @param {Function} nodeback a Node.js-style callback
 * @returns either the promise or nothing
 */
Q.nodeify = nodeify;
function nodeify(object, nodeback) {
    return Q(object).nodeify(nodeback);
}

Promise.prototype.nodeify = function (nodeback) {
    if (nodeback) {
        this.then(function (value) {
            Q.nextTick(function () {
                nodeback(null, value);
            });
        }, function (error) {
            Q.nextTick(function () {
                nodeback(error);
            });
        });
    } else {
        return this;
    }
};

Q.noConflict = function() {
    throw new Error("Q.noConflict only works when Q is used as a global");
};

// All code before this point will be filtered from stack traces.
var qEndingLine = captureLine();

return Q;

});

}).call(this,require('_process'))
},{"_process":81}],84:[function(require,module,exports){
var isObjectLike = require('../internal/isObjectLike');

/** `Object#toString` result references. */
var dateTag = '[object Date]';

/** Used for native method references. */
var objectProto = Object.prototype;

/**
 * Used to resolve the [`toStringTag`](http://ecma-international.org/ecma-262/6.0/#sec-object.prototype.tostring)
 * of values.
 */
var objToString = objectProto.toString;

/**
 * Checks if `value` is classified as a `Date` object.
 *
 * @static
 * @memberOf _
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is correctly classified, else `false`.
 * @example
 *
 * _.isDate(new Date);
 * // => true
 *
 * _.isDate('Mon April 23 2012');
 * // => false
 */
function isDate(value) {
  return isObjectLike(value) && objToString.call(value) == dateTag;
}

module.exports = isDate;

},{"../internal/isObjectLike":118}],85:[function(require,module,exports){
var isObjectLike = require('../internal/isObjectLike');

/** `Object#toString` result references. */
var stringTag = '[object String]';

/** Used for native method references. */
var objectProto = Object.prototype;

/**
 * Used to resolve the [`toStringTag`](http://ecma-international.org/ecma-262/6.0/#sec-object.prototype.tostring)
 * of values.
 */
var objToString = objectProto.toString;

/**
 * Checks if `value` is classified as a `String` primitive or object.
 *
 * @static
 * @memberOf _
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is correctly classified, else `false`.
 * @example
 *
 * _.isString('abc');
 * // => true
 *
 * _.isString(1);
 * // => false
 */
function isString(value) {
  return typeof value == 'string' || (isObjectLike(value) && objToString.call(value) == stringTag);
}

module.exports = isString;

},{"../internal/isObjectLike":118}],86:[function(require,module,exports){
/**
 * Gets the last element of `array`.
 *
 * @static
 * @memberOf _
 * @category Array
 * @param {Array} array The array to query.
 * @returns {*} Returns the last element of `array`.
 * @example
 *
 * _.last([1, 2, 3]);
 * // => 3
 */
function last(array) {
  var length = array ? array.length : 0;
  return length ? array[length - 1] : undefined;
}

module.exports = last;

},{}],87:[function(require,module,exports){
var arrayMap = require('../internal/arrayMap'),
    baseCallback = require('../internal/baseCallback'),
    baseMap = require('../internal/baseMap'),
    isArray = require('../lang/isArray');

/**
 * Creates an array of values by running each element in `collection` through
 * `iteratee`. The `iteratee` is bound to `thisArg` and invoked with three
 * arguments: (value, index|key, collection).
 *
 * If a property name is provided for `iteratee` the created `_.property`
 * style callback returns the property value of the given element.
 *
 * If a value is also provided for `thisArg` the created `_.matchesProperty`
 * style callback returns `true` for elements that have a matching property
 * value, else `false`.
 *
 * If an object is provided for `iteratee` the created `_.matches` style
 * callback returns `true` for elements that have the properties of the given
 * object, else `false`.
 *
 * Many lodash methods are guarded to work as iteratees for methods like
 * `_.every`, `_.filter`, `_.map`, `_.mapValues`, `_.reject`, and `_.some`.
 *
 * The guarded methods are:
 * `ary`, `callback`, `chunk`, `clone`, `create`, `curry`, `curryRight`,
 * `drop`, `dropRight`, `every`, `fill`, `flatten`, `invert`, `max`, `min`,
 * `parseInt`, `slice`, `sortBy`, `take`, `takeRight`, `template`, `trim`,
 * `trimLeft`, `trimRight`, `trunc`, `random`, `range`, `sample`, `some`,
 * `sum`, `uniq`, and `words`
 *
 * @static
 * @memberOf _
 * @alias collect
 * @category Collection
 * @param {Array|Object|string} collection The collection to iterate over.
 * @param {Function|Object|string} [iteratee=_.identity] The function invoked
 *  per iteration.
 * @param {*} [thisArg] The `this` binding of `iteratee`.
 * @returns {Array} Returns the new mapped array.
 * @example
 *
 * function timesThree(n) {
 *   return n * 3;
 * }
 *
 * _.map([1, 2], timesThree);
 * // => [3, 6]
 *
 * _.map({ 'a': 1, 'b': 2 }, timesThree);
 * // => [3, 6] (iteration order is not guaranteed)
 *
 * var users = [
 *   { 'user': 'barney' },
 *   { 'user': 'fred' }
 * ];
 *
 * // using the `_.property` callback shorthand
 * _.map(users, 'user');
 * // => ['barney', 'fred']
 */
function map(collection, iteratee, thisArg) {
  var func = isArray(collection) ? arrayMap : baseMap;
  iteratee = baseCallback(iteratee, thisArg, 3);
  return func(collection, iteratee);
}

module.exports = map;

},{"../internal/arrayMap":88,"../internal/baseCallback":90,"../internal/baseMap":98,"../lang/isArray":124}],88:[function(require,module,exports){
/**
 * A specialized version of `_.map` for arrays without support for callback
 * shorthands and `this` binding.
 *
 * @private
 * @param {Array} array The array to iterate over.
 * @param {Function} iteratee The function invoked per iteration.
 * @returns {Array} Returns the new mapped array.
 */
function arrayMap(array, iteratee) {
  var index = -1,
      length = array.length,
      result = Array(length);

  while (++index < length) {
    result[index] = iteratee(array[index], index, array);
  }
  return result;
}

module.exports = arrayMap;

},{}],89:[function(require,module,exports){
/**
 * A specialized version of `_.some` for arrays without support for callback
 * shorthands and `this` binding.
 *
 * @private
 * @param {Array} array The array to iterate over.
 * @param {Function} predicate The function invoked per iteration.
 * @returns {boolean} Returns `true` if any element passes the predicate check,
 *  else `false`.
 */
function arraySome(array, predicate) {
  var index = -1,
      length = array.length;

  while (++index < length) {
    if (predicate(array[index], index, array)) {
      return true;
    }
  }
  return false;
}

module.exports = arraySome;

},{}],90:[function(require,module,exports){
var baseMatches = require('./baseMatches'),
    baseMatchesProperty = require('./baseMatchesProperty'),
    bindCallback = require('./bindCallback'),
    identity = require('../utility/identity'),
    property = require('../utility/property');

/**
 * The base implementation of `_.callback` which supports specifying the
 * number of arguments to provide to `func`.
 *
 * @private
 * @param {*} [func=_.identity] The value to convert to a callback.
 * @param {*} [thisArg] The `this` binding of `func`.
 * @param {number} [argCount] The number of arguments to provide to `func`.
 * @returns {Function} Returns the callback.
 */
function baseCallback(func, thisArg, argCount) {
  var type = typeof func;
  if (type == 'function') {
    return thisArg === undefined
      ? func
      : bindCallback(func, thisArg, argCount);
  }
  if (func == null) {
    return identity;
  }
  if (type == 'object') {
    return baseMatches(func);
  }
  return thisArg === undefined
    ? property(func)
    : baseMatchesProperty(func, thisArg);
}

module.exports = baseCallback;

},{"../utility/identity":134,"../utility/property":135,"./baseMatches":99,"./baseMatchesProperty":100,"./bindCallback":105}],91:[function(require,module,exports){
var baseForOwn = require('./baseForOwn'),
    createBaseEach = require('./createBaseEach');

/**
 * The base implementation of `_.forEach` without support for callback
 * shorthands and `this` binding.
 *
 * @private
 * @param {Array|Object|string} collection The collection to iterate over.
 * @param {Function} iteratee The function invoked per iteration.
 * @returns {Array|Object|string} Returns `collection`.
 */
var baseEach = createBaseEach(baseForOwn);

module.exports = baseEach;

},{"./baseForOwn":93,"./createBaseEach":106}],92:[function(require,module,exports){
var createBaseFor = require('./createBaseFor');

/**
 * The base implementation of `baseForIn` and `baseForOwn` which iterates
 * over `object` properties returned by `keysFunc` invoking `iteratee` for
 * each property. Iteratee functions may exit iteration early by explicitly
 * returning `false`.
 *
 * @private
 * @param {Object} object The object to iterate over.
 * @param {Function} iteratee The function invoked per iteration.
 * @param {Function} keysFunc The function to get the keys of `object`.
 * @returns {Object} Returns `object`.
 */
var baseFor = createBaseFor();

module.exports = baseFor;

},{"./createBaseFor":107}],93:[function(require,module,exports){
var baseFor = require('./baseFor'),
    keys = require('../object/keys');

/**
 * The base implementation of `_.forOwn` without support for callback
 * shorthands and `this` binding.
 *
 * @private
 * @param {Object} object The object to iterate over.
 * @param {Function} iteratee The function invoked per iteration.
 * @returns {Object} Returns `object`.
 */
function baseForOwn(object, iteratee) {
  return baseFor(object, iteratee, keys);
}

module.exports = baseForOwn;

},{"../object/keys":131,"./baseFor":92}],94:[function(require,module,exports){
var toObject = require('./toObject');

/**
 * The base implementation of `get` without support for string paths
 * and default values.
 *
 * @private
 * @param {Object} object The object to query.
 * @param {Array} path The path of the property to get.
 * @param {string} [pathKey] The key representation of path.
 * @returns {*} Returns the resolved value.
 */
function baseGet(object, path, pathKey) {
  if (object == null) {
    return;
  }
  if (pathKey !== undefined && pathKey in toObject(object)) {
    path = [pathKey];
  }
  var index = 0,
      length = path.length;

  while (object != null && index < length) {
    object = object[path[index++]];
  }
  return (index && index == length) ? object : undefined;
}

module.exports = baseGet;

},{"./toObject":121}],95:[function(require,module,exports){
var baseIsEqualDeep = require('./baseIsEqualDeep'),
    isObject = require('../lang/isObject'),
    isObjectLike = require('./isObjectLike');

/**
 * The base implementation of `_.isEqual` without support for `this` binding
 * `customizer` functions.
 *
 * @private
 * @param {*} value The value to compare.
 * @param {*} other The other value to compare.
 * @param {Function} [customizer] The function to customize comparing values.
 * @param {boolean} [isLoose] Specify performing partial comparisons.
 * @param {Array} [stackA] Tracks traversed `value` objects.
 * @param {Array} [stackB] Tracks traversed `other` objects.
 * @returns {boolean} Returns `true` if the values are equivalent, else `false`.
 */
function baseIsEqual(value, other, customizer, isLoose, stackA, stackB) {
  if (value === other) {
    return true;
  }
  if (value == null || other == null || (!isObject(value) && !isObjectLike(other))) {
    return value !== value && other !== other;
  }
  return baseIsEqualDeep(value, other, baseIsEqual, customizer, isLoose, stackA, stackB);
}

module.exports = baseIsEqual;

},{"../lang/isObject":128,"./baseIsEqualDeep":96,"./isObjectLike":118}],96:[function(require,module,exports){
var equalArrays = require('./equalArrays'),
    equalByTag = require('./equalByTag'),
    equalObjects = require('./equalObjects'),
    isArray = require('../lang/isArray'),
    isTypedArray = require('../lang/isTypedArray');

/** `Object#toString` result references. */
var argsTag = '[object Arguments]',
    arrayTag = '[object Array]',
    objectTag = '[object Object]';

/** Used for native method references. */
var objectProto = Object.prototype;

/** Used to check objects for own properties. */
var hasOwnProperty = objectProto.hasOwnProperty;

/**
 * Used to resolve the [`toStringTag`](http://ecma-international.org/ecma-262/6.0/#sec-object.prototype.tostring)
 * of values.
 */
var objToString = objectProto.toString;

/**
 * A specialized version of `baseIsEqual` for arrays and objects which performs
 * deep comparisons and tracks traversed objects enabling objects with circular
 * references to be compared.
 *
 * @private
 * @param {Object} object The object to compare.
 * @param {Object} other The other object to compare.
 * @param {Function} equalFunc The function to determine equivalents of values.
 * @param {Function} [customizer] The function to customize comparing objects.
 * @param {boolean} [isLoose] Specify performing partial comparisons.
 * @param {Array} [stackA=[]] Tracks traversed `value` objects.
 * @param {Array} [stackB=[]] Tracks traversed `other` objects.
 * @returns {boolean} Returns `true` if the objects are equivalent, else `false`.
 */
function baseIsEqualDeep(object, other, equalFunc, customizer, isLoose, stackA, stackB) {
  var objIsArr = isArray(object),
      othIsArr = isArray(other),
      objTag = arrayTag,
      othTag = arrayTag;

  if (!objIsArr) {
    objTag = objToString.call(object);
    if (objTag == argsTag) {
      objTag = objectTag;
    } else if (objTag != objectTag) {
      objIsArr = isTypedArray(object);
    }
  }
  if (!othIsArr) {
    othTag = objToString.call(other);
    if (othTag == argsTag) {
      othTag = objectTag;
    } else if (othTag != objectTag) {
      othIsArr = isTypedArray(other);
    }
  }
  var objIsObj = objTag == objectTag,
      othIsObj = othTag == objectTag,
      isSameTag = objTag == othTag;

  if (isSameTag && !(objIsArr || objIsObj)) {
    return equalByTag(object, other, objTag);
  }
  if (!isLoose) {
    var objIsWrapped = objIsObj && hasOwnProperty.call(object, '__wrapped__'),
        othIsWrapped = othIsObj && hasOwnProperty.call(other, '__wrapped__');

    if (objIsWrapped || othIsWrapped) {
      return equalFunc(objIsWrapped ? object.value() : object, othIsWrapped ? other.value() : other, customizer, isLoose, stackA, stackB);
    }
  }
  if (!isSameTag) {
    return false;
  }
  // Assume cyclic values are equal.
  // For more information on detecting circular references see https://es5.github.io/#JO.
  stackA || (stackA = []);
  stackB || (stackB = []);

  var length = stackA.length;
  while (length--) {
    if (stackA[length] == object) {
      return stackB[length] == other;
    }
  }
  // Add `object` and `other` to the stack of traversed objects.
  stackA.push(object);
  stackB.push(other);

  var result = (objIsArr ? equalArrays : equalObjects)(object, other, equalFunc, customizer, isLoose, stackA, stackB);

  stackA.pop();
  stackB.pop();

  return result;
}

module.exports = baseIsEqualDeep;

},{"../lang/isArray":124,"../lang/isTypedArray":130,"./equalArrays":108,"./equalByTag":109,"./equalObjects":110}],97:[function(require,module,exports){
var baseIsEqual = require('./baseIsEqual'),
    toObject = require('./toObject');

/**
 * The base implementation of `_.isMatch` without support for callback
 * shorthands and `this` binding.
 *
 * @private
 * @param {Object} object The object to inspect.
 * @param {Array} matchData The propery names, values, and compare flags to match.
 * @param {Function} [customizer] The function to customize comparing objects.
 * @returns {boolean} Returns `true` if `object` is a match, else `false`.
 */
function baseIsMatch(object, matchData, customizer) {
  var index = matchData.length,
      length = index,
      noCustomizer = !customizer;

  if (object == null) {
    return !length;
  }
  object = toObject(object);
  while (index--) {
    var data = matchData[index];
    if ((noCustomizer && data[2])
          ? data[1] !== object[data[0]]
          : !(data[0] in object)
        ) {
      return false;
    }
  }
  while (++index < length) {
    data = matchData[index];
    var key = data[0],
        objValue = object[key],
        srcValue = data[1];

    if (noCustomizer && data[2]) {
      if (objValue === undefined && !(key in object)) {
        return false;
      }
    } else {
      var result = customizer ? customizer(objValue, srcValue, key) : undefined;
      if (!(result === undefined ? baseIsEqual(srcValue, objValue, customizer, true) : result)) {
        return false;
      }
    }
  }
  return true;
}

module.exports = baseIsMatch;

},{"./baseIsEqual":95,"./toObject":121}],98:[function(require,module,exports){
var baseEach = require('./baseEach'),
    isArrayLike = require('./isArrayLike');

/**
 * The base implementation of `_.map` without support for callback shorthands
 * and `this` binding.
 *
 * @private
 * @param {Array|Object|string} collection The collection to iterate over.
 * @param {Function} iteratee The function invoked per iteration.
 * @returns {Array} Returns the new mapped array.
 */
function baseMap(collection, iteratee) {
  var index = -1,
      result = isArrayLike(collection) ? Array(collection.length) : [];

  baseEach(collection, function(value, key, collection) {
    result[++index] = iteratee(value, key, collection);
  });
  return result;
}

module.exports = baseMap;

},{"./baseEach":91,"./isArrayLike":114}],99:[function(require,module,exports){
var baseIsMatch = require('./baseIsMatch'),
    getMatchData = require('./getMatchData'),
    toObject = require('./toObject');

/**
 * The base implementation of `_.matches` which does not clone `source`.
 *
 * @private
 * @param {Object} source The object of property values to match.
 * @returns {Function} Returns the new function.
 */
function baseMatches(source) {
  var matchData = getMatchData(source);
  if (matchData.length == 1 && matchData[0][2]) {
    var key = matchData[0][0],
        value = matchData[0][1];

    return function(object) {
      if (object == null) {
        return false;
      }
      return object[key] === value && (value !== undefined || (key in toObject(object)));
    };
  }
  return function(object) {
    return baseIsMatch(object, matchData);
  };
}

module.exports = baseMatches;

},{"./baseIsMatch":97,"./getMatchData":112,"./toObject":121}],100:[function(require,module,exports){
var baseGet = require('./baseGet'),
    baseIsEqual = require('./baseIsEqual'),
    baseSlice = require('./baseSlice'),
    isArray = require('../lang/isArray'),
    isKey = require('./isKey'),
    isStrictComparable = require('./isStrictComparable'),
    last = require('../array/last'),
    toObject = require('./toObject'),
    toPath = require('./toPath');

/**
 * The base implementation of `_.matchesProperty` which does not clone `srcValue`.
 *
 * @private
 * @param {string} path The path of the property to get.
 * @param {*} srcValue The value to compare.
 * @returns {Function} Returns the new function.
 */
function baseMatchesProperty(path, srcValue) {
  var isArr = isArray(path),
      isCommon = isKey(path) && isStrictComparable(srcValue),
      pathKey = (path + '');

  path = toPath(path);
  return function(object) {
    if (object == null) {
      return false;
    }
    var key = pathKey;
    object = toObject(object);
    if ((isArr || !isCommon) && !(key in object)) {
      object = path.length == 1 ? object : baseGet(object, baseSlice(path, 0, -1));
      if (object == null) {
        return false;
      }
      key = last(path);
      object = toObject(object);
    }
    return object[key] === srcValue
      ? (srcValue !== undefined || (key in object))
      : baseIsEqual(srcValue, object[key], undefined, true);
  };
}

module.exports = baseMatchesProperty;

},{"../array/last":86,"../lang/isArray":124,"./baseGet":94,"./baseIsEqual":95,"./baseSlice":103,"./isKey":116,"./isStrictComparable":119,"./toObject":121,"./toPath":122}],101:[function(require,module,exports){
/**
 * The base implementation of `_.property` without support for deep paths.
 *
 * @private
 * @param {string} key The key of the property to get.
 * @returns {Function} Returns the new function.
 */
function baseProperty(key) {
  return function(object) {
    return object == null ? undefined : object[key];
  };
}

module.exports = baseProperty;

},{}],102:[function(require,module,exports){
var baseGet = require('./baseGet'),
    toPath = require('./toPath');

/**
 * A specialized version of `baseProperty` which supports deep paths.
 *
 * @private
 * @param {Array|string} path The path of the property to get.
 * @returns {Function} Returns the new function.
 */
function basePropertyDeep(path) {
  var pathKey = (path + '');
  path = toPath(path);
  return function(object) {
    return baseGet(object, path, pathKey);
  };
}

module.exports = basePropertyDeep;

},{"./baseGet":94,"./toPath":122}],103:[function(require,module,exports){
/**
 * The base implementation of `_.slice` without an iteratee call guard.
 *
 * @private
 * @param {Array} array The array to slice.
 * @param {number} [start=0] The start position.
 * @param {number} [end=array.length] The end position.
 * @returns {Array} Returns the slice of `array`.
 */
function baseSlice(array, start, end) {
  var index = -1,
      length = array.length;

  start = start == null ? 0 : (+start || 0);
  if (start < 0) {
    start = -start > length ? 0 : (length + start);
  }
  end = (end === undefined || end > length) ? length : (+end || 0);
  if (end < 0) {
    end += length;
  }
  length = start > end ? 0 : ((end - start) >>> 0);
  start >>>= 0;

  var result = Array(length);
  while (++index < length) {
    result[index] = array[index + start];
  }
  return result;
}

module.exports = baseSlice;

},{}],104:[function(require,module,exports){
/**
 * Converts `value` to a string if it's not one. An empty string is returned
 * for `null` or `undefined` values.
 *
 * @private
 * @param {*} value The value to process.
 * @returns {string} Returns the string.
 */
function baseToString(value) {
  return value == null ? '' : (value + '');
}

module.exports = baseToString;

},{}],105:[function(require,module,exports){
var identity = require('../utility/identity');

/**
 * A specialized version of `baseCallback` which only supports `this` binding
 * and specifying the number of arguments to provide to `func`.
 *
 * @private
 * @param {Function} func The function to bind.
 * @param {*} thisArg The `this` binding of `func`.
 * @param {number} [argCount] The number of arguments to provide to `func`.
 * @returns {Function} Returns the callback.
 */
function bindCallback(func, thisArg, argCount) {
  if (typeof func != 'function') {
    return identity;
  }
  if (thisArg === undefined) {
    return func;
  }
  switch (argCount) {
    case 1: return function(value) {
      return func.call(thisArg, value);
    };
    case 3: return function(value, index, collection) {
      return func.call(thisArg, value, index, collection);
    };
    case 4: return function(accumulator, value, index, collection) {
      return func.call(thisArg, accumulator, value, index, collection);
    };
    case 5: return function(value, other, key, object, source) {
      return func.call(thisArg, value, other, key, object, source);
    };
  }
  return function() {
    return func.apply(thisArg, arguments);
  };
}

module.exports = bindCallback;

},{"../utility/identity":134}],106:[function(require,module,exports){
var getLength = require('./getLength'),
    isLength = require('./isLength'),
    toObject = require('./toObject');

/**
 * Creates a `baseEach` or `baseEachRight` function.
 *
 * @private
 * @param {Function} eachFunc The function to iterate over a collection.
 * @param {boolean} [fromRight] Specify iterating from right to left.
 * @returns {Function} Returns the new base function.
 */
function createBaseEach(eachFunc, fromRight) {
  return function(collection, iteratee) {
    var length = collection ? getLength(collection) : 0;
    if (!isLength(length)) {
      return eachFunc(collection, iteratee);
    }
    var index = fromRight ? length : -1,
        iterable = toObject(collection);

    while ((fromRight ? index-- : ++index < length)) {
      if (iteratee(iterable[index], index, iterable) === false) {
        break;
      }
    }
    return collection;
  };
}

module.exports = createBaseEach;

},{"./getLength":111,"./isLength":117,"./toObject":121}],107:[function(require,module,exports){
var toObject = require('./toObject');

/**
 * Creates a base function for `_.forIn` or `_.forInRight`.
 *
 * @private
 * @param {boolean} [fromRight] Specify iterating from right to left.
 * @returns {Function} Returns the new base function.
 */
function createBaseFor(fromRight) {
  return function(object, iteratee, keysFunc) {
    var iterable = toObject(object),
        props = keysFunc(object),
        length = props.length,
        index = fromRight ? length : -1;

    while ((fromRight ? index-- : ++index < length)) {
      var key = props[index];
      if (iteratee(iterable[key], key, iterable) === false) {
        break;
      }
    }
    return object;
  };
}

module.exports = createBaseFor;

},{"./toObject":121}],108:[function(require,module,exports){
var arraySome = require('./arraySome');

/**
 * A specialized version of `baseIsEqualDeep` for arrays with support for
 * partial deep comparisons.
 *
 * @private
 * @param {Array} array The array to compare.
 * @param {Array} other The other array to compare.
 * @param {Function} equalFunc The function to determine equivalents of values.
 * @param {Function} [customizer] The function to customize comparing arrays.
 * @param {boolean} [isLoose] Specify performing partial comparisons.
 * @param {Array} [stackA] Tracks traversed `value` objects.
 * @param {Array} [stackB] Tracks traversed `other` objects.
 * @returns {boolean} Returns `true` if the arrays are equivalent, else `false`.
 */
function equalArrays(array, other, equalFunc, customizer, isLoose, stackA, stackB) {
  var index = -1,
      arrLength = array.length,
      othLength = other.length;

  if (arrLength != othLength && !(isLoose && othLength > arrLength)) {
    return false;
  }
  // Ignore non-index properties.
  while (++index < arrLength) {
    var arrValue = array[index],
        othValue = other[index],
        result = customizer ? customizer(isLoose ? othValue : arrValue, isLoose ? arrValue : othValue, index) : undefined;

    if (result !== undefined) {
      if (result) {
        continue;
      }
      return false;
    }
    // Recursively compare arrays (susceptible to call stack limits).
    if (isLoose) {
      if (!arraySome(other, function(othValue) {
            return arrValue === othValue || equalFunc(arrValue, othValue, customizer, isLoose, stackA, stackB);
          })) {
        return false;
      }
    } else if (!(arrValue === othValue || equalFunc(arrValue, othValue, customizer, isLoose, stackA, stackB))) {
      return false;
    }
  }
  return true;
}

module.exports = equalArrays;

},{"./arraySome":89}],109:[function(require,module,exports){
/** `Object#toString` result references. */
var boolTag = '[object Boolean]',
    dateTag = '[object Date]',
    errorTag = '[object Error]',
    numberTag = '[object Number]',
    regexpTag = '[object RegExp]',
    stringTag = '[object String]';

/**
 * A specialized version of `baseIsEqualDeep` for comparing objects of
 * the same `toStringTag`.
 *
 * **Note:** This function only supports comparing values with tags of
 * `Boolean`, `Date`, `Error`, `Number`, `RegExp`, or `String`.
 *
 * @private
 * @param {Object} object The object to compare.
 * @param {Object} other The other object to compare.
 * @param {string} tag The `toStringTag` of the objects to compare.
 * @returns {boolean} Returns `true` if the objects are equivalent, else `false`.
 */
function equalByTag(object, other, tag) {
  switch (tag) {
    case boolTag:
    case dateTag:
      // Coerce dates and booleans to numbers, dates to milliseconds and booleans
      // to `1` or `0` treating invalid dates coerced to `NaN` as not equal.
      return +object == +other;

    case errorTag:
      return object.name == other.name && object.message == other.message;

    case numberTag:
      // Treat `NaN` vs. `NaN` as equal.
      return (object != +object)
        ? other != +other
        : object == +other;

    case regexpTag:
    case stringTag:
      // Coerce regexes to strings and treat strings primitives and string
      // objects as equal. See https://es5.github.io/#x15.10.6.4 for more details.
      return object == (other + '');
  }
  return false;
}

module.exports = equalByTag;

},{}],110:[function(require,module,exports){
var keys = require('../object/keys');

/** Used for native method references. */
var objectProto = Object.prototype;

/** Used to check objects for own properties. */
var hasOwnProperty = objectProto.hasOwnProperty;

/**
 * A specialized version of `baseIsEqualDeep` for objects with support for
 * partial deep comparisons.
 *
 * @private
 * @param {Object} object The object to compare.
 * @param {Object} other The other object to compare.
 * @param {Function} equalFunc The function to determine equivalents of values.
 * @param {Function} [customizer] The function to customize comparing values.
 * @param {boolean} [isLoose] Specify performing partial comparisons.
 * @param {Array} [stackA] Tracks traversed `value` objects.
 * @param {Array} [stackB] Tracks traversed `other` objects.
 * @returns {boolean} Returns `true` if the objects are equivalent, else `false`.
 */
function equalObjects(object, other, equalFunc, customizer, isLoose, stackA, stackB) {
  var objProps = keys(object),
      objLength = objProps.length,
      othProps = keys(other),
      othLength = othProps.length;

  if (objLength != othLength && !isLoose) {
    return false;
  }
  var index = objLength;
  while (index--) {
    var key = objProps[index];
    if (!(isLoose ? key in other : hasOwnProperty.call(other, key))) {
      return false;
    }
  }
  var skipCtor = isLoose;
  while (++index < objLength) {
    key = objProps[index];
    var objValue = object[key],
        othValue = other[key],
        result = customizer ? customizer(isLoose ? othValue : objValue, isLoose? objValue : othValue, key) : undefined;

    // Recursively compare objects (susceptible to call stack limits).
    if (!(result === undefined ? equalFunc(objValue, othValue, customizer, isLoose, stackA, stackB) : result)) {
      return false;
    }
    skipCtor || (skipCtor = key == 'constructor');
  }
  if (!skipCtor) {
    var objCtor = object.constructor,
        othCtor = other.constructor;

    // Non `Object` object instances with different constructors are not equal.
    if (objCtor != othCtor &&
        ('constructor' in object && 'constructor' in other) &&
        !(typeof objCtor == 'function' && objCtor instanceof objCtor &&
          typeof othCtor == 'function' && othCtor instanceof othCtor)) {
      return false;
    }
  }
  return true;
}

module.exports = equalObjects;

},{"../object/keys":131}],111:[function(require,module,exports){
var baseProperty = require('./baseProperty');

/**
 * Gets the "length" property value of `object`.
 *
 * **Note:** This function is used to avoid a [JIT bug](https://bugs.webkit.org/show_bug.cgi?id=142792)
 * that affects Safari on at least iOS 8.1-8.3 ARM64.
 *
 * @private
 * @param {Object} object The object to query.
 * @returns {*} Returns the "length" value.
 */
var getLength = baseProperty('length');

module.exports = getLength;

},{"./baseProperty":101}],112:[function(require,module,exports){
var isStrictComparable = require('./isStrictComparable'),
    pairs = require('../object/pairs');

/**
 * Gets the propery names, values, and compare flags of `object`.
 *
 * @private
 * @param {Object} object The object to query.
 * @returns {Array} Returns the match data of `object`.
 */
function getMatchData(object) {
  var result = pairs(object),
      length = result.length;

  while (length--) {
    result[length][2] = isStrictComparable(result[length][1]);
  }
  return result;
}

module.exports = getMatchData;

},{"../object/pairs":133,"./isStrictComparable":119}],113:[function(require,module,exports){
var isNative = require('../lang/isNative');

/**
 * Gets the native function at `key` of `object`.
 *
 * @private
 * @param {Object} object The object to query.
 * @param {string} key The key of the method to get.
 * @returns {*} Returns the function if it's native, else `undefined`.
 */
function getNative(object, key) {
  var value = object == null ? undefined : object[key];
  return isNative(value) ? value : undefined;
}

module.exports = getNative;

},{"../lang/isNative":127}],114:[function(require,module,exports){
var getLength = require('./getLength'),
    isLength = require('./isLength');

/**
 * Checks if `value` is array-like.
 *
 * @private
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is array-like, else `false`.
 */
function isArrayLike(value) {
  return value != null && isLength(getLength(value));
}

module.exports = isArrayLike;

},{"./getLength":111,"./isLength":117}],115:[function(require,module,exports){
/** Used to detect unsigned integer values. */
var reIsUint = /^\d+$/;

/**
 * Used as the [maximum length](http://ecma-international.org/ecma-262/6.0/#sec-number.max_safe_integer)
 * of an array-like value.
 */
var MAX_SAFE_INTEGER = 9007199254740991;

/**
 * Checks if `value` is a valid array-like index.
 *
 * @private
 * @param {*} value The value to check.
 * @param {number} [length=MAX_SAFE_INTEGER] The upper bounds of a valid index.
 * @returns {boolean} Returns `true` if `value` is a valid index, else `false`.
 */
function isIndex(value, length) {
  value = (typeof value == 'number' || reIsUint.test(value)) ? +value : -1;
  length = length == null ? MAX_SAFE_INTEGER : length;
  return value > -1 && value % 1 == 0 && value < length;
}

module.exports = isIndex;

},{}],116:[function(require,module,exports){
var isArray = require('../lang/isArray'),
    toObject = require('./toObject');

/** Used to match property names within property paths. */
var reIsDeepProp = /\.|\[(?:[^[\]]*|(["'])(?:(?!\1)[^\n\\]|\\.)*?\1)\]/,
    reIsPlainProp = /^\w*$/;

/**
 * Checks if `value` is a property name and not a property path.
 *
 * @private
 * @param {*} value The value to check.
 * @param {Object} [object] The object to query keys on.
 * @returns {boolean} Returns `true` if `value` is a property name, else `false`.
 */
function isKey(value, object) {
  var type = typeof value;
  if ((type == 'string' && reIsPlainProp.test(value)) || type == 'number') {
    return true;
  }
  if (isArray(value)) {
    return false;
  }
  var result = !reIsDeepProp.test(value);
  return result || (object != null && value in toObject(object));
}

module.exports = isKey;

},{"../lang/isArray":124,"./toObject":121}],117:[function(require,module,exports){
/**
 * Used as the [maximum length](http://ecma-international.org/ecma-262/6.0/#sec-number.max_safe_integer)
 * of an array-like value.
 */
var MAX_SAFE_INTEGER = 9007199254740991;

/**
 * Checks if `value` is a valid array-like length.
 *
 * **Note:** This function is based on [`ToLength`](http://ecma-international.org/ecma-262/6.0/#sec-tolength).
 *
 * @private
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a valid length, else `false`.
 */
function isLength(value) {
  return typeof value == 'number' && value > -1 && value % 1 == 0 && value <= MAX_SAFE_INTEGER;
}

module.exports = isLength;

},{}],118:[function(require,module,exports){
/**
 * Checks if `value` is object-like.
 *
 * @private
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is object-like, else `false`.
 */
function isObjectLike(value) {
  return !!value && typeof value == 'object';
}

module.exports = isObjectLike;

},{}],119:[function(require,module,exports){
var isObject = require('../lang/isObject');

/**
 * Checks if `value` is suitable for strict equality comparisons, i.e. `===`.
 *
 * @private
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` if suitable for strict
 *  equality comparisons, else `false`.
 */
function isStrictComparable(value) {
  return value === value && !isObject(value);
}

module.exports = isStrictComparable;

},{"../lang/isObject":128}],120:[function(require,module,exports){
var isArguments = require('../lang/isArguments'),
    isArray = require('../lang/isArray'),
    isIndex = require('./isIndex'),
    isLength = require('./isLength'),
    keysIn = require('../object/keysIn');

/** Used for native method references. */
var objectProto = Object.prototype;

/** Used to check objects for own properties. */
var hasOwnProperty = objectProto.hasOwnProperty;

/**
 * A fallback implementation of `Object.keys` which creates an array of the
 * own enumerable property names of `object`.
 *
 * @private
 * @param {Object} object The object to query.
 * @returns {Array} Returns the array of property names.
 */
function shimKeys(object) {
  var props = keysIn(object),
      propsLength = props.length,
      length = propsLength && object.length;

  var allowIndexes = !!length && isLength(length) &&
    (isArray(object) || isArguments(object));

  var index = -1,
      result = [];

  while (++index < propsLength) {
    var key = props[index];
    if ((allowIndexes && isIndex(key, length)) || hasOwnProperty.call(object, key)) {
      result.push(key);
    }
  }
  return result;
}

module.exports = shimKeys;

},{"../lang/isArguments":123,"../lang/isArray":124,"../object/keysIn":132,"./isIndex":115,"./isLength":117}],121:[function(require,module,exports){
var isObject = require('../lang/isObject');

/**
 * Converts `value` to an object if it's not one.
 *
 * @private
 * @param {*} value The value to process.
 * @returns {Object} Returns the object.
 */
function toObject(value) {
  return isObject(value) ? value : Object(value);
}

module.exports = toObject;

},{"../lang/isObject":128}],122:[function(require,module,exports){
var baseToString = require('./baseToString'),
    isArray = require('../lang/isArray');

/** Used to match property names within property paths. */
var rePropName = /[^.[\]]+|\[(?:(-?\d+(?:\.\d+)?)|(["'])((?:(?!\2)[^\n\\]|\\.)*?)\2)\]/g;

/** Used to match backslashes in property paths. */
var reEscapeChar = /\\(\\)?/g;

/**
 * Converts `value` to property path array if it's not one.
 *
 * @private
 * @param {*} value The value to process.
 * @returns {Array} Returns the property path array.
 */
function toPath(value) {
  if (isArray(value)) {
    return value;
  }
  var result = [];
  baseToString(value).replace(rePropName, function(match, number, quote, string) {
    result.push(quote ? string.replace(reEscapeChar, '$1') : (number || match));
  });
  return result;
}

module.exports = toPath;

},{"../lang/isArray":124,"./baseToString":104}],123:[function(require,module,exports){
var isArrayLike = require('../internal/isArrayLike'),
    isObjectLike = require('../internal/isObjectLike');

/** Used for native method references. */
var objectProto = Object.prototype;

/** Used to check objects for own properties. */
var hasOwnProperty = objectProto.hasOwnProperty;

/** Native method references. */
var propertyIsEnumerable = objectProto.propertyIsEnumerable;

/**
 * Checks if `value` is classified as an `arguments` object.
 *
 * @static
 * @memberOf _
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is correctly classified, else `false`.
 * @example
 *
 * _.isArguments(function() { return arguments; }());
 * // => true
 *
 * _.isArguments([1, 2, 3]);
 * // => false
 */
function isArguments(value) {
  return isObjectLike(value) && isArrayLike(value) &&
    hasOwnProperty.call(value, 'callee') && !propertyIsEnumerable.call(value, 'callee');
}

module.exports = isArguments;

},{"../internal/isArrayLike":114,"../internal/isObjectLike":118}],124:[function(require,module,exports){
var getNative = require('../internal/getNative'),
    isLength = require('../internal/isLength'),
    isObjectLike = require('../internal/isObjectLike');

/** `Object#toString` result references. */
var arrayTag = '[object Array]';

/** Used for native method references. */
var objectProto = Object.prototype;

/**
 * Used to resolve the [`toStringTag`](http://ecma-international.org/ecma-262/6.0/#sec-object.prototype.tostring)
 * of values.
 */
var objToString = objectProto.toString;

/* Native method references for those with the same name as other `lodash` methods. */
var nativeIsArray = getNative(Array, 'isArray');

/**
 * Checks if `value` is classified as an `Array` object.
 *
 * @static
 * @memberOf _
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is correctly classified, else `false`.
 * @example
 *
 * _.isArray([1, 2, 3]);
 * // => true
 *
 * _.isArray(function() { return arguments; }());
 * // => false
 */
var isArray = nativeIsArray || function(value) {
  return isObjectLike(value) && isLength(value.length) && objToString.call(value) == arrayTag;
};

module.exports = isArray;

},{"../internal/getNative":113,"../internal/isLength":117,"../internal/isObjectLike":118}],125:[function(require,module,exports){
arguments[4][84][0].apply(exports,arguments)
},{"../internal/isObjectLike":118,"dup":84}],126:[function(require,module,exports){
var isObject = require('./isObject');

/** `Object#toString` result references. */
var funcTag = '[object Function]';

/** Used for native method references. */
var objectProto = Object.prototype;

/**
 * Used to resolve the [`toStringTag`](http://ecma-international.org/ecma-262/6.0/#sec-object.prototype.tostring)
 * of values.
 */
var objToString = objectProto.toString;

/**
 * Checks if `value` is classified as a `Function` object.
 *
 * @static
 * @memberOf _
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is correctly classified, else `false`.
 * @example
 *
 * _.isFunction(_);
 * // => true
 *
 * _.isFunction(/abc/);
 * // => false
 */
function isFunction(value) {
  // The use of `Object#toString` avoids issues with the `typeof` operator
  // in older versions of Chrome and Safari which return 'function' for regexes
  // and Safari 8 which returns 'object' for typed array constructors.
  return isObject(value) && objToString.call(value) == funcTag;
}

module.exports = isFunction;

},{"./isObject":128}],127:[function(require,module,exports){
var isFunction = require('./isFunction'),
    isObjectLike = require('../internal/isObjectLike');

/** Used to detect host constructors (Safari > 5). */
var reIsHostCtor = /^\[object .+?Constructor\]$/;

/** Used for native method references. */
var objectProto = Object.prototype;

/** Used to resolve the decompiled source of functions. */
var fnToString = Function.prototype.toString;

/** Used to check objects for own properties. */
var hasOwnProperty = objectProto.hasOwnProperty;

/** Used to detect if a method is native. */
var reIsNative = RegExp('^' +
  fnToString.call(hasOwnProperty).replace(/[\\^$.*+?()[\]{}|]/g, '\\$&')
  .replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, '$1.*?') + '$'
);

/**
 * Checks if `value` is a native function.
 *
 * @static
 * @memberOf _
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a native function, else `false`.
 * @example
 *
 * _.isNative(Array.prototype.push);
 * // => true
 *
 * _.isNative(_);
 * // => false
 */
function isNative(value) {
  if (value == null) {
    return false;
  }
  if (isFunction(value)) {
    return reIsNative.test(fnToString.call(value));
  }
  return isObjectLike(value) && reIsHostCtor.test(value);
}

module.exports = isNative;

},{"../internal/isObjectLike":118,"./isFunction":126}],128:[function(require,module,exports){
/**
 * Checks if `value` is the [language type](https://es5.github.io/#x8) of `Object`.
 * (e.g. arrays, functions, objects, regexes, `new Number(0)`, and `new String('')`)
 *
 * @static
 * @memberOf _
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is an object, else `false`.
 * @example
 *
 * _.isObject({});
 * // => true
 *
 * _.isObject([1, 2, 3]);
 * // => true
 *
 * _.isObject(1);
 * // => false
 */
function isObject(value) {
  // Avoid a V8 JIT bug in Chrome 19-20.
  // See https://code.google.com/p/v8/issues/detail?id=2291 for more details.
  var type = typeof value;
  return !!value && (type == 'object' || type == 'function');
}

module.exports = isObject;

},{}],129:[function(require,module,exports){
arguments[4][85][0].apply(exports,arguments)
},{"../internal/isObjectLike":118,"dup":85}],130:[function(require,module,exports){
var isLength = require('../internal/isLength'),
    isObjectLike = require('../internal/isObjectLike');

/** `Object#toString` result references. */
var argsTag = '[object Arguments]',
    arrayTag = '[object Array]',
    boolTag = '[object Boolean]',
    dateTag = '[object Date]',
    errorTag = '[object Error]',
    funcTag = '[object Function]',
    mapTag = '[object Map]',
    numberTag = '[object Number]',
    objectTag = '[object Object]',
    regexpTag = '[object RegExp]',
    setTag = '[object Set]',
    stringTag = '[object String]',
    weakMapTag = '[object WeakMap]';

var arrayBufferTag = '[object ArrayBuffer]',
    float32Tag = '[object Float32Array]',
    float64Tag = '[object Float64Array]',
    int8Tag = '[object Int8Array]',
    int16Tag = '[object Int16Array]',
    int32Tag = '[object Int32Array]',
    uint8Tag = '[object Uint8Array]',
    uint8ClampedTag = '[object Uint8ClampedArray]',
    uint16Tag = '[object Uint16Array]',
    uint32Tag = '[object Uint32Array]';

/** Used to identify `toStringTag` values of typed arrays. */
var typedArrayTags = {};
typedArrayTags[float32Tag] = typedArrayTags[float64Tag] =
typedArrayTags[int8Tag] = typedArrayTags[int16Tag] =
typedArrayTags[int32Tag] = typedArrayTags[uint8Tag] =
typedArrayTags[uint8ClampedTag] = typedArrayTags[uint16Tag] =
typedArrayTags[uint32Tag] = true;
typedArrayTags[argsTag] = typedArrayTags[arrayTag] =
typedArrayTags[arrayBufferTag] = typedArrayTags[boolTag] =
typedArrayTags[dateTag] = typedArrayTags[errorTag] =
typedArrayTags[funcTag] = typedArrayTags[mapTag] =
typedArrayTags[numberTag] = typedArrayTags[objectTag] =
typedArrayTags[regexpTag] = typedArrayTags[setTag] =
typedArrayTags[stringTag] = typedArrayTags[weakMapTag] = false;

/** Used for native method references. */
var objectProto = Object.prototype;

/**
 * Used to resolve the [`toStringTag`](http://ecma-international.org/ecma-262/6.0/#sec-object.prototype.tostring)
 * of values.
 */
var objToString = objectProto.toString;

/**
 * Checks if `value` is classified as a typed array.
 *
 * @static
 * @memberOf _
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is correctly classified, else `false`.
 * @example
 *
 * _.isTypedArray(new Uint8Array);
 * // => true
 *
 * _.isTypedArray([]);
 * // => false
 */
function isTypedArray(value) {
  return isObjectLike(value) && isLength(value.length) && !!typedArrayTags[objToString.call(value)];
}

module.exports = isTypedArray;

},{"../internal/isLength":117,"../internal/isObjectLike":118}],131:[function(require,module,exports){
var getNative = require('../internal/getNative'),
    isArrayLike = require('../internal/isArrayLike'),
    isObject = require('../lang/isObject'),
    shimKeys = require('../internal/shimKeys');

/* Native method references for those with the same name as other `lodash` methods. */
var nativeKeys = getNative(Object, 'keys');

/**
 * Creates an array of the own enumerable property names of `object`.
 *
 * **Note:** Non-object values are coerced to objects. See the
 * [ES spec](http://ecma-international.org/ecma-262/6.0/#sec-object.keys)
 * for more details.
 *
 * @static
 * @memberOf _
 * @category Object
 * @param {Object} object The object to query.
 * @returns {Array} Returns the array of property names.
 * @example
 *
 * function Foo() {
 *   this.a = 1;
 *   this.b = 2;
 * }
 *
 * Foo.prototype.c = 3;
 *
 * _.keys(new Foo);
 * // => ['a', 'b'] (iteration order is not guaranteed)
 *
 * _.keys('hi');
 * // => ['0', '1']
 */
var keys = !nativeKeys ? shimKeys : function(object) {
  var Ctor = object == null ? undefined : object.constructor;
  if ((typeof Ctor == 'function' && Ctor.prototype === object) ||
      (typeof object != 'function' && isArrayLike(object))) {
    return shimKeys(object);
  }
  return isObject(object) ? nativeKeys(object) : [];
};

module.exports = keys;

},{"../internal/getNative":113,"../internal/isArrayLike":114,"../internal/shimKeys":120,"../lang/isObject":128}],132:[function(require,module,exports){
var isArguments = require('../lang/isArguments'),
    isArray = require('../lang/isArray'),
    isIndex = require('../internal/isIndex'),
    isLength = require('../internal/isLength'),
    isObject = require('../lang/isObject');

/** Used for native method references. */
var objectProto = Object.prototype;

/** Used to check objects for own properties. */
var hasOwnProperty = objectProto.hasOwnProperty;

/**
 * Creates an array of the own and inherited enumerable property names of `object`.
 *
 * **Note:** Non-object values are coerced to objects.
 *
 * @static
 * @memberOf _
 * @category Object
 * @param {Object} object The object to query.
 * @returns {Array} Returns the array of property names.
 * @example
 *
 * function Foo() {
 *   this.a = 1;
 *   this.b = 2;
 * }
 *
 * Foo.prototype.c = 3;
 *
 * _.keysIn(new Foo);
 * // => ['a', 'b', 'c'] (iteration order is not guaranteed)
 */
function keysIn(object) {
  if (object == null) {
    return [];
  }
  if (!isObject(object)) {
    object = Object(object);
  }
  var length = object.length;
  length = (length && isLength(length) &&
    (isArray(object) || isArguments(object)) && length) || 0;

  var Ctor = object.constructor,
      index = -1,
      isProto = typeof Ctor == 'function' && Ctor.prototype === object,
      result = Array(length),
      skipIndexes = length > 0;

  while (++index < length) {
    result[index] = (index + '');
  }
  for (var key in object) {
    if (!(skipIndexes && isIndex(key, length)) &&
        !(key == 'constructor' && (isProto || !hasOwnProperty.call(object, key)))) {
      result.push(key);
    }
  }
  return result;
}

module.exports = keysIn;

},{"../internal/isIndex":115,"../internal/isLength":117,"../lang/isArguments":123,"../lang/isArray":124,"../lang/isObject":128}],133:[function(require,module,exports){
var keys = require('./keys'),
    toObject = require('../internal/toObject');

/**
 * Creates a two dimensional array of the key-value pairs for `object`,
 * e.g. `[[key1, value1], [key2, value2]]`.
 *
 * @static
 * @memberOf _
 * @category Object
 * @param {Object} object The object to query.
 * @returns {Array} Returns the new array of key-value pairs.
 * @example
 *
 * _.pairs({ 'barney': 36, 'fred': 40 });
 * // => [['barney', 36], ['fred', 40]] (iteration order is not guaranteed)
 */
function pairs(object) {
  object = toObject(object);

  var index = -1,
      props = keys(object),
      length = props.length,
      result = Array(length);

  while (++index < length) {
    var key = props[index];
    result[index] = [key, object[key]];
  }
  return result;
}

module.exports = pairs;

},{"../internal/toObject":121,"./keys":131}],134:[function(require,module,exports){
/**
 * This method returns the first argument provided to it.
 *
 * @static
 * @memberOf _
 * @category Utility
 * @param {*} value Any value.
 * @returns {*} Returns `value`.
 * @example
 *
 * var object = { 'user': 'fred' };
 *
 * _.identity(object) === object;
 * // => true
 */
function identity(value) {
  return value;
}

module.exports = identity;

},{}],135:[function(require,module,exports){
var baseProperty = require('../internal/baseProperty'),
    basePropertyDeep = require('../internal/basePropertyDeep'),
    isKey = require('../internal/isKey');

/**
 * Creates a function that returns the property value at `path` on a
 * given object.
 *
 * @static
 * @memberOf _
 * @category Utility
 * @param {Array|string} path The path of the property to get.
 * @returns {Function} Returns the new function.
 * @example
 *
 * var objects = [
 *   { 'a': { 'b': { 'c': 2 } } },
 *   { 'a': { 'b': { 'c': 1 } } }
 * ];
 *
 * _.map(objects, _.property('a.b.c'));
 * // => [2, 1]
 *
 * _.pluck(_.sortBy(objects, _.property(['a', 'b', 'c'])), 'a.b.c');
 * // => [1, 2]
 */
function property(path) {
  return isKey(path) ? baseProperty(path) : basePropertyDeep(path);
}

module.exports = property;

},{"../internal/baseProperty":101,"../internal/basePropertyDeep":102,"../internal/isKey":116}]},{},[27]);
